<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class BatchExpiry extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('login');
		}	
		
		$this->load->model(['Model_BatchExpiry']);	
			
	} 

	
	public function index(){

		
		$data['product']=$this->Model_BatchExpiry->productlist();  
		
		
		$this->load->view('header');
		$this->load->view('admin/batchExpiry/batchExpiry_view',$data);
		$this->load->view('footer');
	
	} 
	

	public function findproduct()
	{
		$productId=$this->input->post('productId');
		$data=$this->Model_BatchExpiry->findproduct($productId);
		 print_r(json_encode($data));

	}

	public function getexpdays()
	{
		$expdurationId=$this->input->post('expdurationId');
		$data=$this->Model_BatchExpiry->getexpdays($expdurationId);
		 print_r(json_encode($data));

	}




	public	function batchinfo()
	{
		$purchaseqty=0;
		$invoiceqty=0;
		$data1=array();
		$productId=$this->input->post('fkproductId');
		$data=$this->Model_BatchExpiry->batchinfo($productId);

		$fkunitId=$this->Model_BatchExpiry->getprimaryunit($productId);
		$fksecondunitId=$this->Model_BatchExpiry->getsecondunitId($productId);
		$date=date('Y-m-d');
		for ($i=0; $i <count($data) ; $i++) { 
			 $purchaseprimary=$this->Model_BatchExpiry->purchasebatchprimarysum($productId,$fkunitId[0]->fkunitId,$data[$i]->purchasebatchId);
		 $invoiceprimary=$this->Model_BatchExpiry->invoicebatchprimarysum($productId,$fkunitId[0]->fkunitId,$data[$i]->purchasebatchId);
			
		 if (!empty($fksecondunitId)) {
		 	for ($j=0; $j <count($fksecondunitId) ; $j++) { 
		 	$purchasesecondary=$this->Model_BatchExpiry->purchasebatchsecondsum($productId,$fksecondunitId[$j]->fksecondunitId,$data[$i]->purchasebatchId);
		 	$invoicesecondary=$this->Model_BatchExpiry->invoicebatchsecondsum($productId,$fksecondunitId[$j]->fksecondunitId,$data[$i]->purchasebatchId);
		 	$conversion1=$fksecondunitId[$j]->conversion;
		 	 $secondarypurchaseQuantity=($purchasesecondary[0]->Quantity+$purchasesecondary[0]->freeQuantity)*$conversion1;

		 	  $purchaseqty=$purchaseqty+$secondarypurchaseQuantity;
				$secondaryinvoiceQuantity=($invoicesecondary[0]->Quantity+$invoicesecondary[0]->freeQuantity)*$conversion1;
				$invoiceqty=$invoiceqty+$secondaryinvoiceQuantity;
				
				
			}
			
			$openingStock=$fkunitId[0]->openingStock;
			$purchasequantity=($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)+$purchaseqty;
				$invoicequantiy=($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)+$invoiceqty;

				$stock=$openingStock+$purchasequantity-$invoicequantiy;
			
		 }
		 else
		 {

		 	$openingStock=$fkunitId[0]->openingStock;
			$stock=$openingStock+($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)-($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity);
		
		 }
		 if ($stock>0) {

		 			$data1[]=$data[$i];
				
			}
			
		}
		print_r(json_encode($data1));
		 
	}

	public function expirydetails()
	{
	
		$output='';
		$purchaseqty=0;
		$invoiceqty=0;
		$stock2=0;
		
		$expirydays=$this->input->post('expirydays');
		$enddate=$this->input->post('enddate');
		$startdate=$this->input->post('startdate');
		$date=date('Y-m-d');
		$productId=$this->Model_BatchExpiry->productlist();
		// print_r($productId);
		$n=1;
		for ($i=0; $i <count($productId) ; $i++) { 
			$fkunitId=$this->Model_BatchExpiry->getprimaryunit($productId[$i]->productId);
		$fksecondunitId=$this->Model_BatchExpiry->getsecondunitId($productId[$i]->productId);
				$batch=$this->Model_BatchExpiry->batchinfo($productId[$i]->productId,$startdate,$enddate);
				if (!empty($batch)) {

					for ($j=0; $j <count($batch) ; $j++) { 
						 $purchaseprimary=$this->Model_BatchExpiry->purchasebatchprimarysum($productId[$i]->productId,$fkunitId[0]->fkunitId,$batch[$j]->purchasebatchId,$startdate,$enddate);
						  $invoiceprimary=$this->Model_BatchExpiry->invoicebatchprimarysum($productId[$i]->productId,$fkunitId[0]->fkunitId,$batch[$j]->purchasebatchId,$startdate,$enddate);
						  $deletebatchqty=$this->Model_BatchExpiry->getdeletebatch($productId[$i]->productId,$fkunitId[0]->fkunitId,$batch[$j]->purchasebatchId,$startdate,$enddate);
						  $stock=0;
						  	$purchasequantity=0;
						  	$purchaseqty=0;
						  	$invoicequantiy=0;
						  	$openingStock=0;
						  	$invoiceqty=0;
						  if (!empty($fksecondunitId)) {
						  	
						  	for ($k=0; $k <count($fksecondunitId) ; $k++) {
						  		$purchasesecondary=$this->Model_BatchExpiry->purchasebatchsecondsum($productId[$i]->productId,$fksecondunitId[$k]->fksecondunitId,$batch[$j]->purchasebatchId,$startdate,$enddate);
						  		$invoicesecondary=$this->Model_BatchExpiry->invoicebatchsecondsum($productId[$i]->productId,$fksecondunitId[$k]->fksecondunitId,$batch[$j]->purchasebatchId,$startdate,$enddate);
						  		$conversion1=$fksecondunitId[$k]->conversion;
						  		 $secondarypurchaseQuantity=($purchasesecondary[0]->Quantity+$purchasesecondary[0]->freeQuantity)*$conversion1;
						  		  $purchaseqty=$purchaseqty+$secondarypurchaseQuantity;
						  		  $secondaryinvoiceQuantity=($invoicesecondary[0]->Quantity+$invoicesecondary[0]->freeQuantity)*$conversion1;
				$invoiceqty=$invoiceqty+$secondaryinvoiceQuantity;
						  		 

						  	 }

						  	 $openingStock=$fkunitId[0]->openingStock;
			$purchasequantity=($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)+$purchaseqty;
				$invoicequantiy=($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)+$invoiceqty;

				$primarystock=$openingStock+$purchasequantity-$invoicequantiy-$deletebatchqty[0]['deleteqty'];
				// print_r($deletebatchqty[0]['deleteqty']);
					$secondstock=0;
				$secondname='';
				$secondardata=array();
				for ($l=0; $l <count($fksecondunitId) ; $l++) { 
					$secondstock=$primarystock/$fksecondunitId[$l]->conversion;
					$secondname=$fksecondunitId[$l]->UnitName;
					// print_r($secondstock);
				}
				$secondardata[]=[
					'secondstock'=>round($secondstock,2),
					'secondname'=>$secondname
				];
				if ($primarystock>0) {
				$batchexp=$this->Model_BatchExpiry->getbatchexp($productId[$i]->productId,$batch[$j]->purchasebatchId,$startdate,$enddate);

				$date=strtotime($startdate);
				$date1=strtotime($batchexp[0]->expiryDate);

				$days=intval(($date1 - $date)/60/60/24);
				$data=[
					'productId'=>$productId[$i]->productId,
			'primarystock'=>$primarystock,
			'UnitName'=>$fkunitId[0]->UnitName,
			'productName'=>$batchexp[0]->productName,
		 	'purchaseDate'=>$batchexp[0]->purchaseDate,
		 	'Batch'=>$batchexp[0]->batchName,
		 	'supplierName'=>$batchexp[0]->supplierName,
		 	'expirydate'=>$batchexp[0]->expiryDate,
		 	'days'=>$days,
		 	'fkpurchasebatchId'=>$batchexp[0]->fkpurchasebatchId,
		 	'fkunitId'=>$fkunitId[0]->fkunitId

		];
		
		$output='';
				// if ($days<$expirydays) {
					// $product=$data['productId'].'.'.$data['fkpurchasebatchId'];
					$output.='<tr class="deleteclass'.$data['fkpurchasebatchId'].'">';
		 		$output.='
		 		<td style="display:none;">'.$data['productId'].','.$data['fkpurchasebatchId'].','.$data['expirydate'].','.$data['primarystock'].','.$data['fkunitId'].'</td>
				 <td>'.$data['productId'].'</td>
				 <td>'.$data['productName'].'</td>
				 <td>'.$data['Batch'].'</td>
				 <td>'.$data['purchaseDate'].'</td>
				 <td>'.$data['supplierName'].'</td>
				  <td>'.$data['expirydate'].'</td>
				  <td>'.$data['primarystock'].'('.$data['UnitName'].')'.'</td>';
				   for ($m=0; $m <count($secondardata) ; $m++) { 
				//    // foreach ($secondardata as $key => $value) {
				   	$output.='<td>'.$secondardata[$m]['secondstock'].'('.$secondardata[$m]['secondname'].')'.'</td>';
							
				  
				//    	// echo $value;
				   	
				   }
				   	 $output.='
				   <td>'.$days.'</td>
				  
				 </tr>';
				   // }
				}
				echo $output;
						  }
						  else
						  {
						  	$openingStock=$fkunitId[0]->openingStock;
							$primarystock=$openingStock+($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)-($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)-$deletebatchqty[0]['deleteqty'];
							// print_r($deletebatchqty[0]['deleteqty']);
							if ($primarystock>0) {
				$batchexp=$this->Model_BatchExpiry->getbatchexp($productId[$i]->productId,$batch[$j]->purchasebatchId,$startdate,$enddate);

				$date=strtotime($startdate);
				$date1=strtotime($batchexp[0]->expiryDate);

				$days=intval(($date1 - $date)/60/60/24);
				$data=[
					'productId'=>$productId[$i]->productId,
			'primarystock'=>$primarystock,
			'UnitName'=>$fkunitId[0]->UnitName,
			'productName'=>$batchexp[0]->productName,
		 	'purchaseDate'=>$batchexp[0]->purchaseDate,
		 	'Batch'=>$batchexp[0]->batchName,
		 	'supplierName'=>$batchexp[0]->supplierName,
		 	'expirydate'=>$batchexp[0]->expiryDate,
		 	'days'=>$days,
		 	'fkpurchasebatchId'=>$batchexp[0]->fkpurchasebatchId,
		 	'fkunitId'=>$fkunitId[0]->fkunitId

		];
		
		$output='';
				// if ($days<$expirydays) {
					// $product=$data['productId'].'.'.$data['fkpurchasebatchId'];
					$output.='<tr class="deleteclass'.$data['fkpurchasebatchId'].'">';
		 		$output.='
		 		<td style="display:none;">'.$data['productId'].','.$data['fkpurchasebatchId'].','.$data['expirydate'].','.$data['primarystock'].','.$data['fkunitId'].'</td>
				 <td>'.$data['productId'].'</td>
				 <td>'.$data['productName'].'</td>
				 <td>'.$data['Batch'].'</td>
				 <td>'.$data['purchaseDate'].'</td>
				 <td>'.$data['supplierName'].'</td>
				  <td>'.$data['expirydate'].'</td>
				  <td>'.$data['primarystock'].'('.$data['UnitName'].')'.'</td>
				  <td></td>
				   <td>'.$days.'</td>
				 
				 </tr>';
				   // }
				}


		
			echo $output;
						  }
						 
					}
					
				}

				
		}





 
	}

	function deletebatch()
	{
		$productId=$this->input->post('productId');
		$fkpurchasebatchId=$this->input->post('fkpurchasebatchId');
		$primarystock=$this->input->post('primarystock');
		$fkunitId=$this->input->post('fkunitId');
		$expirydate=$this->input->post('expirydate');
		$data=[
			'fkproductId'=>$productId,
			'fkpurchasebatchId'=>$fkpurchasebatchId,
			'Quantity'=>$primarystock,
			'fkunitId'=>$fkunitId,
			'expirydate'=>$expirydate,
			'created_by'=>$_SESSION['u_id'],
			'created_date'=>date('Y-m-d H:i:s')
		];
		if ($this->Model_BatchExpiry->deletebatch($data)) {
			echo 1;
		}
		else
		{
			echo 0;
		}
		
	}

		
	
} 