<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Country extends CI_Controller{

	public function __construct(){
				parent::__construct();
				if($this->session->userdata('u_id')==0)
                {
                redirect('Login');
                }
						
				$this->load->model(['Model_Country']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Country->select_all();
		 $this->load->view('header');
		$this->load->view('admin/country/countrydetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$countryId =$this->uri->segment(2);
		
		if(empty($countryId)){
			$countryId = 0;
		}
		
		if($countryId > 0){
			$obj = $this->Model_Country->search($countryId);
		}
		
		$data['data']=$obj;
		
		 $this->load->view('header');
		$this->load->view('admin/country/country_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		
		$countryId=$this->input->post('txt_id');
		$countryName=$this->input->post('countryName');
		$shortName=$this->input->post('shortName');
		$phoneCode=$this->input->post('phoneCode');

		if($countryId>0)
		{
			$data=[

				'countryId'			=>	$countryId,	
				'countryName'			=>	$countryName,
				'shortName'       =>$shortName,
				'phoneCode'       =>$phoneCode,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Country->update($data);
			
		}
		else
		{
			$data=[
				//'countryId'			=>	$countryId,
				'countryName'       => $countryName,
				'shortName'       => $shortName,
				'phoneCode'       => $phoneCode,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Country->insert($data);
			
		}
                                                    
		

	} 
	
	public function delete_perform(){

		$countryId = $this->uri->segment(4);

		if(!empty($countryId)){
			
			$data=[

				'countryId'			=>	$countryId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			 $this->Model_Country->update($data);
			
			 redirect('CountryIndex');
		}
		else{
			
			show_404();
		}

	} 
	

	
	
} 