<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Employee extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_Employee']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Employee->select_all();


		$this->load->view('header');
		$this->load->view('admin/employee/employeedetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$empId =$this->uri->segment(2);
		
		if(empty($empId))
		{
			$empId = 0;
		}
		
		if($empId > 0)
		{
			$obj = $this->Model_Employee->search($empId);
		}
		
		$data['data']=$obj;
		$data['gender']=$this->Model_Employee->getgenderlist();
		$data['role']=$this->Model_Employee->getrolelist();
		$data['country']=$this->Model_Employee->getcountrylist();
		// $data['state']=$this->Model_Employee->getstatelist();
		$data['route']=$this->Model_Employee->getroutelist();
		$data['licence']=$this->Model_Employee->getlicencelist();   
		$data['maritalstatus']=$this->Model_Employee->getmaritalstatuslist();
		$data['blood']=$this->Model_Employee->getbloodlist();
		$data['usertype']=$this->Model_Employee->getusertypelist();
        //print_r($data);exit();
		$this->load->view('header');
		$this->load->view('admin/employee/employee_view',$data);
		$this->load->view('footer');
	
	} 


	public function edit(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$empId =$this->uri->segment(2);
		
		if(empty($empId))
		{
			$empId = 0;
		}
		
		if($empId > 0)
		{
			$obj = $this->Model_Employee->search($empId);
		}
		
		$data['data']=$obj;
		$data['gender']=$this->Model_Employee->getgenderlist();
		$data['role']=$this->Model_Employee->getrolelist();
		$data['country']=$this->Model_Employee->getcountrylist();
		// $data['state']=$this->Model_Employee->getstatelist();
		$data['route']=$this->Model_Employee->getroutelist();
		$data['licence']=$this->Model_Employee->getlicencelist();   
		$data['maritalstatus']=$this->Model_Employee->getmaritalstatuslist();
		$data['blood']=$this->Model_Employee->getbloodlist();
		$data['usertype']=$this->Model_Employee->getusertypelist();
        //print_r($data);exit();
		$this->load->view('header');
		$this->load->view('admin/employee/employee_view',$data);
		$this->load->view('footer');
	
	} 



	public function getstate(){
		$countryId = $this->input->post();
		$data = $this->Model_Employee->getstate($countryId);
		 print_r( json_encode($data));
		//print_r($data);
		//exit();
	}
	
	public function getdistrict(){
		$postData = $this->input->post();
		$data = $this->Model_Employee->getdistrict($postData);
		echo json_encode($data);
	}
	public function gettaluka(){
		$postData = $this->input->post();
		$data = $this->Model_Employee->gettaluka($postData);
		echo json_encode($data);
	}
	public function getvillage(){
		$postData = $this->input->post();
		$data = $this->Model_Employee->getvillage($postData);
		echo json_encode($data);
	}
	
	public function perform(){

		
		$empId =$this->input->post('txt_id');
		$empName=$this->input->post('empName');
		// $employeemarathiName=$this->input->post('employeemarathiName');
		$address=$this->input->post('address');
		$contact1=$this->input->post('contact1');
		$contact2=$this->input->post('contact2');
		$email=$this->input->post('email');
		$fkgenderId=$this->input->post('genderId');
		$fkmaritalstatusId=$this->input->post('maritalstatusId');
		$dateofjoining=$this->input->post('dateofjoining');
		$fkroleId=$this->input->post('roleId');
		$dateofbirth=$this->input->post('dateofbirth');
		$photo=$this->input->post('photo');
		$fkbloodgroupId=$this->input->post('bloodgroupId');
		$fkcountryId=$this->input->post('countryId');
		$fkstateId=$this->input->post('stateId');
		$fkdistrictId=$this->input->post('districtId');
		$fktalukaId=$this->input->post('talukaId');
		$fkvillageId=$this->input->post('villageId');
		$pinCode=$this->input->post('pinCode');
		$refNumber=$this->input->post('refNumber');
		$verificationNum=$this->input->post('verificationNum');
         $fkusertypeId=$this->input->post('usertypeId');
        // $sendSms=$this->input->post('sendSms');
        $registrationDate=$this->input->post('registrationDate');
        // $sendwhatsappSms=$this->input->post('sendwhatsappSms');
        $creditday=$this->input->post('creditday');
        $tinNo=$this->input->post('tinNo');
         $routeId=$this->input->post('routeId');


         $licencetypeId=$this->input->post('licencetypeId');
        $LicenceNo=$this->input->post('LicenceNo');
         $startDate=$this->input->post('startDate');
         $expiryDate=$this->input->post('expiryDate');

         $warningdays=$this->input->post('warningdays');
         $licencephoto=$this->input->post('licencephoto');

  //       if($empId>0)
		// {
		   $photo = '';  
           if($_FILES["photo"]["name"] != '')  
             {  
                $photo = $this->upload_image();  
             }  
          else  
             {  
                 $photo = $this->input->post("hidden_photo");  
             } 
			
			$data=[
				'empName'	=>$empName,
				// 'employeemarathiName'	=>$employeemarathiName,
				'address'	=>$address,
				'contact1'	=>$contact1,
				'contact2'	=>$contact2,
				'email'	=>$email,
				'fkgenderId'	=>$fkgenderId,
				'fkmaritalstatusId'	=>$fkmaritalstatusId,
				'dateofjoining'	=>$dateofjoining,
				'fkroleId'	=>$fkroleId,
				'dateofbirth'	=>$dateofbirth,
				'photo'	=>$photo,
				'fkbloodgroupId'	=>$fkbloodgroupId,
				'fkcountryId'   =>$fkcountryId,
				'fkstateId'     =>$fkstateId,
				'fkdistrictId'  =>$fkdistrictId,
				'fktalukaId'    =>$fktalukaId,
				'fkvillageId'    =>$fkvillageId,
				'pinCode'    =>$pinCode,
				'refNumber'    =>$refNumber,
				'verificationNum'    =>$verificationNum,
				'fkusertypeId'    =>$fkusertypeId,
				// 'sendSms'    =>$sendSms,
				'registrationDate'    =>$registrationDate,
				// 'sendwhatsappSms'=>$sendwhatsappSms,
				'creditday'    =>$creditday,
				'tinNo'=>$tinNo,
				'fkrouteId'=>$routeId,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

				if ($this->Model_Employee->insert('employee_master',$data)) {
			// $this->Model_Employee->insert($data);
					 $maxfkempId=$this->Model_Employee->getMaxId()[0]->empId;
			 if($licencetypeId!=""){

				 	for($i=0;$i<count($licencetypeId);$i++)
            {
            	$licencephoto = '';  
              if($_FILES["licencephoto"]["name"][$i] != '')  
               {  
                    $extension1 = explode('.', $_FILES['licencephoto']['name'][$i]);  
                          $new_name1 = rand() . '.' . $extension1[1];  
                         $destination1 = './upload1/' . $new_name1;  
                          move_uploaded_file($_FILES['licencephoto']['tmp_name'][$i], $destination1);  
                          $licencephoto=$new_name1;                                  
                } 

                $getlicencetypeId=$licencetypeId[$i];
				$getLicenceNo=$LicenceNo[$i];
				$getstartDate=$startDate[$i];
				$getexpiryDate=$expiryDate[$i];
				// $getlicencephoto=$licencephoto[$i];
				$getwarningdays=$warningdays[$i];
				

                $licencedata=[

                    'fkempId'  =>$maxfkempId,
                    'fklicencetypeId'  =>$getlicencetypeId,
                    'licenceNo'         =>$getLicenceNo,
                     // 'licenceNo'            =>$rate[$i],
                      'startDate'           =>$getstartDate,
                      'expiryDate'           =>$getexpiryDate,
                      'Attachment'           =>$licencephoto,
                      'warningdays'           =>$getwarningdays,

                    'created_by'        =>  1,
                    'created_date'      =>  date('Y-m-d H:i:s')
                   
                ];
                 // echo json_encode($licencedata);
                // print_r(json_encode($licencedata));
                
                $this->Model_Employee->insert('employeelicence',$licencedata);

            }
			
				 }
			}		
		
	} 



	public function update(){

		
		$empId =$this->input->post('txt_id');
		$empName=$this->input->post('empName');
		// $employeemarathiName=$this->input->post('employeemarathiName');
		$address=$this->input->post('address');
		$contact1=$this->input->post('contact1');
		$contact2=$this->input->post('contact2');
		$email=$this->input->post('email');
		$fkgenderId=$this->input->post('genderId');
		$fkmaritalstatusId=$this->input->post('maritalstatusId');
		$dateofjoining=$this->input->post('dateofjoining');
		$fkroleId=$this->input->post('roleId');
		$dateofbirth=$this->input->post('dateofbirth');
		$photo=$this->input->post('photo');
		$fkbloodgroupId=$this->input->post('bloodgroupId');
		$fkcountryId=$this->input->post('countryId');
		$fkstateId=$this->input->post('stateId');
		$fkdistrictId=$this->input->post('districtId');
		$fktalukaId=$this->input->post('talukaId');
		$fkvillageId=$this->input->post('villageId');
		$pinCode=$this->input->post('pinCode');
		$refNumber=$this->input->post('refNumber');
		$verificationNum=$this->input->post('verificationNum');
         $fkusertypeId=$this->input->post('usertypeId');
        // $sendSms=$this->input->post('sendSms');
        $registrationDate=$this->input->post('registrationDate');
        // $sendwhatsappSms=$this->input->post('sendwhatsappSms');
        $creditday=$this->input->post('creditday');
        $tinNo=$this->input->post('tinNo');
         $routeId=$this->input->post('routeId');


         $licencetypeId=$this->input->post('licencetypeId');
        $LicenceNo=$this->input->post('LicenceNo');
         $startDate=$this->input->post('startDate');
         $expiryDate=$this->input->post('expiryDate');

         $warningdays=$this->input->post('warningdays');
         $licencephoto=$this->input->post('licencephoto');
         $status=$this->input->post('status');
         $hiden_licencephoto=$this->input->post('hiden_licencephoto');

  //       if($empId>0)
		// {
		   $photo = '';  
           if($_FILES["photo"]["name"] != '')  
             {  
                $photo = $this->upload_image();  
             }  
          else  
             {  
                 $photo = $this->input->post("hidden_photo");  
             } 
			
			$data=[
				'empId'=>$empId,
				'empName'	=>$empName,
				// 'employeemarathiName'	=>$employeemarathiName,
				'address'	=>$address,
				'contact1'	=>$contact1,
				'contact2'	=>$contact2,
				'email'	=>$email,
				'fkgenderId'	=>$fkgenderId,
				'fkmaritalstatusId'	=>$fkmaritalstatusId,
				'dateofjoining'	=>$dateofjoining,
				'fkroleId'	=>$fkroleId,
				'dateofbirth'	=>$dateofbirth,
				'photo'	=>$photo,
				'fkbloodgroupId'	=>$fkbloodgroupId,
				'fkcountryId'   =>$fkcountryId,
				'fkstateId'     =>$fkstateId,
				'fkdistrictId'  =>$fkdistrictId,
				'fktalukaId'    =>$fktalukaId,
				'fkvillageId'    =>$fkvillageId,
				'pinCode'    =>$pinCode,
				'refNumber'    =>$refNumber,
				'verificationNum'    =>$verificationNum,
				'fkusertypeId'    =>$fkusertypeId,
				// 'sendSms'    =>$sendSms,
				'registrationDate'    =>$registrationDate,
				// 'sendwhatsappSms'=>$sendwhatsappSms,
				'creditday'    =>$creditday,
				'tinNo'=>$tinNo,
				'fkrouteId'=>$routeId,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

				if ($this->Model_Employee->update('employee_master',$data)) {
			// $this->Model_Employee->insert($data);
					 $maxfkempId=$this->Model_Employee->getMaxId()[0]->empId;
			  if($licencetypeId!=""){
				// echo $licencetypeId;
				// print_r($licencetypeId);
				 	for($i=0;$i<count($licencetypeId);$i++)
            {	
            	// echo "hii";
            	$licencephoto="";
            	if($_FILES["licencephoto"]["name"][$i] != '')  
             	{  
            	 $extension1 = explode('.', $_FILES['licencephoto']['name'][$i]);  
                          $new_name1 = rand() . '.' . $extension1[1];  
                         $destination1 = './upload1/' . $new_name1;  
                          move_uploaded_file($_FILES['licencephoto']['tmp_name'][$i], $destination1);  
                          $licencephoto=$new_name1; 
                      }
                      else
                      {
                      	$licencephoto=$hiden_licencephoto[$i];
                      }
            	 // print_r($licencephoto);
            		$getstatus=$status[$i];
            	if ($getstatus>0) {
    //         		// echo $licencephoto;
            		$employeelicenceId=$getstatus;
                $getlicencetypeId=$licencetypeId[$i];
				$getLicenceNo=$LicenceNo[$i];
				$getstartDate=$startDate[$i];
				$getexpiryDate=$expiryDate[$i];
				// $getlicencephoto=$licencephoto[$i];
				$getwarningdays=$warningdays[$i];
				

                $licencedata=[

                    'fkempId'  =>$empId,
                    'fklicencetypeId'  =>$getlicencetypeId,
                    'licenceNo'         =>$getLicenceNo,
                     // 'licenceNo'            =>$rate[$i],
                      'startDate'           =>$getstartDate,
                      'expiryDate'           =>$getexpiryDate,
                      'Attachment'           =>$licencephoto,
                      'warningdays'           =>$getwarningdays,

                    'modified_by'        =>  $_SESSION['u_id'],
                    'modified_date'      =>  date('Y-m-d H:i:s')
                   
                ];
    //              // echo json_encode($licencedata);
                // print_r(json_encode($licencedata));
                
                $this->Model_Employee->updateemplicence('employeelicence',$licencedata,$getstatus);
            	}
            	else
            	{
            		// echo "insert";
            		
            		$getlicencetypeId=$licencetypeId[$i];
				$getLicenceNo=$LicenceNo[$i];
				$getstartDate=$startDate[$i];
				$getexpiryDate=$expiryDate[$i];
				// $getlicencephoto=$licencephoto[$i];
				$getwarningdays=$warningdays[$i];
				

                $licencedata=[

                    'fkempId'  =>$empId,
                    'fklicencetypeId'  =>$getlicencetypeId,
                    'licenceNo'         =>$getLicenceNo,
                     // 'licenceNo'            =>$rate[$i],
                      'startDate'           =>$getstartDate,
                      'expiryDate'           =>$getexpiryDate,
                      'Attachment'           =>$licencephoto,
                      'warningdays'           =>$getwarningdays,

                    'created_by'        =>  $_SESSION['u_id'],
                    'created_date'      =>  date('Y-m-d H:i:s')
                   
                ];
    //              // echo json_encode($licencedata);
                // print_r(json_encode($licencedata));
                
                $this->Model_Employee->insert('employeelicence',$licencedata);
            	}
            	

            }
			
				 }
			}
			
		

	} 



	public function getlicencedetails()
	{
		//echo "hii";
		$output='';
		$empId=$this->input->post('empId');
		$data=$this->Model_Employee->getlicencedetails($empId);
		
		// print_r(json_encode($data));
		if(!empty($data))
		{
			$i=0;
			foreach ($data as $key => $value) {
				$i++;
				$newDate1 = date("d-m-Y", strtotime($value->startDate));
				$newDate2 = date("d-m-Y", strtotime($value->expiryDate));
				$output.='<tr class="deleteclass'.$value->employeelicenceId.'">
				<td>
					<center>
					<button type="button" class="btn btn-danger ti-trash" style="margin-left:35px;" id="btnitemDelete'.$value->employeelicenceId.'" onclick="delete_licence_details('.$value->employeelicenceId.');">
					</button>
					</center>
				</td>
				<td><input type="text" readonly id="licencetypeName'.$i.'"  name="licencetypeName[]" class="licencetypeName form-control tds-width" value="'.$value->licencetypeName.'"></td>

				<td style="display:none;"><input type="text" readonly id="licencetypeId'.$i.'"  name="licencetypeId[]" class="licencetype-Id form-control tds-width" value="'.$value->fklicencetypeId.'"></td>

				<td><input type="text" readonly id="LicenceNo'.$i.'"  name="LicenceNo[]" class="LicenceNo form-control tds-width" value="'.$value->licenceNo.'"></td>

				
				<td><input type="file" readonly id="licencephoto'.$i.'" name="licencephoto[]" class="licencephoto form-control tds-width" onchange="readURL(this,'.$i.');" value="">

				<input  type="hidden" class="form-control" id="hiden_licencephoto" name="hiden_licencephoto[]" value="'.$value->Attachment.'" data-parsley-trigger="change" >

				<img src="'.base_url().'upload1/'.$value->Attachment.'" id="liceneprofile'.$i.'" name="liceneprofile[]" class="img-thumbnail" width="100" height="60" />
				
				</td>

				<td><input type="text" readonly id="startDate'.$i.'"  name="startDate[]" class="transactionId form-control tds-width" value="'.$value->startDate.'"></td>

				<td><input type="text" readonly id="expiryDate'.$i.'" name="expiryDate[]" class="expiryDate form-control tds-width" value="'.$value->expiryDate.'">
				</td>
				<td><input type="text" readonly id="warningdays'.$i.'" name="warningdays[]" class="warningdays form-control tds-width" value="'.$value->warningdays.'">
				</td>

				<td style="display:none;" ><input type="text" readonly id="status'.$i.'" name="status[]" class="status form-control tds-width" value="'.$value->employeelicenceId.'">
				</td>
				
				</tr>';
					
			}
		}
		echo $output;

	}
	
	function upload_image()  
    {  
      if(isset($_FILES["photo"]))  
        {  
        	if ($_FILES["photo"]["name"]!="") {
        		# code...
        		$extension = explode('.', $_FILES["photo"]["name"]);  
          $new_name = rand() . '.' . $extension[1];  
          $destination = './upload/' . $new_name;  
          move_uploaded_file($_FILES['photo']['tmp_name'], $destination);  
          return $new_name; 
        	}
        	else
        	{
        		$new_name="";
        		return $new_name;
        	}
            
         }  
    }   
	public function delete_perform(){

		$empId = $this->uri->segment(4);

		if(!empty($empId)){
			
			$data=[

				'empId'		=>	$empId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			if($this->Model_Employee->update($data))
			{
				$this->Model_Notification->show_notification(3);		
			}
			else
			{
				$this->Model_Notification->show_notification(6);	
			}
			redirect('EmployeeIndex');
		}
		else{
			
			show_404();
		}

	} 

	public function delete()
	{
		$employeelicenceId=$this->input->get('employeelicenceId');
		// print_r($supplierlicenceId);
		$data=[
				'is_active'=>0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')];

		if($this->Model_Employee->delete($employeelicenceId,$data))
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
	} 
		
} 