<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Gst extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_Gst']);	
			
	} 

	    public function index(){
		$data['data']=$this->Model_Gst->select_all();


		$this->load->view('header');
		$this->load->view('admin/gst/gstDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$gstId = $this->uri->segment(2);
		
		if(empty($gstId)){
			$gstId = 0;
		}
		
		if($gstId > 0){
			$obj = $this->Model_Gst->search($gstId);
		}
		
		$data['data']=$obj;
		 $this->load->view('header');
		$this->load->view('admin/gst/GST_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		// echo "hii";
		$gstId=$this->input->post('txt_id');
		$gstName=$this->input->post('gstName');
		$gstshortName=$this->input->post('gstshortName');
		$gstpercentageValue=$this->input->post('gstpercentageValue');
		$igstValue=$this->input->post('igstValue');
		$cgstValue=$this->input->post('cgstValue');
		$sgstValue=$this->input->post('sgstValue');
		$description=$this->input->post('description');

		if($gstId>0)
		{
			$data=[

				'gstId'			=>	$gstId,	
				'gstName'			=>	$gstName,
				'gstshortName'       =>$gstshortName,
				'gstpercentageValue' =>$gstpercentageValue,
				'igstValue'       =>$igstValue,
				'cgstValue'       =>$cgstValue,
				'sgstValue'       =>$sgstValue,
				'description'       =>$description,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Gst->update($data);
			// {
			// 	$this->Model_Notification->show_notification(2);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(5);	
			// }
		}
		else
		{
			$data=[
				//'gstId'			=>	$gstId,
				'gstName'       => $gstName,
				'gstshortName'       => $gstshortName,
				'gstpercentageValue'       => $gstpercentageValue,
				'igstValue'       => $igstValue,
				'cgstValue'       => $cgstValue,
				'sgstValue'       => $sgstValue,
				'description'       => $description,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Gst->insert($data);
			// {
			// 	$this->Model_Notification->show_notification(1);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(4);	
			// }
		}
                                                    
		// redirect('GstIndex');
        // print_r($data);exit();

	} 
	
	public function delete_perform(){

		$gstId = $this->uri->segment(4);

		if(!empty($gstId)){
			
			$data=[

				'gstId'			=>	$gstId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Gst->update($data);
			
			 redirect('GstIndex');
		}
		else{
			
			show_404();
		}

	} 
	
} 