<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class SubCategory extends CI_Controller
{
	public function __construct()
	{		
		parent::__construct();
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}				
		$this->load->model(['Model_Subcategory']);				
	} 
	public function index(){
		$data['data']=$this->Model_Subcategory->select_all();
		 $this->load->view('header');
		$this->load->view('admin/subcategory/subcategoryDetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$subcategoryId =$this->uri->segment(2);		
		if(empty($subcategoryId)){
			$subcategoryId = 0;
		}		
		if($subcategoryId > 0){
			$obj = $this->Model_Subcategory->search($subcategoryId);
		}		
		$data['data']=$obj;
		$data['category']=$this->Model_Subcategory->getcategorylist();
		// print_r($data['category']);
		$this->load->view('header');
		$this->load->view('admin/subcategory/subcategory_view',$data);
		$this->load->view('footer');	
	} 	
	public function perform(){		
		$subcategoryId =$this->input->post('txt_id');
		$subcategoryName=$this->input->post('subcategoryName');		
		$description=$this->input->post('description');
		$fkcategoryId=$this->input->post('categoryId');
		if($subcategoryId>0)
		{
			$data=[

				'subcategoryId'       =>$subcategoryId,
				'subcategoryName'			=>	$subcategoryName,				
				'description'			=>	$description,
				'fkcategoryId'       =>$fkcategoryId,
				'modified_by'	=> $_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Subcategory->update($data);			
		}
		else
		{
			$data=[
				'subcategoryName'	 =>	$subcategoryName,
				'description'			=>	$description,				
				'fkcategoryId'       => $fkcategoryId,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];				
			$this->Model_Subcategory->insert($data);			
		}		
	} 	
	public function delete_perform(){
		$subcategoryId = $this->uri->segment(4);
		if(!empty($subcategoryId)){			
			$data=[

				'subcategoryId'		=>	$subcategoryId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Subcategory->update($data);			
			 redirect('SubcategoryIndex');
		}
		else{
			
			show_404();
		}

	} 
	
} 