<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');

class Suppliertransaction extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('login');
		}	
		
		$this->load->model(['Model_Suppliertransaction']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Suppliertransaction->select_all();
        //print_r($data);exit();

		$this->load->view('header');
		$this->load->view('admin/suppliertransaction/suppliertransactionDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		//$msg = "";
		//$msgcss = "";
		$supplierTransactionId = $this->uri->segment(2);
		
		if(empty($supplierTransactionId)){
			$supplierTransactionId = 0;
		}
		
		if($supplierTransactionId > 0){
			$obj = $this->Model_Suppliertransaction->search($supplierTransactionId);
		}
		
		$data['data']=$obj;
		$data['supplier']=$this->Model_Suppliertransaction->supplierlist(); 
		$data['paymenttype']=$this->Model_Suppliertransaction->paymentdetail();  
		$data['mobapp']=$this->Model_Suppliertransaction->mobapplist();
		$data['bank']=$this->Model_Suppliertransaction->banklist();   
		$data['historypaymenttype']=$this->Model_Suppliertransaction->paymenttypelist();
		$data['billpaymenttype']=$this->Model_Suppliertransaction->paymentlist();
		$data['trans']=$this->Model_Suppliertransaction->select($supplierTransactionId); 
        //print_r($data);exit();
        //print_r($data['historypaymenttype']);
		$this->load->view('header');
		$this->load->view('admin/suppliertransaction/suppliertransaction_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		
			
		$supplierTransactionId=$this->input->post('txt_id');
		$supplierId=$this->input->post('supplierId');
		$paymenttype=$this->input->post('paymenttype');
		$mobAppId=$this->input->post('mobApp');
		$transactionId=$this->input->post('transactionId');
		$bankId=$this->input->post('bank');
		$Chequeno=$this->input->post('Chequeno');
		$ChequeDate=$this->input->post('ChequeDate');
		$paymentDate=$this->input->post('paymentDate');
		$paidamount=$this->input->post('paid');

		if($supplierTransactionId>0)
		{
			$data=[

				'supplierTransactionId'			=>	$supplierTransactionId,	
				'paidAmount'       =>$paidamount,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Suppliertransaction->update($data);
		}
		else
		{
			$data=[ 

				'fksupplierId'			=>	$supplierId,
				'fkpaymenttypeId'       =>$paymenttype,
				'fkmobAppId'       =>$mobAppId,
				'transactionId'       =>$transactionId,
				'fkbankId'       =>$bankId,
				'chequeNo'       =>$Chequeno,
				'chequeDate'       =>$ChequeDate,
				'paymentDate'       =>$paymentDate,
				'paidAmount'       =>$paidamount,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Suppliertransaction->insert($data);
		}

	} 

public function findsuppliername()
	{
		$supplierId=$this->input->post('supplierId');
		$data=$this->Model_Suppliertransaction->findsuppliername($supplierId);
		 print_r(json_encode($data));
	}
	public function getpaymenthistory()
	{
		$output='';
		
	 	$startDate=$this->input->post('startDate');
		$endDate=$this->input->post('endDate');
		$paymenttypeId=$this->input->post('paymenttypeId');
		$supplierId=$this->input->post('supplierId');
		
		 $data=$this->Model_Suppliertransaction->getpaymenthistory($startDate,$endDate,$paymenttypeId,$supplierId);
		 // print_r(json_encode($data));
		
		if(!empty($data)){
			foreach ($data as $key => $value) {
				 $paiddate=date("d-m-Y", strtotime($value->paymentDate));
				$output.='<tr>
				 <td>'.$value->supplierTransactionId.'</td>
				 <td>'.$value->paymentType.'</td>
				<td>'.$value->mobileappName.'</td>
				<td>'.$value->transactionId.'</td>
				<td>'.$value->bankName.'</td>
				<td>'.$value->chequeNo.'</td>
				<td>'.$value->chequeDate.'</td>
				<td>'.$paiddate.'</td>
				<td>'.$value->paidAmount.'</td>
				
				</tr>';
					}
		}
		echo $output;
	}
	public function getbillhistory()
	{
		$output='';
		
	 	$startDate=$this->input->post('startDate');
		$endDate=$this->input->post('endDate');
		$paymenttypeId=$this->input->post('paymenttypeId');
		$supplierId=$this->input->post('supplierId');
		
		 $data=$this->Model_Suppliertransaction->getbillhistory($startDate,$endDate,$paymenttypeId,$supplierId);
		 // print_r(json_encode($data));
		if(!empty($data)){
			foreach ($data as $key => $value) {
				$purchaseDate=date("d-m-Y", strtotime($value->purchaseDate));
				$output.='<tr>
                <td><img  width="30" src="'.base_url().'assets3\images\edit.png'.'" onclick="basicPopup('.$value->purchasemainId.');" /></td>
                
                	<td>'.$value->purchasemainId.'</td>
                	<td>'.$purchaseDate.'</td>
				<td>'.$value->paymentType.'</td>
				<td>'.$value->totQuantity.'</td>
				<td>'.$value->totdiscountamt.'</td>
				<td>'.$value->totgstamt.'</td>
				<td>'.$value->totalamount.'</td>
				<td>'.$value->paidAmount.'</td>
				<td>'.$value->shipandpackCost.'</td>
				
				</tr>';
					}
		}
		echo $output;
	}
	public function getoutstandingamt()
	{	
		$supplierId=$this->input->post('supplierId');
		$balence=$this->Model_Suppliertransaction->getopeningAmount($supplierId);
		 $amt=$this->Model_Suppliertransaction->getpurchaseamount($supplierId);
		 $paid=$this->Model_Suppliertransaction->getpaidamt($supplierId);
		 // 	print_r(json_encode($amt));
			// print_r(json_encode($paid));
			// print_r(json_encode($balence));
		 $data=[
		 		'outstandingamount'=>$balence[0]->openingAmount+$amt[0]->totalamount-$paid[0]->paidAmount
		 ];
		 if('outstandingamount'=="")
		 {
		 	'outstandingamount'==0;
		 	 print_r(json_encode($data));
		 }
		 else
		 {
		 	print_r(json_encode($data));
		 }

	}
	
	public function delete_perform(){

		$supplierTransactionId = $this->uri->segment(2);

		if(!empty($supplierTransactionId)){
			
			$data=[

				'supplierTransactionId'			=>	$supplierTransactionId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Suppliertransaction->update($data);
			redirect('SuppliertransactionIndex');
		}
		else{
			
			show_404();
		}

	} 
	

	
	
} 