<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Usertype extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_Usertype']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Usertype->select_all();


		$this->load->view('header');
		$this->load->view('admin/usertype/usertypeDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$usertypeId = $this->uri->segment(2);
		
		if(empty($usertypeId)){
			$usertypeId = 0;
		}
		
		if($usertypeId > 0){
			$obj = $this->Model_Usertype->search($usertypeId);
		}
		
		$data['data']=$obj;
		
       //print_r($data);exit();

		$this->load->view('header');
		$this->load->view('admin/usertype/usertype_view',$data);
		$this->load->view('footer');

	} 
	
	public function perform(){

		
		$usertypeId =$this->input->post('txt_id');		
		$usertypeName=$this->input->post('usertypeName');		
		
		if($usertypeId>0)
		{
			$data=[

				'usertypeId'       =>$usertypeId,
				'usertypeName'       =>$usertypeName,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Usertype->update($data);
			
		}
		else
		{
			$data=[
				'usertypeName'       =>$usertypeName,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

				
			$this->Model_Usertype->insert($data);
			
		}
		//print_r($data);
		//print_r($fkcountryId);

		redirect('UsertypeIndex');

	} 
	
	public function delete_perform(){

		$usertypeId = $this->uri->segment(2);

		if(!empty($usertypeId)){
			
			$data=[

				'usertypeId'		=>	$usertypeId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Usertype->update($data);
			
			redirect('UsertypeIndex');
		}
		else{
			
			show_404();
		}

	} 
	
} 