<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');
class Curl_library{
	
	public $timeout = 150;
	public $connecttimeout = 0; 
	/* Verify SSL Cert. */
	public $ssl_verifypeer = FALSE;
	public $useragent = 'CURL for CodeIgniter';


	function __construct()
	{
		
	}
	function do_curl($url, $method, $postfields = NULL) {
		
		switch ($method) {
			case 'POST':
				$response = $this->curl_post($url,$postfields);
				break;
			case 'GET':
				$response = $this->curl_get($url,$postfields);
				break;
			case 'PUT':
				//changes made by fathom-2016-Aug-23-nawaj
				//$response = $this->curl_put($url,$postfields);
				$response = $this->curl_post($url,$postfields);
				break;
			case 'DELETE':
				$response = $this->curl_delete($url,$postfields);
				break;
		}
		return $response;
	}
	
	function curl_post($url,$fields_string){
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST"); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, $fields_string); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);   
// vinayak on 5 sep 2014
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(                                                                          
			'Content-Type: application/json', 
			'web_key:ab985cbac358d3cae6629eddb82b5f7e',                                                                               
			'Content-Length: ' . strlen($fields_string)
			)                                                                       
		); 
// *************** 		curl_setopt($ch, CURLOPT_POST, TRUE);
		curl_setopt($ch, CURLOPT_URL, $url);

		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, $this->ssl_verifypeer);

		//curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		//curl_setopt($ch, CURLOPT_CAINFO, getcwd() . "/CA_Certificates/ssl_koth.crt");
		//curl_setopt($ch, CURLOPT_CAINFO, getcwd() . "/CA_Certificates/koth_ssl2.pem");

		$response = curl_exec($ch);
		curl_close ($ch);
		return $response;                                             	
	}
	
	function curl_get($url,$postfields = NULL){
		$ch = curl_init();
		/* Curl settings */
		curl_setopt($ch, CURLOPT_USERAGENT, $this->useragent);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $this->connecttimeout);
		curl_setopt($ch, CURLOPT_TIMEOUT, $this->timeout);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
		//curl_setopt($ch, CURLOPT_HTTPHEADER, array('Expect:'));
		// vinayak on 5 sep 2014
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(                                                                          
			'Content-Type: application/json',
			'web_key:ab985cbac358d3cae6629eddb82b5f7e'                                                                            
			)                                                                       
		); 
// *************** 
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, $this->ssl_verifypeer);
		//curl_setopt($ch, CURLOPT_HEADERFUNCTION, array($this, 'getHeader'));

		//curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		//curl_setopt($ch, CURLOPT_CAINFO, getcwd() . "/CA_Certificates/koth_ssl2.pem");

		curl_setopt($ch, CURLOPT_HEADER, FALSE);    
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'GET');
		if (!empty($postfields)) {
			$url = "{$url}{$postfields}";
		}
		
		curl_setopt($ch, CURLOPT_URL, $url);
		$response = curl_exec($ch);
		curl_close ($ch);
		return $response;                                           	
	}
	function curl_put($url,$fields_string){
		$ch = curl_init($url);
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT"); 
		curl_setopt($ch, CURLOPT_POSTFIELDS, $fields_string); 
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);   
// vinayak on 5 sep 2014
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(                                                                          
			'Content-Type: application/json',                                                                                
			'Content-Length: ' . strlen($fields_string)
			)                                                                       
		); 
// ***************   
		curl_setopt($ch, CURLOPT_POST, TRUE);
		curl_setopt($ch, CURLOPT_URL, $url);

		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, $this->ssl_verifypeer);

		//curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		//curl_setopt($ch, CURLOPT_CAINFO, getcwd() . "/CA_Certificates/koth_ssl2.pem");
		
		$response = curl_exec($ch);
		curl_close ($ch);
		return $response;          
	
	}
	function curl_delete($url,$postfields = NULL){
		$ch = curl_init();
		/* Curl settings */
		curl_setopt($ch, CURLOPT_USERAGENT, $this->useragent);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $this->connecttimeout);
		curl_setopt($ch, CURLOPT_TIMEOUT, $this->timeout);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
		//curl_setopt($ch, CURLOPT_HTTPHEADER, array('Expect:'));
		// vinayak on 5 sep 2014
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(                                                                          
			'Content-Type: application/json'                                                                           
			)                                                                       
		); 
// *************** 
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, $this->ssl_verifypeer);
		//curl_setopt($ch, CURLOPT_HEADERFUNCTION, array($this, 'getHeader'));

		//curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
		//curl_setopt($ch, CURLOPT_CAINFO, getcwd() . "/CA_Certificates/koth_ssl2.pem");

		curl_setopt($ch, CURLOPT_HEADER, FALSE);    
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
		if (!empty($postfields)) {
			$url = "{$url}{$postfields}";
		}
		
		curl_setopt($ch, CURLOPT_URL, $url);
		$response = curl_exec($ch);
		curl_close ($ch);
		return $response;                                           	
	}
}
?>