<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Productgroup extends CI_Model 
	{
		public $productgroupId;
		public $productgroupName;
		public $fkproductgroupId;
		public $productgroupshortName;
		public $description;
		public $is_active;
		public $is_default;
		public $is_on;
		public $created_date;		
		public $created_by;
		public $modified_date;
		public $modified_by;
		public $deleted_date;
		public $deleted_by;
		public $delete_remark;
		
		
		
		public function __construct()
		{
			parent::__construct();	
			$this->productgroupId = 0;
			$this->productgroupName  = '';	
			$this->fkproductgroupId='';
			$this->productgroupshortName='';
			$this->description='';
			$this->is_active = 1;
			$this->is_default=0;
			$this->is_on=1;
			$this->created_date = date('d/m/Y');
			$this->created_by = 0;
			$this->modified_date = date('d/m/Y');
			$this->modified_by = 0;
			$this->deleted_date = date('d/m/Y');
			$this->deleted_by = 0;
			$this->delete_remark='';
			
		} 
		
		public function select_all()
		{					
			$sql=$this->db->get_where('productgroup_master',['is_active'=>1]);
			return $sql->result();

		} 
	
		public function insert($model)
		{
			return $this->db->insert('productgroup_master',$model);
			return $sql->result();

		}  

		public function update($model)
		{
			return $sql=$this->db->where('productgroupId',$model['productgroupId'])
						  ->update('productgroup_master',$model);

		} 

		public function delete($model)
		{
			return $sql=$this->db->where('productgroupId',$model->productgroupId)
						  ->update('productgroup_master',$model);

		} 
		public function search($productgroupId)
		{
			$sql=$this->db->get_where('productgroup_master',['productgroupId'=>$productgroupId]);
			return $sql->result();

		} 	
		public function getmaingrplist() 
		{
			$this->db->select("productmaingroupId,productmaingroupName");
			$this->db->from('productmaingroup_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		
	} 
	
?>