<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
	class Brand extends CI_Controller
	 {
		public function __construct()
		 {
			parent::__construct();	
			if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}	
			$this->load->model(['Model_Brand']);	
		 } 
		public function index()
		 {
			$data['data']=$this->Model_Brand->select_all();
			$this->load->view('header');
			$this->load->view('admin/brand/branddetails_view',$data);
			$this->load->view('footer');
		 }	
		public function create()
		 {
			$obj='';
			$brandId = $this->uri->segment(2);		
				if(empty($brandId))
				 {
					$brandId = 0;
				 }
				if($brandId > 0)
				{
					$obj = $this->Model_Brand->search($brandId);
				}
			$data['data']=$obj;
			//print_r($data);
			$this->load->view('header');
			$this->load->view('admin/brand/brand_view',$data);
			$this->load->view('footer');
		} 
		public function perform()
		 {
			$brandId=$this->input->post('txt_id');
			$brandName=$this->input->post('brandName');
			$description=$this->input->post('description');
			if($brandId>0)
			 {
				$data=[
				'brandId'			=>	$brandId,	
				'brandName'			=>	$brandName,
				'description'       =>$description,
				'modified_by'	=> $_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Brand->update($data);
		     }
			else
			 {
				$data=[
				'brandName'       => $brandName,
				'description'       => $description,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Brand->insert($data);
			 }
		 } 
		public function delete_perform()
		 {
			$brandId = $this->uri->segment(4);	
			if(!empty($brandId))
			 {
				$data=[
				'brandId'			=>	$brandId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Brand->update($data);
				redirect('BrandIndex');
			 }
			else
			 {
					show_404();
			 }
		 } 
} 