<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Color extends CI_Controller
{
	public function __construct()
	{		
		parent::__construct();
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}				
		$this->load->model(['Model_Color']);				
	} 

	public function index(){
		$data['data']=$this->Model_Color->select_all();
		 $this->load->view('header');
		$this->load->view('admin/color/colordetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';		
		$colorId = $this->uri->segment(2);		
		if(empty($colorId)){
			$colorId = 0;
		}		
		if($colorId > 0){
			$obj = $this->Model_Color->search($colorId);
		}		
		$data['data']=$obj;		
		 $this->load->view('header');
		$this->load->view('admin/color/color_view',$data);
		$this->load->view('footer');	
	} 	
		public function perform(){		
		$colorId=$this->input->post('txt_id');
		$colorName=$this->input->post('colorName');
		$description=$this->input->post('description');
		if($colorId>0)
		{
			$data=[

				'colorId'			=>	$colorId,	
				'colorName'			=>	$colorName,
				'description'       =>$description,				
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Color->update($data);		
		}
		else
		{
			$data=[
				'colorName'       => $colorName,
				'description'       => $description,				
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Color->insert($data);
			
		}
                                                    
		// redirect('ColorIndex');

	} 
	
	public function delete_perform(){

		$colorId = $this->uri->segment(4);

		if(!empty($colorId)){
			
			$data=[

				'colorId'			=>	$colorId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Color->update($data);
			
			 redirect('ColorIndex');
		}
		else{
			
			show_404();
		}

	} 
	

	
	
} 