<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Customerpayment extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('login');
		}	
		
		$this->load->model(['Model_Customerpayment','Model_Report']);	
			
	} 

	
	public function create(){

		$data['customer']=$this->Model_Customerpayment->customerlist(); 
		$data['paymenttype']=$this->Model_Customerpayment->paydetaillist();  
		// $data['mobapp']=$this->Model_Customerpayment->mobapplist();
		// $data['bank']=$this->Model_Customerpayment->banklist();  
		$this->load->view('header');
		$this->load->view('admin/customerpayment/customerpayment_view',$data);
		$this->load->view('footer');
	
	} 

	public function findcustomername()
	{
		$customerId=$this->input->post('customerId');
		$data=$this->Model_Customerpayment->findcustomername($customerId);
		 print_r(json_encode($data));
	}

	public function report()
	{
		// echo('hii');
		$customerId = $this->session->userdata('customerId'); 
		$paymentDate = $this->session->userdata('paymentDate');
		$enddate = $this->session->userdata('enddate');
		if ($customerId!='' || $paymentDate!='' || $enddate!='') {
			# code...
			$data['customerData']=$this->Model_Customerpayment->paymentdetails($customerId,$paymentDate,$enddate);
		$data['total']=$this->Model_Customerpayment->totalpaid($customerId,$paymentDate,$enddate);
		$recordOrg=$this->Model_Report->selectorg();
		$org['org']=['orgData'=>$recordOrg];
		$data['main']=$data;
		$data['data']=array_merge($data['main'],$org['org']);

		$this->load->view('header');
		$this->load->view('admin/customerpayment/custreport_view',$data);
		$this->load->view('footer');
		}
		else
		{
			redirect('admin/Customerpayment/create');
		}
		

		// echo($customerId);
	}

	public function paymentdetails()
	{
		$i=1;
		$output='';
		$customerId=$this->input->post('customerId');
		$paymentDate=$this->input->post('paymentDate');
		$enddate=$this->input->post('enddate');

		$this->session->set_userdata('customerId', $customerId);
		$paymentdata=array(
						'customerId'=>$customerId,
						'paymentDate'=>$paymentDate,
						'enddate'=>$enddate
						
						);
		$this->session->set_userdata($paymentdata);


		$payment=$this->Model_Customerpayment->paymentdetails($customerId,$paymentDate,$enddate);
		$total=$this->Model_Customerpayment->totalpaid($customerId,$paymentDate,$enddate);

		// $data['data']=array_merge($payment,$total);

		if(!empty($payment)){
			foreach ($payment as $key => $value) {
				$output.='<tr>
				 <td>'.$i.'</td>
                	<td>'.$value->customerId.'</td>
				<td>'.$value->customerName.'</td>
				<td>'.$value->paymentType.'</td>
				<td>'.$value->mobileappName.'</td>
				<td>'.$value->transactionId.'</td>
				<td>'.$value->bankName.'</td>
				<td>'.$value->chequeNo.'</td>
				<td>'.$value->chequeDate.'</td>
				<td>'.$value->paymentDate.'</td>
				<td>'.$value->paidAmount.'</td>
				</tr>
				';
				$i++;
					}
		}
		if(!empty($total)){
			foreach ($total as $key => $value) {
				$output.='<tr>
				 	<td style="border-color: white;"></td>
                	<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
                	<td style="border-color: white;">Total:'.$value->totalpaid.'</td>
				
				</tr>
				';
				$i++;
					}
		}
		echo $output;

		 // print_r(json_encode($data));
	}
	
	
	
} 