<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class District extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_District']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_District->select_all();


		 $this->load->view('header');
		$this->load->view('admin/district/districtDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$districtId =$this->uri->segment(2);
		
		if(empty($districtId)){
			$districtId = 0;
		}
		
		if($districtId > 0){
			$obj = $this->Model_District->search($districtId);
		}
		
		$data['data']=$obj;
		$data['country']=$this->Model_District->getcountrylist();
		//$data['state']=$this->Model_District->getstatelist();

       //print_r($data);exit();
		 $this->load->view('header');
		$this->load->view('admin/district/district_view',$data);
		$this->load->view('footer');
	
	} 
	public function getstate(){
		$countryId = $this->input->post();
		$data = $this->Model_District->getstate($countryId);
		 print_r( json_encode($data));
		//print_r($data);
		//exit();
	}
	public function perform(){
		$districtId =$this->input->post('txt_id');
		$districtName=$this->input->post('districtName');
		$districtshortName=$this->input->post('districtshortName');
		$districtCode=$this->input->post('districtCode');

		$fkstateId=$this->input->post('stateId');
		$fkcountryId=$this->input->post('countryId');

		if($districtId>0)
		{
			$data=[

				'districtId'    =>$districtId,
				'districtName'	=>	$districtName,
				'districtshortName'	=>	$districtshortName,
				'districtCode'	=>	$districtCode,
				'fkcountryId'   =>$fkcountryId,
				'fkstateId'     =>$fkstateId,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_District->update($data);
			// {
			// 	$this->Model_Notification->show_notification(2);	
			// }
			// else
			// {	
			// 	$this->Model_Notification->show_notification(5);	
			// }
		}
		else
		{
			$data=[
				'districtName'	=>	$districtName,
				'districtshortName'	=>	$districtshortName,
				'districtCode'	=>	$districtCode,
				'fkcountryId'   => $fkcountryId,
				'fkstateId'		=>$fkstateId,
				'created_by'	=>$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

				
			$this->Model_District->insert($data);
			// {
			// 	$this->Model_Notification->show_notification(1);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(4);	
			// }
		}
		//print_r($data);
		//print_r($bankId);

		// redirect('District');

	} 
	
	public function delete_perform(){

		$districtId = $this->uri->segment(4);

		if(!empty($districtId)){
			
			$data=[

				'districtId'		=>	$districtId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_District->update($data);
			// {
			// 	$this->Model_Notification->show_notification(3);		
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(6);	
			// }
			 redirect('DistrictIndex');
		}
		else{
			
			show_404();
		}

	} 
		
} 