<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Product extends CI_Controller
{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}	
		$this->load->model(['Model_Product','Model_Manufacture']);	
		 $this->load->library('Upload');			
	} 

	public function index(){
		$data['data']=$this->Model_Product->select_all();
		// echo "<pre>";
		// print_r($data);

		 $this->load->view('header');
		$this->load->view('admin/product/productdetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$productId = $this->uri->segment(2);		
		if(empty($productId))
		{
			$productId = 0;
		}		
		if($productId > 0)
		{
			$obj = $this->Model_Product->search($productId);
		}		
	    	$data['data']=$obj;
		$data['category']=$this->Model_Product->getcategorylist();
		$data['subcategory']=$this->Model_Product->getsubcategorylist();				
		$data['color']=$this->Model_Product->getcolorlist();
		$data['size']=$this->Model_Product->getsizelist();
		$data['shape']=$this->Model_Product->getshapelist();
		$data['hsnsac']=$this->Model_Product->gethsnsaclist();
		$data['gst']=$this->Model_Product->getgstlist();
		$data['unit']=$this->Model_Product->getunitlist();
		
		$data['warehouse']=$this->Model_Product->getwarehouselist();
		$data['company']=$this->Model_Product->getcompanylist();
		$data['productmaingroup']=$this->Model_Product->getproductmaingrouplist();
		$data['productsubgroup']=$this->Model_Product->getproductsubgrouplist();
		$data['productgroup']=$this->Model_Product->getproductgrouplist();
		$data['brand']=$this->Model_Product->getbrandlist();


		$data['classification']=$this->Model_Product->getclasslist();
		$data['storage']=$this->Model_Product->getstoragelist();
		$data['generic']=$this->Model_Product->getgenericlist();
		$data['content']=$this->Model_Product->getcontentlist();
		$data['content1']=$this->Model_Product->getcontentdetails($productId);

		$data['supplier']=$this->Model_Product->getsupplierlist();
		$data['supplier1']=$this->Model_Product->getsupplierdetails($productId);

		$data['product1']=$this->Model_Product->getdualprodetails($productId);

		$data['product']=$this->Model_Product->getproductlist();

		$data['Tax']=$this->Model_Product->getTaxlist();


    //  echo "<pre>";
    //  print_r($data['product1']); 
		 $this->load->view('header');
		$this->load->view('admin/product/product_view',$data);
		$this->load->view('footer');	
	} 

	public function getsuggestionlist()
    {
    	$output="";
    	$search_data = $this->input->post('productName');
        $query = $this->Model_Product->get_autocomplete($search_data);
  //       $query = $this->input->get('productName');
  //       $this->db->like('productName', $query);
	 //  $data = $this->db->get("category_master")->result();
	 // echo json_encode($data);
      //   if (!empty($query)) {
      //   			foreach ($query as $row):
      //       echo "<li style='list-style-type: none;' >". $row->productName . "</li>";
      //   endforeach;
    		// }
    		// else
    		// {
    		// 	// echo "<li style='list-style-type: none;' > Not Found</li>";
    		// }

    		if(!empty($query)){

    			$output.='<table id="" style="overflow-y: scroll; border-color: white; background-color:white;">';
			foreach ($query as $key => $value) {


				$output.='


				<tr>
				 <td>'.$value->productName.'</td>
				
				
				</tr>
				';

				
					}
					$output.='</table>';
		}
		echo $output;


    	 }
	public function perform()
	{
		if($_POST)
		{
		$productId =$this->input->post('txt_id');
		$productBarcode=$this->input->post('productBarcode');
		$productName=$this->input->post('productName');
		$productshortName=$this->input->post('productshortName');
	    $fkcategoryId=$this->input->post('categoryId');
        $fksubcategoryId=$this->input->post('subcategoryId');
        $fkcolorId=$this->input->post('colorId');
		$fksizeId=$this->input->post('sizeId');
		$fkshapeId=$this->input->post('shapeId');
		$fkhsnsacId=$this->input->post('hsnsacId');
		$fkgstId=$this->input->post('gstId');
		$fkunitId=$this->input->post('fkunitId');
        $productWeight=$this->input->post('productWeight');
        $productHight=$this->input->post('productHight');
        $storageLocation=$this->input->post('storageLocation');
        $fkwarehouseId=$this->input->post('warehouseId');
        $openingStock=$this->input->post('openingStock');
        $purchaseRate=$this->input->post('purchaseRate');
        $mrpRate=$this->input->post('mrpRate');
        $minsalesRate=$this->input->post('minsalesRate');
        $minstockLevel=$this->input->post('minstockLevel');
        $maxstockLevel=$this->input->post('maxstockLevel');
        $salesRate=$this->input->post('salesRate');
        $fkcompanyId=$this->input->post('companyid');
        $fkproductmaingroupId=$this->input->post('productmaingroupId');
        $fkproductsubgroupId=$this->input->post('productsubgroupId');
        $fkproductgroupId=$this->input->post('productgroupId');
        $fkbrandId=$this->input->post('brandId');
        $description=$this->input->post('description');

        $fkmanufactureId=$this->input->post('manufactureId');
        $fkclassificationId=$this->input->post('classificationId');
        $fkstorageId=$this->input->post('storageId');
        $fkgenericcmpId=$this->input->post('genericcmpId');
         $fkbarcodestatusId=$this->input->post('barcodestatus');



        $fksecondunitId=$this->input->post('secondunitId');
        $conversion=$this->input->post('conversion');


        $fkcontentId=$this->input->post('contentId');
         $fksupplierId=$this->input->post('supplierId');


        $photo=$this->input->post('photo');
         $photo1=$this->input->post('photo1');
         $photo2=$this->input->post('photo2');
         $photo3=$this->input->post('photo3');
        //  $ApplicantPhoto=$this->input->post('ApplicantPhoto');  


         $sameproduct=$this->input->post('productId1');      


         $unitId=$this->input->post('fkunitId');      
         $purchasePack=$this->input->post('purchasePack');      
         $selfNo=$this->input->post('selfNo');      
         $noOfLabel=$this->input->post('noOfLabel'); 

         $sheduledDrug=$this->input->post('sheduledDrug');      
         $fkTaxId=$this->input->post('fkTaxId');      
         $margin=$this->input->post('margin');      
         $disc=$this->input->post('disc');      



		
			        $photo = '';  
           if($_FILES["photo"]["name"] != '')  
             {  
                $photo = $this->upload_image();  
             }  
          else  
             {  
                 $photo = $this->input->post("hidden_photo");  
             }

              $photo1 = '';  
           if($_FILES["photo1"]["name"] != '')  
             {  
                $photo1 = $this->upload_image1();  
             }  
          else  
             {  
                 $photo1 = $this->input->post("hidden_photo1");  
             }

              $photo2 = '';  
           if($_FILES["photo2"]["name"] != '')  
             {  
                $photo2 = $this->upload_image2();  
             }  
          else  
             {  
                 $photo2 = $this->input->post("hidden_photo2");  
             }

              $photo3 = '';  
           if($_FILES["photo3"]["name"] != '')  
             {  
                $photo3 = $this->upload_image3();  
             }  
          else  
             {  
                 $photo3 = $this->input->post("hidden_photo3");  
             }

			 $ApplicantPhoto = '';  
			 if($_FILES["ApplicantPhoto"]["name"] != '')  
			   {  
				  $ApplicantPhoto = $this->upload_ApplicantPhoto();  
			   }  
			else  
			   {  
				   $ApplicantPhoto = $this->input->post("hiddenphoto");  
			   }
			  
			
		
			$data=[
				
				'productBarcode'	=>	$productBarcode,
				'productName'	=>	$productName,
				'productshortName'	=>	$productshortName,
				'fkcategoryId'	=>	$fkcategoryId,
				'fksubcategoryId'	=>	$fksubcategoryId,
				'fkcolorId'   =>$fkcolorId,
				'fksizeId'     =>$fksizeId,
				'fkshapeId'  =>$fkshapeId,
				'photo'	=>$photo,
				'photo1'	=>$photo1,
				'photo2'	=>$photo2,
				'photo3'	=>$photo3,
				'ApplicantPhoto'	=>$ApplicantPhoto,
				'fkhsnsacId'    =>$fkhsnsacId,
				'fkgstId'        =>$fkgstId,
				'fkunitId'    =>$fkunitId,
                'productWeight'=>$productWeight,
                'productHight'=>$productHight,               
                'storageLocation'   =>$storageLocation,
				'fkwarehouseId'=>$fkwarehouseId,
				'openingStock'    =>$openingStock,
				'purchaseRate'     =>$purchaseRate,
				'mrpRate'	=>$mrpRate,	
				'minsalesRate'	=>$minsalesRate,				
				'minstockLevel'    =>$minstockLevel,
				'maxstockLevel'    =>$maxstockLevel,
				'salesRate'    =>$salesRate,
				'fkcompanyId'=>$fkcompanyId,
				'fkproductmaingroupId'    =>$fkproductmaingroupId,
				'fkproductsubgroupId'=>$fkproductsubgroupId,
				'fkproductgroupId'=>$fkproductgroupId,
				'fkbrandId'=>$fkbrandId,

				'fkclassificationId'=>$fkclassificationId,
				'fkstorageId'=>$fkstorageId,
				'fkgenericcmpId'=>$fkgenericcmpId,
				'fkmanufactureId	'=>$fkmanufactureId	,
				'fkbarcodestatusId'=>$fkbarcodestatusId,

				'description'=>$description,



				'unitId'=>$unitId,
				'purchasePack'=>$purchasePack,
				'selfNo'=>$selfNo,
				'noOfLabel'=>$noOfLabel,

				'fkcontentId'=>$fkcontentId,

				'sheduledDrug'=>$sheduledDrug,
				'fkTaxId'=>$fkTaxId,
				'margin'=>$margin,
				'disc'=>$disc,




				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];				
			if ($this->Model_Product->insert('product_master',$data)) 
			{
				$maxfkproductId=$this->Model_Product->getMaxId()[0]->productId;
				// print($maxfkproductId);
				if($fksecondunitId!="")
				{
			
					for($i=0;$i<count($fksecondunitId);$i++)
				{


				$getsecondunitId=$fksecondunitId[$i];

				$getconversion=$conversion[$i];
				
				
				
				$unitdata=[

					'fkproductId'	=>$maxfkproductId,
					'fksecondunitId'	=>$getsecondunitId,
					'conversion'	=>$getconversion,
					


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Product->insert('productsecondunit',$unitdata);
			}
		}

		// 		if($fkcontentId!="")
		// 		{
				
		// 			for($i=0;$i<count($fkcontentId);$i++)
		// 		{


		// 		$getfkcontentId=$fkcontentId[$i];

				
				
				
		// 		$contentdata=[

		// 			'fkproductId'	=>$maxfkproductId,
		// 			'fkcontentId'	=>$getfkcontentId,
					
					


		// 			'created_by'		=>	$_SESSION['u_id'],
		// 			'created_date'		=>	date('Y-m-d H:i:s')
		// 		];

		// 		$this->Model_Product->insert('productcontent',$contentdata);
				
		// 	}
		// }

			if($fksupplierId!="")
				{
			
					for($i=0;$i<count($fksupplierId);$i++)
				{


				$getfksupplierId=$fksupplierId[$i];

				// $getconversion=$conversion[$i];
				
				
				
				$supplierdata=[

					'fkproductId'	=>$maxfkproductId,
					'fksupplierId'	=>$getfksupplierId,
					
					


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Product->insert('productsupplier',$supplierdata);
				// $this->Model_Notification->show_notification(1);
			}
		}



		if($sameproduct!="")
				{
				
					for($i=0;$i<count($sameproduct);$i++)
				{


				$getsameproduct=$sameproduct[$i];

				// $getconversion=$conversion[$i];
				
				
				
				$dualproductdata=[

					'fkproductId'	=>$maxfkproductId,
					'fkproductId1'	=>$getsameproduct,
					
					


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Product->insert('productsame',$dualproductdata);
				// $this->Model_Notification->show_notification(1);
			}
		}
			}
		
		}
	} 
	function upload_image1()  
    {  
       if(isset($_FILES["photo1"]))  
        {  
        	if ($_FILES["photo1"]["name"]!="") {
         $extension1 = explode('.', $_FILES['photo1']['name']);  
          $new_name1 = rand() . '.' . $extension1[1];  
          $destination1 = './upload/' . $new_name1;  
          move_uploaded_file($_FILES['photo1']['tmp_name'], $destination1);  
          return $new_name1;  
         } 
         else
         {
         	$new_name1="";
        		return $new_name1;
         }
     }
    } 


    public function insertManufacture()
	{   
		if($_POST)
		{
		  $manufactureName = $this->input->post('manufactureName');
           

            $fields  = array('manufactureName'=>$manufactureName,
     
            
            	'created_date'=>date('Y-m-d H:i:s'),
	  	  	'created_by'=>$_SESSION['u_id']);
		
		  $this->Model_Manufacture->insert($fields);

	    }	  
	   
	}

	public function insertCompany()
	{   
		if($_POST)
		{
		  $companyName = $this->input->post('companyName');
           

            $fields  = array('companyName'=>$companyName,
     
            
            	'created_date'=>date('Y-m-d H:i:s'),
	  	     	'created_by'=>$_SESSION['u_id']);
		
				$this->Model_Product->insert('company_master',$fields);

	    }	  
	   
	}
	public function insertTax()
	{   
		if($_POST)
		{
		  $taxCategoryName = $this->input->post('taxCategoryName');
           

            $fields  = array('TaxName'=>$taxCategoryName,
     
            
            	'created_date'=>date('Y-m-d H:i:s'),
	  	     	'created_by'=>$_SESSION['u_id']);
		
				$this->Model_Product->insert('tax_master',$fields);

	    }	  
	   
	}

	public function insertCategory()
	{   
		if($_POST)
		{
		  $categoryName = $this->input->post('categoryName');
           

            $fields  = array('categoryName'=>$categoryName,
     
            
            	'created_date'=>date('Y-m-d H:i:s'),
	  	     	'created_by'=>$_SESSION['u_id']);
		
				$this->Model_Product->insert('category_master',$fields);

	    }	  
	   
	}



	public function insertContent()
	{   
		if($_POST)
		{
		  $contentName = $this->input->post('contentName');
           

            $fields  = array('contentName'=>$contentName,
     
            
            	'created_date'=>date('Y-m-d H:i:s'),
	  	     	'created_by'=>$_SESSION['u_id']);
		
				$this->Model_Product->insert('content_master',$fields);

	    }	  
	   
	}

    function upload_image2()  
    {  
       if(isset($_FILES["photo2"]))  
        {  
        	if ($_FILES["photo"]["name"]!="") {
         $extension2 = explode('.', $_FILES['photo2']['name']);  
          $new_name2 = rand() . '.' . $extension2[1];  
          $destination2 = './upload/' . $new_name2;  
          move_uploaded_file($_FILES['photo2']['tmp_name'], $destination2);  
          return $new_name2;  
         }  
         else
         {
         	$new_name2="";
        		return $new_name2;
         }
     }
    } 

    public function getManufactureList()
    {
        $result= $this->Model_Product->getmanufacturelist();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
    }


	

	public function getCompanyLists() {
        $data=$this->Model_Product->getCompanyLists();

        echo json_encode($data);
    }

	public function getTaxlists() {
        $data=$this->Model_Product->getTaxlist();

        echo json_encode($data);
    }

	public function getContentlists() {
        $data=$this->Model_Product->getContentlists();

        echo json_encode($data);
    }
	
	
	public function getCategorylists() {
        $data=$this->Model_Product->getCategorylists();

        echo json_encode($data);
    }

    public function getcategory(){
		$fkcategoryId = $this->input->post();
		$data = $this->Model_Product->getcategory($fkcategoryId);
		 print_r( json_encode($data));
		// print_r($fkproductmaingroupId);
		//exit();
	}

	public function getproductgrp(){
		$fkproductmaingroupId = $this->input->post();
		$data = $this->Model_Product->getproductgrp($fkproductmaingroupId);
		 print_r( json_encode($data));
		// print_r($fkproductmaingroupId);
		//exit();
	}
	public function getsubproductgrp(){
		$fkproductgroupId = $this->input->post();
		$data = $this->Model_Product->getsubproductgrp($fkproductgroupId);
		 print_r( json_encode($data));
		// print_r($fkproductmaingroupId);
		//exit();
	}
	public function getsecondaryunit()
	{
		$UnitId = $this->input->post('UnitId');
		$data=$this->Model_Product->getsecondaryunit($UnitId);
		 print_r( json_encode($data));
	}
    function upload_image3()  
    {  
        if(isset($_FILES["photo3"]))  
        {  
        	if ($_FILES["photo"]["name"]!="") {
         $extension3 = explode('.', $_FILES['photo3']['name']);  
          $new_name3 = rand() . '.' . $extension3[1];  
          $destination3 = './upload/' . $new_name3;  
          move_uploaded_file($_FILES['photo3']['tmp_name'], $destination3);  
          return $new_name3;  
         }  
         else
         {
         	$new_name3="";
        		return $new_name3;
         }
     }
    } 


	function upload_ApplicantPhoto()  
    {  
        if(isset($_FILES["ApplicantPhoto"]))  
        {  
        	if ($_FILES["ApplicantPhoto"]["name"]!="") {
         $extension4 = explode('.', $_FILES['ApplicantPhoto']['name']);  
          $new_name4 = rand() . '.' . $extension4[1];  
          $destination4 = './upload/' . $new_name4;  
          move_uploaded_file($_FILES['ApplicantPhoto']['tmp_name'], $destination4);  
          return $new_name4;  
         }  
         else
         {
         	$new_name4="";
        	return $new_name4;
         }
     }
    }


    public function getunitdetails()
	{
		//echo "hii";
		$output='';
		$fkproductId=$this->input->post('fkproductId');
		$data=$this->Model_Product->getunitdetails($fkproductId);
		
		// print_r(json_encode($data));
		if(!empty($data))
		{
			$i=0;
			foreach ($data as $key => $value) {
				$i++;
				
				$output.='<tr class="deleteclass'.$value->productsecondunitId.'">
				<td>
					<center>
					<button type="button" class="btn btn-danger ti-trash" style="margin-left:35px;" id="btnitemDelete'.$value->productsecondunitId.'" onclick="delete_unit_details('.$value->productsecondunitId.');">
					</button>
					</center>
				</td>

				<td><input type="text" disabled id="secondunitId'.$i.'"  name="secondunitId[]" class="secondunit-Id form-control tds-width" value="'.$value->fksecondunitId.'"></td>
				
				<td><input type="text" disabled id="UnitName'.$i.'"  name="UnitName[]" class="UnitName form-control tds-width" value="'.$value->UnitName.'"></td>
				<td><input type="text" disabled id="conversion'.$i.'"  name="conversion[]" class="conversion form-control tds-width" value="'.$value->conversion.'"></td>

				</tr>';
					
			}
		}
		echo $output;

	}



	public function update()
	{
		
		$productId =$this->input->post('txt_id');
		$productBarcode=$this->input->post('productBarcode');
		$productName=$this->input->post('productName');
		$productshortName=$this->input->post('productshortName');
	    $fkcategoryId=$this->input->post('categoryId');
        $fksubcategoryId=$this->input->post('subcategoryId');
        $fkcolorId=$this->input->post('colorId');
		$fksizeId=$this->input->post('sizeId');
		$fkshapeId=$this->input->post('shapeId');
		$fkhsnsacId=$this->input->post('hsnsacId');
		$fkgstId=$this->input->post('gstId');
		$fkunitId=$this->input->post('fkunitId');
        $productWeight=$this->input->post('productWeight');
        $productHight=$this->input->post('productHight');
        $storageLocation=$this->input->post('storageLocation');
        $fkwarehouseId=$this->input->post('warehouseId');
        $openingStock=$this->input->post('openingStock');
        $purchaseRate=$this->input->post('purchaseRate');
        $mrpRate=$this->input->post('mrpRate');
        $minsalesRate=$this->input->post('minsalesRate');
        $minstockLevel=$this->input->post('minstockLevel');
        $maxstockLevel=$this->input->post('maxstockLevel');
        $salesRate=$this->input->post('salesRate');
        $fkcompanyId=$this->input->post('companyid');
        $fkproductmaingroupId=$this->input->post('productmaingroupId');
        $fkproductsubgroupId=$this->input->post('productsubgroupId');
        $fkproductgroupId=$this->input->post('productgroupId');
        $fkbrandId=$this->input->post('brandId');
        $description=$this->input->post('description');

         $fkmanufactureId=$this->input->post('manufactureId');
        $fkclassificationId=$this->input->post('classificationId');
        $fkstorageId=$this->input->post('storageId');
        $fkgenericcmpId=$this->input->post('genericcmpId');
         $fkbarcodestatusId=$this->input->post('barcodestatus');


        $fksecondunitId=$this->input->post('secondunitId');
        $conversion=$this->input->post('conversion');


        $fkcontentId=$this->input->post('contentId');
         $fksupplierId=$this->input->post('supplierId');


        $photo=$this->input->post('photo');
         $photo1=$this->input->post('photo1');
         $photo2=$this->input->post('photo2');
         $photo3=$this->input->post('photo3');       
		 $sameproduct=$this->input->post('productId1'); 

		 $unitId=$this->input->post('fkunitId');      
         $purchasePack=$this->input->post('purchasePack');      
         $selfNo=$this->input->post('selfNo');      
         $noOfLabel=$this->input->post('noOfLabel');  

		 $sheduledDrug=$this->input->post('sheduledDrug');      
         $fkTaxId=$this->input->post('fkTaxId');      
         $margin=$this->input->post('margin');      
         $disc=$this->input->post('disc');  


			        $photo = '';  
           if($_FILES["photo"]["name"]!= '')  
             {  
                $photo = $this->upload_image();  
             }  
          else  
             {  
                 $photo = $this->input->post("hidden_photo");  
             }

              $photo1 = '';  
           if($_FILES["photo1"]["name"] != '')  
             {  
                $photo1 = $this->upload_image1();  
             }  
          else  
             {  
                 $photo1 = $this->input->post("hidden_photo1");  
             }

              $photo2 = '';  
           if($_FILES["photo2"]["name"] != '')  
             {  
                $photo2 = $this->upload_image2();  
             }  
          else  
             {  
                 $photo2 = $this->input->post("hidden_photo2");  
             }

              $photo3 = '';  
           if($_FILES["photo3"]["name"] != '')  
             {  
                $photo3 = $this->upload_image3();  
             }  
          else  
             {  
                 $photo3 = $this->input->post("hidden_photo3");  
             }
			 $ApplicantPhoto = '';  
			 if($_FILES["ApplicantPhoto"]["name"] != '')  
			   {  
				  $ApplicantPhoto = $this->upload_ApplicantPhoto();  
			   }  
			else  
			   {  
				   $ApplicantPhoto = $this->input->post("hiddenphoto");  
			   }
		
			$data=[
				'productId'=>$productId,
				'productBarcode'	=>	$productBarcode,
				'productName'	=>	$productName,
				'productshortName'	=>	$productshortName,
				'fkcategoryId'	=>	$fkcategoryId,
				'fksubcategoryId'	=>	$fksubcategoryId,
				'fkcolorId'   =>$fkcolorId,
				'fksizeId'     =>$fksizeId,
				'fkshapeId'  =>$fkshapeId,
				'photo'	=> $photo,
				'photo1'	=> $photo1,
				'photo2'	=> $photo2,
				'photo3'	=> $photo3,
				'ApplicantPhoto' =>$ApplicantPhoto,
				'fkhsnsacId'    =>$fkhsnsacId,
				'fkgstId'        =>$fkgstId,
				'fkunitId'    =>$fkunitId,
                'productWeight'=>$productWeight,
                'productHight'=>$productHight,               
                'storageLocation'   =>$storageLocation,
				'fkwarehouseId'=>$fkwarehouseId,
				'openingStock'    =>$openingStock,
				'purchaseRate'     =>$purchaseRate,
				'mrpRate'	=>$mrpRate,	
				'minsalesRate'	=>$minsalesRate,				
				'minstockLevel'    =>$minstockLevel,
				'maxstockLevel'    =>$maxstockLevel,
				'salesRate'    =>$salesRate,
				'fkcompanyId'=>$fkcompanyId,
				'fkproductmaingroupId'    =>$fkproductmaingroupId,
				'fkproductsubgroupId'=>$fkproductsubgroupId,
				'fkproductgroupId'=>$fkproductgroupId,
				'fkbrandId'=>$fkbrandId,

				'fkclassificationId'=>$fkclassificationId,
				'fkstorageId'=>$fkstorageId,
				'fkgenericcmpId'=>$fkgenericcmpId,
				'fkmanufactureId	'=>$fkmanufactureId	,
				'fkbarcodestatusId'=>$fkbarcodestatusId,


				'description'=>$description,

				'unitId'=>$unitId,
				'purchasePack'=>$purchasePack,
				'selfNo'=>$selfNo,
				'noOfLabel'=>$noOfLabel,
				'fkcontentId'=>$fkcontentId,


				'sheduledDrug'=>$sheduledDrug,
				'fkTaxId'=>$fkTaxId,
				'margin'=>$margin,
				'disc'=>$disc,


				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];				
			if ($this->Model_Product->update('product_master',$data)) 
			{
				$maxfkproductId=$this->Model_Product->getMaxId()[0]->productId;
				
				if($fksecondunitId!="")
				{
				

					for($i=0;$i<count($fksecondunitId);$i++)
				{


				$getsecondunitId=$fksecondunitId[$i];

				$getconversion=$conversion[$i];
				
				
				
				$unitdata=[

					'fkproductId'	=>$productId,
					'fksecondunitId'	=>$getsecondunitId,
					'conversion'	=>$getconversion,
					


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Product->insert('productsecondunit',$unitdata);
				
			}
			
		}


		// $whereArray=array('fkproductId'=>$productId);
		// $this->Model_Product->deleteRecord('productcontent',$whereArray);

		// if(!empty($fkcontentId))
		// { 

		//   for($i=0;$i<count($fkcontentId);$i++)
		//   { 
		// 	  $insertkeys=array(
		// 	  'fkproductId'=>$productId,
		// 	  'fkcontentId'=>$fkcontentId[$i],
		// 		'created_by'=>1
		
		// 	 );
		
		//   $this->Model_Product->insert("productcontent",$insertkeys);
		  
		//    }
		//  }

		




		 $whereArray=array('fkproductId'=>$productId);
		 $this->Model_Product->deleteRecord('productsupplier',$whereArray);
 
		 if(!empty($fksupplierId))
		 { 
 
		   for($i=0;$i<count($fksupplierId);$i++)
		   { 
			   $insertkeys=array(
			   'fkproductId'=>$productId,
			   'fksupplierId'=>$fksupplierId[$i],
				 'created_by'=>1
		 
			  );
		 
		   $this->Model_Product->insert("productsupplier",$insertkeys);
		   
			}
		  }




		$whereArray=array('fkproductId'=>$productId);
		$this->Model_Product->deleteRecord('productsame',$whereArray);

		if(!empty($sameproduct))
		{ 

		  for($i=0;$i<count($sameproduct);$i++)
		  { 
			  $insertkeys=array(
			  'fkproductId'=>$productId,
			  'fkproductId1'=>$sameproduct[$i],
				'created_by'=>1
		
			 );
		
		  $this->Model_Product->insert("productsame",$insertkeys);
		  
		   }
		 }


		


			}
		
		
	} 
	//  public function ajaxsearch()
    // {
    //     $search_data = $this->input->post('searchdata');
   
    //     $data = $this->Model_Product->getautocomplete($search_data);
    //     $result=json_decode(json_encode($data), true); 

     
    //     $output='';

      
    //     foreach ($result as $key => $value) {
    //         $output.='<li class="search-menu-item ui-menu-item" onclick="addsearchvalues(\''.$value['productName'].'\')">'.$value['productName'].'</li>';
    //     }
        
    //     echo $output;
    //  }


	public function ajaxsearch()
{
    $search_data = $this->input->post('searchdata');
    $data = $this->Model_Product->getautocomplete($search_data);
    $result=json_decode(json_encode($data), true); 

    $output='';
    foreach ($result as $key => $value) {
        $output.='<option value='.$value['productName'].' class="search-menu-item ui-menu-item" onclick="addsearchvalues(\''.$value['productName'].'\')">'.$value['productName'].'</option>';
    }
    
    echo $output;
}


public function getSuggestions() {
	// You can fetch data from the database or any other source here
	// $suggestions = ['Apple', 'Banana', 'Orange', 'Pineapple', 'Mango'];

	$search_data = $this->input->post('searchdata');
    $data = $this->Model_Product->getautocomplete($search_data);

	// Return suggestions as JSON
	echo json_encode($data);
}



	function getgst()
	{
		$hsnsacId = $this->input->post();
		$data = $this->Model_Product->getgst($hsnsacId);
		 print_r( json_encode($data));
	}

    function upload_image()  
    {  
       if(isset($_FILES["photo"]))  
        {  
        	if ($_FILES["photo"]["name"]!="") {
         $extension = explode('.', $_FILES['photo']['name']);  
          $new_name = rand() . '.' . $extension[1];  
          $destination = './upload/' . $new_name;  
          move_uploaded_file($_FILES['photo']['tmp_name'], $destination);  
          return $new_name;  
      }
      else
      {
      	$new_name="";
        		return $new_name;
         }   
      }
    }   
	
	public function delete_perform(){

		$productId = $this->uri->segment(4);

		if(!empty($productId)){
			
			$data=[

				'productId'	=>	$productId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Product->update($data);
			 redirect('ProductIndex');
		}
		else
		{
			
			show_404();
		}
		
	} 
	

	public function delete()
	{
		$productsecondunitId=$this->input->get('productsecondunitId');
		// print_r($invoiceproductId);
		$data=[
				'is_active'=>0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')];

		if($this->Model_Product->delete($productsecondunitId,$data))
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
	} 
} 