<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Sales extends CI_Controller{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}			
		$this->load->model(['SalesModel','Model_Purchasebill','Model_Product','Model_Supplier','Model_Report']);			
	} 
	public function index()
	{
	  $data['data1']=$this->SalesModel->SaleTableData();
	  $total_active_salesmain = $this->SalesModel->getActiveSalesmainCount();

	 $data['salesmaincount'] = $total_active_salesmain + 1;
	//    echo "<pre>";
	// 	print_r($data['data1']);

		// print_r($data);
		$this->load->view('admin/sales/saleHeader');
		 $this->load->view('admin/sales/sales_view',$data);
	 	 $this->load->view('admin/sales/saleFooter');
	}

    // public function create()
	// {
		
	// }

	public function getProductList()
    {
        $result = $this->SalesModel->getproductlist();   
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
    }

	public function getproductdetails(){
		$productId=$this->input->post('productId');
		//$fields  = array('itemId' => $itemId);
		$data=$this->SalesModel->getproductdetails($productId);
	
		print_r(json_encode($data));
 
	}



		 public function insertTable() {

			$VoucherNo = $this->input->post('VoucherNo');
			$saledate = $this->input->post('saledate');
			$multipalMRP = $this->input->post('multipalMRP');
			$billNo = $this->input->post('billNo');
			$billAmt = $this->input->post('billAmt');
			$drug = $this->input->post('drug');
			$batchQty = $this->input->post('batchQty');
			$Shelf = $this->input->post('Shelf');
			$companyName = $this->input->post('companyName');
			$totalQty = $this->input->post('totalQty');
			$MinLevel = $this->input->post('MinLevel');
			$packDesc = $this->input->post('packDesc');
			$purCost = $this->input->post('purCost');
			$unitRate = $this->input->post('UnitRate');
			$total = $this->input->post('total');
			$packDesc = $this->input->post('packDesc');



       //  Table names

			$productName = $this->input->post('productName');
			$unit = $this->input->post('unit');
			$company = $this->input->post('company');
			$selfNo = $this->input->post('selfNo');
			$batch = $this->input->post('batch');
			$expDate = $this->input->post('expDate');
			$moreMrp = $this->input->post('moreMrp');
			$Quantity = $this->input->post('Quantity');
			$productamount = $this->input->post('productamount');
		
			$dataMaster=[

				'VoucherNo'=>$VoucherNo,
				'saledate'=>$saledate,
				'multipalMRP'=>$multipalMRP,
				'billNo'=>$billNo,
				'billAmt'=>$billAmt,
				'drug'=>$drug,
				'batchQty'=>$batchQty,
				'Shelf'=>$Shelf,
				'companyName'=>$companyName,
				'totalQty'=>$totalQty,
				'MinLevel'=>$MinLevel,
				'packDesc'=>$packDesc,
				'purCost'=>$purCost,
				'unitRate'=>$unitRate,
				'total'=>$total,
				
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			echo "<pre>";
			print_r($dataMaster);

			$lastid = $this->SalesModel->insertRecord('salemain_master',$dataMaster);
		





			// Initialize an empty array to store all $fieldsDoc arrays
			$allFieldsDoc = [];
		
			if (!empty($productName)) {
				for ($i = 0; $i < count($productName); $i++) { 
					$fieldsDoc = array(
						'productName' => $productName[$i],
						'unit' => $unit[$i],
						'company' => $company[$i],
						'selfNo' => $selfNo[$i],
						'batch' => $batch[$i],
						'expDate' => $expDate[$i],
						'moreMrp' => $moreMrp[$i],
						'Quantity' => $Quantity[$i],
						'productamount' => $productamount[$i],
						'created_by' => $this->session->userdata('u_id'),
						'current_date' => date('Y-m-d'),

						'created_date' => date('Y-m-d H:i:s')
					);
		
					// Add $fieldsDoc to $allFieldsDoc array
					$allFieldsDoc[] = $fieldsDoc;
		
					// Insert into database (if needed)
					$this->SalesModel->insert('sale_master', $fieldsDoc);
				}
			}
		
			// Store $allFieldsDoc array in session
			$this->session->set_userdata('allFieldsDoc', $allFieldsDoc);
		
			
		}
		





		public function getbatchdetails1(){
			$output = '';
			$productId = $this->input->post();
			$data = $this->SalesModel->getbatchdetails($productId);
			
			// $data['data1']=$this->SalesModel->SaleTableData();

    //  echo "<pre>";
	// 		print_r($data['data1']);

			$currentdate = date('Y-m-d');
		
			$groupedData = [];
		
			foreach ($data as $value) {
				$key = $value->productName . '-' . $value->fkpurchasebatchId;
		
				if (!isset($groupedData[$key])) {
					$groupedData[$key] = $value;
				} else {
					$groupedData[$key]->Quantity += $value->Quantity;
				}
			}
		
			// Generate HTML output
			foreach ($groupedData as $key => $value) {
				$formattedExpiryDate = date('d-m-Y', strtotime($value->expiryDate));
		
				$output .= '<tr>
					<td style="display:none;">' . $value->productName . '</td>
					<td>' . $value->fkpurchasebatchId . '</td>
					<td>' . $formattedExpiryDate . '</td>
					<td>' . $value->moreMrp . '</td>
					<td>' . $value->Rate . '</td>
					<td>' . number_format($value->Quantity, 2) . '</td>
					<td style="display:none;">' . $value->selfNo . '</td>
					<td style="display:none;">' . $value->companyName . '</td>
					<td style="display:none;">' . $value->UnitName . '</td>
					<td style="display:none;">' . $value->productamount . '</td>
					<td style="display:none;">' . $value->minstockLevel . '</td>
					<td style="display:none;">' . $value->purchasePack . '</td>
					<td style="display:none;">' . $value->contentName . '</td>
					<td style="display:none;">' . $value->moreCost . '</td>
					<td style="display:none;">' . $value->productId . '</td>

				</tr>';
			}
		
			echo $output;
			


		}
		


}
?>