<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class State extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}				
		$this->load->model(['Model_State']);				
	} 
	public function index(){
		$data['data']=$this->Model_State->select_all();
		 $this->load->view('header');
		$this->load->view('admin/state/stateDetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$stateId =$this->uri->segment(2);
		
		if(empty($stateId)){
			$stateId = 0;
		}
		
		if($stateId > 0){
			$obj = $this->Model_State->search($stateId);
		}
		
		$data['data']=$obj;
		$data['state']=$this->Model_State->getstatelist();
		 $this->load->view('header');
		$this->load->view('admin/state/state_view',$data);
		$this->load->view('footer');	
	} 	
	public function perform(){		
		$stateId =$this->input->post('txt_id');
		$stateName=$this->input->post('stateName');
		$shortName=$this->input->post('shortName');
		$stateCode=$this->input->post('stateCode');
		$fkcountryId=$this->input->post('fkcountryId');
		if($stateId>0)
		{
			$data=[

				'stateId'       =>$stateId,
				'stateName'			=>	$stateName,
				'shortName'			=>	$shortName,
				'stateCode'			=>	$stateCode,
				'fkcountryId'       =>$fkcountryId,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_State->update($data);			
		}
		else
		{
			$data=[
				'stateName'	 =>	$stateName,
				'shortName'			=>	$shortName,
				'stateCode'			=>	$stateCode,
				'fkcountryId'       => $fkcountryId,
				'created_by'	=>$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];				
			$this->Model_State->insert($data);			
		}
	} 	
	public function delete_perform()
	{
		$stateId =$this->uri->segment(4);	
		if(!empty($stateId)){			
			$data=[

				'stateId'		=>	$stateId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_State->update($data);			
			 redirect('StateIndex');
		}
		else{			
			show_404();
		}
	} 	
} 