<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Supplier extends CI_Controller
{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}			
		$this->load->model(['Model_Supplier']);				
	} 

	public function index(){
		$data['data']=$this->Model_Supplier->select_all();
		 $this->load->view('header');
		$this->load->view('admin/supplier/supplierDetails_view',$data);
		$this->load->view('footer');
		//print_r(json_encode($data['data']));
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$supplierId = $this->uri->segment(2);	
		if(empty($supplierId))
		{
			$supplierId = 0;
		}		
		if($supplierId > 0)
		{
			$obj = $this->Model_Supplier->search($supplierId);
		}		
		$data['data']=$obj;
		$data['country']=$this->Model_Supplier->getcountrylist();	
		$data['gender']=$this->Model_Supplier->getgenderlist();
		$data['crdr']=$this->Model_Supplier->getcrdrlist();
		$data['customercategories']=$this->Model_Supplier->getcustomercategorieslist();
		$data['usertype']=$this->Model_Supplier->getusertypelist();   

		$data['route']=$this->Model_Supplier->getroutelist();
		$data['licence']=$this->Model_Supplier->getlicencelist();   
		 $this->load->view('header');
		$this->load->view('admin/supplier/supplier_view',$data);
		$this->load->view('footer');
	} 


	public function edit(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$supplierId = $this->uri->segment(2);	
		if(empty($supplierId))
		{
			$supplierId = 0;
		}		
		if($supplierId > 0)
		{
			$obj = $this->Model_Supplier->search($supplierId);
		}		
		$data['data']=$obj;
		$data['country']=$this->Model_Supplier->getcountrylist();	
		$data['gender']=$this->Model_Supplier->getgenderlist();
		$data['crdr']=$this->Model_Supplier->getcrdrlist();
		$data['customercategories']=$this->Model_Supplier->getcustomercategorieslist();
		$data['usertype']=$this->Model_Supplier->getusertypelist();   

		$data['route']=$this->Model_Supplier->getroutelist();
		$data['licence']=$this->Model_Supplier->getlicencelist();   
		 $this->load->view('header');
		$this->load->view('admin/supplier/supplier_view',$data);
		$this->load->view('footer');
	} 
	public function getstate(){
		$countryId = $this->input->post();
		$data = $this->Model_Supplier->getstate($countryId);
		 print_r( json_encode($data));
		//print_r($data);
		//exit();
	}
	public function getdistrict(){
		$postData = $this->input->post();
		$data = $this->Model_Supplier->getdistrict($postData);
		echo json_encode($data);
	}
	public function gettaluka(){
		$postData = $this->input->post();
		$data = $this->Model_Supplier->gettaluka($postData);
		echo json_encode($data);
	}
	 public function getvillage(){
		$postData = $this->input->post();
		$data = $this->Model_Supplier->getvillage($postData);
		echo json_encode($data);
	}
	public function perform(){
		$supplierId =$this->input->post('txt_id');
		$supplierName=$this->input->post('supplierName');
		// $suppliermarathiName=$this->input->post('suppliermarathiName');
		$address=$this->input->post('address');
		$primaryMobile=$this->input->post('primaryMobile');
		$email=$this->input->post('email');		
		$fkcountryId=$this->input->post('countryId');
		$fkstateId=$this->input->post('stateId');
		$fkdistrictId=$this->input->post('districtId');
		$fktalukaId=$this->input->post('talukaId');
		$fkvillageId=$this->input->post('villageId');
		$pinCode=$this->input->post('pinCode');
		$fkgenderId=$this->input->post('genderId');		
		$secondaryMobile=$this->input->post('secondaryMobile');
		$suppliergstNumber=$this->input->post('suppliergstNumber');
		$openingAmount=$this->input->post('openingAmount');
		$fkcrdrId=$this->input->post('crdrId');
		$phoneNumber=$this->input->post('phoneNumber');
		$contactPerson=$this->input->post('contactPerson');
		$creditLimit=$this->input->post('creditLimit');
		$birthDate=$this->input->post('birthDate');
		$photo=$this->input->post('photo');
        $fkusertypeId=$this->input->post('usertypeId');
        // $sendSms=$this->input->post('sendSms');
        $fkcustomercategoriesId=$this->input->post('customercategoriesId');
        $registrationDate=$this->input->post('registrationDate');
        // $sendwhatsappSms=$this->input->post('sendwhatsappSms');
         $creditday=$this->input->post('creditday');
        $tinNo=$this->input->post('tinNo');
         $routeId=$this->input->post('routeId');
        


        $licencetypeId=$this->input->post('licencetypeId');
        $LicenceNo=$this->input->post('LicenceNo');
         $startDate=$this->input->post('startDate');
         $expiryDate=$this->input->post('expiryDate');

         $warningdays=$this->input->post('warningdays');
         $licencephoto=$this->input->post('licencephoto');

		
			        $photo = '';  
           if($_FILES["photo"]["name"] != '')  
             {  
                $photo = $this->upload_image();  
             }  
          else  
             {  
                 $photo = $this->input->post("hidden_photo");  
             }
			
			$data=[
				'supplierName'	=>	$supplierName,
				// 'suppliermarathiName'	=>$suppliermarathiName,
				'address'	=>	$address,
				'primaryMobile'	=>	$primaryMobile,
				'email'	=>	$email,
				'fkcountryId'   =>$fkcountryId,
				'fkstateId'     =>$fkstateId,
				'fkdistrictId'  =>$fkdistrictId,
				'fktalukaId'    =>$fktalukaId,
				'fkvillageId'    =>$fkvillageId,
				'pinCode'    =>$pinCode,
				'fkgenderId'    =>$fkgenderId,
				'secondaryMobile'    =>$secondaryMobile,
				'suppliergstNumber'    =>$suppliergstNumber,
				'openingAmount'    =>$openingAmount,
				'fkcrdrId' =>$fkcrdrId,
				'phoneNumber' =>$phoneNumber,
				'contactPerson' =>$contactPerson,
				'creditLimit' =>$creditLimit,
				'birthDate' =>$birthDate,
				'photo'	=>$photo,
				'fkusertypeId'    =>$fkusertypeId,
				// 'sendSms'    =>$sendSms,
				'fkcustomercategoriesId'=>$fkcustomercategoriesId,
				'registrationDate'    =>$registrationDate,
				// 'sendwhatsappSms'=>$sendwhatsappSms,
				'creditday'    =>$creditday,
				'tinNo'=>$tinNo,
				'fkrouteId'=>$routeId,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];				
			// $this->Model_Supplier->insert($data);	

			if ($this->Model_Supplier->insert('supplier_master',$data)) {
				 $maxfksupplierId=$this->Model_Supplier->getMaxId()[0]->supplierId;
				 // echo $maxfksupplierId;
				 if($licencetypeId!=""){

				 	for($i=0;$i<count($licencetypeId);$i++)
            {
            	$licencephoto = '';  
              if($_FILES["licencephoto"]["name"][$i] != '')  
               {  
                    $extension1 = explode('.', $_FILES['licencephoto']['name'][$i]);  
                          $new_name1 = rand() . '.' . $extension1[1];  
                         $destination1 = './upload1/' . $new_name1;  
                          move_uploaded_file($_FILES['licencephoto']['tmp_name'][$i], $destination1);  
                          $licencephoto=$new_name1;                                  
                } 

                $getlicencetypeId=$licencetypeId[$i];
				$getLicenceNo=$LicenceNo[$i];
				$getstartDate=$startDate[$i];
				$getexpiryDate=$expiryDate[$i];
				// $getlicencephoto=$licencephoto[$i];
				$getwarningdays=$warningdays[$i];
				

                $licencedata=[

                    'fksupplierId'  =>$maxfksupplierId,
                    'fklicencetypeId'  =>$getlicencetypeId,
                    'licenceNo'         =>$getLicenceNo,
                     // 'licenceNo'            =>$rate[$i],
                      'startDate'           =>$getstartDate,
                      'expiryDate'           =>$getexpiryDate,
                      'Attachment'           =>$licencephoto,
                      'warningdays'           =>$getwarningdays,

                    'created_by'        =>  1,
                    'created_date'      =>  date('Y-m-d H:i:s')
                   
                ];
                 // echo json_encode($licencedata);
                // print_r(json_encode($licencedata));
                
                $this->Model_Supplier->insert('supplierlicence',$licencedata);

            }
			
				 }
			}		
		
	} 



	public function update()
	{
		$supplierId =$this->input->post('txt_id');
		$supplierName=$this->input->post('supplierName');
		// $suppliermarathiName=$this->input->post('suppliermarathiName');
	    $address=$this->input->post('address');
        $primaryMobile=$this->input->post('primaryMobile');
        $email=$this->input->post('email');
		$fkcountryId=$this->input->post('countryId');
		$fkstateId=$this->input->post('stateId');
		$fkdistrictId=$this->input->post('districtId');
		$fktalukaId=$this->input->post('talukaId');
		$fkvillageId=$this->input->post('villageId');
		$pinCode=$this->input->post('pinCode');
        $fkgenderId=$this->input->post('genderId');
        $secondaryMobile=$this->input->post('secondaryMobile');
        $suppliergstNumber=$this->input->post('suppliergstNumber');

        $openingAmount=$this->input->post('openingAmount');
		$fkcrdrId=$this->input->post('crdrId');
		$phoneNumber=$this->input->post('phoneNumber');
		$contactPerson=$this->input->post('contactPerson');

        $creditLimit=$this->input->post('creditLimit');
        $birthDate=$this->input->post('birthDate');
        $photo=$this->input->post('photo');
        $fkcustomercategoriesId=$this->input->post('customercategoriesId');
        $fkusertypeId=$this->input->post('usertypeId');
        // $sendSms=$this->input->post('sendSms');
        $registrationDate=$this->input->post('registrationDate');
        // $sendwhatsappSms=$this->input->post('sendwhatsappSms');


        $creditday=$this->input->post('creditday');
        $tinNo=$this->input->post('tinNo');
         $routeId=$this->input->post('routeId');
        


        $licencetypeId=$this->input->post('licencetypeId');
        $LicenceNo=$this->input->post('LicenceNo');
         $startDate=$this->input->post('startDate');
         $expiryDate=$this->input->post('expiryDate');

         $warningdays=$this->input->post('warningdays');
         $licencephoto=$this->input->post('licencephoto');
         $status=$this->input->post('status');
         $hiden_licencephoto=$this->input->post('hiden_licencephoto');
        // print_r($status);
		
			 $photo = '';  
           if($_FILES["photo"]["name"]!="")  
             {  
                $photo = $this->upload_image(); 
                // print_r($photo); 
                // echo "string";
             }  
          else  
             {  
                 $photo = $this->input->post("hidden_photo");  
             	// echo "by";
             }  
             // print_r($photo);
			$data=[
				
				'supplierId'     =>$supplierId,
				'supplierName'	=>	$supplierName,
				// 'suppliermarathiName'	=>$suppliermarathiName,
				'address'	=>	$address,
				'primaryMobile'	=>	$primaryMobile,
				'email'	=>	$email,
				'fkcountryId'   =>$fkcountryId,
				'fkstateId'     =>$fkstateId,
				'fkdistrictId'  =>$fkdistrictId,
				'fktalukaId'    =>$fktalukaId,
				'fkvillageId'    =>$fkvillageId,
				'pinCode'    =>$pinCode,
				'fkgenderId'    =>$fkgenderId,
				'secondaryMobile'    =>$secondaryMobile,
				'suppliergstNumber'    =>$suppliergstNumber,
				'openingAmount'    =>$openingAmount,
				'fkcrdrId' =>$fkcrdrId,
				'phoneNumber' =>$phoneNumber,
				'contactPerson' =>$contactPerson,
				'creditLimit' =>$creditLimit,
				'birthDate' =>$birthDate,
				'photo'	=>$photo,
				'fkusertypeId'    =>$fkusertypeId,
				// 'sendSms'    =>$sendSms,
				'fkcustomercategoriesId'=>$fkcustomercategoriesId,
				'registrationDate'    =>$registrationDate,
				// 'sendwhatsappSms'=>$sendwhatsappSms,
				'creditday'    =>$creditday,
				'tinNo'=>$tinNo,
				'fkrouteId'=>$routeId,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			// print_r($photo);
				// $this->Model_Supplier->update('supplier_master',$data);
			if ($this->Model_Supplier->update('supplier_master',$data)) {
				// echo "hii";
				 $maxfksupplierId=$this->Model_Supplier->getMaxId()[0]->supplierId;
				 // echo $maxfksupplierId;
				 if($licencetypeId!=""){
				// echo "hii";
				 	for($i=0;$i<count($licencetypeId);$i++)
            {	
            	// echo "hii";
            	$licencephoto="";
            	if($_FILES["licencephoto"]["name"][$i] != '')  
             	{  
            	 $extension1 = explode('.', $_FILES['licencephoto']['name'][$i]);  
                          $new_name1 = rand() . '.' . $extension1[1];  
                         $destination1 = './upload1/' . $new_name1;  
                          move_uploaded_file($_FILES['licencephoto']['tmp_name'][$i], $destination1);  
                          $licencephoto=$new_name1; 
                      }
                      else
                      {
                      	$licencephoto=$hiden_licencephoto[$i];
                      }
            	 // print_r($licencephoto);
            		$getstatus=$status[$i];
            	if ($getstatus>0) {
            		// echo $licencephoto;
            		$supplierlicenceId=$getstatus;
                $getlicencetypeId=$licencetypeId[$i];
				$getLicenceNo=$LicenceNo[$i];
				$getstartDate=$startDate[$i];
				$getexpiryDate=$expiryDate[$i];
				// $getlicencephoto=$licencephoto[$i];
				$getwarningdays=$warningdays[$i];
				

                $licencedata=[

                    'fksupplierId'  =>$supplierId,
                    'fklicencetypeId'  =>$getlicencetypeId,
                    'licenceNo'         =>$getLicenceNo,
                     // 'licenceNo'            =>$rate[$i],
                      'startDate'           =>$getstartDate,
                      'expiryDate'           =>$getexpiryDate,
                      'Attachment'           =>$licencephoto,
                      'warningdays'           =>$getwarningdays,

                    'modified_by'        =>  $_SESSION['u_id'],
                    'modified_date'      =>  date('Y-m-d H:i:s')
                   
                ];
    //              // echo json_encode($licencedata);
                // print_r(json_encode($licencedata));
                
                $this->Model_Supplier->updatesuplicence('supplierlicence',$licencedata,$getstatus);
            	}
            	else
            	{
            		// echo "insert";
            		
            		$getlicencetypeId=$licencetypeId[$i];
				$getLicenceNo=$LicenceNo[$i];
				$getstartDate=$startDate[$i];
				$getexpiryDate=$expiryDate[$i];
				// $getlicencephoto=$licencephoto[$i];
				$getwarningdays=$warningdays[$i];
				

                $licencedata=[

                    'fksupplierId'  =>$supplierId,
                    'fklicencetypeId'  =>$getlicencetypeId,
                    'licenceNo'         =>$getLicenceNo,
                     // 'licenceNo'            =>$rate[$i],
                      'startDate'           =>$getstartDate,
                      'expiryDate'           =>$getexpiryDate,
                      'Attachment'           =>$licencephoto,
                      'warningdays'           =>$getwarningdays,

                    'created_by'        =>  $_SESSION['u_id'],
                    'created_date'      =>  date('Y-m-d H:i:s')
                   
                ];
    //              // echo json_encode($licencedata);
                // print_r(json_encode($licencedata));
                
                $this->Model_Supplier->insert('supplierlicence',$licencedata);
            	}
            	

            }
			
				 }
			}
			
		

	} 

	public function getlicencedetails()
	{
		//echo "hii";
		$output='';
		$supplierId=$this->input->post('supplierId');
		$data=$this->Model_Supplier->getlicencedetails($supplierId);
		
		// print_r(json_encode($data));
		if(!empty($data))
		{
			$i=0;
			foreach ($data as $key => $value) {
				$i++;
				$newDate1 = date("d-m-Y", strtotime($value->startDate));
				$newDate2 = date("d-m-Y", strtotime($value->expiryDate));
				$output.='<tr class="deleteclass'.$value->supplierlicenceId.'">
				<td>
					<center>
					<button type="button" class="btn btn-danger ti-trash" style="margin-left:35px;" id="btnitemDelete'.$value->supplierlicenceId.'" onclick="delete_licence_details('.$value->supplierlicenceId.');">
					</button>
					</center>
				</td>
				<td><input type="text" readonly id="licencetypeName'.$i.'"  name="licencetypeName[]" class="licencetypeName form-control tds-width" value="'.$value->licencetypeName.'"></td>

				<td style="display:none;"><input type="text" readonly id="licencetypeId'.$i.'"  name="licencetypeId[]" class="licencetype-Id form-control tds-width" value="'.$value->fklicencetypeId.'"></td>

				<td><input type="text" readonly id="LicenceNo'.$i.'"  name="LicenceNo[]" class="LicenceNo form-control tds-width" value="'.$value->licenceNo.'"></td>

				
				<td><input type="file" readonly id="licencephoto'.$i.'" name="licencephoto[]" class="licencephoto form-control tds-width" onchange="readURL(this,'.$i.');" value="">

				<input  type="hidden" class="form-control" id="hiden_licencephoto" name="hiden_licencephoto[]" value="'.$value->Attachment.'" data-parsley-trigger="change" >

				<img src="'.base_url().'upload1/'.$value->Attachment.'" id="liceneprofile'.$i.'" name="liceneprofile[]" class="img-thumbnail" width="100" height="60" />
				
				</td>

				<td><input type="text" readonly id="startDate'.$i.'"  name="startDate[]" class="transactionId form-control tds-width" value="'.$value->startDate.'"></td>

				<td><input type="text" readonly id="expiryDate'.$i.'" name="expiryDate[]" class="expiryDate form-control tds-width" value="'.$value->expiryDate.'">
				</td>
				<td><input type="text" readonly id="warningdays'.$i.'" name="warningdays[]" class="warningdays form-control tds-width" value="'.$value->warningdays.'">
				</td>

				<td style="display:none;" ><input type="text" readonly id="status'.$i.'" name="status[]" class="status form-control tds-width" value="'.$value->supplierlicenceId.'">
				</td>
				
				</tr>';
					
			}
		}
		echo $output;

	}


	function upload_image()  
    {  
      if(isset($_FILES["photo"]))  
        {  
        	if ($_FILES["photo"]["name"]!="") {
        		# code...
        		$extension = explode('.', $_FILES["photo"]["name"]);  
          $new_name = rand() . '.' . $extension[1];  
          $destination = './upload/' . $new_name;  
          move_uploaded_file($_FILES['photo']['tmp_name'], $destination);  
          return $new_name; 
        	}
        	else
        	{
        		$new_name="";
        		return $new_name;
        	}
            
         }  
    } 
	
	public function delete_perform(){

		$supplierId = $this->uri->segment(4);

		if(!empty($supplierId)){
			
			$data=[

				'supplierId'		=>	$supplierId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Supplier->update($data);
			 redirect('SupplierIndex');
		}
		else{
			
			show_404();
		}
	} 

	public function delete()
	{
		$supplierlicenceId=$this->input->get('supplierlicenceId');
		// print_r($supplierlicenceId);
		$data=[
				'is_active'=>0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')];

		if($this->Model_Supplier->delete($supplierlicenceId,$data))
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
	} 
} 