<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Supplierpayment extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('login');
		}	
		
		$this->load->model(['Model_Supplierpayment','Model_Report']);	
			
	} 

	
	public function create(){

		$data['supplier']=$this->Model_Supplierpayment->supplierlist(); 
		$data['paymenttype']=$this->Model_Supplierpayment->paydetaillist();  
		// $data['mobapp']=$this->Model_Supplierpayment->mobapplist();
		// $data['bank']=$this->Model_Supplierpayment->banklist();  
		$this->load->view('header');
		$this->load->view('admin/supplierpayment/supplierpayment_view',$data);
		$this->load->view('footer');
	
	} 

	public function findsupplierName()
	{
		$supplierId=$this->input->post('supplierId');
		$data=$this->Model_Supplierpayment->findsupplierName($supplierId);
		 print_r(json_encode($data));
	}

	public function report()
	{
		// echo('hii');
		$supplierId = $this->session->userdata('supplierId'); 

		$paymentDate = $this->session->userdata('paymentDate');

		$enddate = $this->session->userdata('enddate');
		// print_r($enddate);
		if ($supplierId!='' || $paymentDate!='' || $enddate!='') {
			// echo('hii');
		$data['customerData']=$this->Model_Supplierpayment->paymentdetails($supplierId,$paymentDate,$enddate);
		$data['total']=$this->Model_Supplierpayment->totalpaid($supplierId,$paymentDate,$enddate);
		$recordOrg=$this->Model_Report->selectorg();
		$org['org']=['orgData'=>$recordOrg];
		$data['main']=$data;
		$data['data']=array_merge($data['main'],$org['org']);
		// print_r($org['org']);
		$this->load->view('header');
		$this->load->view('admin/supplierpayment/supplierreport_view',$data);
		$this->load->view('footer');
	}
	else
	{
		redirect('admin/Supplierpayment/create');
	}

		// echo($supplierId);
	}

	public function paymentdetails()
	{
		$i=1;
		$output='';
		$supplierId=$this->input->post('supplierId');
		$paymentDate=$this->input->post('paymentDate');
		$enddate=$this->input->post('enddate');

		$this->session->set_userdata('supplierId', $supplierId);
		$paymentdata1=array(
						'supplierId'=>$supplierId,
						'paymentDate'=>$paymentDate,
						'enddate'=>$enddate
						
						);
		$this->session->set_userdata($paymentdata1);


		$payment=$this->Model_Supplierpayment->paymentdetails($supplierId,$paymentDate,$enddate);
		$total=$this->Model_Supplierpayment->totalpaid($supplierId,$paymentDate,$enddate);

		// $data['data']=array_merge($payment,$total);

		if(!empty($payment)){
			foreach ($payment as $key => $value) {
				$output.='<tr>
				 <td>'.$i.'</td>
                	<td>'.$value->supplierId.'</td>
				<td>'.$value->supplierName.'</td>
				<td>'.$value->paymentType.'</td>
				<td>'.$value->mobileappName.'</td>
				<td>'.$value->transactionId.'</td>
				<td>'.$value->bankName.'</td>
				<td>'.$value->chequeNo.'</td>
				<td>'.$value->chequeDate.'</td>
				<td>'.$value->paymentDate.'</td>
				<td>'.$value->paidAmount.'</td>
				</tr>
				';
				$i++;
					}
		}
		if(!empty($total)){
			foreach ($total as $key => $value) {
				$output.='<tr>
				 	<td style="border-color: white;"></td>
                	<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
				<td style="border-color: white;"></td>
                	<td style="border-color: white;">Total:'.$value->supplierpaid.'</td>
				
				</tr>
				';
				$i++;
					}
		}
		echo $output;

		 // print_r(json_encode($data));
	}
	
} 