<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');

class Userregistration extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('login');
		}	
		
		$this->load->model(['Model_Userregistration']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Userregistration->select_all();


		$this->load->view('header');
		$this->load->view('admin/userregistration/userregistrationDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$userregistrationId = $this->uri->segment(2);
		
		if(empty($userregistrationId)){
			$userregistrationId = 0;
		}
		
		if($userregistrationId > 0){
			$obj = $this->Model_Userregistration->search($userregistrationId);
		}
		
		$data['data']=$obj;
		$data['usertype']=$this->Model_Userregistration->getusertypelist();
		$data['customer']=$this->Model_Userregistration->getcustomerlist();
		$data['supplier']=$this->Model_Userregistration->getsupplierlist();
		$data['employee']=$this->Model_Userregistration->getemployeelist();
       // print_r($data);

		$this->load->view('header');
		$this->load->view('admin/userregistration/userregistration_view',$data);
		$this->load->view('footer');

	} 


	public function getcustomerbyid()
	{
		$customerId=$this->input->get('customerId');
		$queryRecord=$this->Model_Userregistration->getcustomerbyid($customerId);
		foreach ($queryRecord as $row ) {
			$data['MobileNumber'] = $row->primaryMobile;
			$data['Email'] = $row->email;
			
		
			
			//'MobileNumber'	=>$queryRecord[0]->primaryMobile,
			//'Email'	=>$queryRecord[0]->email,
			if($row->photo != '')  
              {  
                 $data['photo'] = '<img src="'.base_url().'upload/'.$row->photo.'" class="img-thumbnail" width="50" height="35" /><input type="hidden" name="hidden_photo" value="'.$row->photo.'" />'; 
              }  
            else  
              {  
                  $data['photo'] = '<input type="hidden" name="hidden_photo" value="" />';  
              } 

		      }
		print_r(json_encode($data));

	} 


	public function getsupplierbyid()
	{
		$supplierId=$this->input->get('supplierId');
		$queryRecord=$this->Model_Userregistration->getsupplierbyid($supplierId);
		foreach ($queryRecord as $row ) {
			$data['MobileNumber'] = $row->primaryMobile;
			$data['Email'] = $row->email;
			
		
			
			//'MobileNumber'	=>$queryRecord[0]->primaryMobile,
			//'Email'	=>$queryRecord[0]->email,
			if($row->photo != '')  
              {  
                 $data['photo'] = '<img src="'.base_url().'upload/'.$row->photo.'" class="img-thumbnail" width="50" height="35" /><input type="hidden" name="hidden_photo" value="'.$row->photo.'" />'; 
              }  
            else  
              {  
                  $data['photo'] = '<input type="hidden" name="hidden_photo" value="" />';  
              } 

		      }
		print_r(json_encode($data));

	} 
	public function getemployeebyid()
	{
		$empId=$this->input->get('empId');
		$queryRecord=$this->Model_Userregistration->getemployeebyid($empId);
		foreach ($queryRecord as $row ) {
			$data['MobileNumber'] = $row->contact1;
			$data['Email'] = $row->email;

			if($row->photo != '')  
              {  
                 $data['photo'] = '<img src="'.base_url().'upload/'.$row->photo.'" class="img-thumbnail" width="50" height="35" /><input type="hidden" name="hidden_photo" value="'.$row->photo.'" />'; 
              }  
            else  
              {  
                  $data['photo'] = '<input type="hidden" name="hidden_photo" value="" />';  
              } 

		      }
		print_r(json_encode($data));

	}
	public function perform(){

		
		$userregistrationId =$this->input->post('txt_id');				
		$fkusertypeId=$this->input->post('usertypeId');
		$fkcustomerId=$this->input->post('customerId');
		$fksupplierId=$this->input->post('supplierId');
		$fkempId=$this->input->post('empId');
		// $photo=$this->input->post('profile-img');
		$email=$this->input->post('email');
		$mobileNumber=$this->input->post('mobileNumber');
		$userName=$this->input->post('userName');
		$password=$this->input->post('password');
		$sendSms=$this->input->post('sendSms');

		// print_r($fkcustomerId);
		if($userregistrationId>0)
		{
			$data=[
				'userregistrationId'=>$userregistrationId,
				'fkusertypeId'       =>$fkusertypeId,
				'fkcustomerId'       =>$fkcustomerId,
				'fksupplierId'       =>$fksupplierId,
				'fkempId'       =>$fkempId,
				// 'photo'	=>$photo,
				'email'	=>$email,
				'mobileNumber'	=>$mobileNumber,
				'userName'			=>$userName,
				'password'       =>$password,
				'sendSms'			=>$sendSms,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			// print_r($fkcustomerId);/
			$this->Model_Userregistration->update($data);
			
		}
		else
		{
			// $photo = '';  
   //         if($_FILES["photo"]["name"] != '')  
   //           {  
   //              $photo = $this->upload_image();  
   //           }  
   //        else  
   //           {  
   //               $photo = $this->input->post("hidden_photo");  
   //           }
			$data=[
				'fkusertypeId'       =>$fkusertypeId,
				'fkcustomerId'       =>$fkcustomerId,
				'fksupplierId'       =>$fksupplierId,
				'fkempId'       =>$fkempId,
				// 'photo'	=>$photo,/
				'email'	=>$email,
				'mobileNumber'	=>$mobileNumber,
				'userName'			=>$userName,
				'password'       =>$password,
				'sendSms'			=>$sendSms,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

				
			$this->Model_Userregistration->insert($data);
			
		}
		//print_r($data);
		

		// redirect('UserregistrationIndex');

	} 
	function upload_image()  
    {  
      if(isset($_FILES["photo"]))  
        {  
          $extension = explode('.', $_FILES['photo']['name']);  
          $new_name = rand() . '.' . $extension[1];  
          $destination = './upload/' . $new_name;  
          move_uploaded_file($_FILES['photo']['tmp_name'], $destination);  
          return $new_name;  
         }  
    }  
	
	
	public function delete_perform(){

		$userregistrationId = $this->uri->segment(4);

		if(!empty($userregistrationId)){
			
			$data=[
				'userregistrationId'       =>$userregistrationId,
					
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

		$this->Model_Userregistration->update($data);
			
			redirect('UserregistrationIndex');
		}
		else{
			
			show_404();
		}

	} 
	
} 