<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Village extends CI_Controller
{
	public function __construct()
	{		
		parent::__construct();
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}
		
		$this->load->model(['Model_Village']);	
	} 
	public function index(){
		$data['data']=$this->Model_Village->select_all();
		 $this->load->view('header');
		$this->load->view('admin/village/villageDetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$villageId = $this->uri->segment(2);			
		if(empty($villageId))
		{
			$villageId = 0;
		}		
		if($villageId > 0)
		{
			$obj = $this->Model_Village->search($villageId);
		}		
		$data['data']=$obj;
		$data['country']=$this->Model_Village->getcountrylist();		
		 $this->load->view('header');
		$this->load->view('admin/village/village_view',$data);
		$this->load->view('footer');	
	} 
	public function getstate(){
		$countryId = $this->input->post();
		$data = $this->Model_Village->getstate($countryId);
		 print_r( json_encode($data));
		//print_r($data);
		//exit();
	}	
	public function getdistrict(){
		$postData = $this->input->post();
		$data = $this->Model_Village->getdistrict($postData);

		echo json_encode($data);
	}
	public function gettaluka(){
		$postData = $this->input->post();
		$data = $this->Model_Village->gettaluka($postData);
		echo json_encode($data);
	}
	 
	public function perform()
	{
		$villageId =$this->input->post('txt_id');
		$villageName=$this->input->post('villageName');
		$villageCode=$this->input->post('villageCode');
		$shortName=$this->input->post('shortName');
		$fkcountryId=$this->input->post('countryId');
		$fkstateId=$this->input->post('stateId');
		$fkdistrictId=$this->input->post('districtId');
		$fktalukaId=$this->input->post('talukaId');
		if($villageId>0)
		{
			$data=[

				'villageId'     =>$villageId,
				'villageName'	=>	$villageName,
				'shortName'     =>$shortName,
				'villageCode'   =>$villageCode,
				'fkcountryId'   =>$fkcountryId,
				'fkstateId'     =>$fkstateId,
				'fkdistrictId'  =>$fkdistrictId,
				'fktalukaId'    =>$fktalukaId,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Village->update($data);		
		}
		else
		{
			$data=[
				'villageName'	=>	$villageName,
				'shortName'     =>$shortName,
				'villageCode'   =>$villageCode,
				'fkcountryId'   => $fkcountryId,
				'fkstateId'		=>$fkstateId,
				'fkdistrictId'	=>$fkdistrictId,
				'fktalukaId'	=>$fktalukaId,
				'created_by'	=>$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];				
			$this->Model_Village->insert($data);			
		}		
	} 	
	public function delete_perform(){
		$villageId =  $this->uri->segment(4);
		if(!empty($villageId)){			
			$data=[

				'villageId'		=>	$villageId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Village->update($data);
			
			 redirect('VillageIndex');
		}
		else{
			
			show_404();
		}
}	
	
} 
