<?php  
//defined('BASEPATH') OR exit('No direct script access allowed');  
Class Model_Barcode extends CI_Model
{
  function __construct() 
	{
		parent::__construct();    
	}


public function getproductlist() 
    {
      $this->db->select("product_master.productId,product_master.productName");
      
      
      $this->db->from('product_master'); 
      $this->db->where('product_master.is_active',1);
      $query = $this->db->get();
      return $query->result();
    } 

    public function getbatchdetails($postData)
    {         
      if ($postData['startdate'] =="" && $postData['enddate']=="") {
      
       
        $this->db->select('purchaseproduct.*,product_master.productName,purchasebatch.batchName');
         $this->db->order_by('purchaseproduct.expiryDate','desc');
      $this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');
        $this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId');
      $this->db->where('purchaseproduct.fkproductId=',$postData['productId']);
      
       $this->db->where('purchaseproduct.is_active',1);
      $sql=$this->db->get('purchaseproduct');
      return $sql->result();
        
      }
      else
      {
         $this->db->select('purchaseproduct.*,product_master.productName,purchasebatch.batchName');
         $this->db->order_by('purchaseproduct.expiryDate','desc');
         $this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
           $this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
      $this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');
      $this->db->where('purchaseproduct.fkproductId=',$postData['productId']);
       $this->db->where('purchasemain.purchaseDate>=',$postData['startdate']);
        $this->db->where('purchasemain.purchaseDate<=',$postData['enddate']);
      
       $this->db->where('purchasemain.is_active',1);
      $sql=$this->db->get('purchasemain');
      return $sql->result();
        
      }
      
      
    
      

    }

    public function getproductdetails($productId,$batch)
    {
      $this->db->select('purchaseproduct.expiryDate,product_master.productName,product_master.productshortName,product_master.mrpRate,purchasebatch.batchName');
      $this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

      $this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
       $this->db->where('purchaseproduct.fkproductId=',$productId);
       $this->db->where('purchaseproduct.fkpurchasebatchId=',$batch);
       $sql=$this->db->get('purchaseproduct');
      return $sql->result();
      // return $batch;
    }

    public function getbatchList($productId)
    {
      $date=date('Y-m-d');
      $this->db->select('purchaseproduct.fkpurchasebatchId,purchasebatch.batchName');
      
      $this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
       $this->db->where('purchaseproduct.fkproductId=',$productId);
       $this->db->where('purchaseproduct.expiryDate>=',$date);
       $sql=$this->db->get('purchaseproduct');
      return $sql->result();
      // return $batch;
    }

  }
  ?>  