<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Purchasesummary extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

		
		public function supplierlist()
		{
			$this->db->select("supplierId,supplierName,address,primaryMobile");
			$this->db->from('supplier_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function findsuppliername($supplierId)
		{
			$this->db->select('supplier_master.supplierId,supplier_master.supplierName');
		 	$this->db->where('supplier_master.supplierId=',$supplierId);
		   $this->db->where('supplier_master.is_active',1);
			$sql=$this->db->get('supplier_master');
			return $sql->result();

		}

		public function findproduct($productId)
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
			// return $productId;

		}

		public function productlist()
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
			$this->db->from('product_master');
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		
		
		
		


		public function purchasedetails($supplierId,$productId,$paymentDate,$enddate)
		{
			if ($supplierId!="" && $productId!="") 
			{
				$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
				# code...
			}
			else if ($supplierId!="") 
			{

				$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	// $this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			// return $productId;
			}
			else if($productId!='')
			{
		$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	// $this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			else
			{
				$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	// $this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	// $this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			

		}

		public function totalquantity($supplierId,$productId,$paymentDate,$enddate)
		{

			if ($supplierId!="" && $productId!="") 
			{
				
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
				// $this->db->select_sum('suppliertransaction.paidAmount AS tot');
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();

			}
			else if ($supplierId!="") 
			{
				
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
				// $this->db->select_sum('suppliertransaction.paidAmount AS tot');
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();

			}
			else if($productId!="")
			{
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			else
			{
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
		 	// $this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			

		}
	}
	
?>