<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_WhatsappIntegration extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

		
		public function userlist()
		{
			$this->db->select("usertypeId,usertypeName");
			$this->db->from('usertype_master');
			$this->db->where('is_active',1);
			$this->db->limit(2);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function customerlist()
		{
			$this->db->select("customerId,customerName,address,primaryMobile");
			$this->db->from('customer_master');
			$this->db->where('is_active',1);

			$query = $this->db->get();
			return $query->result();
			
		} 
		public function supplierlist()
		{
			$this->db->select("supplierId,supplierName,address,primaryMobile");
			$this->db->from('supplier_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		public function employeelist()
		{
			$this->db->select("empId,empName,address,contact1");
			$this->db->from('employee_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function OutstandingAmount($fkcustomerId)
		{
			
			$this->db->select_sum('invoicemain.amount');
			
		 	$this->db->where('invoicemain.fkcustomerId=',$fkcustomerId);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			$amt=$sql->result();
			if($amt[0]->amount=="")
			{
				
				$amt[0]->amount=0;
				return $amt;
				

			}
			else
			{
				 
				 return  $amt;
				
			}
			

		}

		public function supplierAmount($fksupplierId)
		{
			
			$this->db->select_sum('purchasemain.totalamount');
			
		 	$this->db->where('purchasemain.fksupplierId=',$fksupplierId);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			$amt=$sql->result();
			if($amt[0]->totalamount=="")
			{
				
				$amt[0]->totalamount=0;
				return $amt;
				

			}
			else
			{
				 
				 return  $amt;
				
			}
			

		}
		public function OutstandingAmount2($fkcustomerId)
		{
			$this->db->select('customer_master.opeaningbalance');
			
		 	$this->db->where('customer_master.customerId=',$fkcustomerId);
		   $this->db->where('customer_master.is_active',1);
			$sql=$this->db->get('customer_master');
			$balance=$sql->result();
				if($balance[0]->opeaningbalance=="")
			{
				
				$balance[0]->opeaningbalance=0;
				return $balance;
				

			}
			else
			{
				 
				 return  $balance;
				
			}

		}

		public function supplierAmount2($fksupplierId)
		{
			$this->db->select('supplier_master.openingAmount');
			
		 	$this->db->where('supplier_master.supplierId=',$fksupplierId);
		   $this->db->where('supplier_master.is_active',1);
			$sql=$this->db->get('supplier_master');
			$balance=$sql->result();
				if($balance[0]->openingAmount=="")
			{
				
				$balance[0]->openingAmount=0;
				return $balance;
				

			}
			else
			{
				 
				 return  $balance;
				
			}

		}
		public function OutstandingAmount1($fkcustomerId)
		{
			
			$this->db->select_sum('customertransaction.paidAmount');
			
		 	$this->db->where('customertransaction.fkcustomerId=',$fkcustomerId);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			$paidAmt=$sql->result();
				if($paidAmt[0]->paidAmount=="")
			{
				
				$paidAmt[0]->paidAmount=0;
				return $paidAmt;

			}
			else
			{
				 
				 return  $paidAmt;
				
			}

		} 


		public function supplierAmount1($fksupplierId)
		{
			
			$this->db->select_sum('suppliertransaction.paidAmount');
			
		 	$this->db->where('suppliertransaction.fksupplierId=',$fksupplierId);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			$paidAmt=$sql->result();
				if($paidAmt[0]->paidAmount=="")
			{
				
				$paidAmt[0]->paidAmount=0;
				return $paidAmt;

			}
			else
			{
				 
				 return  $paidAmt;
				
			}

		} 
		public function Amount($fkcustomerId)
		{
			
			$this->db->select('invoicemain.amount');
			
		 	$this->db->where('invoicemain.fkcustomerId=',$fkcustomerId);
		   $this->db->where('invoicemain.is_active',1);
		   $this->db->order_by('invoicemain.invoicemainId','desc');
		   $this->db->limit(1);
			$sql=$this->db->get('invoicemain');
			$amt=$sql->result();
			if($amt[0]->amount=="")
			{
				
				$amt[0]->amount=0;
				return $amt;
				

			}
			else
			{
				 
				 return  $amt;
				
			}
			

		}



		public function supplierlastAmount($fksupplierId)
		{
			
			$this->db->select('purchasemain.totalamount');
			
		 	$this->db->where('purchasemain.fksupplierId=',$fksupplierId);
		   $this->db->where('purchasemain.is_active',1);
		   $this->db->order_by('purchasemain.purchasemainId','desc');
		   $this->db->limit(1);
			$sql=$this->db->get('purchasemain');
			$amt=$sql->result();
			if($amt[0]->totalamount=="")
			{
				
				$amt[0]->totalamount=0;
				return $amt;
				

			}
			else
			{
				 
				 return  $amt;
				
			}
			

		}
		public function Paid($fkcustomerId)
		{
			
			$this->db->select('customertransaction.paidAmount');
			
		 	$this->db->where('customertransaction.fkcustomerId=',$fkcustomerId);
		   $this->db->where('customertransaction.is_active',1);
		   $this->db->order_by('customertransaction.customerTransactionId','desc');
		   $this->db->limit(1);
			$sql=$this->db->get('customertransaction');
			$amt=$sql->result();
			if($amt[0]->paidAmount=="")
			{
				
				$amt[0]->paidAmount=0;
				return $amt;
				

			}
			else
			{
				 
				 return  $amt;
				
			}
			

		}



		public function supplierPaid($fksupplierId)
		{
			
			$this->db->select('suppliertransaction.paidAmount');
			
		 	$this->db->where('suppliertransaction.fksupplierId=',$fksupplierId);
		   $this->db->where('suppliertransaction.is_active',1);
		   $this->db->order_by('suppliertransaction.supplierTransactionId','desc');
		   $this->db->limit(1);
			$sql=$this->db->get('suppliertransaction');
			$amt=$sql->result();
			if($amt[0]->paidAmount=="")
			{
				
				$amt[0]->paidAmount=0;
				return $amt;
				

			}
			else
			{
				 
				 return  $amt;
				
			}
			

		}

		public function customermobile($customerId)
		{
			$this->db->select("primaryMobile");
			$this->db->from('customer_master');
			$this->db->where('customer_master.customerId',$customerId);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}

		public function suppliermobile($supplierId)
		{
			$this->db->select("primaryMobile");
			$this->db->from('supplier_master');
			$this->db->where('supplier_master.supplierId',$supplierId);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		

		public function bill($fkcustomerId)
		{
			
			$this->db->select('paidAmount,amount,totdiscountamt,invoicemainId');
			
		 	$this->db->where('invoicemain.fkcustomerId=',$fkcustomerId);
		   $this->db->where('invoicemain.is_active',1);
		   $this->db->order_by('invoicemain.invoicemainId','desc');
		   $this->db->limit(1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();
			 
			

		}

		public function supplierbill($fksupplierId)
		{
			
			$this->db->select('paidAmount,totalamount,totdiscountamt,purchasemainId');
			
		 	$this->db->where('purchasemain.fksupplierId=',$fksupplierId);
		   $this->db->where('purchasemain.is_active',1);
		   $this->db->order_by('purchasemain.purchasemainId','desc');
		   $this->db->limit(1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			 
			

		}

		
	}
	
?>