<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Whatsappreport extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

		public function invoice_details($invoicemainId)
		{
			
			$sql=$this->db->select('invoicemain.*,customer_master.customerName,customer_master.address,customer_master.primaryMobile,customer_master.pinCode')
				->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					// ->join('employee_master as emp','emp.empId=collection_master.fkemployeeId','left outer')
			     ->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer')
				// ->join('mpd_master','mpd_master.mpdId=collection_master.fkMPDId','left outer')
				// ->join('item_master','item_master.itemId=collectioninpump.fkitemId','left outer')
    //             ->join('pump_master','pump_master.pumpId=collectioninpump.fkpumpId','left outer')
    //             ->join('shift_master','shift_master.shiftId=collection_master.fkshiftId','left outer')

                
    //             ->join('collectionnote_master','collectionnote_master.fkcollectionId=collection_master.collectionId','left outer')
    //              ->join('note_master','note_master.noteId=collectionnote_master.fknoteId','left outer')

				 ->group_by(['invoicemainId'])
				 
				->where(['invoiceproduct.fkinvoicemainId'=>$invoicemainId,'invoiceproduct.is_active'=>1])
				->get('invoicemain');
			
			return $sql->result();

		}


		public function purchase_details($purchasemainId)
		{
			
			$sql=$this->db->select('purchasemain.*,supplier_master.supplierName,supplier_master.address,supplier_master.primaryMobile,supplier_master.pinCode')

				->join('purchaseproduct','purchasemain.purchasemainId=purchaseproduct.fkpurchasemainId','left outer')
					// ->join('employee_master as emp','emp.empId=collection_master.fkemployeeId','left outer')
			     ->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer')
				// ->join('mpd_master','mpd_master.mpdId=collection_master.fkMPDId','left outer')
				// ->join('item_master','item_master.itemId=collectioninpump.fkitemId','left outer')
    //             ->join('pump_master','pump_master.pumpId=collectioninpump.fkpumpId','left outer')
    //             ->join('shift_master','shift_master.shiftId=collection_master.fkshiftId','left outer')

                
    //             ->join('collectionnote_master','collectionnote_master.fkcollectionId=collection_master.collectionId','left outer')
    //              ->join('note_master','note_master.noteId=collectionnote_master.fknoteId','left outer')

				 ->group_by(['purchasemainId'])
				 
				->where(['purchaseproduct.fkpurchasemainId'=>$purchasemainId,'purchaseproduct.is_active'=>1])
				->get('purchasemain');
			
			return $sql->result();

		}
		public function productdetails($invoicemainId)
		{
			
			$sql=$this->db->select('invoiceproduct.*,product_master.productName,gst_master.gstName,unit_master.UnitName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					
			     ->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer')
			     ->join('unit_master','unit_master.UnitId=product_master.fkunitId','left outer')
			     ->join('gst_master','gst_master.gstId=invoiceproduct.fkgstId','left outer')
				
				 
				->where(['invoiceproduct.fkinvoicemainId'=>$invoicemainId,'invoiceproduct.is_active'=>1])
				->get('invoiceproduct');
			
			return $sql->result();

		}



		public function supplierproductdetails($purchasemainId)
		{
			
			$sql=$this->db->select('purchaseproduct.*,product_master.productName,gst_master.gstName,unit_master.UnitName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					
			     ->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer')
			     ->join('unit_master','unit_master.UnitId=product_master.fkunitId','left outer')
			     ->join('gst_master','gst_master.gstId=purchaseproduct.fkgstId','left outer')
				
				 
				->where(['purchaseproduct.fkpurchasemainId'=>$purchasemainId,'purchaseproduct.is_active'=>1])
				->get('purchaseproduct');
			
			return $sql->result();

		}

		public function productnetdetails($invoicemainId)
		{
			
			$sql=$this->db->select_sum('invoiceproduct.netAmount')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					// ->join('employee_master as emp','emp.empId=collection_master.fkemployeeId','left outer')
			     // ->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer')
			     // ->join('gst_master','gst_master.gstId=invoiceproduct.fkgstId','left outer')
				
				 
				->where(['invoiceproduct.fkinvoicemainId'=>$invoicemainId,'invoiceproduct.is_active'=>1])
				->get('invoiceproduct');
			
			return $sql->result();

		}


		public function suppliernetdetails($purchasemainId)
		{
			
			$sql=$this->db->select_sum('purchaseproduct.netAmount')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					// ->join('employee_master as emp','emp.empId=collection_master.fkemployeeId','left outer')
			     // ->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer')
			     // ->join('gst_master','gst_master.gstId=invoiceproduct.fkgstId','left outer')
				
				 
				->where(['purchaseproduct.fkpurchasemainId'=>$purchasemainId,'purchaseproduct.is_active'=>1])
				->get('purchaseproduct');
			
			return $sql->result();

		}


			
	} 
	
?>