<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Category extends CI_Controller
{
	public function __construct()
		{		
			parent::__construct();	

			if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}

			$this->load->model(['Model_Category']);				
		} 
	public function index()
		{
			$data['data']=$this->Model_Category->select_all();
			$this->load->view('header');
			$this->load->view('admin/category/categorydetails_view',$data);
			$this->load->view('footer');
		}	
	public function create()
		{
			$obj='';		
			$categoryId =$this->uri->segment(2);		
			if(empty($categoryId))
			 {
				$categoryId = 0;
			 }		
			if($categoryId > 0)
			 {
				$obj = $this->Model_Category->search($categoryId);
			 }		
			$data['data']=$obj;
			//print_r($data);
			//exit();
			$this->load->view('header');
			$this->load->view('admin/category/category_view',$data);
			$this->load->view('footer');	
		} 
	public function perform()
		{		
			$categoryId=$this->input->post('txt_id');
			$categoryName=$this->input->post('categoryName');
			$description=$this->input->post('description');		
			if($categoryId>0)
			 {
				$data=[
				'categoryId'			=>	$categoryId,	
				'categoryName'			=>	$categoryName,
				'description'       =>$description,				
				'modified_by'	=> $_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Category->update($data);			
			 }
			else
			 {
				$data=[
				'categoryName'       => $categoryName,
				'description'       => $description,				
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Category->insert($data);			
			 }                                                   
		} 
	public function delete_perform()
		{
			$categoryId =$this->uri->segment(4);		
			if(!empty($categoryId))
			 {			
				$data=[
				'categoryId'			=>	$categoryId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
				];
			    $this->Model_Category->update($data);			 
				redirect('CategoryIndex');
			}
			else
			 {
				show_404();
			 }
		} 
} 