<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Hsnsac extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_Hsnsac']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Hsnsac->select_all();
        //print_r($data);exit();

		 $this->load->view('header');
		$this->load->view('admin/hsnsac/hsnsacDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$hsnsacId =$this->uri->segment(2);

		
		if(empty($hsnsacId)){
			$hsnsacId = 0;
		}
		
		if($hsnsacId > 0){
			$obj = $this->Model_Hsnsac->search($hsnsacId);
		}
		
		$data['data']=$obj;
        //print_r($data);exit();
        $data['gst']=$this->Model_Hsnsac->getgstlist(); 
         $data['gstrange']=$this->Model_Hsnsac->getgstlist(); 

		 $this->load->view('header');
		$this->load->view('admin/hsnsac/hsnsac_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		
		$hsnsacId=$this->input->post('txt_id');
		$hsnsacCode4=$this->input->post('hsnsacCode4');
		$goodsandserivce=$this->input->post('goodsandserivce');
		$hsnsacCode=$this->input->post('hsnsacCode');
		$gsttype=$this->input->post('gsttype');
		$gstId=$this->input->post('gstId');

		$reversecharge=$this->input->post('reversecharge');
		$ITC=$this->input->post('ITC');
		$applicableDate=$this->input->post('applicableDate');
		$raterange=$this->input->post('raterange');
		$raterangeStart=$this->input->post('raterangeStart');
		$raterangeEnd=$this->input->post('raterangeEnd');

		$gstrange=$this->input->post('gstrange');

		$igstValue=$this->input->post('igstValue');
		$cgstValue=$this->input->post('cgstValue');	
		$sgstValue=$this->input->post('sgstValue');
		$cessValue=$this->input->post('cessValue');

		$igstrange=$this->input->post('igstrange');
		$cgstrange=$this->input->post('cgstrange');	
		$sgstrange=$this->input->post('sgstrange');
		$cessrange=$this->input->post('cessrange');
		
		if($hsnsacId>0)
		{
			$data=[

				'hsnsacId'			    =>	$hsnsacId,	
				'hsncode4'			=>$hsnsacCode4,

				'goods'       =>$goodsandserivce,
				'hsnsacCode'       =>$hsnsacCode,
				'gstType' =>$gsttype,
				'tax'           =>$gstId,
				'reverseCharges'           =>$reversecharge,
				'consideItc'           =>$ITC,
				'applicableDate'           =>$applicableDate,
				'rateRange'           =>$raterange,
				'raterangeStart'           =>$raterangeStart,
				'raterangeEnd'           =>$raterangeEnd,
				'rangeTax'           =>$gstrange,
				'igst'           =>$igstValue,
				'cgst'           =>$cgstValue,
				'sgst'           =>$sgstValue,
				'cess'           =>$cessValue,

				'igstrange'           =>$igstrange,
				'cgstrange'           =>$cgstrange,
				'sgstrange'           =>$sgstrange,
				'cessrange'           =>$cessrange,
				'modified_by'	        =>	$_SESSION['u_id'],
				'modified_date'	        =>	date('Y-m-d H:i:s')
			];

			$this->Model_Hsnsac->update($data);
			// {
			// 	$this->Model_Notification->show_notification(2);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(5);	
			// }
		}
		else
		{
			$data=[
				'hsncode4'			=>$hsnsacCode4,
				'goods'       =>$goodsandserivce,
				'hsnsacCode'       =>$hsnsacCode,
				'gstType' =>$gsttype,
				'tax'           =>$gstId,
				'reverseCharges'           =>$reversecharge,
				'consideItc'           =>$ITC,
				'applicableDate'           =>$applicableDate,
				'rateRange'           =>$raterange,
				'raterangeStart'           =>$raterangeStart,
				'raterangeEnd'           =>$raterangeEnd,
				'rangeTax'           =>$gstrange,
				'igst'           =>$igstValue,
				'cgst'           =>$cgstValue,
				'sgst'           =>$sgstValue,
				'cess'           =>$cessValue,
				'igstrange'           =>$igstrange,
				'cgstrange'           =>$cgstrange,
				'sgstrange'           =>$sgstrange,
				'cessrange'           =>$cessrange,
				'created_by'	        =>	$_SESSION['u_id'],
				'created_date'	        =>	date('Y-m-d H:i:s')
			];
			//print_r($data);

			$this->Model_Hsnsac->insert($data);
			// {
			// 	$this->Model_Notification->show_notification(1);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(4);	
			// }
		}

		// redirect('HsnsacIndex');

	} 

	public function getgstdetails(){
		$gstId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Hsnsac->getgstdetails($gstId);
		print_r(json_encode($data));
 
	}
	
	public function delete_perform(){

		$hsnsacId = $this->uri->segment(4);


		if(!empty($hsnsacId)){
			
			$data=[

				'hsnsacId'			=>	$hsnsacId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Hsnsac->update($data);
			
			 redirect('HsnsacIndex');
		}
		else
		{
			
			show_404();
		}

	} 

} 