<?php 
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Invoice extends CI_Controller{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}			
		$this->load->model(['Model_Invoice','Model_Report','Model_Product','Model_Customer','Model_Invoice','Model_Doctorprofile']);			
	} 
	public function index()
	{
		$data['data']=$this->Model_Invoice->select_all();
		// echo "<pre>";
		// print_r($data);
				$this->load->view('header');
		 $this->load->view('admin/Invoice/InvoiceDetails_view',$data);
	 	 $this->load->view('footer');
	}	
	public function create()
	{
		$obj='';
		$InvoiceId=$this->input->post('InvoiceId');				
		if(empty($InvoiceId)){
			$InvoiceId = 0;
		}		
		if($InvoiceId > 0){
			$obj = $this->Model_Invoice->search($InvoiceId);
		}		
		$data['data']=$obj;
		//$data['customer']=$this->Model_Invoice->getcustomerlist();   
		//$data['product']=$this->Model_Invoice->getproductlist();  
		$data['gst']=$this->Model_Invoice->getgstlist();  
			// $data['discount_master']=$this->Model_Invoice->getdiscountlist();
			$data['payement']=$this->Model_Invoice->getpaymentlist();  
			$data['hsn']=$this->Model_Invoice->gethsnlist();
			// $data['doctors']=$this->Model_Invoice->gedoctorslist();      
		// print_r($data['payement']);
			$this->load->view('header');
		$this->load->view('admin/Invoice/Invoice_view',$data);
		$this->load->view('footer');			
	} 




public function insertProduct()
	{   
		if($_POST)
		{
		 $salesRate= $this->input->post('salesRate');
            $product= $this->input->post('product');
            $fkunitId= $this->input->post('fkunitId');
            $purchaseRate= $this->input->post('purchaseRate');
            $fkmanufactureId= $this->input->post('fkmanufactureId');
            $productshortName= $this->input->post('productshortName');
            $fkgstId= $this->input->post('fkgstId');
            $mrpRate= $this->input->post('mrpRate');
             $fksecondunitId= $this->input->post('fksecondunitId');
            
            $conversion= $this->input->post('conversion');
            $fkhsnsacId= $this->input->post('fkhsnsacId');
            $fkclassificationId= $this->input->post('fkclassificationId');

            $fields  = array('productName'=>$product,
            		'salesRate'=>$salesRate,
            		'productshortName'=>$productshortName,
            		'fkunitId'=>$fkunitId,
						'openingStock'=>'0',
            	 'purchaseRate'=>$purchaseRate,
            	 'fkmanufactureId'=>$fkmanufactureId,
            	 'purchaseRate'=>$purchaseRate,
            	 'mrpRate'=>$mrpRate,
            	  'fkgstId'=>$fkgstId,
            	   'fkhsnsacId'=>$fkhsnsacId,
            	    'fkclassificationId'=>$fkclassificationId,
            	  'minstockLevel'=>'0',
            	 'maxstockLevel'=>'0',
            	'created_date'=>date('Y-m-d H:i:s'),
	  	  	'created_by'=>$_SESSION['u_id']);
		// print_r($fields);
		  if ($this->Model_Product->insert('product_master',$fields)) {
		  	$maxfkproductId=$this->Model_Product->getMaxId()[0]->productId;

		  	if($fksecondunitId!="")
				{
			
					
				$unitdata=[

					'fkproductId'	=>$maxfkproductId,
					'fksecondunitId'	=>$fksecondunitId,
					'conversion'	=>$conversion,
					


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Product->insert('productsecondunit',$unitdata);
				// $this->Model_Notification->show_notification(1);
			
		}

		  }

	    }	  
	   
	}
	public function insertCustomer()
	{   
		if($_POST)
		{
		  $customer = $this->input->post('customer');
            $primaryMobile= $this->input->post('primaryMobile');
            $address= $this->input->post('address');
            $fields  = array('customerName'=>$customer,
						'primaryMobile'=>$primaryMobile,
            	 'address'=>$address,
            	'created_date'=>date('Y-m-d H:i:s'),
	  	  	'created_by'=>$_SESSION['u_id']);
		
		  $this->Model_Customer->insert('customer_master',$fields);

	    }	  	   
	}

	public function insertdoctor()
	{   
		if($_POST)
		{
		  $doctorName = $this->input->post('doctorName');
           
            $fields  = array('doctorName'=>$doctorName,
						
            	'created_date'=>date('Y-m-d H:i:s'),
	  	  	'created_by'=>$_SESSION['u_id']);
		
		  $this->Model_Doctorprofile->insert('doctor_master',$fields);
			// echo "hii";

	    }

	}

public function getProductList()
    {
        $result = $this->Model_Invoice->getproductlist();   
        //echo json_encode($result);    
	    $data['data'] =  $result;
        print_r( json_encode($data['data']) );
    }
 public function getclassificationList()
    {
        $result = $this->Model_Product->getclasslist();   
        // echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
        // print_r($result);

    }
    public function getdoctorslist()
    {
        $result = $this->Model_Invoice->getdoctorslist();   
        //echo json_encode($result);    
	    $data['data'] =  $result;
        print_r( json_encode($data['data']) );
    }

public function getCustomerList()
    {
        $result= $this->Model_Invoice->getcustomerlist();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
    }
    public function getUnitList()
    {
        $result = $this->Model_Product->getunitlist();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );

    }

     public function gethsnList()
    {
        $result = $this->Model_Product->gethsnsaclist();   
        // echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
        // print_r($result);

    }

     public function getManufactureList()
    {
        $result = $this->Model_Product->getManufacturelist();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );

    }

     public function getgstList()
    {
        $result = $this->Model_Product->getgstlist();   
        // echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
        // print_r($result);

    }

    public function getsecondaryunit(){
		$fkunitId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Invoice->getsecondaryunit($fkunitId);
		print_r(json_encode($data));
 
	}
		public function edit()
	{
		$obj='';
		$invoicemainId=$this->uri->segment(2);			
		if(empty($invoicemainId)){
			$invoicemainId = 0;
		}		
		if($invoicemainId > 0){
			 $obj = $this->Model_Invoice->search($invoicemainId);
		}		
		$data['data']=$obj;
		$data['customer']=$this->Model_Invoice->getcustomerlist();   
		$data['product']=$this->Model_Invoice->getproductlist();  
		$data['gst']=$this->Model_Invoice->getgstlist();  
		$data['invoice']=$this->Model_Invoice->select($invoicemainId);
		$data['payement']=$this->Model_Invoice->getpaymentlist(); 

		$data['hsn']=$this->Model_Invoice->gethsnlist();  
		$data['doctors']=$this->Model_Invoice->getdoctorslist();     
		// print_r($data['product']);
		$this->load->view('header');
		$this->load->view('admin/Invoice/Invoice_editview',$data);
		$this->load->view('footer');			
	} 


	public function perform()
	{		
		$invoicemainId=$this->input->post('txt_id');
		$fkcustomerId=$this->input->post('customerId');
		$invoiceDate=$this->input->post('invoiceDate');	
		$shipandpackCost=$this->input->post('shipandpackCost');
		
		$refId=$this->input->post('refId');
		$refNo=$this->input->post('refNo');
		$PaymentId=$this->input->post('PaymentId');
		$amount=$this->input->post('amount');
		$addamount=$this->input->post('amount1');
		// $transactionNo=$this->input->post('transactionNo');

		$billdiscPerc=$this->input->post('billdiscPerc');
		$billdiscAmt=$this->input->post('billdiscAmt');
		$fkdoctorId=$this->input->post('doctorId');

		$totQuantity1=$this->input->post('totQuantity1');
		$totdiscountamt1=$this->input->post('totdiscountamt1');
		$totgstamt1=$this->input->post('totgstamt1');

		$paidAmount=$this->input->post('paidAmount');
		$deliveryNote=$this->input->post('deliveryNote');
		$personalNote=$this->input->post('PersonalNote');
		
		$fkproductId=$this->input->post('productId');	
		$Quantity=$this->input->post('Quantity');
		$discountPercentage=$this->input->post('discountPercentage');
		$Rate=$this->input->post('rate');
		$fkgstId=$this->input->post('gstId');
		$gstAmount=$this->input->post('gstAmount');
		$discountAmount=$this->input->post('discountAmount');
		$productamount=$this->input->post('productamount');
		$netAmount=$this->input->post('netAmount');

		$hsnsacId=$this->input->post('hsnsacId');
		$Batch=$this->input->post('batchId');
		$expiryDate=$this->input->post('expirydate');
		$fkunitId=$this->input->post('unitId');
		$freeQuantity=$this->input->post('freequantity');
		

		$fkbranchId=$_SESSION['fkbranchId'];


		$dataMaster=[

			'fkbranchId'=>$fkbranchId,

		
			'fkcustomerId'=>$fkcustomerId,
			'invoiceDate'	=> $invoiceDate,
			
			'fkrefId'	=>$refId,
			'refNo'	=>$refNo,
			'shipandpackCost'=>$shipandpackCost,
			'fkpaymenttypeId'=>$PaymentId,
			'amount'	=>$amount,
			'addamount'	=>$addamount,
			'totQuantity'	=>$totQuantity1,
			'totdiscountamt'	=>$totdiscountamt1,
			'totgstamt'	=>$totgstamt1,
			// 'transactionNo'		=>$transactionNo,
			'paidAmount'		=>$paidAmount,
			'deliveryNote'=>$deliveryNote,
			'personalNote'=>$personalNote,
			'billdiscPerc'=>$billdiscPerc,
			'billdiscAmt'=>$billdiscAmt,
			'fkdoctorId'=>$fkdoctorId,
			
			'created_by'	=>	$_SESSION['u_id'],
			'created_date'	=>	date('Y-m-d H:i:s')
		];
	
		if($this->Model_Invoice->insert('invoicemain',$dataMaster))
		{
			// echo "hii";
			$maxfkinvoicemainId=$this->Model_Invoice->getMaxId()[0]->invoicemainId;
		
			$transactionData=[

			'fkinvoicemainId'	=>$maxfkinvoicemainId,	
			'fkcustomerId'=>$fkcustomerId,
			'paidAmount'	=> $paidAmount,
			'fkpaymenttypeId'	=>	$PaymentId,
			'paymentDate'	=>	$invoiceDate,
			
			
			'created_by'	=>	$_SESSION['u_id'],
			'created_date'	=>	date('Y-m-d H:i:s')
		];
		// print_r($transactionData);
		$this->Model_Invoice->insert('customertransaction',$transactionData);

		if($fkproductId=="")
		{
			// $this->Model_Notification->show_notification(1);
		}
		else
		{	
			for($i=0;$i<count($fkproductId);$i++)
			{


				$getproductId=$fkproductId[$i];

				$getQuantity=$Quantity[$i];
				$getdiscountPercentage=$discountPercentage[$i];
				$getRate=$Rate[$i];
				$getfkgstId=$fkgstId[$i];
				$getgstAmount=$gstAmount[$i];
				$getdiscountAmount=$discountAmount[$i];
				$getproductamount=$productamount[$i];
				$getnetAmount=$netAmount[$i];

				$getBatch=$Batch[$i];
				$getexpiryDate=$expiryDate[$i];
				$getfkunitId=$fkunitId[$i];
				$getfreeQuantity=$freeQuantity[$i];
				$gethsnsacId=$hsnsacId[$i];
				
				
				$productdata=[

					'fkinvoicemainId'	=>$maxfkinvoicemainId,
					'fkproductId'	=>$getproductId,
					'Quantity'	=>$getQuantity,
					'discountPercentage'	=>$getdiscountPercentage,
					'Rate'		=>$getRate,
					'fkgstId'	=>$getfkgstId,
					'gstAmount'	=>$getgstAmount,
					'discountAmount'	=>$getdiscountAmount,
					'productamount'	=>$getproductamount,
					'netAmount'	=>$getnetAmount,

					'fkhsnsacId'=>$gethsnsacId,
					'fkpurchasebatchId'	=>$getBatch,
					'expiryDate'	=>$getexpiryDate,
					'fkunitId'	=>$getfkunitId,
					'freeQuantity'	=>$getfreeQuantity,


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];
				// print_r($productdata);
				$this->Model_Invoice->insert('invoiceproduct',$productdata);
				// $this->Model_Notification->show_notification(1);
			}
		}

	
			
	}
	} 	

	public function Report()
	{
		$invoiceRecord=$this->Model_Invoice->invoice_report();
		$invoicemainId=$invoiceRecord[0]->invoicemainId;
		$invoiceString=explode(',',$invoicemainId);
		$data=array();
			for($i=0;$i<count($invoiceString);$i++)
				{
					$getinvoicemainId=$invoiceString[$i];
					$invoiceDetails=$this->Model_Invoice->invoice_details($getinvoicemainId);
					$data[]=[$invoiceDetails];
				}
		$recordOrg=$this->Model_Report->selectorg();
		$org['org']=['orgData'=>$recordOrg];

		$data['productdetails']=$this->Model_Invoice->productdetails($invoicemainId);
		$userregistrationId = $this->session->userdata('u_id');
		$data['userName']=$this->Model_Invoice->userName($userregistrationId);
		$data['PAN']=$this->Model_Invoice->getpanCard($invoiceDetails[0]->fkcustomerId);
		$data['Dl']=$this->Model_Invoice->getdlNo($invoiceDetails[0]->fkcustomerId);

		$data['netamount']=$this->Model_Invoice->productnetdetails($invoicemainId);
		$data['main']=$data;
		$i=0;

			foreach ($invoiceDetails as $a => $a) {

				$i++;
			}
			$data['row']=$i;
			
		$data['data']=array_merge($data['main'],$org['org']);
		// print_r($data['data']);
		$this->load->view('header');
		$this->load->view('admin/Invoice/report_view',$data);
		$this->load->view('footer');	
	}

	public function EditReport()
	{
		// $invoiceRecord=$this->Model_Invoice->invoice_report();
		$invoicemainId = $this->session->userdata('invoicemainId');
		// $invoicemainId=$invoiceRecord[0]->invoicemainId;
		$invoiceString=explode(',',$invoicemainId);
		$data=array();
			for($i=0;$i<count($invoiceString);$i++)
				{
					$getinvoicemainId=$invoiceString[$i];
					$invoiceDetails=$this->Model_Invoice->invoice_details($getinvoicemainId);
					$data[]=[$invoiceDetails];
				}
		$recordOrg=$this->Model_Report->selectorg();
		$org['org']=['orgData'=>$recordOrg];

		$data['productdetails']=$this->Model_Invoice->productdetails($invoicemainId);
		$userregistrationId = $this->session->userdata('u_id');
		$data['userName']=$this->Model_Invoice->userName($userregistrationId);
		$data['PAN']=$this->Model_Invoice->getpanCard($invoiceDetails[0]->fkcustomerId);
		$data['Dl']=$this->Model_Invoice->getdlNo($invoiceDetails[0]->fkcustomerId);

		$data['netamount']=$this->Model_Invoice->productnetdetails($invoicemainId);
		$data['main']=$data;
		$i=0;

			foreach ($invoiceDetails as $a => $a) {

				$i++;
			}
			$data['row']=$i;
			
		$data['data']=array_merge($data['main'],$org['org']);
		// print_r($data['PAN']);
		$this->load->view('header');
		$this->load->view('admin/Invoice/report_view',$data);
		$this->load->view('footer');	
	}

	public function getproductdetails(){
		$productId=$this->input->post('productId');
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Invoice->getproductdetails($productId);
		
		print_r(json_encode($productId));
 
	}

public function findproduct()
	{
		$productId=$this->input->post('productId');
		$data=$this->Model_Invoice->findproduct($productId);
		 print_r(json_encode($data));
	}


	public function getexpirtdate()
	{
		$productId=$this->input->post('productId');
		$batch=$this->input->post('batch');
		$data=$this->Model_Invoice->getexpirtdate($productId,$batch);
		 print_r(json_encode($data));
	}
	
	public function getunitdetails(){
		$productId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data['unit1']=$this->Model_Invoice->getunitdetails($productId);
		$data['unit2']=$this->Model_Invoice->getsecondunit($productId);
		print_r(json_encode($data));
			
	}
public function findcustomername()
	{
		$customerId=$this->input->post('customerId');
		$data=$this->Model_Invoice->findcustomername($customerId);
		 print_r(json_encode($data));
	}


	public function getbatchName()
	{
		$batchId=$this->input->post('batchId');
		$data=$this->Model_Invoice->getbatchName($batchId);
		 print_r(json_encode($data));
	} 
	public function getgstdetails(){
		$fkgstId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Invoice->getgstdetails($fkgstId);
		print_r(json_encode($data));
 
	}
	public function OutstandingAmount(){
		$fkcustomerId=$this->input->post('fkcustomerId');
		//$fields  = array('itemId' => $itemId);
		$result=$this->Model_Invoice->OutstandingAmount($fkcustomerId);
		$result1=$this->Model_Invoice->OutstandingAmount1($fkcustomerId);
		$result2=$this->Model_Invoice->OutstandingAmount2($fkcustomerId);
		$data=[
				'OutstandingAmount'=>$result2[0]->opeaningbalance+$result[0]->amount-$result1[0]->paidAmount

		];
		if ($data['OutstandingAmount']=="")
		 {
			$data['OutstandingAmount']=0;
			print_r(json_encode($data));

		}
		else
		{
			// print_r(json_encode($result));
			print_r(json_encode($data));
		}
		
 
	}


		public function stockdetails(){
		$purchaseqty=0;
		$invoiceqty=0;


		$productId=$this->input->post('productId');
		$fkunitId=$this->Model_Invoice->getprimaryunit($productId);
		$fksecondunitId=$this->Model_Invoice->getsecondunitId($productId);
		 $purchaseprimary=$this->Model_Invoice->purchaseprimarysum($productId,$fkunitId[0]->fkunitId);
		 $invoiceprimary=$this->Model_Invoice->invoiceprimarysum($productId,$fkunitId[0]->fkunitId);
		$deletebatchqty=$this->Model_Invoice->getdeleteproductbatch($productId,$fkunitId[0]->fkunitId);
		if (!empty($fksecondunitId)) {
			
			
			for ($i=0; $i <count($fksecondunitId) ; $i++) { 
				
				$purchasesecondary=$this->Model_Invoice->purchasesecondsum($productId,$fksecondunitId[$i]->fksecondunitId);
				

				$invoicesecondary=$this->Model_Invoice->invoicesecondsum($productId,$fksecondunitId[$i]->fksecondunitId);
				
				
				$conversion1=$fksecondunitId[$i]->conversion;
				
				 $secondarypurchaseQuantity=($purchasesecondary[0]->Quantity+$purchasesecondary[0]->freeQuantity)*$conversion1;
				
				 $purchaseqty=$purchaseqty+$secondarypurchaseQuantity;
				$secondaryinvoiceQuantity=($invoicesecondary[0]->Quantity+$invoicesecondary[0]->freeQuantity)*$conversion1;
				$invoiceqty=$invoiceqty+$secondaryinvoiceQuantity;
				
				
			}
			$openingStock=$fkunitId[0]->openingStock;
			$purchasequantity=($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)+$purchaseqty;
				$invoicequantiy=($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)+$invoiceqty;

				$stock=$openingStock+$purchasequantity-$invoicequantiy-$deletebatchqty[0]['deleteqty'];

		$data=[
			'productstock'=>$stock,
			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));
		}
		else
		{
			
			$openingStock=$fkunitId[0]->openingStock;
			$stock=$openingStock+($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)-($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)-$deletebatchqty[0]['deleteqty'];
			$data=[
			'productstock'=>$stock,
			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));

		}
		
 
	}

	public function getunitstock(){
		$productId=$this->input->post('productId');
		$UnitId=$this->input->post('UnitId');
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Invoice->getunitstock($productId,$UnitId);
		if (!empty($data)) {
			
			 print_r(json_encode($data));
		}
		//
		else
		{
			$data="";
			print_r(json_encode($data));
		}
 
	}


public function getbatchdetails(){
		$output='';
		$productId=$this->input->post();
		
		$data=$this->Model_Invoice->getbatchdetails($productId);
		
		$currentdate=date('Y-m-d');
		
			if(!empty($data))
		{
			$i=0;
			foreach ($data as $key => $value) {
				$i++;
				
				
					$output.='<tr>
				
				<td>'. $value->productName.'</td>
				<td>'. $value->batchName.'</td>
				<td>'. $value->expiryDate.'</td>
				<td>'. $value->Rate.'</td>
				<td>'. $value->Quantity.'</td>

				</tr>';
				
					
			}
		}
		echo $output;
			
		
 
	}

	public function getbatchstock(){
		$purchaseqty=0;
		$invoiceqty=0;


		$productId=$this->input->post('fkproductId');
		$batchId=$this->input->post('fkbatchId');
		$fkunitId=$this->Model_Invoice->getprimaryunit($productId);
		$fksecondunitId=$this->Model_Invoice->getsecondunitId($productId);
		 $purchaseprimary=$this->Model_Invoice->purchasebatchprimarysum($productId,$fkunitId[0]->fkunitId,$batchId);
		 $invoiceprimary=$this->Model_Invoice->invoicebatchprimarysum($productId,$fkunitId[0]->fkunitId,$batchId);
		 $deletebatchqty=$this->Model_Invoice->getdeletebatch($productId,$fkunitId[0]->fkunitId,$batchId);
		if (!empty($fksecondunitId)) {
		
			
			for ($i=0; $i <count($fksecondunitId) ; $i++) { 
				# code...
				$purchasesecondary=$this->Model_Invoice->purchasebatchsecondsum($productId,$fksecondunitId[$i]->fksecondunitId,$batchId);
				

				$invoicesecondary=$this->Model_Invoice->invoicebatchsecondsum($productId,$fksecondunitId[$i]->fksecondunitId,$batchId);
				// print_r(json_encode($invoicesecondary));
				
				$conversion1=$fksecondunitId[$i]->conversion;
				
				 $secondarypurchaseQuantity=($purchasesecondary[0]->Quantity+$purchasesecondary[0]->freeQuantity)*$conversion1;
				 // print_r($secondarypurchaseQua/ntity);
				 $purchaseqty=$purchaseqty+$secondarypurchaseQuantity;
				$secondaryinvoiceQuantity=($invoicesecondary[0]->Quantity+$invoicesecondary[0]->freeQuantity)*$conversion1;
				$invoiceqty=$invoiceqty+$secondaryinvoiceQuantity;
				
				
			}
			// print_r($total);
			$openingStock=$fkunitId[0]->openingStock;
			$purchasequantity=($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)+$purchaseqty;
				$invoicequantiy=($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)+$invoiceqty;

				$stock=$openingStock+$purchasequantity-$invoicequantiy-$deletebatchqty[0]['deleteqty'];

		$data=[
			'productstock'=>$stock,
			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));
		}
		else
		{
			// echo('hii');
			$openingStock=$fkunitId[0]->openingStock;
			$stock=$openingStock+($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)-($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)-$deletebatchqty[0]['deleteqty'];
			$data=[
			'productstock'=>$stock,
			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));

		}
		
		
 
	}

	public	function batchinfo()
	{
		$purchaseqty=0;
		$invoiceqty=0;
		$data1=array();
		$productId=$this->input->post('productId');
		$data=$this->Model_Invoice->batchinfo($productId);

		$fkunitId=$this->Model_Invoice->getprimaryunit($productId);
		$fksecondunitId=$this->Model_Invoice->getsecondunitId($productId);
		$date=date('Y-m-d');
		for ($i=0; $i <count($data) ; $i++) { 
			 $purchaseprimary=$this->Model_Invoice->purchasebatchprimarysum($productId,$fkunitId[0]->fkunitId,$data[$i]->purchasebatchId);
		 $invoiceprimary=$this->Model_Invoice->invoicebatchprimarysum($productId,$fkunitId[0]->fkunitId,$data[$i]->purchasebatchId);
			// print_r($purchaseprimary);
		 if (!empty($fksecondunitId)) {
		 	for ($j=0; $j <count($fksecondunitId) ; $j++) { 
		 	$purchasesecondary=$this->Model_Invoice->purchasebatchsecondsum($productId,$fksecondunitId[$j]->fksecondunitId,$data[$i]->purchasebatchId);
		 	$invoicesecondary=$this->Model_Invoice->invoicebatchsecondsum($productId,$fksecondunitId[$j]->fksecondunitId,$data[$i]->purchasebatchId);
		 	$conversion1=$fksecondunitId[$j]->conversion;
		 	 $secondarypurchaseQuantity=($purchasesecondary[0]->Quantity+$purchasesecondary[0]->freeQuantity)*$conversion1;

		 	  $purchaseqty=$purchaseqty+$secondarypurchaseQuantity;
				$secondaryinvoiceQuantity=($invoicesecondary[0]->Quantity+$invoicesecondary[0]->freeQuantity)*$conversion1;
				$invoiceqty=$invoiceqty+$secondaryinvoiceQuantity;
				
				
			}
			// // print_r($total);
			$openingStock=$fkunitId[0]->openingStock;
			$purchasequantity=($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)+$purchaseqty;
				$invoicequantiy=($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)+$invoiceqty;

				$stock=$openingStock+$purchasequantity-$invoicequantiy;
			// print_r($stock);
		 }
		 else
		 {

		 	$openingStock=$fkunitId[0]->openingStock;
			$stock=$openingStock+($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)-($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity);
		
		 }
		 if ($stock>0) {

				// $data=[

				// 	'purchasebatchId'=>$data[$i]->purchasebatchId,
				// 	'batchName'=>$data[$i]->batchName
				// ];
		 			$data1[]=$data[$i];
				
			}
			
		}
		print_r(json_encode($data1));
		 
	}

	public function update()
	{		
			
		$invoicemainId=$this->input->post('txt_id');
		$fkcustomerId=$this->input->post('customerId');
		$invoiceDate=$this->input->post('invoiceDate');	
		$shipandpackCost=$this->input->post('shipandpackCost');
		// $refId=$this->input->post('refId');
		$refId=$this->input->post('refId');
		$refNo=$this->input->post('refNo');
		$PaymentId=$this->input->post('PaymentId');
		$amount=$this->input->post('amount');
		$addamount=$this->input->post('amount1');
		// $transactionNo=$this->input->post('transactionNo');
		$fkunitId=$this->input->post('unitId');
		$totQuantity1=$this->input->post('totQuantity1');
		$totdiscountamt1=$this->input->post('totdiscountamt1');
		$totgstamt1=$this->input->post('totgstamt1');

		$paidAmount=$this->input->post('paidAmount');
		$deliveryNote=$this->input->post('deliveryNote');
		$personalNote=$this->input->post('PersonalNote');

		$billdiscPerc=$this->input->post('billdiscPerc');
		$billdiscAmt=$this->input->post('billdiscAmt');
		$fkdoctorId=$this->input->post('doctorId');

		
		$fkproductId=$this->input->post('productId');	
		$Quantity=$this->input->post('Quantity');
		$discountPercentage=$this->input->post('discountPercentage');
		$Rate=$this->input->post('rate');
		$fkgstId=$this->input->post('gstId');
		$gstAmount=$this->input->post('gstAmount');
		$discountAmount=$this->input->post('discountAmount');
		$productamount=$this->input->post('productamount');
		$netAmount=$this->input->post('netAmount');


		$hsnsacId=$this->input->post('hsnsacId');
		$Batch=$this->input->post('batchId');
		$expiryDate=$this->input->post('expirydate');
		$fkunitId=$this->input->post('unitId');
		$freeQuantity=$this->input->post('freequantity');

		$this->session->set_userdata('invoicemainId', $invoicemainId);


		$fkbranchId=$_SESSION['fkbranchId'];

		$dataMaster=[

			'invoicemainId'	=>	$invoicemainId,	
			'fkcustomerId'=>$fkcustomerId,
			'fkbranchId'=>$fkbranchId,
			'invoiceDate'	=> $invoiceDate,
			// 'fkUnitId'    => $fkunitId,
			'fkrefId'	=>$refId,
			'refNo'	=>$refNo,
			'shipandpackCost'=>$shipandpackCost,
			'fkpaymenttypeId'=>$PaymentId,
			'amount'	=>$amount,
			'addamount'	=>$addamount,
			'totQuantity'	=>$totQuantity1,
			'totdiscountamt'	=>$totdiscountamt1,
			'totgstamt'	=>$totgstamt1,
			// 'transactionNo'		=>$transactionNo,
			'paidAmount'		=>$paidAmount,
			'deliveryNote'=>$deliveryNote,
			'personalNote'=>$personalNote,

			'billdiscPerc'=>$billdiscPerc,
			'billdiscAmt'=>$billdiscAmt,
			'fkdoctorId'=>$fkdoctorId,

			'modified_by'	=>	$_SESSION['u_id'],
			'modified_date'	=>	date('Y-m-d H:i:s')
		];
		// print_r($dataMaster);
		if($this->Model_Invoice->update('invoicemain',$dataMaster))
		{
			$maxfkinvoicemainId=$this->Model_Invoice->getMaxId()[0]->invoicemainId;
		
			$transactionData=[

			'fkinvoicemainId'	=>$invoicemainId,	
			'fkcustomerId'=>$fkcustomerId,
			'paidAmount'	=> $paidAmount,
			'fkpaymenttypeId'	=>	$PaymentId,
			'paymentDate'	=>	$invoiceDate,
			
			
			'modified_by'	=>	$_SESSION['u_id'],
			'modified_date'	=>	date('Y-m-d H:i:s')
		];
		$this->Model_Invoice->updatetrans('customertransaction',$transactionData);

		if($fkproductId=="")
		{
			// $this->Model_Notification->show_notification(1);
		}
		else
		{	
			for($i=0;$i<count($fkproductId);$i++)
			{


				$getproductId=$fkproductId[$i];

				$getQuantity=$Quantity[$i];
				$getdiscountPercentage=$discountPercentage[$i];
				$getRate=$Rate[$i];
				$getfkgstId=$fkgstId[$i];
				$getgstAmount=$gstAmount[$i];
				$getdiscountAmount=$discountAmount[$i];
				$getproductamount=$productamount[$i];
				$getnetAmount=$netAmount[$i];


				$getBatch=$Batch[$i];
				$getexpiryDate=$expiryDate[$i];
				$getfkunitId=$fkunitId[$i];
				$getfreeQuantity=$freeQuantity[$i];
				$gethsnsacId=$hsnsacId[$i];
				
				
				$productdata=[

					'fkinvoicemainId'	=>$invoicemainId,
					'fkproductId'	=>$getproductId,
					'Quantity'	=>$getQuantity,
					'discountPercentage'	=>$getdiscountPercentage,
					'Rate'		=>$getRate,
					'fkgstId'	=>$getfkgstId,
					'gstAmount'	=>$getgstAmount,
					'discountAmount'	=>$getdiscountAmount,
					'productamount'	=>$getproductamount,
					'netAmount'	=>$getnetAmount,

					'fkhsnsacId'=>$gethsnsacId,
					'fkpurchasebatchId'	=>$getBatch,
					'expiryDate'	=>$getexpiryDate,
					'fkunitId'	=>$getfkunitId,
					'freeQuantity'	=>$getfreeQuantity,


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Invoice->insert('invoiceproduct',$productdata);
				// $this->Model_Notification->show_notification(1);
			}
		}

	// print_r($getQuantity);
			
	}
	}

public function getrate()
	{
		$productId=$this->input->post('productId');
		$unitId=$this->input->post('unitId');
		$data=$this->Model_Invoice->getrate($productId,$unitId);
		 print_r(json_encode($data));
	}


	public function delete()
	{
		$invoiceproductId=$this->input->get('invoiceproductId');
		// print_r($invoiceproductId);
		$data=[
				'is_active'=>0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')];

		if($this->Model_Invoice->delete($invoiceproductId,$data))
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
	} 


	public function delete_perform()
	{		
      $invoicemainId=$this->uri->segment(2);
		if(!empty($InvoiceId)){			
			$data=[

				'invoicemainId'			=>	$invoicemainId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
             $this->Model_Invoice->update($data);			
		}
		else{
			
			show_404();
		}
	} 			
} 