<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
	class Manufacture extends CI_Controller
	 {
		public function __construct()
		 {
			parent::__construct();	
			if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}	
			$this->load->model(['Model_Manufacture']);	
		 } 
		public function index()
		 {
			$data['data']=$this->Model_Manufacture->select_all();
			$this->load->view('header');
			$this->load->view('admin/manufacture/manufacturedetails_view',$data);
			$this->load->view('footer');
		 }	
		public function create()
		 {
			$obj='';
			$manufactureId = $this->uri->segment(2);		
				if(empty($manufactureId))
				 {
					$manufactureId = 0;
				 }
				if($manufactureId > 0)
				{
					$obj = $this->Model_Manufacture->search($manufactureId);
				}
			$data['data']=$obj;
			//print_r($data);
			$this->load->view('header');
			$this->load->view('admin/manufacture/manufacture_view',$data);
			$this->load->view('footer');
		} 
		public function perform()
		 {
			$manufactureId=$this->input->post('txt_id');
			$manufactureName=$this->input->post('manufactureName');
			$manuShortName=$this->input->post('manuShortName');
			$manufactureExpiry=$this->input->post('manufactureExpiry');
			$manufactureDiscount=$this->input->post('manufactureDiscount');

			if($manufactureId>0)
			 {
				$data=[
				'manufactureId'			=>	$manufactureId,	
				'manufactureName'			=>	$manufactureName,
				'manuShortName'       =>$manuShortName,
				'manufactureExpiry'=>$manufactureExpiry,
				'manufactureDiscount'=>$manufactureDiscount,
				'modified_by'	=> $_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Manufacture->update($data);
		     }
			else
			 {
				$data=[
				'manufactureName'       => $manufactureName,
				'manuShortName'       =>$manuShortName,
				'manufactureExpiry'=>$manufactureExpiry,
				'manufactureDiscount'=>$manufactureDiscount,				
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Manufacture->insert($data);
			 }
		 } 
		public function delete_perform()
		 {
			$manufactureId = $this->uri->segment(4);	
			if(!empty($manufactureId))
			 {
				$data=[
				'manufactureId'			=>	$manufactureId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Manufacture->update($data);
				redirect('manufactureIndex');
			 }
			else
			 {
					show_404();
			 }
		 } 
} 