<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Productgroup extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}	
		
		$this->load->model(['Model_Productgroup']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Productgroup->select_all();
        //print_r($data);exit();

		 $this->load->view('header');
		$this->load->view('admin/productgroup/productgroupDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		//$msg = "";
		//$msgcss = "";
		$productgroupId = $this->uri->segment(2);
		
		
		if(empty($productgroupId)){
			$productgroupId = 0;
		}
		
		if($productgroupId > 0){
			$obj = $this->Model_Productgroup->search($productgroupId);
		}
		
		$data['data']=$obj;
        // print_r($data);exit();
	
		$data['maingroup']=$this->Model_Productgroup->getmaingrplist();
			 $this->load->view('header');
		$this->load->view('admin/productgroup/productgroup_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		
		$productgroupId=$this->input->post('txt_id');
		$productgroupName=$this->input->post('productgroupName');
		$productmaingroupId=$this->input->post('productmaingroupId');
		$productgroupshortName=$this->input->post('productgroupshortName');
		$description=$this->input->post('description');
		if($productgroupId>0)
		{
			$data=[

				'productgroupId'=>	$productgroupId,	
				'productgroupName'=>	$productgroupName,
				'fkproductmaingroupId'=>	$productmaingroupId,
				'productgroupshortName'       =>$productgroupshortName,
				'description'       =>$description,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Productgroup->update($data);
			// {
			// 	$this->Model_Notification->show_notification(2);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(5);	
			// }
		}
		else
		{
			$data=[
				'productgroupName'=>	$productgroupName,
				'productgroupshortName'       =>$productgroupshortName,
				'fkproductmaingroupId'=>	$productmaingroupId,
				'description'       =>$description,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Productgroup->insert($data);
			// {
			// 	$this->Model_Notification->show_notification(1);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(4);	
			// }
		}

		//redirect('ProductgroupIndex');

	} 
	
	public function delete_perform(){

		$productgroupId = $this->uri->segment(4);
		

		if(!empty($productgroupId)){
			
			$data=[

				'productgroupId'			=>	$productgroupId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Productgroup->update($data);
			
			 redirect('ProductgroupIndex');
		}
		else{
			
			show_404();
		}

	} 
	

	
	
} 