<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Productmaingroup extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_Productmaingroup']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Productmaingroup->select_all();
        //print_r($data);exit();

		 $this->load->view('header');
		$this->load->view('admin/productmaingroup/productmaingroupDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$productmaingroupId =$this->uri->segment(2);
		
		if(empty($productmaingroupId)){
			$productmaingroupId = 0;
		}
		
		if($productmaingroupId > 0){
			$obj = $this->Model_Productmaingroup->search($productmaingroupId);
		}
		
		$data['data']=$obj;
        //print_r($data);exit();
		 $this->load->view('header');
		$this->load->view('admin/productmaingroup/productmaingroup_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		
		$productmaingroupId=$this->input->post('txt_id');
		$productmaingroupName=$this->input->post('productmaingroupName');
		$productmaingroupshortName=$this->input->post('productmaingroupshortName');
		$description=$this->input->post('description');
		if($productmaingroupId>0)
		{
			$data=[

				'productmaingroupId'=>	$productmaingroupId,	
				'productmaingroupName'=>	$productmaingroupName,
				'productmaingroupshortName'       =>$productmaingroupshortName,
				'description'       =>$description,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Productmaingroup->update($data);
			// {
			// 	$this->Model_Notification->show_notification(2);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(5);	
			// }
		}
		else
		{
			$data=[
				'productmaingroupName'=>	$productmaingroupName,
				'productmaingroupshortName'       =>$productmaingroupshortName,
				'description'       =>$description,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Productmaingroup->insert($data);
			// {
			// 	$this->Model_Notification->show_notification(1);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(4);	
			// }
		}

		// redirect('ProductmainIndex');

	} 
	
	public function delete_perform(){

		$productmaingroupId = $this->uri->segment(4);
		if(!empty($productmaingroupId)){
			
			$data=[

				'productmaingroupId'			=>	$productmaingroupId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Productmaingroup->update($data);
			
			 redirect('ProductmaingroupIndex');
		}
		else{
			
			show_404();
		}

	} 
	

	
	
} 