<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Purchasebill extends CI_Controller{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}			
		$this->load->model(['Model_Purchasebill','Model_Product','Model_Supplier','Model_Report']);			
	} 
	public function index()
	{
		$data['data']=$this->Model_Purchasebill->select_all();
		// print_r($data);
		$this->load->view('header');
		 $this->load->view('admin/purchase/purchaseDetails_view',$data);
	 	 $this->load->view('footer');
	}	
	public function create()
	{
		// $obj='';
		// $purchasemainId=$this->input->post('purchasemainId');				
		// if(empty($purchasemainId)){
		// 	$purchasemainId = 0;
		// }		
		// if($purchasemainId > 0){
		// 	$obj = $this->Model_Purchasebill->search($purchasemainId);
		// }		
		// $data['data']=$obj;
		
		$data['gst']=$this->Model_Purchasebill->getgstlist();  
			
		$data['payement']=$this->Model_Purchasebill->getpaymentlist();
		$data['hsn']=$this->Model_Purchasebill->gethsnlist();  
		
		$data['company']=$this->Model_Product->getcompanylists();
		$data['manufacture']=$this->Model_Purchasebill->getmanufacturelist();
		$data['category']=$this->Model_Product->getCategorylists();
		$data['unit']=$this->Model_Product->getunitlist();
		$data['classification']=$this->Model_Product->getclasslist();
		$data['generic']=$this->Model_Product->getgenericlists();
		$data['hsnsac']=$this->Model_Product->gethsnsaclist();
		$data['gsts']=$this->Model_Product->getgstlist();
		$data['content']=$this->Model_Product->getContentlists();

		$data['Tax']=$this->Model_Product->getTaxlist();
	   $data['supplier']=$this->Model_Purchasebill->getsupplierlist();    

	   $data['area']=$this->Model_Product->getArealists();
		$data['balance']=$this->Model_Product->getBalancelists();
		$data['uploaddata']=$this->Model_Product->getUploadlists();
		$data['disc']=$this->Model_Product->getDisclists();

		
    //    echo "<pre>";
	// 	print_r($data['gsts']);
		$this->load->view('header');
		$this->load->view('admin/purchase/purchase_view',$data);
		$this->load->view('footer');			
	} 


		

	public function Report()
	{
		$purchaseRecord=$this->Model_Purchasebill->purchase_report();
		$purchasemainId=$purchaseRecord[0]->purchasemainId;
		$purchaseString=explode(',',$purchasemainId);
		$data=array();
			for($i=0;$i<count($purchaseString);$i++)
				{
					$getpurchasemainId=$purchaseString[$i];
					$purchaseDetails=$this->Model_Purchasebill->purchase_details($getpurchasemainId);
					$data[]=[$purchaseDetails];
				}
		$recordOrg=$this->Model_Report->selectorg();
		$org['org']=['orgData'=>$recordOrg];

		$data['productdetails']=$this->Model_Purchasebill->productdetails($purchasemainId);
		$data['netamount']=$this->Model_Purchasebill->productnetdetails($purchasemainId);
		$data['main']=$data;
		$i=0;

			foreach ($purchaseDetails as $a => $a) {

				$i++;
			}
			$data['row']=$i;
			
		$data['data']=array_merge($data['main'],$org['org']);
		// print_r($data['netamount']);
		$this->load->view('header');
		$this->load->view('admin/purchase/report_view',$data);
		$this->load->view('footer');	
	}



	public function EditReport()
	{
		
		$purchasemainId = $this->session->userdata('purchasemainId');
		
		$purchaseString=explode(',',$purchasemainId);
		$data=array();
			for($i=0;$i<count($purchaseString);$i++)
				{
					$getpurchasemainId=$purchaseString[$i];
					$purchaseDetails=$this->Model_Purchasebill->purchase_details($getpurchasemainId);
					$data[]=[$purchaseDetails];
				}
		$recordOrg=$this->Model_Report->selectorg();
		$org['org']=['orgData'=>$recordOrg];

		$data['productdetails']=$this->Model_Purchasebill->productdetails($purchasemainId);
		$data['netamount']=$this->Model_Purchasebill->productdetails($purchasemainId);
		$data['main']=$data;
		$i=0;

			foreach ($purchaseDetails as $a => $a) {

				$i++;
			}
			$data['row']=$i;
			
		$data['data']=array_merge($data['main'],$org['org']);
		// print_r($data['productdetails']);
		$this->load->view('header');
		$this->load->view('admin/purchase/report_view',$data);
		$this->load->view('footer');
	}

	public function insertProduct()
	{   
		if($_POST)
		{
		 
            $productcompanyBarcode= $this->input->post('productcompanyBarcode');
            $product= $this->input->post('product');
          
            $fkmanufactureId= $this->input->post('fkmanufactureId');
            $productshortName= $this->input->post('productshortName');
            $fkgstId= $this->input->post('fkgstId');
            $productcategoryId1= $this->input->post('productcategoryId1');

            $productContentId1= $this->input->post('productContentId1');
            $fkhsnsacId= $this->input->post('fkhsnsacId');
            $productPurchasePack1= $this->input->post('productPurchasePack1');
            $productShelfNo= $this->input->post('productShelfNo');
            $fkTaxId= $this->input->post('fkTaxId');
            $Company= $this->input->post('Company');

            $fkunitIds= $this->input->post('fkunitId');



            $productminstockLevel= $this->input->post('productminstockLevel');
            $productmaxstockLevel= $this->input->post('productmaxstockLevel');

            $sheduledDrugId= $this->input->post('sheduledDrugId');
            $Margin= $this->input->post('Margin');
            $disc= $this->input->post('disc');
            $barcodestatus= $this->input->post('barcodestatus');
            $fkgenericcmpId= $this->input->post('fkgenericcmpId');


            $fields  = array('productName'=>$product,
            		'productBarcode'=>$productcompanyBarcode,
            		
            		'productshortName'=>$productshortName,
					'fkcontentId'=>$productContentId1,
            	    
            	 'fkmanufactureId'=>$fkmanufactureId,
            	 'fkTaxId'=>$fkTaxId,
            	 'fkcategoryId'=>$productcategoryId1,
            	  'fkgstId'=>$fkgstId,
            	   'fkhsnsacId'=>$fkhsnsacId,
            	   'purchasePack'=>$productPurchasePack1,
            	   'selfNo'=>$productShelfNo,
            	   'minstockLevel'=>$productminstockLevel,
            	   'maxstockLevel'=>$productmaxstockLevel,
            	   'sheduledDrug'=>$sheduledDrugId,
            	   'margin'=>$Margin,
            	   'disc'=>$disc,
            	   'fkbarcodestatusId'=>$barcodestatus,
            	   'fkgenericcmpId'=>$fkgenericcmpId,

				   'fkcompanyId'=>$Company,
				   'fkunitId'=>$fkunitIds,


            	'created_date'=>date('Y-m-d H:i:s'),
	  	  	'created_by'=>$_SESSION['u_id']);
			echo"<pre>";
		    print_r($fields);
		  if ($this->Model_Product->insert('product_master',$fields)) {
		  	$maxfkproductId=$this->Model_Product->getMaxId()[0]->productId;

		//   	if($fksecondunitId!="")
		// 		{
			
					
		// 		$unitdata=[

		// 			'fkproductId'	=>$maxfkproductId,
		// 			'fksecondunitId'	=>$fksecondunitId,
		// 			'conversion'	=>$conversion,
					


		// 			'created_by'		=>	$_SESSION['u_id'],
		// 			'created_date'		=>	date('Y-m-d H:i:s')
		// 		];

		// 		$this->Model_Product->insert('productsecondunit',$unitdata);
				
			
		// }

		  }

	    }	  
	   
	}


	public function insertSupplier()
	{   
		if($_POST)
		{
		    $supplier = $this->input->post('supplier');
		    $partyalias = $this->input->post('partyalias');

            // $primaryMobile= $this->input->post('primaryMobile');
            $address= $this->input->post('address');

            $Telephone= $this->input->post('Telephone');
            $fax= $this->input->post('fax');
            $primaryMobile= $this->input->post('primaryMobile');
            $email= $this->input->post('email');
            $fkareaId= $this->input->post('fkareaId');
            $partystate= $this->input->post('partystate');
            $fkmaintaingBalanceId= $this->input->post('fkmaintaingBalanceId');
            $opBal= $this->input->post('opBal');
            $Dr_cr= $this->input->post('Dr_cr');
            $applyTcs= $this->input->post('applyTcs');
            $Tcs= $this->input->post('Tcs');
            $CreditPeriod= $this->input->post('CreditPeriod');
            $fkuploadDataId= $this->input->post('fkuploadDataId');
            $sendOrder= $this->input->post('sendOrder');
            $DLNo= $this->input->post('DLNo');
            $outOfState= $this->input->post('outOfState');
            $vatTinNo= $this->input->post('vatTinNo');
            $GstTinNo= $this->input->post('GstTinNo');
            $GstTinNo1= $this->input->post('GstTinNo1');
            $fkdiscMethodId= $this->input->post('fkdiscMethodId');
            $deductingTax= $this->input->post('deductingTax');
            $deductingDiscount= $this->input->post('deductingDiscount');
            $sunday= $this->input->post('sunday');
            $monday= $this->input->post('monday');
            $Tusday= $this->input->post('Tusday');
            $wednesday= $this->input->post('wednesday');
            $Thrusday= $this->input->post('Thrusday');

            $friday= $this->input->post('friday');
            $Saturday= $this->input->post('Saturday');
            $CD= $this->input->post('CD');
            $localParty= $this->input->post('localParty');
            $LBTNo= $this->input->post('LBTNo');
            $VC_Code= $this->input->post('VC_Code');
         








            $fields  = array('supplierName'=>$supplier,
			'partyalias'=>$partyalias,

						// 'primaryMobile'=>$primaryMobile,
            	         'address'=>$address,
            	         'Telephone'=>$Telephone,
            	         'fax'=>$fax,
            	         'primaryMobile'=>$primaryMobile,
            	         'email	'=>$email	,
            	         'fkareaId'=>$fkareaId,
            	         'partystate'=>$partystate,
            	         'fkmaintaingBalanceId'=>$fkmaintaingBalanceId,
            	         'opBal'=>$opBal,
            	         'Dr_cr'=>$Dr_cr,
            	         'applyTcs'=>$applyTcs,
            	         'Tcs'=>$Tcs,
            	         'CreditPeriod'=>$CreditPeriod,
            	         'fkuploadDataId'=>$fkuploadDataId,
            	         'sendOrder'=>$sendOrder,
            	         'DLNo'=>$DLNo,
            	         'outOfState'=>$outOfState,
            	         'vatTinNo'=>$vatTinNo,
            	         'GstTinNo'=>$GstTinNo,
            	         'GstTinNo1'=>$GstTinNo1,
            	         'fkdiscMethodId'=>$fkdiscMethodId,
            	         'deductingTax'=>$deductingTax,
            	         'deductingDiscount'=>$deductingDiscount,
            	         'sunday'=>$sunday,
            	         'monday'=>$monday,
            	         'Tusday'=>$Tusday,
            	         'wednesday'=>$wednesday,
            	         'Thrusday'=>$Thrusday,
            	         'friday'=>$friday,
            	         'Saturday'=>$Saturday,
            	         'CD'=>$CD,
            	         'localParty'=>$localParty,
            	         'LBTNo'=>$LBTNo,
            	         'VC_Code'=>$VC_Code,











            	'created_date'=>date('Y-m-d H:i:s'),
	  	  	'created_by'=>$_SESSION['u_id']);
		
			echo "<pre>";
			print_r($fields);
		  $this->Model_Supplier->insert('supplier_master',$fields);
            // print_r(json_encode($fields));

	    }	  	   
	}


	public function chkExist()
	{
		$batchName=$this->input->get('batchName');
		$fkproductId=$this->input->get('fkproductId');
		$count=$this->Model_Purchasebill->chkExistData($batchName,$fkproductId);
		if($count>0)
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
		
	}

		public function insertBatch()
	{   
		if($_POST)
		{
		  $batchName = $this->input->post('batchName');
            $fkproductId= $this->input->post('fkproductId');
            // $batchExpiry= $this->input->post('batchExpiry');
            
            $fields  = array('batchName'=>$batchName,
						'fkproductId'=>$fkproductId,
						'batchFlag'=>1,
            	 
            	'created_date'=>date('Y-m-d H:i:s'),
	  	  	'created_by'=>$_SESSION['u_id']);
		
		  $this->Model_Purchasebill->insert('purchasebatch',$fields);
            // print_r(json_encode($fields));
		  $maxbatchId=$this->Model_Purchasebill->getMaxbatchId()[0]->purchasebatchId;
		  print_r(json_encode($maxbatchId));
	    }	  	   
	}
public function getProductList()
    {
        $result = $this->Model_Purchasebill->getproductlist();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
    }
public function getUnitList()
    {
        $result = $this->Model_Product->getunitlist();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );

    }

    public function getManufactureList()
    {
        $result = $this->Model_Product->getManufacturelist();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );

    }

    public function getgstList()
    {
        $result = $this->Model_Product->getgstlist();   
        // echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
        // print_r($result);

    }

    public function gethsnList()
    {
        $result = $this->Model_Product->gethsnsaclist();   
        // echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
        // print_r($result);

    }

    public function getclassificationList()
    {
        $result = $this->Model_Product->getclasslist();   
        // echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
        // print_r($result);

    }
    public function getSupplierList()
    {
        $result= $this->Model_Purchasebill->getSupplierList();   
        //echo json_encode($result);    
        $data['data'] =  $result;
        print_r( json_encode($data['data']) );
    }

	public function perform()
	{		
		// $purchasemainId=$this->input->post('txt_id');
		$fksupplierId=$this->input->post('supplierName');
		$purchaseDate=$this->input->post('purchaseDate');	
		$shipandpackCost=$this->input->post('shipandpackCost');
		// $refId=$this->input->post('refId');
		$refId=$this->input->post('refId');
		$refNo=$this->input->post('refNo');
		$PaymentId=$this->input->post('PaymentId');
		$totalamount=$this->input->post('totalamount');
		$addamount=$this->input->post('totalamount1');

		// $supplierbillNo=$this->input->post('supplierbillno');
		$registrationDate=$this->input->post('regidate');

		$challanNo=$this->input->post('supplierchalanno');

		$pmDate=$this->input->post('pmdate');

		$dueDate=$this->input->post('duedate');

		$billdiscPerc=$this->input->post('billdiscPerc');
		$billdiscAmt=$this->input->post('billdiscAmt');
		// $totalamountship=$this->input->post('totalamountship');


		$hsnsacId=$this->input->post('hsnsacId');

		$totQuantity1=$this->input->post('totQuantity1');
		$totdiscountamt1=$this->input->post('totdiscountamt1');
		$totgstamt1=$this->input->post('totgstamt1');

		$paidAmount=$this->input->post('paidAmount');
		$deliveryNote=$this->input->post('deliveryNote');
		$personalNote=$this->input->post('PersonalNote');
		$PurchaseType=$this->input->post('PurchaseType');
		$supplierbillno=$this->input->post('supplierbillno');

		$fkproductId=$this->input->post('productId');	
		$Quantity=$this->input->post('Quantitys');
		$discontpercentage=$this->input->post('discontpercentage');
		$discontpercentageval=$this->input->post('discontpercentageval');

		$Rate=$this->input->post('Rate');
		$mrpRate=$this->input->post('mrpRate');
		$fkgstId=$this->input->post('gstId');
		$gstAmount=$this->input->post('gstAmount');
		$discountAmount=$this->input->post('discountAmounts');
		$productamount=$this->input->post('productamounts');
		$netAmount=$this->input->post('netAmount');

		$Batch=$this->input->post('newbatchId');
		$expiryDate=$this->input->post('myexpirydate');
		$fkunitId=$this->input->post('unitIds');
		$freeQuantity=$this->input->post('freequantitys');


		$purchaseNo=$this->input->post('purchaseNo');

		$packId=$this->input->post('purchasePacks');

		$shelfNo=$this->input->post('shelfNo');

		$moreMrp=$this->input->post('moreMrps');
		$moreTax=$this->input->post('moreTaxId');

		$Rateee=$this->input->post('Rateee');


		$otheradd=$this->input->post('otheradd');
		$otherminus=$this->input->post('otherminus');
		$ReptDiff=$this->input->post('ReptDiff');
		$debitNote=$this->input->post('debitNote');
		$narration=$this->input->post('narration');

		$gross=$this->input->post('gross');
		$minusdiscount=$this->input->post('minusdiscount');
		$scmDiscount=$this->input->post('scmDiscount');
		$Cgsts=$this->input->post('Cgsts');
		$Sgsts=$this->input->post('Sgsts');


		$discountPercentage=$this->input->post('discountPercentage');

		$moresch=$this->input->post('moresch');
		$morescheme=$this->input->post('morescheme');
		$moreperiod=$this->input->post('moreperiod');

		$lowestNetRates=$this->input->post('lowestNetRates');

		$moreCost=$this->input->post('moreCost');


	     $fkbranchId=$_SESSION['fkbranchId'];
		

		$dataMaster=[

			'fkbranchId'=>$fkbranchId,
			'freequantity'=>$freeQuantity,


			// 'purchasemainId'			=>	$purchasemainId,	
			'fksupplierId'=>$fksupplierId,
			'purchaseDate'	=> $purchaseDate,
			
			'fkrefId'	=>$refId,
			'refNo'	=>$refNo,
			'shipandpackCost'=>$shipandpackCost,
			'fkpaymentId'=>$PaymentId,
			'totalamount'	=>$totalamount,
			'addamount'	=>$addamount,
			'totQuantity'	=>$totQuantity1,
			'totdiscountamt'	=>$totdiscountamt1,
			'totgstamt'	=>$totgstamt1,
			// 'transactionNo'		=>$transactionNo,
			'paidAmount'		=>$paidAmount,
			'deliveryNote'=>$deliveryNote,
			'personalNote'=>$personalNote,

			// 'supplierbillNo'=>$supplierbillNo,
			'registrationDate'=>$registrationDate,
			'challanNo'=>$challanNo,
			'pmDate'=>$pmDate,
			'dueDate'=>$dueDate,
			'billdiscPerc'=>$billdiscPerc,
			'billdiscAmt'=>$billdiscAmt,
			// 'totalamountship'=>$totalamountship,

			'purchaseNo'=>$purchaseNo,
			'PurchaseType'=>$PurchaseType,
			'supplierbillnos'=>$supplierbillno,

			'otheradd'=>$otheradd,
			'otherminus'=>$otherminus,
			'ReptDiff'=>$ReptDiff,
			'debitNote'=>$debitNote,
			'narration'=>$narration,


			'gross'=>$gross,
			'minusdiscount'=>$minusdiscount,
			'scmDiscount'=>$scmDiscount,
			'Cgsts'=>$Cgsts,
			'Sgsts'=>$Sgsts,
			'discontpercentage'=>$discontpercentage,
			'discontpercentageval'=>$discontpercentageval,


			'moresch'=>$moresch,
			'morescheme'=>$morescheme,
			'moreperiod'=>$moreperiod,

			

			
			'created_by'	=>	$_SESSION['u_id'],
			'created_date'	=>	date('Y-m-d H:i:s')
		];

		echo "<pre>";
		print_r($dataMaster);
		if($this->Model_Purchasebill->insert('purchasemain',$dataMaster))
		{
			$maxfkpurchasemainId=$this->Model_Purchasebill->getMaxId()[0]->purchasemainId;
		
		// 	$transactionData=[

		// 	'fkpurchasemainId'	=>$maxfkpurchasemainId,	
		// 	'fksupplierId'=>$fksupplierId,
		// 	'paidAmount'	=> $paidAmount,
		// 	'fkpaymenttypeId'	=>	$PaymentId,
		// 	'paymentDate'	=>	$purchaseDate,
			
			
		// 	'created_by'	=>	$_SESSION['u_id'],
		// 	'created_date'	=>	date('Y-m-d H:i:s')
		// ];
		// $this->Model_Purchasebill->insert('suppliertransaction',$transactionData);
		

		// if($fkproductId=="")
		// {
		// 	// $this->Model_Notification->show_notification(1);
		// }
		// else
		// {	
		 	for($i=0;$i<count($fkproductId);$i++)
			{


				$getproductId=$fkproductId[$i];

				$getQuantity=$Quantity[$i];
				$getdiscountPercentage=$discountPercentage[$i];
				$getRate=$Rate[$i];
				$getmrpRate=$mrpRate[$i];
				// $getfkgstId=$fkgstId[$i];
				$getgstAmount=$gstAmount[$i];
				// $getdiscountAmount=$discountAmount[$i];
				$getproductamount=$productamount[$i];
				$getnetAmount=$netAmount[$i];

				$getBatch=$Batch[$i];
				$getexpiryDate=$expiryDate[$i];
				$getfkunitId=$fkunitId[$i];
				// $getfreeQuantity=$freeQuantity[$i];
				// $gethsnsacId=$hsnsacId[$i];
				$getmoreMrp=$moreMrp[$i];
				$getmoreTax=$moreTax[$i];
				$getRateee=$Rateee[$i];

				$getmoreCost=$moreCost[$i];


				


				
				
				$productdata=[

					'fkpurchasemainId'	=>$maxfkpurchasemainId,
					
					'fkproductId'	=>$getproductId,
					'Quantity'	=>$getQuantity,

				
					'packId'=>$packId,
					'discountPercentage'	=>	$getdiscountPercentage,
			
					// 'shelfNo'	=>$shelfNo,
				
					'mrpRate'		=>$getmrpRate,
					// 'fkgstId'	=>$getfkgstId,
					'gstAmount'	=>$getgstAmount,
					'discountAmount'	=>$discountAmount,
					'productamount'	=>$getproductamount,
					
					'netAmount'	=>$getnetAmount,
					// 'fkhsnsacId'=>$gethsnsacId,
					'fkpurchasebatchId'	=>$getBatch,
					'expiryDate'	=>$getexpiryDate,
					'fkunitId'	=>$getfkunitId,
					'moreTax'	=>$getmoreTax,
					'moreMrp'	=>$getmoreMrp,
					'Rate'	=>$getRateee,
					'moreCost'	=>$getmoreCost,




					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				echo "<pre>";
		       print_r($productdata);

				$this->Model_Purchasebill->insert('purchaseproduct',$productdata);
				
				// $this->Model_Notification->show_notification(1);
			}
		// }

	
			
	}
	} 	

		public function OutstandingAmount(){
		$fksupplierId=$this->input->post('fksupplierId');
		//$fields  = array('itemId' => $itemId);
		$result=$this->Model_Purchasebill->OutstandingAmount($fksupplierId);
		$result1=$this->Model_Purchasebill->OutstandingAmount1($fksupplierId);
		$result2=$this->Model_Purchasebill->OutstandingAmount2($fksupplierId);
		$data=[
				'OutstandingAmount'=>$result2[0]->openingAmount+$result[0]->totalamount-$result1[0]->paidAmount

		];
		if ($data['OutstandingAmount']=="")
		 {
			$data['OutstandingAmount']=0;
			print_r(json_encode($data));

		}
		else
		{
			// print_r(json_encode($fksupplierId));
			print_r(json_encode($data));
		}
		
 
	}
	public function getproductdetails(){
		$productId=$this->input->post('productId');
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Purchasebill->getproductdetails($productId);
	
		print_r(json_encode($data));
 
	}

	public function getunitstock(){
		$productId=$this->input->post('productId');
		$UnitId=$this->input->post('UnitId');
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Purchasebill->getunitstock($productId,$UnitId);
		if (!empty($data)) {
			# code...
			// echo "hii";
			 print_r(json_encode($data));
		}
		//
		else
		{
			$data="";
			print_r(json_encode($data));
		}
 
	}

	public function stockdetails(){
		$purchaseqty=0;
		$invoiceqty=0;


		$productId=$this->input->post('productId');
		$fkunitId=$this->Model_Purchasebill->getprimaryunit($productId);
		$fksecondunitId=$this->Model_Purchasebill->getsecondunitId($productId);
		 $purchaseprimary=$this->Model_Purchasebill->purchaseprimarysum($productId,$fkunitId[0]->fkunitId);
		 $invoiceprimary=$this->Model_Purchasebill->invoiceprimarysum($productId,$fkunitId[0]->fkunitId);
		 $deletebatchqty=$this->Model_Purchasebill->getdeleteproductbatch($productId,$fkunitId[0]->fkunitId);
		if (!empty($fksecondunitId)) {
			# code...
			
			for ($i=0; $i <count($fksecondunitId) ; $i++) { 
				# code...
				$purchasesecondary=$this->Model_Purchasebill->purchasesecondsum($productId,$fksecondunitId[$i]->fksecondunitId);
				

				$invoicesecondary=$this->Model_Purchasebill->invoicesecondsum($productId,$fksecondunitId[$i]->fksecondunitId);
				// print_r(json_encode($invoicesecondary));
				
				$conversion1=$fksecondunitId[$i]->conversion;
				
				 $secondarypurchaseQuantity=($purchasesecondary[0]->Quantity+$purchasesecondary[0]->freeQuantity)*$conversion1;
				 // print_r($secondarypurchaseQua/ntity);
				 $purchaseqty=$purchaseqty+$secondarypurchaseQuantity;
				$secondaryinvoiceQuantity=($invoicesecondary[0]->Quantity+$invoicesecondary[0]->freeQuantity)*$conversion1;
				$invoiceqty=$invoiceqty+$secondaryinvoiceQuantity;
				
				
			}
			// print_r($total);
			$openingStock=$fkunitId[0]->openingStock;
			$purchasequantity=($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)+$purchaseqty;
				$invoicequantiy=($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)+$invoiceqty;

				$stock=$openingStock+$purchasequantity-$invoicequantiy-$deletebatchqty[0]['deleteqty'];

		$data=[
			'productstock'=>$stock,
			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));
		}
		else
		{
			// echo('hii');
			$openingStock=$fkunitId[0]->openingStock;
			$stock=$openingStock+($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)-($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)-$deletebatchqty[0]['deleteqty'];
			$data=[
			'productstock'=>$stock,
			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));

		}
		
		
 
	}

	public function getgstdetails(){
		$fkgstId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Purchasebill->getgstdetails($fkgstId);
		print_r(json_encode($data));
 
	}

	public function getsecondaryunit(){
		$fkunitId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Purchasebill->getsecondaryunit($fkunitId);
		print_r(json_encode($data));
 
	}

	public function getunitdetails(){
		$productId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data['unit1']=$this->Model_Purchasebill->getunitdetails($productId);
		$data['unit2']=$this->Model_Purchasebill->getsecondunit($productId);
		
			print_r(json_encode($data));
			
		
 
	}


	public function getbatchdetails(){
		$output='';
		$productId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		$data=$this->Model_Purchasebill->getbatchdetails($productId);
		
		// $currentdate=date('Y-m-d');
		
			print_r(json_encode($data));

	
			
		
 
	}






	public function getbatchdetails1() {
		$output = '';
		$productId = $this->input->post();
		$data = $this->Model_Purchasebill->getbatchdetails($productId);
	
		$currentdate = date('Y-m-d');
		
		// Array to hold aggregated data
		$aggregatedData = [];
		
		// Group and aggregate data
		if (!empty($data)) {
			foreach ($data as $value) {
				$key = $value->productName . '_' . $value->fkpurchasebatchId;
				
				if (!isset($aggregatedData[$key])) {
					// Initialize the aggregation array if not set
					$aggregatedData[$key] = [
					
                        // 'productId' => $value->productId, 
						'productName' => $value->productName,
						'fkpurchasebatchId' => $value->fkpurchasebatchId,
						'expiryDate' => $value->expiryDate,
						'moreMrp' => $value->moreMrp,
						'Rate' => $value->Rate,
						'Quantity' => 0 // Initialize quantity
					];
				}
				
				// Aggregate quantity
				$aggregatedData[$key]['Quantity'] += $value->Quantity;
			}
		}
		
		// Generate HTML output
		foreach ($aggregatedData as $item) {
			$formattedExpiryDate = date('d-m-Y', strtotime($item['expiryDate']));
			
			$output .= '<tr>
			 
				<td>' . $item['productName'] . '</td>
				<td>' . $item['fkpurchasebatchId'] . '</td>
				<td class="d-none">' . $item['expiryDate'] . '</td>
				<td>' . $formattedExpiryDate . '</td>
				<td>' . $item['moreMrp'] . '</td>
				<td>' . $item['Rate'] . '</td>
				<td>' . number_format($item['Quantity'] , 2) . '</td>
				

				
			</tr>';
		}
	
		echo $output;

		// <td>' . $item['productId'] . '</td>

	}
	





	public function getsuggestionlist()
    {
    	$output="";
    	$search_data = $this->input->post('productName');
        $query = $this->Model_Purchasebill->get_autocomplete($search_data);
 

    		if(!empty($query)){

    			$output.='<table id="" style=" scroll; border-color: white; background-color:silver;">';
			foreach ($query as $key => $value) {


				$output.='


				<tr>
				 <td>'.$value->productName.'</td>
				
				
				</tr>
				';

				
					}
					$output.='</table>';
		}
		echo $output;


    	 }
	public function findproduct()
	{
		$productId=$this->input->post('productId');
		$data=$this->Model_Purchasebill->findproduct($productId);
		 print_r(json_encode($data));
	}
	public function getexpirtdate()
	{
		$productId=$this->input->post('fkproductId');
		$batch=$this->input->post('fkbatchId');
		$data=$this->Model_Purchasebill->getexpirtdate($productId,$batch);
		
		 print_r(json_encode($data));
	}



public function findsupplier()
	{
		$supplierId=$this->input->post('supplierId');
		$data=$this->Model_Purchasebill->findsupplier($supplierId);
		 print_r(json_encode($data));
	}
public function getrate()
	{
		$productId=$this->input->post('productId');
		$unitId=$this->input->post('unitId');
		$data=$this->Model_Purchasebill->getrate($productId,$unitId);
		print_r(json_encode($data));
		
	}



	


public	function batchinfo()
	{
		$s=array();
		$productId=$this->input->post('productId');
		$data=$this->Model_Purchasebill->batchinfo($productId);
		$data1=$this->Model_Purchasebill->prodbatchinfo($productId);
		
print_r(json_encode($data));
		
	}

	public function getbatchstock(){
		$purchaseqty=0;
		$invoiceqty=0;


		$productId=$this->input->post('fkproductId');
		$batchId=$this->input->post('fkbatchId');


		$fkunitId=$this->Model_Purchasebill->getprimaryunit($productId);

		$fksecondunitId=$this->Model_Purchasebill->getsecondunitId($productId);


		 $purchaseprimary=$this->Model_Purchasebill->purchasebatchprimarysum($productId,$fkunitId[0]->fkunitId,$batchId);
		 $invoiceprimary=$this->Model_Purchasebill->invoicebatchprimarysum($productId,$fkunitId[0]->fkunitId,$batchId);


		 $deletebatchqty=$this->Model_Purchasebill->getdeletebatch($productId,$fkunitId[0]->fkunitId,$batchId);


		if (!empty($fksecondunitId)) {
		
			
			for ($i=0; $i <count($fksecondunitId) ; $i++) { 
				# code...
				$purchasesecondary=$this->Model_Purchasebill->purchasebatchsecondsum($productId,$fksecondunitId[$i]->fksecondunitId,$batchId);
				

				$invoicesecondary=$this->Model_Purchasebill->invoicebatchsecondsum($productId,$fksecondunitId[$i]->fksecondunitId,$batchId);
				// print_r(json_encode($invoicesecondary));
				
				$conversion1=$fksecondunitId[$i]->conversion;
				
				 $secondarypurchaseQuantity=($purchasesecondary[0]->Quantity+$purchasesecondary[0]->freeQuantity)*$conversion1;
				 // print_r($secondarypurchaseQua/ntity);
				 $purchaseqty=$purchaseqty+$secondarypurchaseQuantity;
				$secondaryinvoiceQuantity=($invoicesecondary[0]->Quantity+$invoicesecondary[0]->freeQuantity)*$conversion1;
				$invoiceqty=$invoiceqty+$secondaryinvoiceQuantity;
				
				
			}
			// print_r($total);
			$openingStock=$fkunitId[0]->openingStock;
			$purchasequantity=($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)+$purchaseqty;
				$invoicequantiy=($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)+$invoiceqty;

				$stock=$openingStock+$purchasequantity-$invoicequantiy-$deletebatchqty[0]['deleteqty'];

		$data=[
			'productstock'=>$stock,
			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));
		}
		else
		{
			// echo('hii');
			$openingStock=$fkunitId[0]->openingStock;

			$stock=$openingStock+($purchaseprimary[0]->Quantity+$purchaseprimary[0]->freeQuantity)-($invoiceprimary[0]->Quantity+$invoiceprimary[0]->freeQuantity)-$deletebatchqty[0]['deleteqty'];
			$data=[
			'productstock'=>$stock,

			'UnitName'=>$fkunitId[0]->UnitName

		];


		
			print_r(json_encode($data));

		}
		
		
 
	}




	public function edit()
	{
		
		$obj='';
		$purchasemainId=$this->uri->segment(4);				
		if(empty($purchasemainId)){
			$purchasemainId = 0;
		}		
		if($purchasemainId > 0){
			$obj = $this->Model_Purchasebill->search($purchasemainId);
		}		
		$data['data']=$obj;
		$data['purchaseItem']=$this->Model_Purchasebill->select($purchasemainId);
		$data['supplier']=$this->Model_Purchasebill->getsupplierlist();    
		$data['product']=$this->Model_Purchasebill->getproductlist();  
		$data['gst']=$this->Model_Purchasebill->getgstlist();  
	
		$data['payement']=$this->Model_Purchasebill->getpaymentlist(); 
		$data['hsn']=$this->Model_Purchasebill->gethsnlist();   
		
		
		
		$data['company']=$this->Model_Product->getcompanylists();
		$data['manufacture']=$this->Model_Purchasebill->getmanufacturelist();
		$data['category']=$this->Model_Product->getCategorylists();
		$data['unit']=$this->Model_Product->getunitlist();
		$data['classification']=$this->Model_Product->getclasslist();
		$data['generic']=$this->Model_Product->getgenericlists();
		$data['hsnsac']=$this->Model_Product->gethsnsaclist();
		$data['gsts']=$this->Model_Product->getgstlist();
		$data['content']=$this->Model_Product->getContentlists();

		$data['Tax']=$this->Model_Product->getTaxlist();

		$data['area']=$this->Model_Product->getArealists();
		$data['balance']=$this->Model_Product->getBalancelists();
		$data['uploaddata']=$this->Model_Product->getUploadlists();



		
		// echo "<pre>";
		// print_r($data);



		$this->load->view('header');
		$this->load->view('admin/purchase/purchase_view',$data);
		$this->load->view('footer');			
	} 






	public function update()
{
    // Retrieve post data
    $purchasemainId = $this->input->post('txt_id');
    $fksupplierIds = $this->input->post('supplierName');
    $purchaseDate = $this->input->post('purchaseDate');
    $shipandpackCost = $this->input->post('shipandpackCost');
    $refId = $this->input->post('refId');
    $refNo = $this->input->post('refNo');
    $PaymentId = $this->input->post('PaymentId');
    $totalamount = $this->input->post('totalamount');
    $addamount = $this->input->post('totalamount1');
    $registrationDate = $this->input->post('regidate');
    $challanNo = $this->input->post('supplierchalanno');
    $pmDate = $this->input->post('pmdate');
    $dueDate = $this->input->post('duedate');
    $billdiscPerc = $this->input->post('billdiscPerc');
    $billdiscAmt = $this->input->post('billdiscAmt');
    $hsnsacId = $this->input->post('hsnsacId');
    $totQuantity1 = $this->input->post('totQuantity1');
    $totdiscountamt1 = $this->input->post('totdiscountamt1');
    $totgstamt1 = $this->input->post('totgstamt1');
    $paidAmount = $this->input->post('paidAmount');
    $deliveryNote = $this->input->post('deliveryNote');
    $personalNote = $this->input->post('PersonalNote');
    $PurchaseType = $this->input->post('PurchaseType');
    $supplierbillno = $this->input->post('supplierbillno');
    $fkproductId = $this->input->post('productId'); // Make sure this is an array
    $Quantity = $this->input->post('Quantitys'); // Make sure this is an array
    $discountPercentage = $this->input->post('discountPercentage'); // Make sure this is an array
    $Rate = $this->input->post('Rate'); // Make sure this is an array
    $mrpRate = $this->input->post('mrpRate'); // Make sure this is an array
    $fkgstId = $this->input->post('gstId'); // Make sure this is an array
    $gstAmount = $this->input->post('gstAmount'); // Make sure this is an array
    $discountAmount = $this->input->post('discountAmounts'); // Make sure this is an array
    $productamount = $this->input->post('productamounts'); // Make sure this is an array
    $netAmount = $this->input->post('netAmount'); // Make sure this is an array
    $Batch = $this->input->post('newbatchId'); // Make sure this is an array
    $expiryDate = $this->input->post('myexpirydate'); // Make sure this is an array
    $fkunitId = $this->input->post('unitIds'); // Make sure this is an array
    $freeQuantity = $this->input->post('freequantitys'); // Make sure this is an array
    $purchaseNo = $this->input->post('purchaseNo');
    $packId = $this->input->post('purchasePacks');
    $shelfNo = $this->input->post('shelfNo');
    $moreMrp = $this->input->post('moreMrps'); // Make sure this is an array
    $moreTax = $this->input->post('moreTaxId'); // Make sure this is an array
    $Rateee = $this->input->post('Rateee'); // Make sure this is an array
    $otheradd = $this->input->post('otheradd');
    $otherminus = $this->input->post('otherminus');
    $ReptDiff = $this->input->post('ReptDiff');
    $debitNote = $this->input->post('debitNote');
    $narration = $this->input->post('narration');
    $gross = $this->input->post('gross');
    $minusdiscount = $this->input->post('minusdiscount');
    $scmDiscount = $this->input->post('scmDiscount');
    $Cgsts = $this->input->post('Cgsts');
    $Sgsts = $this->input->post('Sgsts');
    $discontpercentage = $this->input->post('discontpercentage');
    $discontpercentageval = $this->input->post('discontpercentageval');

    $moresch = $this->input->post('moresch');
    $morescheme = $this->input->post('morescheme');
    $moreperiod = $this->input->post('moreperiod');

	$moreCost=$this->input->post('moreCost');


    $this->session->set_userdata('purchasemainId', $purchasemainId);
    $fkbranchId = $_SESSION['fkbranchId'];

    $dataMaster = [
        'purchasemainId' => $purchasemainId,
        'fkbranchId' => $fkbranchId,
        'freequantity' => $freeQuantity,
        'purchaseDate' => $purchaseDate,
        'fkrefId' => $refId,
        'refNo' => $refNo,
        'shipandpackCost' => $shipandpackCost,
        'fkpaymentId' => $PaymentId,
        'totalamount' => $totalamount,
        'addamount' => $addamount,
        'totQuantity' => $totQuantity1,
        'totdiscountamt' => $totdiscountamt1,
        'totgstamt' => $totgstamt1,
        'paidAmount' => $paidAmount,
        'deliveryNote' => $deliveryNote,
        'personalNote' => $personalNote,
        'registrationDate' => $registrationDate,
        'challanNo' => $challanNo,
        'pmDate' => $pmDate,
        'dueDate' => $dueDate,
        'billdiscPerc' => $billdiscPerc,
        'billdiscAmt' => $billdiscAmt,
        'purchaseNo' => $purchaseNo,
        'PurchaseType' => $PurchaseType,
        'supplierbillnos' => $supplierbillno,
        'otheradd' => $otheradd,
        'otherminus' => $otherminus,
        'ReptDiff' => $ReptDiff,
        'debitNote' => $debitNote,
        'narration' => $narration,
        'gross' => $gross,
        'minusdiscount' => $minusdiscount,
        'scmDiscount' => $scmDiscount,
        'Cgsts' => $Cgsts,
        'Sgsts' => $Sgsts,
        'discontpercentage' => $discontpercentage,
        'discontpercentageval' =>$discontpercentageval,

        'moresch' => $moresch,
        'morescheme' => $morescheme,
        'moreperiod' => $moreperiod,
        'fksupplierId' => $fksupplierIds,
        'modified_by' => $_SESSION['u_id'],
        'modified_date' => date('Y-m-d H:i:s')
    ];

    // echo "<pre>";
    // print_r($dataMaster);

    if ($this->Model_Purchasebill->update('purchasemain', $dataMaster)) {
        $maxfkpurchasemainId = $this->Model_Purchasebill->getMaxId()[0]->purchasemainId;

        $whereArray = ['fkpurchasemainId' => $purchasemainId];
        $this->Model_Purchasebill->deleteRecord('purchaseproduct', $whereArray);

        if (!empty($fkproductId)) {
            for ($i = 0; $i < count($fkproductId); $i++) {
                $getQuantity = $Quantity[$i];
                $getdiscountPercentage = $discountPercentage[$i];
                $getRate = $Rate[$i];
                $getmrpRate = $mrpRate[$i];
                $getfkgstId = $fkgstId[$i];
                $getgstAmount = $gstAmount[$i];
                $getproductamount = $productamount[$i];
                $getnetAmount = $netAmount[$i];
                $getBatch = $Batch[$i];
                $getexpiryDate = $expiryDate[$i];
                $getfkunitId = $fkunitId[$i];
                $gethsnsacId = $hsnsacId[$i];
                $getmoreMrp = $moreMrp[$i];
                $getmoreTax = $moreTax[$i];
                $getRateee = $Rateee[$i];
				$getmoreCost=$moreCost[$i];


                $fieldsItem = [
                    'fkpurchasemainId' => $purchasemainId,
                    'fkproductId' => $fkproductId[$i],
                    'Quantity' => $getQuantity,
                    'discountPercentage' => $getdiscountPercentage,
                    'mrpRate' => $getmrpRate,
                    'fkgstId' => $getfkgstId,
                    'gstAmount' => $getgstAmount,
                    'discountAmount' => $discountAmount,
                    'productamount' => $getproductamount,
                    'netAmount' => $getnetAmount,
                    'fkhsnsacId' => $gethsnsacId,
                    'fkpurchasebatchId' => $getBatch,
                    'expiryDate' => $getexpiryDate,
                    'fkunitId' => $getfkunitId,
                    'moreTax' => $getmoreTax,
                    'moreMrp' => $getmoreMrp,
                    'Rate' => $getRateee,
					'moreCost'	=>$getmoreCost,
                    'created_date' => date('Y-m-d H:i:s'),
                    'created_by' => $_SESSION['u_id']
                ];

                // Debug output
                // print_r($fieldsItem);

				$this->Model_Purchasebill->insert('purchaseproduct',$fieldsItem);
            }
        }
    }
}


	public function delete()
	{
		$purchaseproductId=$this->input->get('purchaseproductId');
		// print_r($purchaseproductId);
		$data=[
				'is_active'=>0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')];

		if($this->Model_Purchasebill->delete($purchaseproductId,$data))
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
	} 


	public function delete_perform()
	{		
      $purchasemainId=$this->uri->segment(4);
		if(!empty($purchaseId)){			
			$data=[

				'purchasemainId'			=>	$purchasemainId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
             $this->Model_Purchasebill->update($data);	
             redirect('admin/Purchasebill');		
		}
		else{
			
			show_404();
		}
	} 
	
	
	public function getAllModalDatas()
	{
	

		$productIds=$this->input->post('productIds');
	    // echo $productIds;
		$data=$this->Model_Purchasebill->getAllModalDatas($productIds);
		echo json_encode($data);
	}


// update product
public function updateProducts()

{


	  $updateproductId= $this->input->post('updateproductId'); 
	  $productnm= $this->input->post('productnm');
	  $alias= $this->input->post('alias');
	  $productBarcode= $this->input->post('productBarcode');
	  $productCompanyid= $this->input->post('productCompanyid1');
	  $productmanufactureId= $this->input->post('productmanufactureId');
	  $productCategoryId= $this->input->post('productCategoryId');
	  $productUnitId= $this->input->post('productUnitId');
	  $productPurchasePack= $this->input->post('productPurchasePack');
	  $productShelfNos= $this->input->post('productShelfNos');
	  $productPrintLbl= $this->input->post('productPrintLbl');
	  $productNoLbl= $this->input->post('productNoLbl');


	  $productOpeningstock= $this->input->post('productOpeningstock');
	  $productClassId= $this->input->post('productClassId');
	  $productGenericId= $this->input->post('productGenericId');
	  $productMinSale= $this->input->post('productMinSale');

	  $productStockLevel= $this->input->post('productStockLevel');

	  $productMaxStockLevel= $this->input->post('productMaxStockLevel');
	  $productHsnId= $this->input->post('productHsnId');
	  $productGstId= $this->input->post('productGstId');
	  $productContentId= $this->input->post('productContentId');

	  $productfkTaxId= $this->input->post('productfkTaxId');
	  $productsheduledDrugId= $this->input->post('productsheduledDrugId');
	  $productMargin= $this->input->post('productMargin');
	  $productdisc= $this->input->post('productdisc');





 

	//   $photo1=$this->input->post('photo1');
	//   $photo1='';
	//    if ($_FILES["photo1"]["name"]!='') {
	// 	 $photo1=$this->upload_image1();

	//    }
	//    else{
	// 	   $photo1=$this->input->post("hidden_photo1");
	//    }
  
  
	  $fields=array(
		   
				   'productId'=>$updateproductId,
				   'productName'=>$productnm,
				   'productshortName'=>$alias,
				   'productBarcode'=>$productBarcode,
				   'fkcompanyId'=>$productCompanyid,
				   'fkmanufactureId'=>$productmanufactureId,
				   'fkcategoryId'=>$productCategoryId,
				   'fkunitId'=>$productUnitId,
				   'purchasePack'=>$productPurchasePack,
				   'selfNo'=>$productShelfNos,
				   'fkbarcodestatusId'=>$productPrintLbl,
				   'noOfLabel'=>$productNoLbl,

				   'openingStock'=>$productOpeningstock,
				   'fkclassificationId'=>$productClassId,
				   'fkgenericcmpId'=>$productGenericId,
				   'minsalesRate'=>$productMinSale,
				   'minstockLevel'=>$productStockLevel,

				   'maxstockLevel'=>$productMaxStockLevel,
				   'fkhsnsacId'=>$productHsnId,
				   'fkgstId'=>$productGstId,
				   'fkcontentId'=>$productContentId,

				   'fkTaxId'=>$productfkTaxId,
				   'sheduledDrug'=>$productsheduledDrugId,
				   'margin'=>$productMargin,
				   'disc'=>$productdisc,


		       'modified_date'=>date('Y-m-d H:i:s'),
	         	'modified_by'=>1,
	 );
     echo "<pre>";
     print_r($fields);


	 $this->Model_Purchasebill->updateProduct('product_master',$fields);

	// $whereArray=array('updateproductId'=>$updateproductId);

	// $this->Commonmodel->updateRecord("product_master",$fields,$whereArray);


} 

public function getProductlists() {
	$data=$this->Model_Purchasebill->getProductlists();
    echo json_encode($data);
}





public function getpurchaseCount(){
	$PurchaseType=$this->input->post('PurchaseTypes');
	
	$data=$this->Model_Purchasebill->getpurchaseCount($PurchaseType);

	print_r(json_encode($data));

}


	
} 

?>