<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Shape extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_Shape']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Shape->select_all();


		 $this->load->view('header');
		$this->load->view('admin/shape/shapedetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$shapeId = $this->uri->segment(2);

		
		if(empty($shapeId)){
			$shapeId = 0;
		}
		
		if($shapeId > 0){
			$obj = $this->Model_Shape->search($shapeId);
		}
		
		$data['data']=$obj;
		//$data['maincat']=$this->model_unit->getmaincategorylist();
//print_r($data);exit();
		 $this->load->view('header');
		$this->load->view('admin/shape/shape_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		
		$shapeId=$this->input->post('txt_id');
		$shapeName=$this->input->post('shapeName');
		$description=$this->input->post('description');
		

		if($shapeId>0)
		{
			$data=[

				'shapeId'			=>	$shapeId,	
				'shapeName'			=>	$shapeName,
				'description'       =>$description,
				
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Shape->update($data);
			// {
			// 	$this->Model_Notification->show_notification(2);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(5);	
			// }
		}
		else
		{
			$data=[
				//'countryId'			=>	$countryId,
				'shapeName'       => $shapeName,
				'description'       => $description,
				
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Shape->insert($data);
			// {
			// 	$this->Model_Notification->show_notification(1);	
			// }
			// else
			// {
			// 	$this->Model_Notification->show_notification(4);	
			// }
		}
                                                    
		// redirect('ShapeIndex');

	} 
	
	public function delete_perform(){

		$shapeId = $this->uri->segment(4);

		if(!empty($shapeId)){
			
			$data=[

				'shapeId'			=>	$shapeId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Shape->update($data);
			
			 redirect('ShapeIndex');
		}
		else{
			
			show_404();
		}

	} 
		
} 