<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Size extends CI_Controller{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}			
		$this->load->model(['Model_Size']);	
			
	} 
	public function index()
	{
		$data['data']=$this->Model_Size->select_all();
		$this->load->view('header');
		$this->load->view('admin/size/sizedetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$sizeId = $this->uri->segment(2);
		if(empty($sizeId)){
			$sizeId = 0;
		}		
		if($sizeId > 0){
			$obj = $this->Model_Size->search($sizeId);
		}		
		$data['data']=$obj;
		 $this->load->view('header');
		$this->load->view('admin/size/size_view',$data);
		$this->load->view('footer');	
	} 	
	public function perform(){
		$sizeId=$this->input->post('txt_id');
		$sizeName=$this->input->post('sizeName');
		$description=$this->input->post('description');
		if($sizeId>0)
		{
			$data=[

				'sizeId'			=>	$sizeId,	
				'sizeName'			=>	$sizeName,
				'description'       =>$description,				
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Size->update($data);			
		}
		else
		{
			$data=[
				'sizeName'       => $sizeName,
				'description'       => $description,
				
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Size->insert($data);			
		}                                                   
	} 
	public function delete_perform(){
		$sizeId = $this->uri->segment(4);
		if(!empty($sizeId)){			
			$data=[

				'sizeId'			=>	$sizeId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Size->update($data);			
			 redirect('SizeIndex');
		}
		else
		{			
			show_404();
		}
	} 	
} 