<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_BatchRemaining extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

			
		

		public function findproduct($productId)
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
			// return $productId;

		}

		public function productlist()
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
			$this->db->from('product_master');
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		

		public  function searchbatch($fkproductId,$startdate,$enddate)
		{
			$this->db->select("purchasebatch.batchName,purchasebatch.purchasebatchId");
			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
			$this->db->join(' purchasebatch',' purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
			$this->db->where('purchaseproduct.fkproductId',$fkproductId);
			$this->db->where('purchasemain.purchaseDate>=',$startdate);
			$this->db->where('purchasemain.purchaseDate<=',$enddate);
			$this->db->where('purchaseproduct.is_active',1);
			$query = $this->db->get('purchasemain');
			return $query->result();
		}
		
		public function getprimaryunit($productId)
		{
			$this->db->select('product_master.fkunitId,product_master.openingStock,product_master.productName');

			// $this->db->join('unit_master','unit_master.unitId=product_master.fkunitId','left outer');
			
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
		}
		


	public function purchaseprimarysum($fkproductId,$fkunitId,$batch)
		{		
			
			$this->db->select_sum('purchaseproduct.Quantity');
			
		 	$this->db->where('purchaseproduct.fkproductId=',$fkproductId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batch);
		 	$this->db->where('purchaseproduct.fkunitId=',$fkunitId);
		 	
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			// return  $sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
									
			
			

		}


		public function invoiceprimarysum($productId,$fkunitId,$batch)
		{					
			$this->db->select_sum('invoiceproduct.Quantity');
			
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fkunitId);
		 	$this->db->where('invoiceproduct.fkpurchasebatchId=',$batch);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}
		

	}
	
?>