<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Customerpayment extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

		
		public function customerlist()
		{
			$this->db->select("customerId,customerName,address,primaryMobile");
			$this->db->from('customer_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function paymenttypelist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function mobapplist()
		{
			$this->db->select("mobileappId,mobileappName");
			$this->db->from('mobilepaymentapp_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		public function paydetaillist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			// $this->db->;
			$this->db->where('paymenttypeId!=',2);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}	
		
		public function banklist()
		{
			$this->db->select("bankId,bankName");
			$this->db->from('bank_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		
		// public function getpaymenthistory($startDate,$endDate,$paymenttypeId,$customerId)
		// {
		// 	if($paymenttypeId=="")
		// 	{
		// 		$this->db->select('customertransaction.*,customer_master.customerId,customer_master.customerName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName');
		// 	$this->db->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId','left outer');
		// 	$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId','left outer');
		// 	$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=customertransaction.fkmobAppId','left outer');
		// 	$this->db->join('bank_master','bank_master.bankId=customertransaction.fkbankId','left outer');
		// 	$this->db->where('customertransaction.paymentDate>=',$startDate);
		//  	$this->db->where('customertransaction.paymentDate<=',$endDate);
		//  	$this->db->where('customertransaction.fkcustomerId<=',$customerId);
		//    $this->db->where('customertransaction.is_active',1);
		// 	$sql=$this->db->get('customertransaction');
		// 	return $sql->result();

		// 	}
		// 	else
		// 	{
		// 		$this->db->select('customertransaction.*,customer_master.customerId,customer_master.customerName,paymenttype_master.paymenttypeId,paymenttype_master.paymentType,mobilepaymentapp_master.mobileappId,mobilepaymentapp_master.mobileappName,bank_master.bankId,bank_master.bankName');
		// 	$this->db->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId','left outer');
		// 	$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId','left outer');
		// 	$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=customertransaction.fkmobAppId','left outer');
		// 	$this->db->join('bank_master','bank_master.bankId=customertransaction.fkbankId','left outer');
		// 	$this->db->where('customertransaction.paymentDate>=',$startDate);
		//  	$this->db->where('customertransaction.paymentDate<=',$endDate);
		//  	$this->db->where('customertransaction.fkpaymenttypeId=',$paymenttypeId);
		//  	$this->db->where('customertransaction.fkcustomerId<=',$customerId);
		//    $this->db->where('customertransaction.is_active',1);
		// 	$sql=$this->db->get('customertransaction');
		// 	return $sql->result();


		// 	}
			
		// }
		
		public function findcustomername($customerId)
		{
			$this->db->select('customer_master.customerId,customer_master.customerName');
		 	$this->db->where('customer_master.customerId=',$customerId);
		   $this->db->where('customer_master.is_active',1);
			$sql=$this->db->get('customer_master');
			return $sql->result();

		}


		public function paymentdetails($customerId,$paymentDate,$enddate)
		{
			if ($customerId!="") 
			{

				$this->db->select('customertransaction.chequeNo,customertransaction.chequeDate,customertransaction.paymentDate,customertransaction.paidAmount,customertransaction.transactionId,customer_master.customerId,customer_master.customerName,mobilepaymentapp_master.mobileappName,paymenttype_master.paymentType,bank_master.bankName');

			$this->db->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId','left outer');

			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=customertransaction.fkmobAppId','left outer');

			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId','left outer');

			$this->db->join('bank_master','bank_master.bankId=customertransaction.fkbankId','left outer');

		 	$this->db->where('customertransaction.fkcustomerId=',$customerId);
		 	$this->db->where('customertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('customertransaction.paymentDate<=',$enddate);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			return $sql->result();

			}
			else{
				# code...

				$this->db->select('customertransaction.chequeNo,customertransaction.chequeDate,customertransaction.paymentDate,customertransaction.paidAmount,customertransaction.transactionId,customer_master.customerId,customer_master.customerName,mobilepaymentapp_master.mobileappName,paymenttype_master.paymentType,bank_master.bankName');

			$this->db->join('customer_master','customer_master.customerId=customertransaction.fkcustomerId','left outer');

			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=customertransaction.fkmobAppId','left outer');

			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=customertransaction.fkpaymenttypeId','left outer');

			$this->db->join('bank_master','bank_master.bankId=customertransaction.fkbankId','left outer');

		 	// $this->db->where('customertransaction.fkcustomerId=',$customerId);
		 	$this->db->where('customertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('customertransaction.paymentDate<=',$enddate);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			return $sql->result();
			}
			

		}

		public function totalpaid($customerId,$paymentDate,$enddate)
		{
			if ($customerId!="") 
			{
				
				$this->db->select('SUM(customertransaction.paidAmount) as totalpaid');
				// $this->db->select_sum('customertransaction.paidAmount AS tot');
		 	$this->db->where('customertransaction.fkcustomerId=',$customerId);
		 	$this->db->where('customertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('customertransaction.paymentDate<=',$enddate);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			return $sql->result();

			}
			else{
				# code...

				// $this->db->select_sum('customertransaction.paidAmount as tot');

				$this->db->select('SUM(customertransaction.paidAmount) as totalpaid');
		 	// $this->db->where('customertransaction.fkcustomerId=',$customerId);
		 	$this->db->where('customertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('customertransaction.paymentDate<=',$enddate);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			return $sql->result();
			}
			

		}
	}
	
?>