<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');
	
	class Model_Invoice extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
		{		
			
			$fkbranchId= $this->session->userdata('fkbranchId');
			$u_id= $this->session->userdata('u_id');

			

			$sql= $this->db->select('invoicemain.invoicemainId,invoicemain.invoiceDate,invoicemain.totQuantity,invoicemain.totdiscountamt,invoicemain.amount,invoicemain.paidAmount,customer_master.customerName')
				->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer')
				->where('invoicemain.fkbranchId',$fkbranchId)
				->where('invoicemain.created_by',$u_id)
				->get_where('invoicemain',['invoicemain.is_active'=>1]);
			
				

				return $sql->result();
		} 




		public function invoice_report()
		{					
			$sql=$this->db->order_by('invoicemainId','desc')
						  //->limit(1)
						  ->get('invoicemain');
			return $sql->result();
		}
		public function stockopen($productId)
		{					
			$this->db->select('product_master.openingStock,unit_master.UnitName');
			$this->db->join('unit_master','unit_master.UnitId=product_master.fkunitId','left outer');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			$openStock=$sql->result();
			if($openStock[0]->openingStock=="")
			{
				
				$openStock[0]->openingStock=0;
				return $openStock;
				

			}
			else
			{
				 
				 return  $openStock;
				
			}		

		}

		public function getprimaryunit($productId)
		{
			$this->db->select('product_master.fkunitId,product_master.openingStock,unit_master.UnitName');

			$this->db->join('unit_master','unit_master.unitId=product_master.fkunitId','left outer');
			
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
		}


		public function getsecondunitId($productId)
		{
			$this->db->select('productsecondunit.fksecondunitId,productsecondunit.conversion');
			
		 	$this->db->where('productsecondunit.fkproductId=',$productId);
		   $this->db->where('productsecondunit.is_active',1);
			$sql=$this->db->get('productsecondunit');
			return $sql->result();
		}




	public function purchaseprimarysum($productId,$fkunitId)
		{		
		$date=date('Y-m-d');			
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
			$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fkunitId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}
		
		
		public function purchasesecondsum($productId,$fksecondunitId)
		{				
		$date=date('Y-m-d');	
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}


		public function invoiceprimarysum($productId,$fkunitId)
		{		
		$date=date('Y-m-d');			
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fkunitId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

				public function invoicesecondsum($productId,$fksecondunitId)
		{		
			$date=date('Y-m-d');			
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

		public function invoice_details($invoicemainId)
		{			
			$sql=$this->db->select('invoicemain.*,customer_master.customerName,customer_master.address,customer_master.primaryMobile,customer_master.pinCode,customer_master.customergstNumber,paymenttype_master.paymentType,doctor_master.doctorName')
				->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
				
			     ->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer')
				->join('paymenttype_master','paymenttype_master.paymenttypeId=invoicemain.fkpaymenttypeId','left outer')

				->join('doctor_master','doctor_master.doctorId=invoicemain.fkdoctorId','left outer')
    //         

				 ->group_by(['invoicemainId'])
				 
				->where(['invoiceproduct.fkinvoicemainId'=>$invoicemainId,'invoiceproduct.is_active'=>1])
				->get('invoicemain');
			
			return $sql->result();
		}
		public function productdetails($invoicemainId)
		{			
			$sql=$this->db->select('invoiceproduct.*,product_master.productName,gst_master.gstName,unit_master.UnitName,hsnsac_master.hsncode4,manufacture_master.manufactureName,product_master.mrpRate,product_master.purchaseRate,purchasebatch.batchName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					
			     ->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer')
			     ->join('unit_master','unit_master.UnitId=invoiceproduct.fkunitId','left outer')
			     ->join('gst_master','gst_master.gstId=invoiceproduct.fkgstId','left outer')
				
				 ->join('hsnsac_master','hsnsac_master.hsnsacId=invoiceproduct.fkhsnsacId','left outer')
				 ->join('manufacture_master','manufacture_master.manufactureId=product_master.fkmanufactureId','left outer')

				 ->join('purchasebatch','purchasebatch.purchasebatchId=invoiceproduct.fkpurchasebatchId','left outer')

				->where(['invoiceproduct.fkinvoicemainId'=>$invoicemainId,'invoiceproduct.is_active'=>1])
				->get('invoiceproduct');
			
			return $sql->result();
		}

		public function userName($userregistrationId)
		{
			$sql=$this->db->select('userregistration_master.userName')
			->where(['userregistration_master.userregistrationId'=>$userregistrationId,'userregistration_master.is_active'=>1])
				->get('userregistration_master');
			
			return $sql->result();


		}

		public function productnetdetails($invoicemainId)
		{			
			$sql=$this->db->select_sum('invoiceproduct.netAmount')				
				->where(['invoiceproduct.fkinvoicemainId'=>$invoicemainId,'invoiceproduct.is_active'=>1])
				->get('invoiceproduct');			
			return $sql->result();
		}
		public function select($invoicemainId)
		{
			$sql=$this->db->select('invoicemain.*,invoiceproduct.*,product_master.productId,product_master.productName,gst_master.gstName,unit_master.UnitName,hsnsac_master.hsncode4,purchasebatch.batchName')
					  ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')	
					   ->join('purchasebatch','purchasebatch.purchasebatchId=invoiceproduct.fkpurchasebatchId','left outer')				  
					  ->join('product_master','invoiceproduct.fkproductId=product_master.productId','left outer')
					   ->join('unit_master','unit_master.UnitId=invoiceproduct.fkunitId','left outer')
					   ->join('hsnsac_master','hsnsac_master.hsnsacId=invoiceproduct.fkhsnsacId','left outer')
					   ->join('gst_master','invoiceproduct.fkgstId=gst_master.gstId','left outer')
					   ->where(['fkinvoicemainId'=>$invoicemainId])
					 	->where('invoiceproduct.is_active',1)	
					  ->get('invoicemain');			
			   return $sql->result();
		}


		public function getpanCard($customerId)
		{
			$this->db->select('customerlicence.licenceNo as PAN');
		 	$this->db->where('customerlicence.fkcustomerId=',$customerId);
		 	$this->db->where('customerlicence.fklicencetypeId=',2);
		 
		   $this->db->where('customerlicence.is_active',1);
			$sql=$this->db->get('customerlicence');
			return $sql->result();

		}
		public function getdlNo($customerId)
		{
			$this->db->select('customerlicence.licenceNo');
		 	$this->db->where('customerlicence.fkcustomerId=',$customerId);
		 	$this->db->where('customerlicence.fklicencetypeId=',4);
		 
		   $this->db->where('customerlicence.is_active',1);
			$sql=$this->db->get('customerlicence');
			return $sql->result();

		}

		public function findcustomername($customerId)
		{
			$this->db->select('customer_master.customerId,customer_master.customerName');
		 	$this->db->where('customer_master.customerId=',$customerId);
		   $this->db->where('customer_master.is_active',1);
			$sql=$this->db->get('customer_master');
			return $sql->result();

		}

		public function getbatchName($batchId)
		{
			$this->db->select('purchasebatch.batchName');
		 	$this->db->where('purchasebatch.purchasebatchId=',$batchId);
		   $this->db->where('purchasebatch.is_active',1);
			$sql=$this->db->get('purchasebatch');
			return $sql->result();

		}
		public function findproduct($productId)
		{
			$this->db->select('product_master.productId,product_master.productName');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
		}


		public function getexpirtdate($productId,$batch)
		{
			$date=date('Y-m-d');
			$this->db->select('purchaseproduct.expiryDate');
			 $this->db->order_by('purchaseproduct.expiryDate','desc');
			$this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batch);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		 	 $this->db->group_by('purchaseproduct.fkpurchasebatchId');
		 	// $this->db->where('purchaseproduct.expiryDate!=','');
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			// return $sql->result();
			$expdate=$sql->result();
			if(!empty($expdate[0]->expiryDate))
			{
				
			
				 return  $expdate;

			}
			else
			{
				$expdate[0]['expiryDate']=date('Y-m-d');
				
				 return  $expdate;
				
			}
		}

		public function OutstandingAmount($fkcustomerId)
		{
			
			$this->db->select_sum('invoicemain.amount');
			
		 	$this->db->where('invoicemain.fkcustomerId=',$fkcustomerId);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			$amt=$sql->result();
			if($amt[0]->amount=="")
			{
				
				$amt[0]->amount=0;
				return $amt;
				

			}
			else
			{
				 
				 return  $amt;
				
			}
			

		}
		public function OutstandingAmount2($fkcustomerId)
		{
			$this->db->select('customer_master.opeaningbalance');
			
		 	$this->db->where('customer_master.customerId=',$fkcustomerId);
		   $this->db->where('customer_master.is_active',1);
			$sql=$this->db->get('customer_master');
			$balance=$sql->result();
				if($balance[0]->opeaningbalance=="")
			{
				
				$balance[0]->opeaningbalance=0;
				return $balance;
				

			}
			else
			{
				 
				 return  $balance;
				
			}

		}
		public function OutstandingAmount1($fkcustomerId)
		{
			
			$this->db->select_sum('customertransaction.paidAmount');
			
		 	$this->db->where('customertransaction.fkcustomerId=',$fkcustomerId);
		   $this->db->where('customertransaction.is_active',1);
			$sql=$this->db->get('customertransaction');
			$paidAmt=$sql->result();
				if($paidAmt[0]->paidAmount=="")
			{
				
				$paidAmt[0]->paidAmount=0;
				return $paidAmt;

			}
			else
			{
				 
				 return  $paidAmt;
				
			}

		}



		public function getsecondaryunit($postData)
		{					
			$this->db->select('unit_master.UnitId,unit_master.UnitName');
		
		 	$this->db->where('unit_master.UnitId!=',$postData['fkunitId']);
		 	
		   $this->db->where('unit_master.is_active',1);
			$sql=$this->db->get('unit_master');
			return $sql->result();
			
			// return $productId;
			

		}
	
		public function insert($tableName,$model)
		{
			return $this->db->insert($tableName,$model);
		}
		public function getproductdetails($productId)
		{
			$sql=$this->db->select("product_master.*")
			->join('purchaseproduct','purchaseproduct.fkproductId=product_master.productId','left outer')
					->order_by('purchaseproduct.purchaseproductId','desc')
      		->limit('1')
						  ->get_where('product_master',['productId'=>$productId,'product_master.is_active'=>1,'purchaseproduct.is_active'=>1]);
			return $sql->result();
		}
		//  function getproductrate($productId)
		// {
  //     		$this->db->select("purchaseproduct.mrpRate as purRate");

  //     		$this->db->order_by('purchaseproductId','desc');	
  //     		$this->db->limit('1');		
		// 	$this->db->where('fkproductId', $productId);
		// 	$q= $this->db->get('purchaseproduct');
		// 	return $q->result();
  //   	}
		  function getgstdetails($postData)
		{
      		$this->db->select("gst_master.gstpercentageValue");			
			$this->db->where('gstId', $postData['gstId']);
			$q= $this->db->get('gst_master');
			return $q->result();
    	}

		public function update($tableName,$model)
		{
			return  $this->db->where('invoicemainId',$model['invoicemainId'])
					         ->update($tableName,$model);

		}
		public function updatetrans($tableName,$model)
		{
			return  $this->db->where('fkinvoicemainId',$model['fkinvoicemainId'])
					         ->update($tableName,$model);

		}
		

		public function delete($invoiceproductId,$model)
		{
			return $query=$this->db->where('invoiceproductId',$invoiceproductId)
		
			->update('invoiceproduct',$model);
			
		}
		public function search($invoicemainId)
		{
			$sql=$this->db->get_where('invoicemain',['invoicemainId'=>$invoicemainId]);
			return $sql->result();

		}

		
		public function getMaxId()
		{
			return $this->db->select_max('invoicemainId')
					        ->get('invoicemain')->result();
		}	 
		
		public function getcustomerlist() 
		{
			$this->db->select("customerId,customerName,primaryMobile,address");
			$this->db->from('customer_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 

		public function getproductlist() 
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName,product_master.fkcompanyId");
			
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
			$this->db->from('product_master'); 
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 	


		public function getpaymentlist() 
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			// $this->db->;
			$this->db->where('paymenttypeId!=',7);
			$this->db->where('paymenttypeId!=',3);
			$this->db->where('paymenttypeId!=',4);
			$this->db->where('paymenttypeId!=',5);
			$this->db->where('paymenttypeId!=',6);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 	

		public function getgstlist() 
		{
			$this->db->select("*");
			$this->db->from('gst_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 	
		public function gethsnlist() 
		{
			$this->db->select("hsnsacId,hsncode4");
			$this->db->from('hsnsac_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 

		public function getdoctorslist() 
		{
			$this->db->select("doctorId,doctorName");
			$this->db->from('doctor_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		} 

		public function getbatchdetails($postData)
		{			
		$date=date('Y-m-d');		
			$this->db->select('purchasebatch.batchName,purchaseproduct.expiryDate,purchaseproduct.Rate,purchaseproduct.Quantity,product_master.productName,purchaseproduct.fkpurchasebatchId');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');
			$this->db->join('purchasebatch','purchasebatch.purchasebatchId=purchaseproduct.fkpurchasebatchId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$postData['productId']);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			return $sql->result();
			

		}
		public function batchinfo($productId)
		{
			$date=date('Y-m-d');
			$this->db->select('purchasebatch.batchName,purchasebatch.purchasebatchId');
			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasebatchId=purchasebatch.purchasebatchId','left outer');
			$this->db->group_by('purchaseproduct.fkpurchasebatchId');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		 
		   $this->db->where('purchasebatch.is_active',1);	
			$sql=$this->db->get('purchasebatch');
			return $sql->result();
		}
		public function purchasebatchprimarysum($productId,$fkunitId,$batchId)
		{				
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fkunitId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}


		public function invoicebatchprimarysum($productId,$fkunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
			
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fkunitId);
		 	$this->db->where('invoiceproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}


		public function purchasebatchsecondsum($productId,$fksecondunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('purchaseproduct.Quantity');
			$this->db->select_sum('purchaseproduct.freeQuantity');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchaseproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('purchaseproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('purchaseproduct.expiryDate>=',$date);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchaseproduct');
			$purchaseprimQty=$sql->result();
			if($purchaseprimQty[0]->Quantity=="")
			{
				
				$purchaseprimQty[0]->Quantity=0;
				return $purchaseprimQty;
				

			}
			else
			{
				 
				 return  $purchaseprimQty;
				
			}
			

		}

		public function invoicebatchsecondsum($productId,$fksecondunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select_sum('invoiceproduct.Quantity');
			$this->db->select_sum('invoiceproduct.freeQuantity');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoiceproduct.fkpurchasebatchId=',$batchId);
		 	$this->db->where('invoiceproduct.fkunitId=',$fksecondunitId);
		 	$this->db->where('invoiceproduct.expiryDate>=',$date);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			if($invoiceQuantity[0]->Quantity=="")
			{
				
				$invoiceQuantity[0]->Quantity=0;
				return $invoiceQuantity;
				

			}
			else
			{
				 
				 return  $invoiceQuantity;
				
			}
			

		}

		public function getunitstock($productId,$fkunitId)
		{					
			$this->db->select('productsecondunit.conversion,unit_master.UnitName');
			$this->db->join('unit_master','unit_master.UnitId=productsecondunit.fksecondunitId','left outer');
		 	$this->db->where('productsecondunit.fkproductId=',$productId);
		 	$this->db->where('productsecondunit.fksecondunitId=',$fkunitId);
		   $this->db->where('productsecondunit.is_active',1);
			$sql=$this->db->get('productsecondunit');
			return $sql->result();
			
			

		}
		function getunitdetails($postData)
		{
      		$this->db->select("product_master.fkunitId,unit_master.UnitName");	
      		$this->db->join('unit_master','unit_master.UnitId=product_master.fkunitId','left outer');  
      		$this->db->where('productId',$postData['productId']);			
			$this->db->where('product_master.is_active',1);
			$q= $this->db->get('product_master');
			return $q->result();
    	}
		function getsecondunit($postData)
		{
      		$this->db->select("productsecondunit.fksecondunitId,unit_master.UnitName as secondunitName");	
      		$this->db->join('unit_master','unit_master.UnitId=productsecondunit.fksecondunitId','left outer');
			$this->db->where('productsecondunit.fkproductId',$postData['productId']);
			$this->db->where('productsecondunit.is_active',1);
			$sql= $this->db->get('productsecondunit');
			return $sql->result();
			
    	}

    	public function getrate($productId,$unitId)
		{					
			$this->db->select('productsecondunit.conversion');
			
		 	$this->db->where('productsecondunit.fkproductId=',$productId);
		 	$this->db->where('productsecondunit.fksecondunitId=',$unitId);
		 	
		   $this->db->where('productsecondunit.is_active',1);
			$sql=$this->db->get('productsecondunit');
			return $sql->result();
			
		}

		public function getdeleteproductbatch($productId,$fkunitId)
		{			
		$date=date('Y-m-d');		
			$this->db->select('deletebatch.Quantity as deleteqty');
			
		 	$this->db->where('deletebatch.fkproductId=',$productId);
		 	$this->db->where('deletebatch.fkunitId=',$fkunitId);
		 	$this->db->where('deletebatch.expirydate>=',$date);
		   $this->db->where('deletebatch.is_active',1);
			$sql=$this->db->get('deletebatch');
			$deletebatchqty=$sql->result();
			if (!empty($deletebatchqty)) {
				$deletebatchqty[0]=[	
							'deleteqty'=>$deletebatchqty[0]->deleteqty
					];
				return  $deletebatchqty;
			}
			else
			{

				$deletebatchqty[0]=[	
							'deleteqty'=>0
					];
				return  $deletebatchqty;
				// print_r($deletebatchqty) ;
			}
			

		}

		public function getdeletebatch($productId,$fkunitId,$batchId)
		{					
			$date=date('Y-m-d');
			$this->db->select('deletebatch.Quantity as deleteqty');
			$this->db->where('deletebatch.fkproductId=',$productId);
		 	$this->db->where('deletebatch.fkunitId=',$fkunitId);
		 	$this->db->where('deletebatch.fkpurchasebatchId=',$batchId);
		 	$this->db->where('deletebatch.expirydate>=',$date);
		   $this->db->where('deletebatch.is_active',1);
			$sql=$this->db->get('deletebatch');
			$deletebatchqty=$sql->result();

			if (!empty($deletebatchqty)) {
				$deletebatchqty[0]=[	
							'deleteqty'=>$deletebatchqty[0]->deleteqty
					];
				return  $deletebatchqty;
			}
			else
			{

				$deletebatchqty[0]=[	
							'deleteqty'=>0
					];
				return  $deletebatchqty;
				// print_r($deletebatchqty) ;
			}
			

		}

	} 
	
?>