<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Productsummary extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

		

		public function findproduct($productId)
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
			// return $productId;

		}

		public function productlist()
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
			$this->db->from('product_master');
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		
		
		
		


		public function purchasedetails($supplierId,$productId,$paymentDate,$enddate)
		{
			if ($supplierId!="" && $productId!="") 
			{
				$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
				# code...
			}
			else if ($supplierId!="") 
			{

				$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	// $this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			// return $productId;
			}
			else if($productId!='')
			{
		$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	// $this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			else
			{
				$this->db->select('purchaseproduct.fkproductId,purchaseproduct.Rate,purchaseproduct.Quantity,supplier_master.supplierName,purchasemain.fksupplierId,
					product_master.productName');

			$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');

			$this->db->join('supplier_master','supplier_master.supplierId=purchasemain.fksupplierId','left outer');
			$this->db->join('product_master','product_master.productId=purchaseproduct.fkproductId','left outer');

		 	
		 	// $this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	// $this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			

		}

		public function totalquantity($supplierId,$productId,$paymentDate,$enddate)
		{

			if ($supplierId!="" && $productId!="") 
			{
				
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
				// $this->db->select_sum('suppliertransaction.paidAmount AS tot');
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();

			}
			else if ($supplierId!="") 
			{
				
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
				// $this->db->select_sum('suppliertransaction.paidAmount AS tot');
		 	$this->db->where('purchasemain.fksupplierId=',$supplierId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();

			}
			else if($productId!="")
			{
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
		 	$this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchaseproduct.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			else
			{
				$this->db->select_sum('purchaseproduct.Quantity');
				$this->db->join('purchaseproduct','purchaseproduct.fkpurchasemainId=purchasemain.purchasemainId','left outer');
		 	// $this->db->where('purchaseproduct.fkproductId=',$productId);
		 	$this->db->where('purchasemain.purchaseDate>=',$paymentDate);
		 	$this->db->where('purchasemain.purchaseDate<=',$enddate);
		   $this->db->where('purchasemain.is_active',1);
			$sql=$this->db->get('purchasemain');
			return $sql->result();
			}
			

		}




		public function stockopen($productId)
		{		
					# code...

				$this->db->select('product_master.openingStock');
			
		 		$this->db->where('product_master.productId=',$productId);
		  		 $this->db->where('product_master.is_active',1);
				$sql=$this->db->get('product_master');
				$openStock=$sql->result();
				if($openStock[0]->openingStock=="")
				{
				
				$openStock[0]->openingStock=0;
				return $openStock;
				

				}
				else
				{
					 
				 return  $openStock;
				
				}	
			
				

		}






		public function purchasesum($productId)
		{		
					
					$this->db->select_sum('purchaseproduct.Quantity');			
		 			$this->db->where('purchaseproduct.fkproductId=',$productId);
		  			 $this->db->where('purchaseproduct.is_active',1);
					$sql=$this->db->get('purchaseproduct');
					$purchaseQuantity=$sql->result();
					if($purchaseQuantity[0]->Quantity=="")
					{				
					$purchaseQuantity[0]->Quantity=0;
					return $purchaseQuantity;				
					}
					else
					{
				 
				 	return  $purchaseQuantity;				
					}		
				
		}




		public function invoicesum($productId)
		{			
				
			// $this->db->select_sum('invoiceproduct.Quantity');	
			$this->db->select('SUM(invoiceproduct.Quantity) as invoicequantity');		
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoiceproduct');
			$invoiceQuantity=$sql->result();
			
			if($invoiceQuantity[0]->invoicequantity=="")
			{
				$invoiceQuantity[0]->invoicequantity=0;
				return $invoiceQuantity;				
			}
			else
			{				 
				 return  $invoiceQuantity;				
			}
				
		}
		public function minstock($productId)
		{	
			// if ($productId!="") 
			// {
				$this->db->select('product_master.minstockLevel,product_master.maxstockLevel');
				$this->db->where('product_master.productId=',$productId);
				$this->db->where('product_master.is_active',1);
				$sql=$this->db->get('product_master');
				return $sql->result();
			// }

		}



		public function ProductName($productId)
		{
			if ($productId!="") {
				# code...
				$this->db->select("product_master.productId,product_master.productName");
			
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
			}
			else
			{
				
			}
			
			$this->db->select("product_master.productId,product_master.productName");
			$this->db->from('product_master');
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();

		}
	}
	
?>