<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Salesummary extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

		
		public function customerlist()
		{
			$this->db->select("customerId,customerName,address,primaryMobile");
			$this->db->from('customer_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function findcustomername($customerId)
		{
			$this->db->select('customer_master.customerId,customer_master.customerName');
		 	$this->db->where('customer_master.customerId=',$customerId);
		   $this->db->where('customer_master.is_active',1);
			$sql=$this->db->get('customer_master');
			return $sql->result();

		}

		public function findproduct($productId)
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
		 	$this->db->where('product_master.productId=',$productId);
		   $this->db->where('product_master.is_active',1);
			$sql=$this->db->get('product_master');
			return $sql->result();
			// return $productId;

		}

		public function productlist()
		{
			$this->db->select("product_master.productId,product_master.productName,product_master.salesRate,company_master.companyName");
			$this->db->join('company_master','company_master.companyId=product_master.fkcompanyId','left outer');
			$this->db->from('product_master');
			$this->db->where('product_master.is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		
		
		
		


		public function purchasedetails($customerId,$productId,$paymentDate,$enddate)
		{
			if ($customerId!="" && $productId!="") 
			{
				$this->db->select('invoiceproduct.fkproductId,invoiceproduct.productamount,invoiceproduct.Rate,invoiceproduct.Quantity,customer_master.customerName,invoicemain.fkcustomerId,
					product_master.productName');

			$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');

			$this->db->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer');
			$this->db->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer');

		 	
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	$this->db->where('invoicemain.fkcustomerId=',$customerId);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();
				# code...
			}
			else if ($customerId!="") 
			{

				$this->db->select('invoiceproduct.fkproductId,invoiceproduct.productamount,invoiceproduct.Rate,invoiceproduct.Quantity,customer_master.customerName,invoicemain.fkcustomerId,
					product_master.productName');

			$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');

			$this->db->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer');
			$this->db->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer');

		 	
		 	// $this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	$this->db->where('invoicemain.fkcustomerId=',$customerId);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();
			// return $productId;
			}
			else if($productId!='')
			{
		$this->db->select('invoiceproduct.fkproductId,invoiceproduct.productamount,invoiceproduct.Rate,invoiceproduct.Quantity,customer_master.customerName,invoicemain.fkcustomerId,
					product_master.productName');

			$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');

			$this->db->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer');
			$this->db->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer');

		 	
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	// $this->db->where('invoicemain.fkcustomerId=',$customerId);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();
			}
			else
			{
				$this->db->select('invoiceproduct.fkproductId,invoiceproduct.productamount,invoiceproduct.Rate,invoiceproduct.Quantity,customer_master.customerName,invoicemain.fkcustomerId,
					product_master.productName');

			$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');

			$this->db->join('customer_master','customer_master.customerId=invoicemain.fkcustomerId','left outer');
			$this->db->join('product_master','product_master.productId=invoiceproduct.fkproductId','left outer');

		 	
		 	// $this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	// $this->db->where('invoicemain.fkcustomerId=',$customerId);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();
			}
			

		}



		public function totalquantity($customerId,$productId,$paymentDate,$enddate)
		{

			if ($customerId!="" && $productId!="") 
			{
				
				$this->db->select_sum('invoiceproduct.Quantity');
				$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');
				// $this->db->select_sum('suppliertransaction.paidAmount AS tot');
		 	$this->db->where('invoicemain.fkcustomerId=',$customerId);
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoicemain.fkcustomerId=',$customerId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();

			}
			else if ($customerId!="") 
			{
				
				$this->db->select_sum('invoiceproduct.Quantity');
				$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');
				// $this->db->select_sum('suppliertransaction.paidAmount AS tot');
		 	$this->db->where('invoicemain.fkcustomerId=',$customerId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();

			}
			else if($productId!="")
			{
				$this->db->select_sum('invoiceproduct.Quantity');
				$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');
		 	$this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoiceproduct.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();
			}
			else
			{
				$this->db->select_sum('invoiceproduct.Quantity');
				$this->db->join('invoiceproduct','invoiceproduct.fkinvoicemainId=invoicemain.invoicemainId','left outer');
		 	// $this->db->where('invoiceproduct.fkproductId=',$productId);
		 	$this->db->where('invoicemain.invoiceDate>=',$paymentDate);
		 	$this->db->where('invoicemain.invoiceDate<=',$enddate);
		   $this->db->where('invoicemain.is_active',1);
			$sql=$this->db->get('invoicemain');
			return $sql->result();
			}
			

		}

		
	}
	
?>