<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Supplierpayment extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		

		
		public function supplierlist()
		{
			$this->db->select("supplierId,supplierName,address,primaryMobile");
			$this->db->from('supplier_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 	
		public function paymenttypelist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}
		public function mobapplist()
		{
			$this->db->select("mobileappId,mobileappName");
			$this->db->from('mobilepaymentapp_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		public function paydetaillist()
		{
			$this->db->select("paymenttypeId,paymentType");
			$this->db->from('paymenttype_master');
			// $this->db->;
			$this->db->where('paymenttypeId!=',2);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		}	
		
		public function banklist()
		{
			$this->db->select("bankId,bankName");
			$this->db->from('bank_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
			
		} 
		
		
		public function findsupplierName($supplierId)
		{
			$this->db->select('supplier_master.supplierId,supplier_master.supplierName');
		 	$this->db->where('supplier_master.supplierId=',$supplierId);
		   $this->db->where('supplier_master.is_active',1);
			$sql=$this->db->get('supplier_master');
			return $sql->result();

		}


		public function paymentdetails($supplierId,$paymentDate,$enddate)
		{
			if ($supplierId!="") 
			{

				$this->db->select('suppliertransaction.chequeNo,suppliertransaction.chequeDate,suppliertransaction.paymentDate,suppliertransaction.paidAmount,suppliertransaction.transactionId,supplier_master.supplierId,supplier_master.supplierName,mobilepaymentapp_master.mobileappName,paymenttype_master.paymentType,bank_master.bankName');

			$this->db->join('supplier_master','supplier_master.supplierId=suppliertransaction.fksupplierId','left outer');

			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=suppliertransaction.fkmobAppId','left outer');

			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=suppliertransaction.fkpaymenttypeId','left outer');

			$this->db->join('bank_master','bank_master.bankId=suppliertransaction.fkbankId','left outer');

		 	$this->db->where('suppliertransaction.fksupplierId=',$supplierId);
		 	$this->db->where('suppliertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('suppliertransaction.paymentDate<=',$enddate);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			return $sql->result();

			}
			else{
				# code...

				$this->db->select('suppliertransaction.chequeNo,suppliertransaction.chequeDate,suppliertransaction.paymentDate,suppliertransaction.paidAmount,suppliertransaction.transactionId,supplier_master.supplierId,supplier_master.supplierName,mobilepaymentapp_master.mobileappName,paymenttype_master.paymentType,bank_master.bankName');

			$this->db->join('supplier_master','supplier_master.supplierId=suppliertransaction.fksupplierId','left outer');

			$this->db->join('mobilepaymentapp_master','mobilepaymentapp_master.mobileappId=suppliertransaction.fkmobAppId','left outer');

			$this->db->join('paymenttype_master','paymenttype_master.paymenttypeId=suppliertransaction.fkpaymenttypeId','left outer');

			$this->db->join('bank_master','bank_master.bankId=suppliertransaction.fkbankId','left outer');

		 	// $this->db->where('suppliertransaction.fksupplierId=',$supplierId);
		 	$this->db->where('suppliertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('suppliertransaction.paymentDate<=',$enddate);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			return $sql->result();
			}
			

		}

		public function totalpaid($supplierId,$paymentDate,$enddate)
		{
			if ($supplierId!="") 
			{
				
				$this->db->select('SUM(suppliertransaction.paidAmount) as supplierpaid');
				// $this->db->select_sum('suppliertransaction.paidAmount AS tot');
		 	$this->db->where('suppliertransaction.fksupplierId=',$supplierId);
		 	$this->db->where('suppliertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('suppliertransaction.paymentDate<=',$enddate);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			return $sql->result();

			}
			else{
				# code...

				// $this->db->select_sum('suppliertransaction.paidAmount as tot');

				$this->db->select('SUM(suppliertransaction.paidAmount) as supplierpaid');
		 	// $this->db->where('suppliertransaction.fksupplierId=',$supplierId);
		 	$this->db->where('suppliertransaction.paymentDate>=',$paymentDate);
		 	$this->db->where('suppliertransaction.paymentDate<=',$enddate);
		   $this->db->where('suppliertransaction.is_active',1);
			$sql=$this->db->get('suppliertransaction');
			return $sql->result();
			}
			

		}
	}
	
?>