<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');
	class Model_Userregistration extends CI_Model 
	{
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
		{					
						$sql=$this->db->select('userregistration_master.*,usertype_master.usertypeName,customer_master.photo,supplier_master.photo as supplierphoto,employee_master.photo as employeephoto')
						 
						  ->join('usertype_master','usertype_master.usertypeId=userregistration_master.fkusertypeId','left outer')

						  ->join('customer_master','customer_master.customerId=userregistration_master.fkcustomerId','left outer')

						  ->join('supplier_master','supplier_master.supplierId=userregistration_master.fksupplierId','left outer')

						  ->join('employee_master','employee_master.empId=userregistration_master.fkempId','left outer')
						  // ->where('userregistration_master.userregistrationId!=',1)
						  ->get_where('userregistration_master',['userregistration_master.is_active'=>1]);
			return $sql->result();
		} 
		public function insert($model)
		{
			return $this->db->insert('userregistration_master',$model);

		}  

		public function update($model)
		{
			 return $sql=$this->db->where('userregistrationId',$model['userregistrationId'])
						  ->update('userregistration_master',$model);
			// echo('ho');
		} 

		public function delete($model)
		{
			return $sql=$this->db->where('userregistrationId',$model->userregistrationId)
						  ->update('userregistration_master',$model);

		} 
		public function search($userregistrationId)
		{
			$sql=$this->db->get_where('userregistration_master',['userregistrationId'=>$userregistrationId]);
			
			return $sql->result();

		} 	
		public function getusertypelist() 
		{
			$this->db->select("usertypeId,usertypeName");
			$this->db->from('usertype_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getcustomerlist() 
		{
			$this->db->select("customerId,customerName");
			$this->db->from('customer_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}
		public function getsupplierlist() 
		{
			$this->db->select("supplierId,supplierName");
			$this->db->from('supplier_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}
		public function getemployeelist() 
		{
			$this->db->select("empId,empName");
			$this->db->from('employee_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getcustomerbyid($customerId)
		{
			$sql=$this->db->select("customer_master.primaryMobile,customer_master.email,customer_master.photo")
			->get_where('customer_master',['customerId'=>$customerId,'is_active'=>1]);
			return $sql->result();		
		}
		public function getsupplierbyid($supplierId)
		{
			$sql=$this->db->select("supplier_master.primaryMobile,supplier_master.email,supplier_master.photo")
			->get_where('supplier_master',['supplierId'=>$supplierId,'is_active'=>1]);
			return $sql->result();		
		}
		public function getemployeebyid($empId)
		{
			$sql=$this->db->select("employee_master.contact1,employee_master.email,employee_master.photo")
			->get_where('employee_master',['empId'=>$empId,'is_active'=>1]);
			return $sql->result();		
		}

		public function chkExistData($userName)
		{
			return $sql=$this->db->get_where('userregistration_master',['userName'=>$userName,'is_active'=>1])->num_rows();
		}
	} 
	
?>