-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Dec 08, 2019 at 06:44 AM
-- Server version: 10.1.35-MariaDB
-- PHP Version: 7.1.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `medicom`
--

-- --------------------------------------------------------

--
-- Table structure for table `backup`
--

CREATE TABLE `backup` (
  `Id` int(10) NOT NULL,
  `created` datetime NOT NULL,
  `create_date` date DEFAULT NULL,
  `created_by` int(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `backup`
--

INSERT INTO `backup` (`Id`, `created`, `create_date`, `created_by`) VALUES
(1, '2019-11-12 08:18:40', NULL, 2),
(2, '0000-00-00 00:00:00', '2019-11-30', 0),
(3, '0000-00-00 00:00:00', '2019-12-03', 0),
(4, '0000-00-00 00:00:00', '2019-12-03', 0),
(5, '0000-00-00 00:00:00', '2019-12-05', 0),
(6, '0000-00-00 00:00:00', '2019-12-08', 0);

-- --------------------------------------------------------

--
-- Table structure for table `bank_master`
--

CREATE TABLE `bank_master` (
  `bankId` bigint(50) NOT NULL,
  `bankName` varchar(255) NOT NULL,
  `bankshortName` varchar(255) NOT NULL,
  `address` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `bank_master`
--

INSERT INTO `bank_master` (`bankId`, `bankName`, `bankshortName`, `address`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'Bank Of Maharshtra', 'BOM', 'Nesari', 0, 1, 1, '2019-04-23 06:54:32', 1, '2019-04-25 12:40:40', 1, NULL, NULL, NULL, '2019-04-23 04:54:32'),
(2, 'Bank Of India', 'BOI', ' Gadhinglaj', 0, 1, 1, '2019-04-25 12:41:48', 1, NULL, NULL, NULL, NULL, NULL, '2019-04-25 10:41:48'),
(3, 'syndicate bank', 'Sb', ' asdfgh', 0, 1, 1, '2019-04-26 06:19:01', 1, NULL, NULL, NULL, NULL, NULL, '2019-04-26 04:19:01'),
(4, 'asdfghjkl', 'zxcvbn', ' zxcvbn', 0, 1, 0, '2019-04-26 06:23:33', 1, NULL, NULL, '2019-07-04 07:35:55', 26, NULL, '2019-04-26 04:23:33'),
(5, 'Bank Of Maharshtra', 'BOI', '  ', 0, 1, 0, '2019-05-28 15:26:54', NULL, '2019-07-04 07:36:13', 26, '2019-07-04 07:36:18', 26, NULL, '2019-05-28 13:26:54');

-- --------------------------------------------------------

--
-- Table structure for table `blood_master`
--

CREATE TABLE `blood_master` (
  `bloodgroupId` int(20) NOT NULL,
  `bloodgroup` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `blood_master`
--

INSERT INTO `blood_master` (`bloodgroupId`, `bloodgroup`) VALUES
(1, 'A+'),
(2, 'O+'),
(3, 'B+'),
(4, 'AB+'),
(5, 'A-'),
(6, 'O-'),
(7, 'B-'),
(8, 'AB-');

-- --------------------------------------------------------

--
-- Table structure for table `brand_master`
--

CREATE TABLE `brand_master` (
  `brandId` int(50) NOT NULL,
  `brandName` varchar(100) DEFAULT NULL,
  `description` varchar(200) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `brand_master`
--

INSERT INTO `brand_master` (`brandId`, `brandName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'fffff', ' jiu', 0, 1, 1, '2019-10-24 11:17:35', NULL, NULL, NULL, NULL, NULL, NULL, '2019-10-24 09:17:35'),
(2, NULL, 'dfdf ', 0, 1, 1, '2019-11-23 10:54:04', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-23 09:54:04');

-- --------------------------------------------------------

--
-- Table structure for table `category_master`
--

CREATE TABLE `category_master` (
  `categoryId` int(11) NOT NULL,
  `categoryName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `category_master`
--

INSERT INTO `category_master` (`categoryId`, `categoryName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'fghtu', ' tur856', 0, 1, 1, '2019-10-24 11:21:11', 1, NULL, NULL, NULL, NULL, NULL, '2019-10-24 09:21:11');

-- --------------------------------------------------------

--
-- Table structure for table `classificationgroup_master`
--

CREATE TABLE `classificationgroup_master` (
  `classificationId` int(50) NOT NULL,
  `classificationName` varchar(100) DEFAULT NULL,
  `description` varchar(200) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `classificationgroup_master`
--

INSERT INTO `classificationgroup_master` (`classificationId`, `classificationName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'abc', 'dsd', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-23 09:58:46'),
(2, 'xyz', 'jhj', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-23 09:58:46');

-- --------------------------------------------------------

--
-- Table structure for table `color_master`
--

CREATE TABLE `color_master` (
  `colorId` int(11) NOT NULL,
  `colorName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `company_master`
--

CREATE TABLE `company_master` (
  `companyId` int(20) NOT NULL,
  `companyName` varchar(200) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `company_master`
--

INSERT INTO `company_master` (`companyId`, `companyName`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'ABC', 0, 1, 1, '2019-11-08 06:21:17', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-08 05:21:17');

-- --------------------------------------------------------

--
-- Table structure for table `content_master`
--

CREATE TABLE `content_master` (
  `contentId` int(50) NOT NULL,
  `contentName` varchar(100) DEFAULT NULL,
  `description` varchar(200) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `content_master`
--

INSERT INTO `content_master` (`contentId`, `contentName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'szzxzxzc', 'dx ', 0, 1, 1, '2019-11-23 10:55:58', 2, '2019-11-23 10:56:44', 2, NULL, NULL, NULL, '2019-11-23 09:55:58'),
(2, 'fsd', 'rwwe', 0, 1, 1, '2019-11-23 10:56:10', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-23 09:56:10');

-- --------------------------------------------------------

--
-- Table structure for table `country_master`
--

CREATE TABLE `country_master` (
  `countryId` bigint(20) NOT NULL,
  `shortName` varchar(50) NOT NULL,
  `countryName` varchar(50) NOT NULL,
  `phoneCode` int(10) NOT NULL,
  `is_default` tinyint(4) NOT NULL DEFAULT '0',
  `is_on` tinyint(4) NOT NULL DEFAULT '1',
  `is_active` tinyint(4) NOT NULL DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `crdr_master`
--

CREATE TABLE `crdr_master` (
  `crdrId` int(50) NOT NULL,
  `crdrName` varchar(50) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `crdr_master`
--

INSERT INTO `crdr_master` (`crdrId`, `crdrName`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'Credit', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-04-18 08:51:00'),
(2, 'Debit', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-04-18 08:51:12');

-- --------------------------------------------------------

--
-- Table structure for table `customercategories_master`
--

CREATE TABLE `customercategories_master` (
  `customercategoriesId` int(11) NOT NULL,
  `customercategoriesName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `customerlicence`
--

CREATE TABLE `customerlicence` (
  `customerlicenceId` int(50) NOT NULL,
  `fkcustomerId` int(11) DEFAULT NULL,
  `fklicencetypeId` int(50) DEFAULT NULL,
  `licenceNo` bigint(50) DEFAULT NULL,
  `startDate` date DEFAULT NULL,
  `expiryDate` date DEFAULT NULL,
  `Attachment` varchar(500) DEFAULT NULL,
  `warningdays` int(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customerlicence`
--

INSERT INTO `customerlicence` (`customerlicenceId`, `fkcustomerId`, `fklicencetypeId`, `licenceNo`, `startDate`, `expiryDate`, `Attachment`, `warningdays`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, 1, 232, '0000-00-00', '0000-00-00', '1043413616.png', 323, 0, 1, 1, '2019-11-22 10:50:54', 1, '2019-12-05 06:28:14', 2, NULL, NULL, NULL, '2019-11-22 09:50:54'),
(2, 1, 2, 0, '0000-00-00', '0000-00-00', '1019790241.png', 345, 0, 1, 1, '2019-11-22 10:55:22', 2, '2019-12-05 06:28:14', 2, NULL, NULL, NULL, '2019-11-22 09:55:22'),
(3, 2, 1, 2323, '0000-00-00', '0000-00-00', '1030301451.png', 342, 0, 1, 1, '2019-11-23 11:35:21', 2, '2019-11-28 07:02:46', 1, NULL, NULL, NULL, '2019-11-23 10:35:21'),
(4, 3, 1, 3333, '0000-00-00', '0000-00-00', '1378924813.png', 434, 0, 1, 1, '2019-11-23 11:49:12', 2, '2019-11-28 06:41:09', 1, NULL, NULL, NULL, '2019-11-23 10:49:12'),
(5, 4, 1, 45, '0000-00-00', '0000-00-00', '460787525.png', 54, 0, 1, 1, '2019-11-28 11:10:15', 2, '2019-11-28 11:18:28', 2, NULL, NULL, NULL, '2019-11-28 10:10:15');

-- --------------------------------------------------------

--
-- Table structure for table `customertransaction`
--

CREATE TABLE `customertransaction` (
  `customerTransactionId` int(20) NOT NULL,
  `fkcustomerId` int(20) DEFAULT NULL,
  `fkinvoicemainId` int(11) DEFAULT NULL,
  `fkpaymenttypeId` int(20) DEFAULT NULL,
  `fkmobAppId` int(20) DEFAULT NULL,
  `transactionId` int(20) DEFAULT NULL,
  `fkbankId` int(20) DEFAULT NULL,
  `chequeNo` int(20) DEFAULT NULL,
  `chequeDate` date DEFAULT NULL,
  `paymentDate` date DEFAULT NULL,
  `paidAmount` int(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `customertransaction`
--

INSERT INTO `customertransaction` (`customerTransactionId`, `fkcustomerId`, `fkinvoicemainId`, `fkpaymenttypeId`, `fkmobAppId`, `transactionId`, `fkbankId`, `chequeNo`, `chequeDate`, `paymentDate`, `paidAmount`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 4, 1, 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06', 0, 0, 1, 1, '2019-12-06 16:40:32', 2, '2019-12-07 08:38:04', 2, NULL, NULL, NULL, '2019-12-06 15:40:32'),
(2, 4, 2, 1, NULL, NULL, NULL, NULL, NULL, '2019-12-07', 144, 0, 1, 1, '2019-12-07 13:01:10', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-07 12:01:10'),
(3, 4, 3, 1, NULL, NULL, NULL, NULL, NULL, '2019-12-07', 757, 0, 1, 1, '2019-12-07 13:04:27', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-07 12:04:27'),
(4, 4, 4, 1, NULL, NULL, NULL, NULL, NULL, '2019-12-07', 44, 0, 1, 1, '2019-12-07 13:09:19', 2, '2019-12-07 13:13:12', 2, NULL, NULL, NULL, '2019-12-07 12:09:19');

-- --------------------------------------------------------

--
-- Table structure for table `customer_master`
--

CREATE TABLE `customer_master` (
  `customerId` int(50) NOT NULL,
  `customerName` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `primaryMobile` bigint(30) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `fkcountryId` int(50) DEFAULT NULL,
  `fkstateId` int(50) DEFAULT NULL,
  `fkdistrictId` int(50) DEFAULT NULL,
  `fktalukaId` int(50) DEFAULT NULL,
  `fkvillageId` int(50) DEFAULT NULL,
  `pinCode` int(10) DEFAULT NULL,
  `fkgenderId` int(50) DEFAULT NULL,
  `secondaryMobile` int(12) DEFAULT NULL,
  `customergstNumber` varchar(200) CHARACTER SET latin1 COLLATE latin1_general_ci DEFAULT NULL,
  `opeaningbalance` int(11) DEFAULT NULL,
  `fkcrdrId` int(11) DEFAULT NULL,
  `creditLimit` int(50) DEFAULT NULL,
  `birthDate` date DEFAULT NULL,
  `photo` varchar(200) DEFAULT NULL,
  `fkcustomercategoriesId` int(20) DEFAULT NULL,
  `fkusertypeId` int(20) DEFAULT NULL,
  `registrationDate` date DEFAULT NULL,
  `creditday` int(50) DEFAULT NULL,
  `tinNo` int(20) DEFAULT NULL,
  `fkrouteId` int(11) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `customer_master`
--

INSERT INTO `customer_master` (`customerId`, `customerName`, `address`, `primaryMobile`, `email`, `fkcountryId`, `fkstateId`, `fkdistrictId`, `fktalukaId`, `fkvillageId`, `pinCode`, `fkgenderId`, `secondaryMobile`, `customergstNumber`, `opeaningbalance`, `fkcrdrId`, `creditLimit`, `birthDate`, `photo`, `fkcustomercategoriesId`, `fkusertypeId`, `registrationDate`, `creditday`, `tinNo`, `fkrouteId`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'tr', ' ffd                             ', 2323333333, 'babasahebdesai27@gmail.com', 0, NULL, NULL, 0, 0, 0, 1, 0, '', 0, 0, 0, '0000-00-00', '1664782271.png', 0, 1, '2019-11-22', 0, 0, 0, 0, 1, 1, '2019-12-05 06:28:14', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-22 09:50:54'),
(2, 'tertre', ' 22ff      ', 2222222222, '', 0, NULL, NULL, 0, 0, 0, 0, 0, '', 0, 0, 0, '0000-00-00', '1263709655.jpg', 0, 1, '2019-11-23', 0, 0, 0, 0, 1, 1, '2019-11-28 07:02:46', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-23 10:35:21'),
(3, 'dfdf', ' ere  ', 3233333333, '', 0, NULL, NULL, 0, 0, 0, 0, 0, '', 0, 0, 0, '0000-00-00', '734278474.png', 0, 1, '2019-11-23', 0, 0, 0, 0, 1, 1, '2019-11-28 06:41:09', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-23 10:49:12'),
(4, 'trushant', ' opi ', 1200000000, 'babasahebdesai27@gmail.com', 0, NULL, NULL, 0, 0, 0, 1, 1245555555, '54', 45, 1, 54, '2019-11-01', '1512091778.jpg', 0, 1, '2019-11-28', 54, 54, 0, 0, 1, 1, '2019-11-28 11:18:28', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:10:15'),
(5, 'tyty', ' y', 5555555555, 'babasahebdesai27@gmail.com', 0, 0, 0, 0, 0, 0, 1, 0, '', 656, 0, 65, '0000-00-00', '367646320.png', 0, 1, '2019-11-28', 0, 0, 0, 0, 1, 1, '2019-11-28 11:23:49', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:23:49'),
(6, 'trt', ' ghh', 4444444444, '', 0, 0, 0, 0, 0, 0, 1, 0, '', 5, 0, 4545, '0000-00-00', '1752094334.png', 0, 1, '2019-11-28', 0, 0, 0, 0, 1, 1, '2019-11-28 11:24:42', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:24:42'),
(7, 'trt', ' tyty', 4555555555, 'abc@gmail.com', 0, 0, 0, 0, 0, 0, 1, 0, '', 65, 0, 656, '0000-00-00', '1899554142.png', 0, 1, '2019-11-28', 0, 0, 0, 0, 1, 1, '2019-11-28 11:25:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:25:59'),
(8, 'trt', ' ghgh', 4444444444, '', 0, 0, 0, 0, 0, 0, 1, 0, '', 0, 0, 0, '0000-00-00', NULL, 0, 1, '2019-11-28', 0, 0, 0, 0, 1, 1, '2019-11-28 11:32:52', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:32:52'),
(9, 'trtrttr', '  dfdfv', 534344, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-06 10:39:49', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 09:39:49');

-- --------------------------------------------------------

--
-- Table structure for table `distric_master`
--

CREATE TABLE `distric_master` (
  `districtId` bigint(20) NOT NULL,
  `districtName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `districtCode` bigint(20) NOT NULL,
  `districtshortName` varchar(20) CHARACTER SET latin1 NOT NULL,
  `fkcountryId` bigint(200) NOT NULL,
  `fkstateId` bigint(200) NOT NULL,
  `fktalukaId` bigint(200) NOT NULL,
  `is_default` tinyint(4) NOT NULL DEFAULT '0',
  `is_on` tinyint(4) NOT NULL DEFAULT '1',
  `is_active` tinyint(4) NOT NULL DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `employeelicence`
--

CREATE TABLE `employeelicence` (
  `employeelicenceId` int(50) NOT NULL,
  `fkempId` int(11) DEFAULT NULL,
  `fklicencetypeId` int(50) DEFAULT NULL,
  `licenceNo` bigint(50) DEFAULT NULL,
  `startDate` date DEFAULT NULL,
  `expiryDate` date DEFAULT NULL,
  `Attachment` varchar(500) DEFAULT NULL,
  `warningdays` int(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `employeelicence`
--

INSERT INTO `employeelicence` (`employeelicenceId`, `fkempId`, `fklicencetypeId`, `licenceNo`, `startDate`, `expiryDate`, `Attachment`, `warningdays`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 2, 1, 323, '2019-11-23', '2019-11-23', '1306966249.jpg', 32323, 0, 1, 1, '2019-11-23 08:41:14', 1, '2019-11-23 10:34:51', 2, NULL, NULL, NULL, '2019-11-23 07:41:14'),
(2, 2, 2, 32323, '2019-11-01', '2019-11-29', '670665620.png', 323, 0, 1, 0, '2019-11-23 08:46:13', 2, '2019-11-23 08:46:24', 2, '2019-11-23 08:50:20', 2, NULL, '2019-11-23 07:46:13');

-- --------------------------------------------------------

--
-- Table structure for table `employee_master`
--

CREATE TABLE `employee_master` (
  `empId` int(11) NOT NULL,
  `empName` varchar(200) DEFAULT NULL,
  `address` varchar(100) DEFAULT NULL,
  `contact1` bigint(20) DEFAULT NULL,
  `contact2` bigint(20) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `fkgenderId` int(11) DEFAULT NULL,
  `fkmaritalstatusId` int(20) DEFAULT NULL,
  `dateofjoining` date DEFAULT NULL,
  `fkroleId` varchar(255) DEFAULT NULL,
  `dateofbirth` date DEFAULT NULL,
  `photo` varchar(200) DEFAULT NULL,
  `fkbloodgroupId` int(50) DEFAULT NULL,
  `fkcountryId` int(11) DEFAULT NULL,
  `fkstateId` int(11) DEFAULT NULL,
  `fkdistrictId` int(11) DEFAULT NULL,
  `fktalukaId` int(11) DEFAULT NULL,
  `fkvillageId` int(50) DEFAULT NULL,
  `pinCode` int(11) DEFAULT NULL,
  `refNumber` int(11) DEFAULT NULL,
  `verificationNum` varchar(50) DEFAULT NULL,
  `registrationDate` date DEFAULT NULL,
  `creditday` int(20) DEFAULT NULL,
  `tinNo` int(20) DEFAULT NULL,
  `fkusertypeId` int(20) DEFAULT NULL,
  `fkrouteId` int(20) DEFAULT NULL,
  `is_default` int(4) DEFAULT '0',
  `is_on` int(4) DEFAULT '1',
  `is_active` int(4) DEFAULT '1',
  `created_date` date DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` date DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` date DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `employee_master`
--

INSERT INTO `employee_master` (`empId`, `empName`, `address`, `contact1`, `contact2`, `email`, `fkgenderId`, `fkmaritalstatusId`, `dateofjoining`, `fkroleId`, `dateofbirth`, `photo`, `fkbloodgroupId`, `fkcountryId`, `fkstateId`, `fkdistrictId`, `fktalukaId`, `fkvillageId`, `pinCode`, `refNumber`, `verificationNum`, `registrationDate`, `creditday`, `tinNo`, `fkusertypeId`, `fkrouteId`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'trt', 'yty', 4444444444, 0, '', 0, 0, '0000-00-00', '', '0000-00-00', '573804546.jpg', 0, 0, NULL, NULL, 0, 0, 0, 0, '', '0000-00-00', 0, 0, 3, 0, 0, 1, 1, '2019-11-23', 2, '2019-11-28', 1, NULL, NULL, NULL, '2019-11-23 13:10:00'),
(2, 'rwer', 'dfdf', 2222222222, 0, '', 0, 0, '0000-00-00', '', '0000-00-00', '39563104.png', 0, 0, NULL, NULL, 0, 0, 0, 0, '', '0000-00-00', 0, 0, 3, 0, 0, 1, 1, '2019-11-23', 2, '2019-11-23', 2, NULL, NULL, NULL, '2019-11-23 13:11:14');

-- --------------------------------------------------------

--
-- Table structure for table `gender`
--

CREATE TABLE `gender` (
  `genderId` int(11) NOT NULL,
  `gender` varchar(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gender`
--

INSERT INTO `gender` (`genderId`, `gender`) VALUES
(1, 'Male'),
(2, 'Female');

-- --------------------------------------------------------

--
-- Table structure for table `genericcmp_master`
--

CREATE TABLE `genericcmp_master` (
  `genericcmpId` int(50) NOT NULL,
  `genericcmpName` varchar(100) DEFAULT NULL,
  `description` varchar(200) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `genericcmp_master`
--

INSERT INTO `genericcmp_master` (`genericcmpId`, `genericcmpName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'rewqascx', ' gfdsz', 0, 1, 1, '2019-11-23 11:25:51', 2, '2019-11-23 11:34:03', 2, NULL, NULL, NULL, '2019-11-23 10:25:51'),
(2, 'cx c', ' vzxc c', 0, 1, 1, '2019-11-23 11:26:22', 2, '2019-11-23 11:33:58', 2, NULL, NULL, NULL, '2019-11-23 10:26:22'),
(3, 'trttr', ' trtrt', 0, 1, 1, '2019-11-23 11:26:42', 2, '2019-11-23 11:33:53', 2, NULL, NULL, NULL, '2019-11-23 10:26:42'),
(4, 'sddsd', ' dsd', 0, 1, 1, '2019-11-23 11:33:41', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-23 10:33:41');

-- --------------------------------------------------------

--
-- Table structure for table `gst_master`
--

CREATE TABLE `gst_master` (
  `gstId` bigint(20) NOT NULL,
  `gstName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `gstshortName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `gstpercentageValue` float(18,2) DEFAULT NULL,
  `igstValue` float(18,2) DEFAULT NULL,
  `cgstValue` float(18,2) DEFAULT NULL,
  `sgstValue` float(18,2) DEFAULT NULL,
  `description` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(1) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `gst_master`
--

INSERT INTO `gst_master` (`gstId`, `gstName`, `gstshortName`, `gstpercentageValue`, `igstValue`, `cgstValue`, `sgstValue`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, '0%', 'sds', 0.00, 0.00, 0.00, 0.00, ' dcsd', 0, 1, 1, '2019-10-24 12:46:38', 1, NULL, NULL, NULL, NULL, NULL, '2019-10-24 10:46:38'),
(2, '10%', '', 10.00, 10.00, 5.00, 5.00, ' ', 0, 1, 1, '2019-11-06 12:43:22', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-06 11:43:22'),
(3, '12%', '', 12.00, 12.00, 6.00, 6.00, ' ', 0, 1, 1, '2019-12-05 11:16:36', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:16:36');

-- --------------------------------------------------------

--
-- Table structure for table `hsnsac_master`
--

CREATE TABLE `hsnsac_master` (
  `hsnsacId` int(50) NOT NULL,
  `hsnsacCode` int(11) DEFAULT NULL,
  `hsncode4` int(11) DEFAULT NULL,
  `goods` int(11) DEFAULT NULL,
  `gstType` int(11) DEFAULT NULL,
  `tax` int(11) DEFAULT NULL,
  `reverseCharges` int(11) DEFAULT NULL,
  `consideItc` int(11) DEFAULT NULL,
  `applicableDate` date DEFAULT NULL,
  `rateRange` int(11) DEFAULT NULL,
  `raterangeStart` int(11) DEFAULT NULL,
  `raterangeEnd` int(11) DEFAULT NULL,
  `rangeTax` int(11) DEFAULT NULL,
  `sgst` float(18,2) DEFAULT NULL,
  `cgst` float(18,2) DEFAULT NULL,
  `cess` float(18,2) DEFAULT NULL,
  `igst` float(18,2) DEFAULT NULL,
  `igstrange` float(18,2) DEFAULT NULL,
  `cgstrange` float(18,2) DEFAULT NULL,
  `sgstrange` float(18,2) DEFAULT NULL,
  `cessrange` float(18,2) DEFAULT NULL,
  `is_on` tinyint(4) NOT NULL DEFAULT '1',
  `is_active` tinyint(4) NOT NULL DEFAULT '1',
  `is_default` tinyint(4) NOT NULL DEFAULT '0',
  `created_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `created_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hsnsac_master`
--

INSERT INTO `hsnsac_master` (`hsnsacId`, `hsnsacCode`, `hsncode4`, `goods`, `gstType`, `tax`, `reverseCharges`, `consideItc`, `applicableDate`, `rateRange`, `raterangeStart`, `raterangeEnd`, `rangeTax`, `sgst`, `cgst`, `cess`, `igst`, `igstrange`, `cgstrange`, `sgstrange`, `cessrange`, `is_on`, `is_active`, `is_default`, `created_by`, `deleted_date`, `created_date`, `modified_by`, `modified_date`, `last_changed`, `deleted_by`, `delete_remark`) VALUES
(1, 21, 212, 1, 1, 2, 1, 1, '2019-11-21', 1, 211, 1333, 2, 5.00, 5.00, 1000.00, 10.00, 10.00, 5.00, 5.00, 100.00, 1, 1, 0, 1, NULL, '2019-10-24 10:17:19', 2, '2019-11-21 09:46:20', '2019-10-24 08:17:19', NULL, NULL),
(2, 22, 23, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0.00, 0.00, 0.00, 0.00, 1, 1, 0, 2, NULL, '2019-11-21 07:54:16', NULL, NULL, '2019-11-21 06:54:16', NULL, NULL),
(3, 0, 0, 1, 1, 1, 1, 1, '2019-11-21', 1, 323, 323, 1, 32.00, 32.00, 323.00, 323.00, 0.00, 0.00, 0.00, 0.00, 1, 1, 0, 2, NULL, '2019-11-21 07:54:57', NULL, NULL, '2019-11-21 06:54:57', NULL, NULL),
(4, 323, 323, 1, 1, 1, 1, 1, '2019-11-21', 1, 32, 32, 1, 32.00, 32.00, 32.00, 323.00, 0.00, 0.00, 0.00, 0.00, 1, 1, 0, 2, NULL, '2019-11-21 07:58:40', NULL, NULL, '2019-11-21 06:58:40', NULL, NULL),
(5, 44, 44, 1, 1, 1, 1, 1, '2019-11-21', 1, 44, 44, 1, 44.00, 44.00, 44.00, 44.00, 0.00, 0.00, 0.00, 0.00, 1, 1, 0, 2, NULL, '2019-11-21 08:00:16', NULL, NULL, '2019-11-21 07:00:16', NULL, NULL),
(6, 66, 66, 1, 2, 2, 2, 1, '2019-11-21', 1, 66, 66, 1, 66.00, 66.00, 66.00, 66.00, 0.00, 0.00, 0.00, 0.00, 1, 1, 0, 2, NULL, '2019-11-21 08:02:01', NULL, NULL, '2019-11-21 07:02:01', NULL, NULL),
(7, 21, 11, 1, 1, 2, 1, 1, '2019-11-21', 1, 12, 20, 2, 5.00, 5.00, 10.00, 10.00, 10.00, 5.00, 5.00, 10.00, 1, 1, 0, 2, NULL, '2019-11-21 08:31:28', 2, '2019-11-21 08:58:09', '2019-11-21 07:31:28', NULL, NULL),
(8, 43, 434, 1, 2, 2, 1, 1, '2019-11-01', 1, 43, 432, 2, 5.00, 5.00, 32.00, 10.00, 10.00, 5.00, 5.00, 32.00, 1, 1, 0, 25, NULL, '2019-11-28 06:06:25', NULL, NULL, '2019-11-28 05:06:25', NULL, NULL),
(9, 3004, 3004, 1, 1, 3, 0, 0, '2019-12-05', 0, 0, 0, 0, 6.00, 6.00, 0.00, 12.00, 0.00, 0.00, 0.00, 0.00, 1, 1, 0, 2, NULL, '2019-12-05 11:14:58', 2, '2019-12-05 11:17:34', '2019-12-05 10:14:58', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `invoicemain`
--

CREATE TABLE `invoicemain` (
  `invoicemainId` int(50) NOT NULL,
  `fkcustomerId` int(11) DEFAULT NULL,
  `invoiceDate` date DEFAULT NULL,
  `shipandpackCost` float(18,2) DEFAULT NULL,
  `fkrefId` int(11) DEFAULT NULL,
  `refNo` bigint(30) DEFAULT NULL,
  `fkpaymenttypeId` int(11) DEFAULT NULL,
  `amount` float(18,2) DEFAULT NULL,
  `addamount` float(18,2) DEFAULT NULL,
  `totQuantity` float(18,2) DEFAULT NULL,
  `totdiscountamt` float(18,2) DEFAULT NULL,
  `totgstamt` float(18,2) DEFAULT NULL,
  `paidAmount` float(18,2) DEFAULT NULL,
  `deliveryNote` varchar(200) DEFAULT NULL,
  `personalNote` varchar(500) DEFAULT NULL,
  `billdiscPerc` float(18,2) DEFAULT NULL,
  `billdiscAmt` float(18,2) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `invoiceproduct`
--

CREATE TABLE `invoiceproduct` (
  `invoiceproductId` int(11) NOT NULL,
  `fkinvoicemainId` int(11) DEFAULT NULL,
  `fkproductId` int(11) DEFAULT NULL,
  `Rate` float(18,2) DEFAULT NULL,
  `Quantity` float(18,2) DEFAULT NULL,
  `fkgstId` int(11) DEFAULT NULL,
  `productamount` float(18,2) DEFAULT NULL,
  `netAmount` float(18,2) DEFAULT NULL,
  `gstAmount` float(18,2) DEFAULT NULL,
  `discountPercentage` float(18,2) DEFAULT NULL,
  `discountAmount` float(18,2) DEFAULT NULL,
  `Batch` varchar(200) DEFAULT NULL,
  `expiryDate` date DEFAULT NULL,
  `fkunitId` int(20) DEFAULT NULL,
  `fkhsnsacId` int(20) DEFAULT NULL,
  `freeQuantity` float(18,2) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `licencetype_master`
--

CREATE TABLE `licencetype_master` (
  `licencetypeId` int(11) NOT NULL,
  `licencetypeName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `licencetype_master`
--

INSERT INTO `licencetype_master` (`licencetypeId`, `licencetypeName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'Adhar Card', '', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-21 08:57:27'),
(2, 'PAN', '', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-21 08:57:27'),
(3, 'Voter Id', '', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-21 08:58:12');

-- --------------------------------------------------------

--
-- Table structure for table `manufacture_master`
--

CREATE TABLE `manufacture_master` (
  `manufactureId` int(11) NOT NULL,
  `manufactureName` varchar(200) DEFAULT NULL,
  `manuShortName` varchar(200) DEFAULT NULL,
  `manufactureExpiry` tinyint(4) DEFAULT NULL,
  `manufactureDiscount` float DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `manufacture_master`
--

INSERT INTO `manufacture_master` (`manufactureId`, `manufactureName`, `manuShortName`, `manufactureExpiry`, `manufactureDiscount`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'ewe', 'ewe', 1, 6565, 0, 1, 1, '2019-11-23 10:18:49', 2, '2019-11-23 10:24:05', 2, NULL, NULL, NULL, '2019-11-23 09:18:49'),
(2, 'ewew', 'ewee', 2, 3232, 0, 1, 1, '2019-11-23 10:19:30', 2, '2019-11-23 10:23:57', 2, NULL, NULL, NULL, '2019-11-23 09:19:30'),
(3, 'eswe', 'ewewe', 2, 100, 0, 1, 1, '2019-11-23 10:20:03', 2, '2019-11-23 10:24:14', 2, NULL, NULL, NULL, '2019-11-23 09:20:03'),
(4, 'tttt', NULL, 1, 44, 0, 1, 1, '2019-11-28 13:04:25', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 12:04:25'),
(5, 'cadal', NULL, 1, 0, 0, 1, 1, '2019-11-29 09:52:08', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 08:52:08'),
(6, 'trrtr', NULL, 0, 0, 0, 1, 1, '2019-12-01 03:14:29', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 02:14:29'),
(7, 'fdfd', NULL, 0, 0, 0, 1, 1, '2019-12-01 05:20:17', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 04:20:17'),
(8, 'trtt', NULL, 0, 0, 0, 1, 1, '2019-12-01 06:32:57', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 05:32:57'),
(9, 'trtr', NULL, NULL, NULL, 0, 1, 1, '2019-12-06 08:57:35', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 07:57:35'),
(10, 'trush555', NULL, NULL, NULL, 0, 1, 1, '2019-12-06 09:03:12', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 08:03:12'),
(11, 'tryere', NULL, NULL, NULL, 0, 1, 1, '2019-12-06 09:05:26', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 08:05:26');

-- --------------------------------------------------------

--
-- Table structure for table `maritalstatus_master`
--

CREATE TABLE `maritalstatus_master` (
  `maritalstatusId` int(20) NOT NULL,
  `maritalstatus` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `maritalstatus_master`
--

INSERT INTO `maritalstatus_master` (`maritalstatusId`, `maritalstatus`) VALUES
(1, 'Married'),
(2, 'Unmarried');

-- --------------------------------------------------------

--
-- Table structure for table `mobilepaymentapp_master`
--

CREATE TABLE `mobilepaymentapp_master` (
  `mobileappId` int(11) NOT NULL,
  `mobileappName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `appmobileNo` int(20) NOT NULL,
  `appstartingDate` date NOT NULL,
  `Description` varchar(255) CHARACTER SET latin1 NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mobilepaymentapp_master`
--

INSERT INTO `mobilepaymentapp_master` (`mobileappId`, `mobileappName`, `appmobileNo`, `appstartingDate`, `Description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'Google Pay', 2147483647, '2019-05-27', ' Payment Completed ', 0, 1, 1, '2019-04-27 10:11:34', 1, '2019-05-27 12:50:04', 25, NULL, NULL, NULL, '2019-04-27 08:11:34'),
(2, 'Phone Pay', 2147483647, '2019-05-26', ' Phone Pay Payments ', 0, 1, 1, '2019-05-27 12:46:16', 25, '2019-05-27 12:50:13', 25, NULL, NULL, NULL, '2019-05-27 10:46:16'),
(3, 'BHIM UPI', 2147483647, '2019-05-02', ' BHIM UPI ID ', 0, 1, 1, '2019-05-27 12:47:02', 25, '2019-05-27 12:50:22', 25, NULL, NULL, NULL, '2019-05-27 10:47:02');

-- --------------------------------------------------------

--
-- Table structure for table `organization_reg`
--

CREATE TABLE `organization_reg` (
  `id` int(11) NOT NULL,
  `name` varchar(200) DEFAULT NULL,
  `logo` varchar(10) DEFAULT NULL,
  `address` varchar(200) DEFAULT NULL,
  `emailId` varchar(500) DEFAULT NULL,
  `vat_no` varchar(20) DEFAULT NULL,
  `gst_no` varchar(20) DEFAULT NULL,
  `personal_no` varchar(12) DEFAULT NULL,
  `offical_no` varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `organization_reg`
--

INSERT INTO `organization_reg` (`id`, `name`, `logo`, `address`, `emailId`, `vat_no`, `gst_no`, `personal_no`, `offical_no`) VALUES
(1, 'Shri Mahalaxmi Medical', 'pump.png', 'Gandhinagar,Kolhapur', 'rohitsalokhe1926@gmail.com', NULL, NULL, '9765102846', ''),
(2, '', 'pump1.png', '', NULL, NULL, NULL, NULL, '');

-- --------------------------------------------------------

--
-- Table structure for table `paymenttype_master`
--

CREATE TABLE `paymenttype_master` (
  `paymenttypeId` int(11) NOT NULL,
  `paymentType` varchar(50) CHARACTER SET latin1 DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `paymenttype_master`
--

INSERT INTO `paymenttype_master` (`paymenttypeId`, `paymentType`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'CASH', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-02-27 07:11:15'),
(2, 'CREDIT', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-02-27 07:11:30'),
(3, 'NEFT', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-02-27 07:11:45'),
(4, 'CHEQUE', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-02-27 07:12:06'),
(5, 'DD', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-02-27 07:12:19'),
(6, 'RTGS', 0, 1, 1, '2019-06-14 10:56:12', 1, '2019-06-14 11:06:46', 1, NULL, NULL, NULL, '2019-06-14 08:56:12'),
(7, 'APP', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-10-19 10:16:29');

-- --------------------------------------------------------

--
-- Table structure for table `productcontent`
--

CREATE TABLE `productcontent` (
  `productcontentId` int(11) NOT NULL,
  `fkproductId` int(20) DEFAULT NULL,
  `fkcontentId` int(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `productcontent`
--

INSERT INTO `productcontent` (`productcontentId`, `fkproductId`, `fkcontentId`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, 1, 0, 1, 1, '2019-11-26 06:10:37', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 05:10:37'),
(2, 1, 2, 0, 1, 1, '2019-11-26 06:10:37', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 05:10:37'),
(3, 3, 1, 0, 1, 1, '2019-11-26 07:15:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:15:09'),
(4, 3, 2, 0, 1, 1, '2019-11-26 07:15:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:15:09'),
(5, 3, 1, 0, 1, 1, '2019-11-26 07:24:28', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:28'),
(6, 3, 2, 0, 1, 1, '2019-11-26 07:24:28', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:28'),
(7, 3, 1, 0, 1, 1, '2019-11-26 07:24:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:59'),
(8, 3, 2, 0, 1, 1, '2019-11-26 07:24:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:59'),
(9, 3, 1, 0, 1, 1, '2019-11-26 07:25:16', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:25:16'),
(10, 3, 2, 0, 1, 1, '2019-11-26 07:25:16', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:25:16'),
(11, 3, 1, 0, 1, 1, '2019-11-26 07:26:06', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:06'),
(12, 3, 2, 0, 1, 1, '2019-11-26 07:26:06', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:06'),
(13, 3, 1, 0, 1, 1, '2019-11-26 07:26:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:09'),
(14, 3, 2, 0, 1, 1, '2019-11-26 07:26:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:09'),
(15, 3, 1, 0, 1, 1, '2019-11-26 07:26:19', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:19'),
(16, 3, 2, 0, 1, 1, '2019-11-26 07:26:19', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:19'),
(17, 3, 1, 0, 1, 1, '2019-11-26 07:26:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:31'),
(18, 3, 2, 0, 1, 1, '2019-11-26 07:26:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:31'),
(19, 3, 1, 0, 1, 1, '2019-11-26 07:26:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:38'),
(20, 3, 2, 0, 1, 1, '2019-11-26 07:26:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:38'),
(21, 3, 1, 0, 1, 1, '2019-11-26 07:26:51', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:51'),
(22, 3, 2, 0, 1, 1, '2019-11-26 07:26:52', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:52'),
(23, 3, 1, 0, 1, 1, '2019-11-27 08:47:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 07:47:31'),
(24, 3, 2, 0, 1, 1, '2019-11-27 08:47:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 07:47:31'),
(25, 3, 1, 0, 1, 1, '2019-11-27 09:02:53', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:02:53'),
(26, 3, 2, 0, 1, 1, '2019-11-27 09:02:53', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:02:53'),
(27, 3, 1, 0, 1, 1, '2019-11-27 09:03:13', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:03:13'),
(28, 3, 2, 0, 1, 1, '2019-11-27 09:03:13', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:03:13'),
(29, 3, 1, 0, 1, 1, '2019-11-27 09:09:31', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:31'),
(30, 3, 2, 0, 1, 1, '2019-11-27 09:09:31', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:31'),
(31, 1, 1, 0, 1, 1, '2019-11-27 09:09:43', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:43'),
(32, 1, 2, 0, 1, 1, '2019-11-27 09:09:43', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:43'),
(33, 1, 1, 0, 1, 1, '2019-11-27 09:26:09', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:26:09'),
(34, 1, 2, 0, 1, 1, '2019-11-27 09:26:09', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:26:09'),
(35, 4, 1, 0, 1, 1, '2019-11-28 05:45:36', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:45:36'),
(36, 4, 2, 0, 1, 1, '2019-11-28 05:45:36', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:45:36'),
(37, 5, 1, 0, 1, 1, '2019-11-28 05:51:45', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:51:45'),
(38, 5, 2, 0, 1, 1, '2019-11-28 05:51:45', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:51:45'),
(39, 1, 1, 0, 1, 1, '2019-11-28 07:21:49', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-28 06:21:49'),
(40, 1, 2, 0, 1, 1, '2019-11-28 07:21:49', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-28 06:21:49'),
(41, 3, 1, 0, 1, 1, '2019-11-28 11:43:29', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:29'),
(42, 3, 2, 0, 1, 1, '2019-11-28 11:43:29', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:29'),
(43, 3, 1, 0, 1, 1, '2019-11-28 11:43:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:48'),
(44, 3, 2, 0, 1, 1, '2019-11-28 11:43:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:48'),
(45, 7, 2, 0, 1, 0, '2019-11-28 11:55:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:55:31'),
(46, 7, 2, 0, 1, 0, '2019-11-28 12:07:27', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:27'),
(47, 7, 2, 0, 1, 0, '2019-11-28 12:07:40', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:40'),
(48, 7, 2, 0, 1, 0, '2019-11-28 12:07:57', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:57'),
(49, 7, 2, 0, 1, 0, '2019-11-28 12:08:11', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:08:11'),
(50, 7, 2, 0, 1, 0, '2019-11-28 14:41:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:41:38'),
(51, 7, 2, 0, 1, 0, '2019-11-28 14:41:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:41:58'),
(52, 7, 2, 0, 1, 0, '2019-11-28 14:48:23', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:48:23'),
(53, 7, 2, 0, 1, 0, '2019-11-28 14:56:33', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:56:33'),
(54, 7, 2, 0, 1, 0, '2019-11-28 14:56:56', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:56:56'),
(55, 7, 2, 0, 1, 0, '2019-11-28 14:57:26', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:57:26'),
(56, 7, 2, 0, 1, 0, '2019-11-28 15:08:19', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:08:19'),
(57, 7, 2, 0, 1, 0, '2019-11-28 15:08:32', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:08:32'),
(58, 7, 2, 0, 1, 0, '2019-11-28 15:09:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:09:08'),
(59, 7, 2, 0, 1, 0, '2019-11-28 15:10:16', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:10:16'),
(60, 7, 2, 0, 1, 0, '2019-11-28 15:11:02', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:11:02'),
(61, 7, 2, 0, 1, 0, '2019-11-28 15:11:21', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:11:21'),
(62, 7, 2, 0, 1, 0, '2019-11-28 15:11:57', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:11:57'),
(63, 7, 2, 0, 1, 0, '2019-11-28 15:12:46', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:12:46'),
(64, 7, 2, 0, 1, 0, '2019-11-28 15:13:15', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:13:15'),
(65, 7, 2, 0, 1, 0, '2019-11-29 05:24:35', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:35'),
(66, 7, 2, 0, 1, 0, '2019-11-29 05:24:47', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:47'),
(67, 7, 2, 0, 1, 1, '2019-11-29 05:27:23', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:27:23'),
(68, 16, 1, 0, 1, 1, '2019-12-01 06:37:39', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 05:37:39');

-- --------------------------------------------------------

--
-- Table structure for table `productgroup_master`
--

CREATE TABLE `productgroup_master` (
  `productgroupId` int(50) NOT NULL,
  `productgroupName` varchar(50) DEFAULT NULL,
  `fkproductmaingroupId` int(50) DEFAULT NULL,
  `productgroupshortName` varchar(50) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `productgroup_master`
--

INSERT INTO `productgroup_master` (`productgroupId`, `productgroupName`, `fkproductmaingroupId`, `productgroupshortName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'hhh', 1, 'mm', ' mmm', 0, 1, 1, '2019-10-24 11:04:42', 1, NULL, NULL, NULL, NULL, NULL, '2019-10-24 09:04:42'),
(2, 'dwewe', 2, 'ewe', ' wewe', 0, 1, 1, '2019-11-18 07:02:08', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-18 06:02:08'),
(3, 'dss', 1, 'sds', ' ds', 0, 1, 1, '2019-11-18 07:03:41', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-18 06:03:41');

-- --------------------------------------------------------

--
-- Table structure for table `productmaingroup_master`
--

CREATE TABLE `productmaingroup_master` (
  `productmaingroupId` int(50) NOT NULL,
  `productmaingroupName` varchar(50) DEFAULT NULL,
  `productmaingroupshortName` varchar(50) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `productmaingroup_master`
--

INSERT INTO `productmaingroup_master` (`productmaingroupId`, `productmaingroupName`, `productmaingroupshortName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'jhouh', 'joippui', ' hiuhyj', 0, 1, 1, '2019-10-24 11:02:05', 1, NULL, NULL, NULL, NULL, NULL, '2019-10-24 09:02:05'),
(2, 'aaa', 'sasas', ' adsd', 0, 1, 1, '2019-11-18 07:01:55', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-18 06:01:55');

-- --------------------------------------------------------

--
-- Table structure for table `productsame`
--

CREATE TABLE `productsame` (
  `productsameId` int(11) NOT NULL,
  `fkproductId` int(20) DEFAULT NULL,
  `fkproductId1` int(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `productsame`
--

INSERT INTO `productsame` (`productsameId`, `fkproductId`, `fkproductId1`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 7, 3, 0, 1, 0, '2019-11-28 12:07:40', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:40'),
(2, 7, 5, 0, 1, 0, '2019-11-28 12:07:40', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:40'),
(3, 7, 3, 0, 1, 0, '2019-11-28 12:07:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:58'),
(4, 7, 5, 0, 1, 0, '2019-11-28 12:07:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:58'),
(5, 7, 3, 0, 1, 0, '2019-11-28 12:08:11', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:08:11'),
(6, 7, 5, 0, 1, 0, '2019-11-28 12:08:11', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:08:11'),
(7, 7, 3, 0, 1, 0, '2019-11-28 15:12:46', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:12:46'),
(8, 7, 5, 0, 1, 0, '2019-11-28 15:12:46', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:12:46'),
(9, 7, 3, 0, 1, 0, '2019-11-28 15:13:15', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:13:15'),
(10, 7, 5, 0, 1, 0, '2019-11-28 15:13:15', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:13:15'),
(11, 7, 3, 0, 1, 0, '2019-11-29 05:24:35', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:35'),
(12, 7, 5, 0, 1, 0, '2019-11-29 05:24:35', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:35'),
(13, 7, 3, 0, 1, 0, '2019-11-29 05:24:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:48'),
(14, 7, 5, 0, 1, 0, '2019-11-29 05:24:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:48'),
(15, 7, 3, 0, 1, 1, '2019-11-29 05:27:23', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:27:23'),
(16, 7, 5, 0, 1, 1, '2019-11-29 05:27:23', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:27:23');

-- --------------------------------------------------------

--
-- Table structure for table `productsecondunit`
--

CREATE TABLE `productsecondunit` (
  `productsecondunitId` int(11) NOT NULL,
  `fkproductId` int(20) DEFAULT NULL,
  `fksecondunitId` int(20) DEFAULT NULL,
  `conversion` float DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `productsecondunit`
--

INSERT INTO `productsecondunit` (`productsecondunitId`, `fkproductId`, `fksecondunitId`, `conversion`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, 3, 54, 0, 1, 1, '2019-11-26 06:10:37', 2, NULL, NULL, '2019-11-26 06:45:40', 2, NULL, '2019-11-26 05:10:37'),
(2, 3, 3, 3434, 0, 1, 1, '2019-11-26 07:24:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:59'),
(3, 3, 4, 100, 0, 1, 1, '2019-11-27 08:47:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 07:47:31'),
(4, 3, 3, 200, 0, 1, 0, '2019-11-27 08:53:48', 2, NULL, NULL, '2019-11-27 08:55:09', 2, NULL, '2019-11-27 07:53:48'),
(5, 3, 3, 20, 0, 1, 0, '2019-11-27 08:54:13', 2, NULL, NULL, '2019-11-27 08:55:06', 2, NULL, '2019-11-27 07:54:13'),
(6, 3, 4, 2, 0, 1, 0, '2019-11-27 09:02:52', 2, NULL, NULL, '2019-11-27 09:09:30', 25, NULL, '2019-11-27 08:02:52'),
(7, 3, 4, 3232, 0, 1, 0, '2019-11-27 09:03:13', 2, NULL, NULL, '2019-11-27 09:09:28', 25, NULL, '2019-11-27 08:03:13'),
(8, 1, 4, 12, 0, 1, 0, '2019-11-27 09:09:43', 25, NULL, NULL, '2019-11-27 09:26:05', 25, NULL, '2019-11-27 08:09:43'),
(9, 4, 3, 120, 0, 1, 1, '2019-11-28 05:45:36', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:45:36'),
(10, 5, 1, 212, 0, 1, 1, '2019-11-28 05:51:45', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:51:45'),
(11, 7, 3, 4, 0, 1, 0, '2019-11-28 11:55:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:55:31'),
(12, 7, 0, 0, 0, 1, 0, '2019-11-28 14:41:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:41:38'),
(13, 7, 0, 0, 0, 1, 0, '2019-11-28 14:41:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:41:58'),
(14, 7, 0, 0, 0, 1, 0, '2019-11-28 14:48:22', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:48:22'),
(15, 7, 0, 0, 0, 1, 0, '2019-11-28 14:53:08', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:53:08'),
(16, 7, 0, 0, 0, 1, 0, '2019-11-28 14:53:10', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:53:10'),
(17, 7, 0, 0, 0, 1, 0, '2019-11-28 14:53:54', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:53:54'),
(18, 7, 0, 0, 0, 1, 1, '2019-11-28 14:54:08', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:54:08'),
(19, 8, 1, 12, 0, 1, 1, '2019-11-29 05:35:41', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:35:41'),
(20, 9, 1, 12, 0, 1, 1, '2019-11-29 05:41:18', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:41:18'),
(21, 10, 5, 20, 0, 1, 1, '2019-11-29 09:55:26', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 08:55:26'),
(22, 11, 5, 6, 0, 1, 1, '2019-11-29 10:13:29', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 09:13:29'),
(23, 13, 3, 3, 0, 1, 1, '2019-11-29 11:54:13', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 10:54:13'),
(24, 16, 3, 10, 0, 1, 1, '2019-12-01 06:37:39', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 05:37:39'),
(25, 17, 3, 3, 0, 1, 1, '2019-12-01 06:38:38', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 05:38:38'),
(26, 22, 1, 1010, 0, 1, 1, '2019-12-01 08:46:25', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:46:25'),
(27, 23, 1, 10, 0, 1, 1, '2019-12-01 08:48:10', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:48:10'),
(28, 24, 5, 54, 0, 1, 1, '2019-12-01 10:09:36', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:09:36'),
(29, 25, 1, 343, 0, 1, 1, '2019-12-01 10:12:16', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:12:16'),
(30, 26, 1, 21, 0, 1, 1, '2019-12-01 10:14:13', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:14:13'),
(31, 27, 0, 0, 0, 1, 1, '2019-12-01 10:17:10', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:17:10'),
(32, 28, 1, 15, 0, 1, 1, '2019-12-01 10:28:38', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:28:38'),
(33, 29, 4, 112, 0, 1, 1, '2019-12-02 12:24:21', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-02 11:24:21'),
(34, 30, 1, 12, 0, 1, 1, '2019-12-05 10:40:02', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 09:40:02'),
(35, 31, 6, 15, 0, 1, 1, '2019-12-05 11:05:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:05:58'),
(36, 31, 1, 150, 0, 1, 1, '2019-12-05 11:05:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:05:58'),
(37, 32, 6, 10, 0, 1, 1, '2019-12-05 11:10:41', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:10:41'),
(38, 33, 5, 32, 0, 1, 1, '2019-12-06 08:58:34', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 07:58:34');

-- --------------------------------------------------------

--
-- Table structure for table `productsubgroup`
--

CREATE TABLE `productsubgroup` (
  `productsubgroupId` int(50) NOT NULL,
  `productsubgroupName` varchar(50) DEFAULT NULL,
  `productsubgroupshortName` varchar(50) DEFAULT NULL,
  `fkproductmaingroupId` int(50) DEFAULT NULL,
  `fkproductgroupId` int(50) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `productsubgroup`
--

INSERT INTO `productsubgroup` (`productsubgroupId`, `productsubgroupName`, `productsubgroupshortName`, `fkproductmaingroupId`, `fkproductgroupId`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'afs', 'dgrgetgbdtshbsr', 1, 1, ' regste ', 0, 1, 1, '2019-10-24 11:08:47', 1, '2019-10-24 11:09:06', 1, NULL, NULL, NULL, '2019-10-24 09:08:47'),
(2, 'yyty', 'btbtb', 1, 1, ' bttb ', 0, 1, 1, '2019-11-18 06:55:09', 1, '2019-11-18 06:55:17', 1, NULL, NULL, NULL, '2019-11-18 05:55:09');

-- --------------------------------------------------------

--
-- Table structure for table `productsupplier`
--

CREATE TABLE `productsupplier` (
  `productsupplierId` int(11) NOT NULL,
  `fkproductId` int(20) DEFAULT NULL,
  `fksupplierId` int(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `productsupplier`
--

INSERT INTO `productsupplier` (`productsupplierId`, `fkproductId`, `fksupplierId`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, 1, 0, 1, 1, '2019-11-26 06:10:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 05:10:38'),
(2, 1, 2, 0, 1, 1, '2019-11-26 06:10:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 05:10:38'),
(3, 3, 1, 0, 1, 1, '2019-11-26 07:15:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:15:09'),
(4, 3, 2, 0, 1, 1, '2019-11-26 07:15:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:15:09'),
(5, 3, 1, 0, 1, 1, '2019-11-26 07:24:28', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:28'),
(6, 3, 2, 0, 1, 1, '2019-11-26 07:24:28', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:28'),
(7, 3, 1, 0, 1, 1, '2019-11-26 07:24:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:59'),
(8, 3, 2, 0, 1, 1, '2019-11-26 07:24:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:24:59'),
(9, 3, 1, 0, 1, 1, '2019-11-26 07:25:16', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:25:16'),
(10, 3, 2, 0, 1, 1, '2019-11-26 07:25:16', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:25:16'),
(11, 3, 1, 0, 1, 1, '2019-11-26 07:26:06', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:06'),
(12, 3, 2, 0, 1, 1, '2019-11-26 07:26:06', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:06'),
(13, 3, 1, 0, 1, 1, '2019-11-26 07:26:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:09'),
(14, 3, 2, 0, 1, 1, '2019-11-26 07:26:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:09'),
(15, 3, 1, 0, 1, 1, '2019-11-26 07:26:19', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:19'),
(16, 3, 2, 0, 1, 1, '2019-11-26 07:26:20', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:20'),
(17, 3, 1, 0, 1, 1, '2019-11-26 07:26:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:31'),
(18, 3, 2, 0, 1, 1, '2019-11-26 07:26:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:31'),
(19, 3, 1, 0, 1, 1, '2019-11-26 07:26:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:38'),
(20, 3, 2, 0, 1, 1, '2019-11-26 07:26:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:38'),
(21, 3, 1, 0, 1, 1, '2019-11-26 07:26:52', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:52'),
(22, 3, 2, 0, 1, 1, '2019-11-26 07:26:52', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-26 06:26:52'),
(23, 3, 1, 0, 1, 1, '2019-11-27 08:47:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 07:47:31'),
(24, 3, 2, 0, 1, 1, '2019-11-27 08:47:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 07:47:31'),
(25, 3, 1, 0, 1, 1, '2019-11-27 09:02:53', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:02:53'),
(26, 3, 2, 0, 1, 1, '2019-11-27 09:02:53', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:02:53'),
(27, 3, 1, 0, 1, 1, '2019-11-27 09:03:13', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:03:13'),
(28, 3, 2, 0, 1, 1, '2019-11-27 09:03:13', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:03:13'),
(29, 3, 1, 0, 1, 1, '2019-11-27 09:09:31', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:31'),
(30, 3, 2, 0, 1, 1, '2019-11-27 09:09:31', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:31'),
(31, 1, 1, 0, 1, 1, '2019-11-27 09:09:43', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:43'),
(32, 1, 2, 0, 1, 1, '2019-11-27 09:09:43', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:09:43'),
(33, 1, 1, 0, 1, 1, '2019-11-27 09:26:09', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:26:09'),
(34, 1, 2, 0, 1, 1, '2019-11-27 09:26:09', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 08:26:09'),
(35, 4, 2, 0, 1, 1, '2019-11-28 05:45:36', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:45:36'),
(36, 5, 2, 0, 1, 1, '2019-11-28 05:51:45', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:51:45'),
(37, 1, 1, 0, 1, 1, '2019-11-28 07:21:49', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-28 06:21:49'),
(38, 1, 2, 0, 1, 1, '2019-11-28 07:21:49', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-28 06:21:49'),
(39, 3, 1, 0, 1, 1, '2019-11-28 11:43:29', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:29'),
(40, 3, 2, 0, 1, 1, '2019-11-28 11:43:30', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:30'),
(41, 3, 1, 0, 1, 1, '2019-11-28 11:43:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:48'),
(42, 3, 2, 0, 1, 1, '2019-11-28 11:43:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:43:48'),
(43, 7, 2, 0, 1, 0, '2019-11-28 11:55:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 10:55:31'),
(44, 7, 2, 0, 1, 0, '2019-11-28 12:07:27', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:27'),
(45, 7, 2, 0, 1, 0, '2019-11-28 12:07:40', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:40'),
(46, 7, 2, 0, 1, 0, '2019-11-28 12:07:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:07:58'),
(47, 7, 2, 0, 1, 0, '2019-11-28 12:08:11', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 11:08:11'),
(48, 7, 2, 0, 1, 0, '2019-11-28 14:41:38', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:41:38'),
(49, 7, 2, 0, 1, 0, '2019-11-28 14:41:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:41:58'),
(50, 7, 2, 0, 1, 0, '2019-11-28 14:48:23', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 13:48:23'),
(51, 7, 2, 0, 1, 0, '2019-11-28 15:09:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:09:09'),
(52, 7, 2, 0, 1, 0, '2019-11-28 15:10:17', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:10:17'),
(53, 7, 2, 0, 1, 0, '2019-11-28 15:11:02', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:11:02'),
(54, 7, 2, 0, 1, 0, '2019-11-28 15:11:21', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:11:21'),
(55, 7, 2, 0, 1, 0, '2019-11-28 15:11:57', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:11:57'),
(56, 7, 2, 0, 1, 0, '2019-11-28 15:12:46', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:12:46'),
(57, 7, 2, 0, 1, 0, '2019-11-28 15:13:15', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-28 14:13:15'),
(58, 7, 2, 0, 1, 0, '2019-11-29 05:24:35', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:35'),
(59, 7, 2, 0, 1, 0, '2019-11-29 05:24:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:24:48'),
(60, 7, 2, 0, 1, 1, '2019-11-29 05:27:23', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:27:23');

-- --------------------------------------------------------

--
-- Table structure for table `product_master`
--

CREATE TABLE `product_master` (
  `productId` int(11) NOT NULL,
  `productBarcode` varchar(200) DEFAULT NULL,
  `productName` varchar(200) DEFAULT NULL,
  `productshortName` varchar(50) DEFAULT NULL,
  `fkcategoryId` int(11) DEFAULT NULL,
  `fksubcategoryId` int(11) DEFAULT NULL,
  `fkcolorId` int(11) DEFAULT NULL,
  `fksizeId` int(11) DEFAULT NULL,
  `fkshapeId` int(11) DEFAULT NULL,
  `photo` varchar(200) DEFAULT NULL,
  `photo1` varchar(100) DEFAULT NULL,
  `photo2` varchar(100) DEFAULT NULL,
  `photo3` varchar(100) DEFAULT NULL,
  `fkhsnsacId` int(11) DEFAULT NULL,
  `fkgstId` int(11) DEFAULT NULL,
  `fkunitId` int(11) DEFAULT NULL,
  `productWeight` int(11) DEFAULT NULL,
  `productHight` int(11) DEFAULT NULL,
  `storageLocation` varchar(200) DEFAULT NULL,
  `fkwarehouseId` int(11) DEFAULT NULL,
  `openingStock` int(11) DEFAULT NULL,
  `purchaseRate` int(11) DEFAULT NULL,
  `mrpRate` int(11) DEFAULT NULL,
  `minsalesRate` int(11) DEFAULT NULL,
  `minstockLevel` int(11) DEFAULT NULL,
  `maxstockLevel` int(11) DEFAULT NULL,
  `salesRate` int(11) DEFAULT NULL,
  `fkcompanyId` int(11) DEFAULT NULL,
  `fkproductmaingroupId` int(11) DEFAULT NULL,
  `fkproductsubgroupId` int(11) DEFAULT NULL,
  `fkproductgroupId` int(11) DEFAULT NULL,
  `fkbrandId` int(11) DEFAULT NULL,
  `fkclassificationId` int(11) DEFAULT NULL,
  `fkstorageId` int(11) DEFAULT NULL,
  `fkgenericcmpId` int(11) DEFAULT NULL,
  `fkbarcodestatusId` int(11) DEFAULT NULL,
  `fkmanufactureId` int(11) DEFAULT NULL,
  `description` varchar(200) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `product_master`
--

INSERT INTO `product_master` (`productId`, `productBarcode`, `productName`, `productshortName`, `fkcategoryId`, `fksubcategoryId`, `fkcolorId`, `fksizeId`, `fkshapeId`, `photo`, `photo1`, `photo2`, `photo3`, `fkhsnsacId`, `fkgstId`, `fkunitId`, `productWeight`, `productHight`, `storageLocation`, `fkwarehouseId`, `openingStock`, `purchaseRate`, `mrpRate`, `minsalesRate`, `minstockLevel`, `maxstockLevel`, `salesRate`, `fkcompanyId`, `fkproductmaingroupId`, `fkproductsubgroupId`, `fkproductgroupId`, `fkbrandId`, `fkclassificationId`, `fkstorageId`, `fkgenericcmpId`, `fkbarcodestatusId`, `fkmanufactureId`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, '', 'Calpol', '', 0, NULL, 0, 0, 0, '', '', '', '', 0, 1, 1, 0, 0, '', 0, 545, 0, 5, 0, 0, 0, 454, 0, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, '       ', 0, 1, 1, '2019-11-26 06:10:37', 2, '2019-11-28 07:21:49', 1, NULL, NULL, NULL, '2019-11-26 05:10:37'),
(2, 'dss', 'Zintac', 'dss', 0, NULL, 0, 0, 0, '', '', '', '', 0, 1, 1, 0, 0, '', 0, 100, 0, 3, 0, 0, 0, 200, 0, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, '    ', 0, 1, 1, '2019-11-26 07:15:00', 2, '2019-11-27 08:54:59', 2, NULL, NULL, NULL, '2019-11-26 06:15:00'),
(3, '', 'crocine', '', 0, NULL, 0, 0, 0, '1036788841.jpg', '', '', '', 0, 1, 1, 0, 0, '', 0, 500, 0, 1, 0, 0, 0, 400, 0, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, '            ', 0, 1, 1, '2019-11-26 07:15:09', 2, '2019-11-28 11:43:48', 2, NULL, NULL, NULL, '2019-11-26 06:15:09'),
(4, '55', 'abc', 'abc', 1, 1, 0, 0, 0, NULL, NULL, NULL, NULL, 1, 1, 1, 757, 75, 'jjj', 0, 656, 7, 87, 878, 77, 100, 757, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, ' ', 0, 1, 1, '2019-11-28 05:45:35', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:45:35'),
(5, '434', 'trtrtr', 'trtrtr', 1, 2, 0, 0, 0, NULL, NULL, NULL, NULL, 1, 1, 3, 21, 32, 'f', 0, 43, 34, 43, 43, 43, 332, 434, 1, 1, 1, 1, 1, NULL, NULL, NULL, NULL, NULL, ' ', 0, 1, 1, '2019-11-28 05:51:45', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:51:45'),
(6, '', 'rt', 'rt', 0, NULL, 0, 0, 0, '1952412357.png', '33498698.png', '1001847270.png', '510304850.jpg', 0, 1, 1, 0, 0, '', 0, 65, 0, 0, 0, 0, 0, 65, 0, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, '  ', 0, 1, 1, '2019-11-28 11:38:19', 2, '2019-11-28 11:42:31', 2, NULL, NULL, NULL, '2019-11-28 10:38:19'),
(7, '44', 'tttt', 'tttt', 1, 1, 0, 0, 0, '1551880255.png', '415420838.png', '1874804156.png', '573024099.jpg', 1, 2, 1, 21, 21, 'rtgr', 0, 4, 21, 21, 21, 21, 12, 21, 1, 2, NULL, 2, 1, 1, 1, 1, 3, 1, ' 12                              ', 0, 1, 1, '2019-11-28 11:55:30', 2, '2019-11-29 05:27:22', 2, NULL, NULL, NULL, '2019-11-28 10:55:30'),
(8, '', 'Aspirin', 'Aspirin', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 3, 0, 0, '', 0, 100, 0, 10, 0, 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, ' ', 0, 1, 1, '2019-11-29 05:35:41', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-29 04:35:41'),
(9, '', 'crocine 650 ', 'crocine 650 ', 0, NULL, 0, 0, 0, '', '', '', '', 0, 2, 3, 0, 0, '', 0, 100, 0, 30, 0, 0, 0, 20, 0, 0, NULL, NULL, 0, 0, 0, 0, 0, 2, '  ', 0, 1, 1, '2019-11-29 05:41:18', 2, '2019-12-05 06:43:12', 2, NULL, NULL, NULL, '2019-11-29 04:41:18'),
(10, '', 'aciloc 150', 'aciloc 150', 0, NULL, 0, 0, 0, '', '', '', '', 1, 2, 6, 0, 0, '', 0, 100, 10, 17, 0, 0, 0, 15, 0, 0, NULL, NULL, 0, 0, 0, 0, 0, 5, '   ', 0, 1, 1, '2019-11-29 09:55:25', 1, '2019-11-30 07:06:01', 1, NULL, NULL, NULL, '2019-11-29 08:55:25'),
(11, '', 'rabi', 'rabi', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 6, 0, 0, '', 0, 100, 5, 20, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, ' ', 0, 1, 1, '2019-11-29 10:13:28', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 09:13:28'),
(12, NULL, 'trtr', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, NULL, NULL, NULL, NULL, 434, NULL, NULL, NULL, 0, 0, 43434, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-11-29 11:26:46', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 10:26:46'),
(13, '', 'gnbn', 'gnbn', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 1, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, ' ', 0, 1, 1, '2019-11-29 11:54:13', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 10:54:13'),
(14, '', 'rerer', 'rerer', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 1, 1, 3, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, ' ', 0, 1, 1, '2019-11-29 11:54:51', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 10:54:51'),
(15, '', 'err', 'err', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 1, 1, 4, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, ' ', 0, 1, 1, '2019-11-29 11:55:02', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 10:55:02'),
(16, '', 'nise', 'nise', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 1, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, ' ', 0, 1, 1, '2019-12-01 06:37:39', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 05:37:39'),
(17, '', 're', 're', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 1, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, ' ', 0, 1, 1, '2019-12-01 06:38:38', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 05:38:38'),
(18, NULL, 'Apple', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, 0, 10, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-01 08:22:01', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:22:01'),
(19, NULL, 'asasass', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, NULL, NULL, NULL, NULL, 0, 20, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-01 08:24:58', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:24:58'),
(20, NULL, 'popop', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, NULL, NULL, NULL, NULL, 0, 20, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-01 08:25:58', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:25:58'),
(21, NULL, '4ewew', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, 0, 423, NULL, NULL, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-01 08:42:17', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:42:17'),
(22, NULL, 'iuoio', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, 4, NULL, NULL, NULL, NULL, 0, 200, 45, NULL, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, NULL, 0, 1, 1, '2019-12-01 08:46:25', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:46:25'),
(23, NULL, 'uytfgv', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, 3, NULL, NULL, NULL, NULL, 0, 20, 15, NULL, 0, 0, 100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 5, NULL, 0, 1, 1, '2019-12-01 08:48:10', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:48:10'),
(24, NULL, 'nnnn', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, 1, NULL, NULL, NULL, NULL, 0, 44, 22, NULL, 0, 0, 54, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4, NULL, 0, 1, 1, '2019-12-01 10:09:36', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:09:36'),
(25, NULL, 'rd', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, 3, NULL, NULL, NULL, NULL, 0, 43, 43, NULL, 0, 0, 43, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2, NULL, 0, 1, 1, '2019-12-01 10:12:15', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:12:15'),
(26, NULL, 'dsd', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, 3, NULL, NULL, NULL, NULL, 0, 21, 23, NULL, 0, 0, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 5, NULL, 0, 1, 1, '2019-12-01 10:14:12', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:14:12'),
(27, NULL, 'trt', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, 0, NULL, 0, 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, NULL, 0, 1, 1, '2019-12-01 10:17:10', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:17:10'),
(28, '', 'ozane', 'ozane', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 3, 0, 0, '', 0, 0, 10, 0, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, ' ', 0, 1, 1, '2019-12-01 10:28:38', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 09:28:38'),
(29, NULL, 'trt', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, 1, NULL, NULL, NULL, NULL, 0, 21, 21, NULL, 0, 0, 21, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 5, NULL, 0, 1, 1, '2019-12-02 12:24:21', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-02 11:24:21'),
(30, '', 'Trushant', 'Trushant', 0, NULL, 0, 0, 0, '', '', '', '', 0, 1, 3, 0, 0, '', 0, 500, 90, 0, 0, 0, 0, 100, 0, 0, NULL, NULL, 0, 0, 0, 0, 0, 5, '  ', 0, 1, 1, '2019-12-05 10:40:02', 2, '2019-12-05 10:41:31', 2, NULL, NULL, NULL, '2019-12-05 09:40:02'),
(31, '', 'Oflox', 'Oflox', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 7, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, ' ', 0, 1, 1, '2019-12-05 11:05:58', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:05:58'),
(32, '', 'on off oz', 'on off oz', 0, 0, 0, 0, 0, NULL, NULL, NULL, NULL, 0, 1, 5, 0, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, ' ', 0, 1, 1, '2019-12-05 11:10:41', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:10:41'),
(33, NULL, 'rer', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, 3, 1, NULL, NULL, NULL, NULL, 0, 323, 32, NULL, 0, 0, 32, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 8, NULL, 0, 1, 1, '2019-12-06 08:58:34', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 07:58:34');

-- --------------------------------------------------------

--
-- Table structure for table `purchasemain`
--

CREATE TABLE `purchasemain` (
  `purchasemainId` int(50) NOT NULL,
  `fksupplierId` int(11) DEFAULT NULL,
  `purchaseDate` date DEFAULT NULL,
  `shipandpackCost` float(18,2) DEFAULT NULL,
  `fkrefId` int(11) DEFAULT NULL,
  `refNo` bigint(30) DEFAULT NULL,
  `fkpaymentId` int(11) DEFAULT NULL,
  `totalamount` float(18,2) DEFAULT NULL,
  `addamount` float(18,2) DEFAULT NULL,
  `totQuantity` float(18,2) DEFAULT NULL,
  `totdiscountamt` float(18,2) DEFAULT NULL,
  `totgstamt` float(18,2) DEFAULT NULL,
  `paidAmount` float(18,2) DEFAULT NULL,
  `deliveryNote` varchar(200) DEFAULT NULL,
  `personalNote` varchar(500) DEFAULT NULL,
  `supplierbillNo` int(50) DEFAULT NULL,
  `registrationDate` date DEFAULT NULL,
  `challanNo` int(50) DEFAULT NULL,
  `pmDate` date DEFAULT NULL,
  `dueDate` date DEFAULT NULL,
  `billdiscPerc` float(18,2) DEFAULT NULL,
  `billdiscAmt` float(18,2) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `purchasemain`
--

INSERT INTO `purchasemain` (`purchasemainId`, `fksupplierId`, `purchaseDate`, `shipandpackCost`, `fkrefId`, `refNo`, `fkpaymentId`, `totalamount`, `addamount`, `totQuantity`, `totdiscountamt`, `totgstamt`, `paidAmount`, `deliveryNote`, `personalNote`, `supplierbillNo`, `registrationDate`, `challanNo`, `pmDate`, `dueDate`, `billdiscPerc`, `billdiscAmt`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, '2019-11-09', 0.00, 1, 0, 2, 5000.00, 5000.00, 100.00, 0.00, 0.00, 0.00, '    ', '    ', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-11-09 11:47:41', 2, '2019-11-12 08:53:09', 2, NULL, NULL, NULL, '2019-11-09 10:47:41'),
(2, 1, '2019-11-12', 0.00, 1, 0, 2, 500.00, 500.00, 10.00, 0.00, 0.00, 0.00, '     ', '     ', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-11-12 08:54:18', 2, '2019-11-13 05:42:47', 2, NULL, NULL, NULL, '2019-11-12 07:54:18'),
(3, 5, '2019-11-13', 0.00, 1, 0, 2, 300.00, 300.00, 10.00, 0.00, 0.00, 0.00, ' ', ' ', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-11-13 09:09:25', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-13 08:09:25'),
(4, 1, '2019-11-27', 10.00, 1, 1212, 2, 610.00, 600.00, 3.00, 60.00, 60.00, 0.00, '     oiuytf', ' uytf    ', 434, '2019-11-27', 434, '2019-11-27', '2019-11-27', NULL, NULL, 0, 1, 1, '2019-11-27 12:58:39', 25, '2019-11-28 05:27:43', 25, NULL, NULL, NULL, '2019-11-27 11:58:39'),
(5, 1, '2019-11-28', 10.00, 1, 10, 2, 6306.64, 6296.64, 20.00, 338.56, 603.20, 0.00, '  h', ' jh  ', 765, '2019-11-28', 65, '2019-11-28', '2019-11-28', NULL, NULL, 0, 1, 1, '2019-11-28 06:03:35', 25, '2019-11-29 13:09:19', 1, NULL, NULL, NULL, '2019-11-28 05:03:35'),
(6, 2, '2019-11-29', 10.00, 1, 0, 2, 27.00, 20.00, 2.00, 0.00, 0.00, 0.00, '  ', '  ', 0, '2019-11-29', 0, '2019-11-29', '2019-11-29', 10.00, 3.00, 0, 1, 1, '2019-11-29 13:53:55', 1, '2019-11-30 05:38:10', 1, NULL, NULL, NULL, '2019-11-29 12:53:55'),
(7, 2, '2019-11-30', 100.00, 1, 0, 2, 160.00, 220.00, 20.00, 0.00, 20.00, 0.00, '     ', '     ', 0, '2019-11-30', 0, '2019-11-30', '2019-11-30', 50.00, 160.00, 0, 1, 1, '2019-11-30 05:37:56', 1, '2019-12-04 07:38:11', 2, NULL, NULL, NULL, '2019-11-30 04:37:56'),
(8, 2, '2019-12-04', 0.00, 1, 0, 2, 4.00, 4.00, 2.00, 0.00, 0.00, 0.00, ' ', ' ', 0, '2019-12-04', 0, '2019-12-04', '2019-12-04', 0.00, 0.00, 0, 1, 1, '2019-12-04 08:50:06', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-04 07:50:06'),
(9, 2, '2019-12-05', 0.00, 1, 0, 2, 1080.00, 1080.00, 1.00, 0.00, 0.00, 0.00, ' ', ' ', 0, '2019-12-05', 0, '2019-12-05', '2019-12-05', 0.00, 0.00, 0, 1, 1, '2019-12-05 10:43:54', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 09:43:54'),
(10, 2, '2019-12-05', 0.00, 1, 0, 2, 180.00, 180.00, 2.00, 0.00, 0.00, 0.00, '  ', '  ', 0, '2019-12-05', 0, '2019-12-05', '2019-12-05', 0.00, 0.00, 0, 1, 1, '2019-12-05 10:51:31', 2, '2019-12-07 08:35:59', 2, NULL, NULL, NULL, '2019-12-05 09:51:31'),
(11, 2, '2019-12-05', 0.00, 1, 0, 2, 10.00, 10.00, 10.00, 0.00, 0.00, 0.00, ' ', ' ', 0, '2019-12-05', 0, '2019-12-05', '2019-12-05', 0.00, 0.00, 0, 1, 1, '2019-12-05 11:08:02', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:08:02'),
(12, 2, '2019-12-05', 0.00, 1, 0, 2, 22.00, 22.00, 2.00, 0.00, 2.00, 0.00, ' ', ' ', 0, '2019-12-05', 0, '2019-12-05', '2019-12-05', 0.00, 0.00, 0, 1, 1, '2019-12-05 11:45:03', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:45:03'),
(13, 2, '2019-12-06', 0.00, 1, 0, 2, 24.00, 24.00, 2.00, 0.00, 0.00, 0.00, ' ', ' ', 0, '2019-12-06', 0, '2019-12-06', '2019-12-06', 0.00, 0.00, 0, 1, 1, '2019-12-06 10:56:04', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 09:56:04'),
(14, 2, '2019-12-08', 0.00, 1, 0, 1, 4.40, 4.40, 2.00, 0.00, 0.40, 4.40, ' ', ' ', 0, '2019-12-08', 0, '2019-12-08', '2019-12-08', 0.00, 0.00, 0, 1, 1, '2019-12-08 05:39:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-08 04:39:59');

-- --------------------------------------------------------

--
-- Table structure for table `purchaseproduct`
--

CREATE TABLE `purchaseproduct` (
  `purchaseproductId` int(11) NOT NULL,
  `fkpurchasemainId` int(11) DEFAULT NULL,
  `fkproductId` int(11) DEFAULT NULL,
  `Rate` float(18,2) DEFAULT NULL,
  `Quantity` float(18,2) DEFAULT NULL,
  `fkgstId` int(11) DEFAULT NULL,
  `productamount` float(18,2) DEFAULT NULL,
  `netAmount` float(18,2) DEFAULT NULL,
  `gstAmount` float(18,2) DEFAULT NULL,
  `discountPercentage` float(18,2) DEFAULT NULL,
  `discountAmount` float(18,2) DEFAULT NULL,
  `Batch` varchar(200) DEFAULT NULL,
  `expiryDate` date DEFAULT NULL,
  `fkunitId` int(20) DEFAULT NULL,
  `fkhsnsacId` int(20) DEFAULT NULL,
  `freeQuantity` float(18,2) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_croatian_ci DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `purchaseproduct`
--

INSERT INTO `purchaseproduct` (`purchaseproductId`, `fkpurchasemainId`, `fkproductId`, `Rate`, `Quantity`, `fkgstId`, `productamount`, `netAmount`, `gstAmount`, `discountPercentage`, `discountAmount`, `Batch`, `expiryDate`, `fkunitId`, `fkhsnsacId`, `freeQuantity`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, 1, 50.00, 100.00, 1, 5000.00, 5000.00, 0.00, 0.00, 0.00, NULL, '2020-03-21', NULL, NULL, NULL, 0, 1, 1, '2019-11-09 11:47:41', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-09 10:47:41'),
(2, 2, 1, 50.00, 10.00, 1, 500.00, 500.00, 0.00, 0.00, 0.00, NULL, '2020-02-01', NULL, NULL, NULL, 0, 1, 1, '2019-11-12 08:54:19', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-12 07:54:19'),
(3, 3, 8, 30.00, 10.00, 1, 300.00, 300.00, 0.00, 0.00, 0.00, '14598', '2020-01-10', NULL, NULL, NULL, 0, 1, 1, '2019-11-13 09:09:25', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-13 08:09:25'),
(4, 4, 2, 200.00, 3.00, 2, 600.00, 600.00, 60.00, 10.00, 60.00, '43', '2019-11-01', 1, NULL, 43.00, 0, 1, 1, '2019-11-27 12:58:39', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 11:58:39'),
(5, 4, 3, 400.00, 2.00, 1, 800.00, 800.00, 0.00, 0.00, 0.00, '120', '2019-11-01', 3, NULL, 0.00, 0, 1, 0, '2019-11-27 13:28:04', 25, NULL, NULL, '2019-11-27 13:32:55', 25, NULL, '2019-11-27 12:28:04'),
(6, 4, 1, 4.00, 0.00, 1, 0.00, 0.00, 0.00, 0.00, 0.00, '', '2020-03-20', 0, NULL, 0.00, 0, 1, 1, '2019-11-28 05:27:44', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 04:27:44'),
(7, 5, 1, 454.00, 8.00, 2, 3704.64, 3632.00, 363.20, 8.00, 290.56, '8', '2020-04-10', 1, NULL, 0.00, 0, 1, 1, '2019-11-28 06:03:35', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 05:03:35'),
(8, 5, 2, 200.00, 12.00, 2, 2592.00, 2400.00, 240.00, 2.00, 48.00, '20', '2019-11-01', 1, NULL, 21.00, 0, 1, 1, '2019-11-28 06:05:01', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-28 05:05:01'),
(9, 6, 10, 10.00, 2.00, 1, 20.00, 20.00, 0.00, 0.00, 0.00, '10', '2019-11-01', 5, NULL, 10.00, 0, 1, 1, '2019-11-29 13:53:55', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 12:53:55'),
(10, 7, 10, 10.00, 20.00, 2, 220.00, 200.00, 20.00, 0.00, 0.00, '210', '2019-12-05', 6, NULL, 10.00, 0, 1, 1, '2019-11-30 05:37:56', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-30 04:37:56'),
(11, 8, 9, 2.00, 2.00, 1, 4.00, 4.00, 0.00, 0.00, 0.00, '1220', '2020-03-06', 3, 0, 0.00, 0, 1, 1, '2019-12-04 08:50:06', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-04 07:50:06'),
(12, 9, 30, 1080.00, 1.00, 1, 1080.00, 1080.00, 0.00, 0.00, 0.00, 'Trushant-NewBatch1', '2019-12-06', 1, 0, 0.00, 0, 1, 1, '2019-12-05 10:43:54', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 09:43:54'),
(13, 10, 30, 90.00, 2.00, 1, 180.00, 180.00, 0.00, 0.00, 0.00, '1241', '2019-12-07', 3, 0, 0.00, 0, 1, 1, '2019-12-05 10:51:31', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 09:51:31'),
(14, 11, 31, 1.00, 10.00, 1, 10.00, 10.00, 0.00, 0.00, 0.00, '2545889', '2020-12-05', 6, 0, 0.00, 0, 1, 1, '2019-12-05 11:08:03', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:08:03'),
(15, 12, 10, 10.00, 2.00, 2, 22.00, 20.00, 2.00, 0.00, 0.00, '210', '2019-12-07', 6, 1, 0.00, 0, 1, 1, '2019-12-05 11:45:03', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:45:03'),
(16, 13, 2, 12.00, 2.00, 1, 24.00, 24.00, 0.00, 0.00, 0.00, '121', '2019-12-06', 1, 0, 0.00, 0, 1, 1, '2019-12-06 10:56:04', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 09:56:04'),
(17, 14, 9, 2.00, 2.00, 2, 4.40, 4.00, 0.40, 0.00, 0.00, '100', '2019-12-08', 3, 0, 0.00, 0, 1, 1, '2019-12-08 05:39:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-08 04:39:59');

-- --------------------------------------------------------

--
-- Table structure for table `role_master`
--

CREATE TABLE `role_master` (
  `roleId` int(200) NOT NULL,
  `roleName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `discription` varchar(200) CHARACTER SET latin1 NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `role_master`
--

INSERT INTO `role_master` (`roleId`, `roleName`, `discription`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'user', ' User work', 0, 1, 1, '2019-04-27 09:37:18', 1, NULL, NULL, NULL, NULL, NULL, '2019-04-27 07:37:18'),
(2, 'admin', ' Handdle  The  System', 0, 1, 1, '2019-04-27 09:38:06', 1, NULL, NULL, NULL, NULL, NULL, '2019-04-27 07:38:06');

-- --------------------------------------------------------

--
-- Table structure for table `route_master`
--

CREATE TABLE `route_master` (
  `routeId` int(11) NOT NULL,
  `routeName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `route_master`
--

INSERT INTO `route_master` (`routeId`, `routeName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'ABC', 'sas', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-21 08:52:31'),
(2, 'Kolhapur', 'sas', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-21 08:52:31');

-- --------------------------------------------------------

--
-- Table structure for table `shape_master`
--

CREATE TABLE `shape_master` (
  `shapeId` int(11) NOT NULL,
  `shapeName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `size_master`
--

CREATE TABLE `size_master` (
  `sizeId` int(11) NOT NULL,
  `sizeName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `state_master`
--

CREATE TABLE `state_master` (
  `stateId` bigint(20) NOT NULL,
  `stateName` varchar(50) NOT NULL,
  `shortName` varchar(50) NOT NULL,
  `stateCode` int(10) NOT NULL,
  `fkcountryId` bigint(10) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `storage_master`
--

CREATE TABLE `storage_master` (
  `storageId` int(11) NOT NULL,
  `storageName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `storage_master`
--

INSERT INTO `storage_master` (`storageId`, `storageName`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'aaaa', 'da', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-25 08:10:23'),
(2, 'rrr', 'dd', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-25 08:10:23');

-- --------------------------------------------------------

--
-- Table structure for table `subcategory_master`
--

CREATE TABLE `subcategory_master` (
  `subcategoryId` int(11) NOT NULL,
  `subcategoryName` varchar(100) CHARACTER SET latin1 DEFAULT NULL,
  `fkcategoryId` int(11) DEFAULT NULL,
  `description` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `subcategory_master`
--

INSERT INTO `subcategory_master` (`subcategoryId`, `subcategoryName`, `fkcategoryId`, `description`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'fdd', 1, ' dsf', 0, 1, 1, '2019-10-25 11:55:21', 2, NULL, NULL, NULL, NULL, NULL, '2019-10-25 09:55:21'),
(2, 'rfds', 1, ' sdfz', 0, 1, 1, '2019-10-25 11:55:45', 2, NULL, NULL, NULL, NULL, NULL, '2019-10-25 09:55:45'),
(3, 'tttt', 1, ' 3232', 0, 1, 1, '2019-11-08 05:50:35', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-08 04:50:35');

-- --------------------------------------------------------

--
-- Table structure for table `supplierlicence`
--

CREATE TABLE `supplierlicence` (
  `supplierlicenceId` int(50) NOT NULL,
  `fksupplierId` int(11) DEFAULT NULL,
  `fklicencetypeId` int(50) DEFAULT NULL,
  `licenceNo` bigint(50) DEFAULT NULL,
  `startDate` date DEFAULT NULL,
  `expiryDate` date DEFAULT NULL,
  `Attachment` varchar(500) DEFAULT NULL,
  `warningdays` int(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `supplierlicence`
--

INSERT INTO `supplierlicence` (`supplierlicenceId`, `fksupplierId`, `fklicencetypeId`, `licenceNo`, `startDate`, `expiryDate`, `Attachment`, `warningdays`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, 1, 232, '2019-11-23', '2019-11-23', '2023826071.jpg', 212, 0, 1, 1, '2019-11-23 07:24:44', 1, '2019-11-28 06:55:17', 1, NULL, NULL, NULL, '2019-11-23 06:24:44'),
(2, 1, 2, 23, '2019-11-23', '2019-11-23', '1011649412.png', 645, 0, 1, 1, '2019-11-23 07:25:04', 2, '2019-11-28 06:55:17', 1, NULL, NULL, NULL, '2019-11-23 06:25:04');

-- --------------------------------------------------------

--
-- Table structure for table `suppliertransaction`
--

CREATE TABLE `suppliertransaction` (
  `supplierTransactionId` int(20) NOT NULL,
  `fksupplierId` int(20) NOT NULL,
  `fkpaymenttypeId` int(20) NOT NULL,
  `fkpurchasemainId` int(20) NOT NULL,
  `fkmobAppId` int(20) DEFAULT NULL,
  `transactionId` int(20) DEFAULT NULL,
  `fkbankId` int(20) DEFAULT NULL,
  `chequeNo` int(20) DEFAULT NULL,
  `chequeDate` date DEFAULT NULL,
  `paymentDate` date DEFAULT NULL,
  `paidAmount` int(20) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `suppliertransaction`
--

INSERT INTO `suppliertransaction` (`supplierTransactionId`, `fksupplierId`, `fkpaymenttypeId`, `fkpurchasemainId`, `fkmobAppId`, `transactionId`, `fkbankId`, `chequeNo`, `chequeDate`, `paymentDate`, `paidAmount`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(0, 2, 1, 14, NULL, NULL, NULL, NULL, NULL, '2019-12-08', 4, 0, 1, 1, '2019-12-08 05:39:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-08 04:39:59'),
(1, 1, 2, 1, NULL, NULL, NULL, NULL, NULL, '2019-11-09', 0, 0, 1, 1, '2019-11-12 08:53:09', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-09 10:47:41'),
(2, 1, 2, 2, NULL, NULL, NULL, NULL, NULL, '2019-11-12', 0, 0, 1, 1, '2019-11-13 05:42:48', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-12 07:54:18'),
(3, 5, 2, 3, NULL, NULL, NULL, NULL, NULL, '2019-11-13', 0, 0, 1, 1, '2019-11-13 09:09:25', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-13 08:09:25'),
(4, 1, 2, 4, NULL, NULL, NULL, NULL, NULL, '2019-11-27', 0, 0, 1, 1, '2019-11-28 05:27:44', 25, NULL, NULL, NULL, NULL, NULL, '2019-11-27 11:58:39'),
(5, 1, 2, 5, NULL, NULL, NULL, NULL, NULL, '2019-11-28', 0, 0, 1, 1, '2019-11-29 13:09:19', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-28 05:03:35'),
(6, 2, 2, 6, NULL, NULL, NULL, NULL, NULL, '2019-11-29', 0, 0, 1, 1, '2019-11-30 05:38:10', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 12:53:55'),
(7, 2, 2, 7, NULL, NULL, NULL, NULL, NULL, '2019-11-30', 0, 0, 1, 1, '2019-12-04 07:38:11', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-30 04:37:56'),
(8, 2, 2, 8, NULL, NULL, NULL, NULL, NULL, '2019-12-04', 0, 0, 1, 1, '2019-12-04 08:50:06', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-04 07:50:06'),
(9, 2, 2, 9, NULL, NULL, NULL, NULL, NULL, '2019-12-05', 0, 0, 1, 1, '2019-12-05 10:43:54', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 09:43:54'),
(10, 2, 2, 10, NULL, NULL, NULL, NULL, NULL, '2019-12-05', 0, 0, 1, 1, '2019-12-07 08:35:59', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 09:51:31'),
(11, 2, 2, 11, NULL, NULL, NULL, NULL, NULL, '2019-12-05', 0, 0, 1, 1, '2019-12-05 11:08:02', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:08:02'),
(12, 2, 2, 12, NULL, NULL, NULL, NULL, NULL, '2019-12-05', 0, 0, 1, 1, '2019-12-05 11:45:03', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:45:03'),
(13, 2, 2, 13, NULL, NULL, NULL, NULL, NULL, '2019-12-06', 0, 0, 1, 1, '2019-12-06 10:56:04', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 09:56:04');

-- --------------------------------------------------------

--
-- Table structure for table `supplier_master`
--

CREATE TABLE `supplier_master` (
  `supplierId` int(11) NOT NULL,
  `supplierName` varchar(200) DEFAULT NULL,
  `address` varchar(200) DEFAULT NULL,
  `primaryMobile` bigint(20) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `fkcountryId` int(11) DEFAULT NULL,
  `fkstateId` int(11) DEFAULT NULL,
  `fkdistrictId` int(11) DEFAULT NULL,
  `fktalukaId` int(11) DEFAULT NULL,
  `fkvillageId` int(11) DEFAULT NULL,
  `pinCode` int(11) DEFAULT NULL,
  `fkgenderId` varchar(20) DEFAULT NULL,
  `secondaryMobile` int(20) DEFAULT NULL,
  `suppliergstNumber` varchar(200) DEFAULT NULL,
  `openingAmount` int(11) DEFAULT NULL,
  `fkcrdrId` int(200) DEFAULT NULL,
  `phoneNumber` bigint(20) DEFAULT NULL,
  `contactPerson` varchar(200) DEFAULT NULL,
  `creditLimit` int(11) DEFAULT NULL,
  `birthDate` date DEFAULT NULL,
  `photo` varchar(200) DEFAULT NULL,
  `fkcustomercategoriesId` int(11) DEFAULT NULL,
  `registrationDate` date DEFAULT NULL,
  `fkusertypeId` int(20) DEFAULT NULL,
  `creditday` int(50) DEFAULT NULL,
  `tinNo` int(20) DEFAULT NULL,
  `fkrouteId` int(11) DEFAULT NULL,
  `is_default` tinyint(4) NOT NULL DEFAULT '0',
  `is_on` tinyint(4) NOT NULL DEFAULT '1',
  `is_active` tinyint(4) NOT NULL DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `supplier_master`
--

INSERT INTO `supplier_master` (`supplierId`, `supplierName`, `address`, `primaryMobile`, `email`, `fkcountryId`, `fkstateId`, `fkdistrictId`, `fktalukaId`, `fkvillageId`, `pinCode`, `fkgenderId`, `secondaryMobile`, `suppliergstNumber`, `openingAmount`, `fkcrdrId`, `phoneNumber`, `contactPerson`, `creditLimit`, `birthDate`, `photo`, `fkcustomercategoriesId`, `registrationDate`, `fkusertypeId`, `creditday`, `tinNo`, `fkrouteId`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'trt', ' dfd     ', 2122222222, '', 0, NULL, NULL, 0, 0, 0, '', 0, '', 0, 0, 0, '', 0, '0000-00-00', '1191894222.png', 0, '2019-11-23', 2, 0, 0, 0, 0, 1, 1, '2019-11-23 07:24:44', 2, '2019-11-28 06:55:16', 1, NULL, NULL, NULL, '2019-11-23 06:24:44'),
(2, 'Trushant', 'Valiwade Kolhapur', 9130616497, '', 0, 0, 0, 0, 0, 0, '', 0, '', 0, 0, 0, '', 0, '0000-00-00', '', 0, '2019-11-25', 2, 0, 0, 0, 0, 1, 1, '2019-11-25 09:32:27', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-25 08:32:27'),
(3, 'trtrtrt', '  gff', 555, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-11-29 11:25:04', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 10:25:04'),
(4, 'ooo', '  llll', 8888, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-11-29 11:25:26', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 10:25:26'),
(5, 'Baba', '  dsdsd', 9130616497, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-01 08:28:02', 1, NULL, NULL, NULL, NULL, NULL, '2019-12-01 07:28:02'),
(6, 'AAA', '  dsds', 3233232, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-01 11:34:28', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-01 10:34:28'),
(7, 'dsdkskdsd', '  dddsd', 9066164649, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 1, 1, '2019-12-06 09:07:14', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-06 08:07:14');

-- --------------------------------------------------------

--
-- Table structure for table `taluka_master`
--

CREATE TABLE `taluka_master` (
  `talukaId` bigint(20) NOT NULL,
  `talukaName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `talukashortName` varchar(50) CHARACTER SET latin1 NOT NULL,
  `talukaCode` int(50) NOT NULL,
  `fkcountryId` bigint(20) NOT NULL,
  `fkstateId` bigint(20) NOT NULL,
  `fkdistrictId` bigint(20) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `unit_master`
--

CREATE TABLE `unit_master` (
  `UnitId` int(11) NOT NULL,
  `UnitName` varchar(255) DEFAULT NULL,
  `ShortName` varchar(50) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `unit_master`
--

INSERT INTO `unit_master` (`UnitId`, `UnitName`, `ShortName`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'Box', 'Box', 0, 1, 1, '2019-10-24 12:47:46', 1, '2019-11-29 05:34:08', 2, NULL, NULL, NULL, '2019-10-24 10:47:46'),
(3, 'nog', 'mg', 0, 1, 1, '2019-11-13 08:54:46', 2, '2019-11-29 05:34:25', 2, NULL, NULL, NULL, '2019-11-13 07:54:46'),
(4, 'ABC', 'ABC', 0, 1, 1, '2019-11-27 06:38:13', 2, NULL, NULL, NULL, NULL, NULL, '2019-11-27 05:38:13'),
(5, 'Tab', 'Tab', 0, 1, 1, '2019-11-29 09:52:41', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 08:52:41'),
(6, 'Strip', 'strip', 0, 1, 1, '2019-11-29 09:54:16', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-29 08:54:16'),
(7, 'Tab', 'Tab', 0, 1, 1, '2019-12-05 11:04:35', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:04:35'),
(8, 'Strip', 'Strip', 0, 1, 1, '2019-12-05 11:04:45', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:04:45'),
(9, 'Boxx', 'Boxx', 0, 1, 1, '2019-12-05 11:04:57', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 10:04:57'),
(10, 'trt', '', 0, 1, 1, '2019-12-05 12:54:30', 2, NULL, NULL, NULL, NULL, NULL, '2019-12-05 11:54:30');

-- --------------------------------------------------------

--
-- Table structure for table `userregistration_master`
--

CREATE TABLE `userregistration_master` (
  `userregistrationId` int(20) NOT NULL,
  `fkusertypeId` int(20) NOT NULL,
  `fkcustomerId` int(20) DEFAULT NULL,
  `fksupplierId` int(20) DEFAULT NULL,
  `fkempId` int(20) DEFAULT NULL,
  `photo` varchar(255) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `mobileNumber` int(20) DEFAULT NULL,
  `userName` varchar(50) DEFAULT NULL,
  `password` varchar(1000) DEFAULT NULL,
  `sendSms` varchar(20) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `userregistration_master`
--

INSERT INTO `userregistration_master` (`userregistrationId`, `fkusertypeId`, `fkcustomerId`, `fksupplierId`, `fkempId`, `photo`, `email`, `mobileNumber`, `userName`, `password`, `sendSms`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 1, 2, NULL, NULL, NULL, 'sonalkumbhar213@gmail.com', 2147483647, 'comtranse', 'comtranse1', NULL, 0, 1, 1, NULL, NULL, '2019-11-28 07:37:10', 1, NULL, NULL, NULL, '2019-10-24 09:15:45'),
(2, 1, 1, NULL, NULL, '1965134187.jpg', 'ghatagtrushant@gmail.com', 2147483647, 'admin', 'admin', '1', 0, 1, 1, '2019-10-24 12:57:21', 1, '2019-12-05 06:28:29', 2, NULL, NULL, NULL, '2019-10-24 10:57:21'),
(3, 1, 1, NULL, NULL, NULL, 'babasahebdesai27@gmail.com', 2147483647, 'admin123', 'admin123', '1', 0, 1, 1, '2019-11-28 06:36:38', 1, '2019-11-28 07:41:18', 1, NULL, NULL, NULL, '2019-11-28 05:36:38'),
(4, 2, NULL, 1, NULL, NULL, 'babasahebdesai27@gmail.com', 2122222222, 'baba', 'baba', '1', 0, 1, 1, '2019-11-28 07:42:07', 1, NULL, NULL, NULL, NULL, NULL, '2019-11-28 06:42:07');

-- --------------------------------------------------------

--
-- Table structure for table `usertype_master`
--

CREATE TABLE `usertype_master` (
  `usertypeId` int(20) NOT NULL,
  `usertypeName` varchar(50) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `usertype_master`
--

INSERT INTO `usertype_master` (`usertypeId`, `usertypeName`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 'customer', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-10-24 09:16:09'),
(2, 'supplier', 0, 1, 1, '2019-10-24 11:44:18', 1, NULL, NULL, NULL, NULL, NULL, '2019-10-24 09:44:18'),
(3, 'Employee', 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-11-23 06:53:35');

-- --------------------------------------------------------

--
-- Table structure for table `user_access`
--

CREATE TABLE `user_access` (
  `useraccessId` bigint(50) NOT NULL,
  `fkuserregistrationId` int(11) DEFAULT NULL,
  `useracessForm` varchar(255) DEFAULT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `user_access`
--

INSERT INTO `user_access` (`useraccessId`, `fkuserregistrationId`, `useracessForm`, `is_default`, `is_on`, `is_active`, `created_date`, `created_by`, `modified_date`, `modified_by`, `deleted_date`, `deleted_by`, `delete_remark`, `last_changed`) VALUES
(1, 26, '2,4,5', 0, 1, 1, '2019-07-02 14:27:05', 1, '2019-07-02 15:46:22', 1, NULL, NULL, NULL, '2019-07-02 12:27:05'),
(2, 1, '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63', 0, 1, 1, '2019-07-03 09:55:59', 1, '2019-07-14 12:49:24', 1, NULL, NULL, NULL, '2019-07-03 07:55:59'),
(3, 25, '3,5', 0, 1, 1, '2019-07-04 16:12:10', 1, '2019-10-22 05:16:41', 1, NULL, NULL, NULL, '2019-07-04 14:12:10'),
(4, 27, '3,4', 0, 1, 1, '2019-07-04 16:16:28', 1, NULL, NULL, NULL, NULL, NULL, '2019-07-04 14:16:28'),
(5, 31, '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63', 0, 1, 1, '2019-07-05 08:29:18', 1, '2019-07-15 16:15:16', 1, NULL, NULL, NULL, '2019-07-05 06:29:18'),
(6, 32, '4,5', 0, 1, 1, '2019-07-05 09:04:29', 1, '2019-07-05 09:36:47', 1, NULL, NULL, NULL, '2019-07-05 07:04:29'),
(7, 33, '1,2,3,4,5', 0, 1, 1, '2019-07-12 07:15:27', 1, NULL, NULL, NULL, NULL, NULL, '2019-07-12 05:15:27'),
(8, 40, '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63', 0, 1, 1, '2019-10-09 09:12:49', 1, NULL, NULL, NULL, NULL, NULL, '2019-10-09 07:12:49'),
(9, 44, '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63', 0, 1, 1, '2019-10-09 09:13:24', 1, NULL, NULL, NULL, NULL, NULL, '2019-10-09 07:13:24');

-- --------------------------------------------------------

--
-- Table structure for table `village_master`
--

CREATE TABLE `village_master` (
  `villageId` bigint(20) NOT NULL,
  `villageName` varchar(255) CHARACTER SET latin1 NOT NULL,
  `shortName` varchar(50) CHARACTER SET latin1 NOT NULL,
  `villageCode` int(20) NOT NULL,
  `fkcountryId` int(255) NOT NULL,
  `fkstateId` varchar(255) CHARACTER SET latin1 NOT NULL,
  `fkdistrictId` varchar(255) CHARACTER SET latin1 NOT NULL,
  `fktalukaId` varchar(255) CHARACTER SET latin1 NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) CHARACTER SET latin1 DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `warehouse_master`
--

CREATE TABLE `warehouse_master` (
  `warehouseId` int(11) NOT NULL,
  `warehouseName` varchar(200) NOT NULL,
  `description` varchar(255) NOT NULL,
  `is_default` tinyint(4) DEFAULT '0',
  `is_on` tinyint(4) DEFAULT '1',
  `is_active` tinyint(4) DEFAULT '1',
  `created_date` datetime DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `modified_by` int(11) DEFAULT NULL,
  `deleted_date` datetime DEFAULT NULL,
  `deleted_by` int(11) DEFAULT NULL,
  `delete_remark` varchar(200) DEFAULT NULL,
  `last_changed` timestamp NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `backup`
--
ALTER TABLE `backup`
  ADD PRIMARY KEY (`Id`);

--
-- Indexes for table `bank_master`
--
ALTER TABLE `bank_master`
  ADD PRIMARY KEY (`bankId`);

--
-- Indexes for table `blood_master`
--
ALTER TABLE `blood_master`
  ADD PRIMARY KEY (`bloodgroupId`);

--
-- Indexes for table `brand_master`
--
ALTER TABLE `brand_master`
  ADD PRIMARY KEY (`brandId`);

--
-- Indexes for table `category_master`
--
ALTER TABLE `category_master`
  ADD PRIMARY KEY (`categoryId`);

--
-- Indexes for table `classificationgroup_master`
--
ALTER TABLE `classificationgroup_master`
  ADD PRIMARY KEY (`classificationId`);

--
-- Indexes for table `color_master`
--
ALTER TABLE `color_master`
  ADD PRIMARY KEY (`colorId`);

--
-- Indexes for table `company_master`
--
ALTER TABLE `company_master`
  ADD PRIMARY KEY (`companyId`);

--
-- Indexes for table `content_master`
--
ALTER TABLE `content_master`
  ADD PRIMARY KEY (`contentId`);

--
-- Indexes for table `country_master`
--
ALTER TABLE `country_master`
  ADD PRIMARY KEY (`countryId`);

--
-- Indexes for table `crdr_master`
--
ALTER TABLE `crdr_master`
  ADD PRIMARY KEY (`crdrId`);

--
-- Indexes for table `customercategories_master`
--
ALTER TABLE `customercategories_master`
  ADD PRIMARY KEY (`customercategoriesId`);

--
-- Indexes for table `customerlicence`
--
ALTER TABLE `customerlicence`
  ADD PRIMARY KEY (`customerlicenceId`);

--
-- Indexes for table `customertransaction`
--
ALTER TABLE `customertransaction`
  ADD PRIMARY KEY (`customerTransactionId`);

--
-- Indexes for table `customer_master`
--
ALTER TABLE `customer_master`
  ADD PRIMARY KEY (`customerId`);

--
-- Indexes for table `distric_master`
--
ALTER TABLE `distric_master`
  ADD PRIMARY KEY (`districtId`);

--
-- Indexes for table `employeelicence`
--
ALTER TABLE `employeelicence`
  ADD PRIMARY KEY (`employeelicenceId`);

--
-- Indexes for table `employee_master`
--
ALTER TABLE `employee_master`
  ADD PRIMARY KEY (`empId`);

--
-- Indexes for table `gender`
--
ALTER TABLE `gender`
  ADD PRIMARY KEY (`genderId`);

--
-- Indexes for table `genericcmp_master`
--
ALTER TABLE `genericcmp_master`
  ADD PRIMARY KEY (`genericcmpId`);

--
-- Indexes for table `gst_master`
--
ALTER TABLE `gst_master`
  ADD PRIMARY KEY (`gstId`);

--
-- Indexes for table `hsnsac_master`
--
ALTER TABLE `hsnsac_master`
  ADD PRIMARY KEY (`hsnsacId`);

--
-- Indexes for table `invoicemain`
--
ALTER TABLE `invoicemain`
  ADD PRIMARY KEY (`invoicemainId`);

--
-- Indexes for table `invoiceproduct`
--
ALTER TABLE `invoiceproduct`
  ADD PRIMARY KEY (`invoiceproductId`);

--
-- Indexes for table `licencetype_master`
--
ALTER TABLE `licencetype_master`
  ADD PRIMARY KEY (`licencetypeId`);

--
-- Indexes for table `manufacture_master`
--
ALTER TABLE `manufacture_master`
  ADD PRIMARY KEY (`manufactureId`);

--
-- Indexes for table `maritalstatus_master`
--
ALTER TABLE `maritalstatus_master`
  ADD PRIMARY KEY (`maritalstatusId`);

--
-- Indexes for table `mobilepaymentapp_master`
--
ALTER TABLE `mobilepaymentapp_master`
  ADD PRIMARY KEY (`mobileappId`);

--
-- Indexes for table `organization_reg`
--
ALTER TABLE `organization_reg`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `paymenttype_master`
--
ALTER TABLE `paymenttype_master`
  ADD PRIMARY KEY (`paymenttypeId`);

--
-- Indexes for table `productcontent`
--
ALTER TABLE `productcontent`
  ADD PRIMARY KEY (`productcontentId`);

--
-- Indexes for table `productgroup_master`
--
ALTER TABLE `productgroup_master`
  ADD PRIMARY KEY (`productgroupId`);

--
-- Indexes for table `productmaingroup_master`
--
ALTER TABLE `productmaingroup_master`
  ADD PRIMARY KEY (`productmaingroupId`);

--
-- Indexes for table `productsame`
--
ALTER TABLE `productsame`
  ADD PRIMARY KEY (`productsameId`);

--
-- Indexes for table `productsecondunit`
--
ALTER TABLE `productsecondunit`
  ADD PRIMARY KEY (`productsecondunitId`);

--
-- Indexes for table `productsubgroup`
--
ALTER TABLE `productsubgroup`
  ADD PRIMARY KEY (`productsubgroupId`);

--
-- Indexes for table `productsupplier`
--
ALTER TABLE `productsupplier`
  ADD PRIMARY KEY (`productsupplierId`);

--
-- Indexes for table `product_master`
--
ALTER TABLE `product_master`
  ADD PRIMARY KEY (`productId`);

--
-- Indexes for table `purchasemain`
--
ALTER TABLE `purchasemain`
  ADD PRIMARY KEY (`purchasemainId`);

--
-- Indexes for table `purchaseproduct`
--
ALTER TABLE `purchaseproduct`
  ADD PRIMARY KEY (`purchaseproductId`);

--
-- Indexes for table `role_master`
--
ALTER TABLE `role_master`
  ADD PRIMARY KEY (`roleId`);

--
-- Indexes for table `route_master`
--
ALTER TABLE `route_master`
  ADD PRIMARY KEY (`routeId`);

--
-- Indexes for table `shape_master`
--
ALTER TABLE `shape_master`
  ADD PRIMARY KEY (`shapeId`);

--
-- Indexes for table `size_master`
--
ALTER TABLE `size_master`
  ADD PRIMARY KEY (`sizeId`);

--
-- Indexes for table `state_master`
--
ALTER TABLE `state_master`
  ADD PRIMARY KEY (`stateId`);

--
-- Indexes for table `storage_master`
--
ALTER TABLE `storage_master`
  ADD PRIMARY KEY (`storageId`);

--
-- Indexes for table `subcategory_master`
--
ALTER TABLE `subcategory_master`
  ADD PRIMARY KEY (`subcategoryId`);

--
-- Indexes for table `supplierlicence`
--
ALTER TABLE `supplierlicence`
  ADD PRIMARY KEY (`supplierlicenceId`);

--
-- Indexes for table `suppliertransaction`
--
ALTER TABLE `suppliertransaction`
  ADD PRIMARY KEY (`supplierTransactionId`);

--
-- Indexes for table `supplier_master`
--
ALTER TABLE `supplier_master`
  ADD PRIMARY KEY (`supplierId`);

--
-- Indexes for table `taluka_master`
--
ALTER TABLE `taluka_master`
  ADD PRIMARY KEY (`talukaId`);

--
-- Indexes for table `unit_master`
--
ALTER TABLE `unit_master`
  ADD PRIMARY KEY (`UnitId`);

--
-- Indexes for table `userregistration_master`
--
ALTER TABLE `userregistration_master`
  ADD PRIMARY KEY (`userregistrationId`);

--
-- Indexes for table `usertype_master`
--
ALTER TABLE `usertype_master`
  ADD PRIMARY KEY (`usertypeId`);

--
-- Indexes for table `user_access`
--
ALTER TABLE `user_access`
  ADD PRIMARY KEY (`useraccessId`);

--
-- Indexes for table `village_master`
--
ALTER TABLE `village_master`
  ADD PRIMARY KEY (`villageId`);

--
-- Indexes for table `warehouse_master`
--
ALTER TABLE `warehouse_master`
  ADD PRIMARY KEY (`warehouseId`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `backup`
--
ALTER TABLE `backup`
  MODIFY `Id` int(10) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `bank_master`
--
ALTER TABLE `bank_master`
  MODIFY `bankId` bigint(50) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `blood_master`
--
ALTER TABLE `blood_master`
  MODIFY `bloodgroupId` int(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `brand_master`
--
ALTER TABLE `brand_master`
  MODIFY `brandId` int(50) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `category_master`
--
ALTER TABLE `category_master`
  MODIFY `categoryId` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `classificationgroup_master`
--
ALTER TABLE `classificationgroup_master`
  MODIFY `classificationId` int(50) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `customertransaction`
--
ALTER TABLE `customertransaction`
  MODIFY `customerTransactionId` int(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `invoicemain`
--
ALTER TABLE `invoicemain`
  MODIFY `invoicemainId` int(50) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `invoiceproduct`
--
ALTER TABLE `invoiceproduct`
  MODIFY `invoiceproductId` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `purchasemain`
--
ALTER TABLE `purchasemain`
  MODIFY `purchasemainId` int(50) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT for table `purchaseproduct`
--
ALTER TABLE `purchaseproduct`
  MODIFY `purchaseproductId` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
