<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');

class Dashboard extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		
		$this->load->model(['model_dashboard']);	
	} 

	public function index(){
		$data['data']=$this->model_dashboard->select_all();
        //print_r($data);exit();

		$this->load->view('header');
		$this->load->view('admin/dashboard/dashboardDetails',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		//$msg = "";
		//$msgcss = "";
		$fuelbrandId = $this->uri->segment(4);
		
		if(empty($fuelbrandId)){
			$fuelbrandId = 0;
		}
		
		if($fuelbrandId > 0){
			$obj = $this->model_dashboard->search($fuelbrandId);
		}
		
		$data['data']=$obj;
        //print_r($data);exit();
		$this->load->view('header2');
		$this->load->view('admin/dashboard/dashboard_view',$data);
		$this->load->view('footer2');
	     
	} 
	
	public function perform(){

		
		$fuelbrandId=$this->input->post('txt_id');
		$fuelbrandName=$this->input->post('fuelbrandName');

		if($fuelbrandId>0)
		{
			$data=[

				'fuelbrandId'			=>	$fuelbrandId,	
				'fuelbrandName'			=>	$fuelbrandName,
				'modified_by'	=>	1,
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			if($this->model_dashboard->update($data))
			{
				$this->Model_Notification->show_notification(2);	
			}
			else
			{
				$this->Model_Notification->show_notification(5);	
			}
		}
		else
		{
			$data=[
				'fuelbrandName'			=>	$fuelbrandName,
				'created_by'	=>	1,
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			if($this->model_dashboard->insert($data))
			{
				$this->Model_Notification->show_notification(1);	
			}
			else
			{
				$this->Model_Notification->show_notification(4);	
			}
		}

		redirect('admin/Dashboard');

	} 
	
	public function delete_perform(){

		$fuelbrandId = $this->uri->segment(4);

		if(!empty($fuelbrandId)){
			
			$data=[

				'fuelbrandId'			=>	$fuelbrandId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			if($this->model_dashboard->update($data))
			{
				$this->Model_Notification->show_notification(3);		
			}
			else
			{
				$this->Model_Notification->show_notification(6);	
			}
			redirect('admin/Dashboard');
		}
		else{
			
			show_404();
		}

	} 
	

	
	
} 