<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class BatchRemaining extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('login');
		}	
		
		$this->load->model(['Model_BatchRemaining']);	
			
	} 

	
	public function index(){

		
		$data['product']=$this->Model_BatchRemaining->productlist();  
		
		$this->load->view('header');
		$this->load->view('admin/batchRemaining/batchRemaining_view',$data);
		$this->load->view('footer');
	
	} 
	

	public function findproduct()
	{
		$productId=$this->input->post('productId');
		$data=$this->Model_BatchRemaining->findproduct($productId);
		 print_r(json_encode($data));

	}




	public function batchdetails()
	{
	
		$fkproductId=$this->input->post('fkproductId');
		$startdate=$this->input->post('startdate');
		$enddate=$this->input->post('enddate');
		$data=$this->Model_BatchRemaining->searchbatch($fkproductId,$startdate,$enddate);		
		print_r(json_encode($data));
 
	}

	public function remainingdetails()
	{
	
		$output='';
		$purchaseqty=0;
		$invoiceqty=0;
		$fkproductId=$this->input->post('fkproductId');
		$batch=$this->input->post('batch');
		$startdate=$this->input->post('startdate');
		$enddate=$this->input->post('enddate');

		$fkunitId=$this->Model_BatchRemaining->getprimaryunit($fkproductId);
		if($batch!="")
		{
		$purchaseprimary=$this->Model_BatchRemaining->purchaseprimarysum($fkproductId,$fkunitId[0]->fkunitId,$batch);
		 $invoiceprimary=$this->Model_BatchRemaining->invoiceprimarysum($fkproductId,$fkunitId[0]->fkunitId,$batch);	


		 $stock=$fkunitId[0]->openingStock+$purchaseprimary[0]->Quantity-$invoiceprimary[0]->Quantity;

		 $data=[
		 	'productId'=>$fkproductId,
		 	'productName'=>$fkunitId[0]->productName,
		 	'batch'=>$batch,
		 	'stock'=>$stock
		 ];

		if(!empty($data)){
			
			
				$output.='<tr>
				 <td>'.$data['productId'].'</td>
				 <td>'.$data['productName'].'</td>
				
				 <td>'.$data['batch'].'</td>
				  <td>'.$data['stock'].'</td>
				</tr>';
				
					
		}
		echo $output;


		}
		else
		{
			$batch=$this->Model_BatchRemaining->searchbatch($fkproductId,$startdate,$enddate);
			
			for ($i=0; $i <count($batch) ; $i++) { 
				# code...

				$purchaseprimary=$this->Model_BatchRemaining->purchaseprimarysum($fkproductId,$fkunitId[0]->fkunitId,$batch[$i]->Batch);
		 		$invoiceprimary=$this->Model_BatchRemaining->invoiceprimarysum($fkproductId,$fkunitId[0]->fkunitId,$batch[$i]->Batch);	
				 $purchaseqty=$purchaseqty+$purchaseprimary[0]->Quantity;
				 $invoiceqty=$invoiceqty+$invoiceprimary[0]->Quantity;

		 		 $stock=$fkunitId[0]->openingStock+$purchaseprimary[0]->Quantity-$invoiceprimary[0]->Quantity;
		 		 // print_r(json_encode($stock));

		 		 $data=[
		 	'productId'=>$fkproductId,
		 	'productName'=>$fkunitId[0]->productName,
		 	'batch'=>$batch[$i]->Batch,
		 	'stock'=>$stock
		 ];

		if(!empty($data)){
			
			
				$output.='<tr>
				 <td>'.$data['productId'].'</td>
				 <td>'.$data['productName'].'</td>
				
				 <td>'.$data['batch'].'</td>
				  <td>'.$data['stock'].'</td>
				</tr>';
				
					
		}
		
			}
			echo $output;
		
		}





 
	}

		
	
} 