<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Company extends CI_Controller{
	public function __construct(){
		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}	
		
		$this->load->model(['Model_Company']);				
	} 
	public function index(){
		$data['data']=$this->Model_Company->select_all();
		 $this->load->view('header');
		$this->load->view('admin/company/companyDetails_view',$data);
		$this->load->view('footer');
 
	}	
	public function create(){

		$obj='';
		
		$companyId =$this->uri->segment(2);
		
		if(empty($companyId)){
			$companyId = 0;
		}
		
		if($companyId > 0){
			$obj = $this->Model_Company->search($companyId);
		}
		
		$data['data']=$obj;
        //print_r($data);exit();
		 $this->load->view('header');
		$this->load->view('admin/company/company_view',$data);
	$this->load->view('footer');
	
	} 
	
	public function perform(){

		
		$companyId=$this->input->post('txt_id');
		$companyName=$this->input->post('companyName');
		if($companyId>0)
		{
			$data=[

				'companyId'			=>	$companyId,	
				'companyName'			=>	$companyName,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Company->update($data);
			
		}
		else
		{
			$data=[
				'companyName'			=>	$companyName,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Company->insert($data);
			
		}

	

	} 
	
	public function delete_perform(){

		$companyId = $this->uri->segment(4);

		if(!empty($companyId)){
			
			$data=[

				'companyId'			=>	$companyId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Company->update($data);
			
			redirect('CompanyIndex');
		}
		else{
			
			show_404();
		}

	} 
		
	
} 