<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
	class Content extends CI_Controller
	 {
		public function __construct()
		 {
			parent::__construct();	
			if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}	
			$this->load->model(['Model_Content']);	
		 } 
		public function index()
		 {
			$data['data']=$this->Model_Content->select_all();
			$this->load->view('header');
			$this->load->view('admin/content/contentdetails_view',$data);
			$this->load->view('footer');
		 }	
		public function create()
		 {
			$obj='';
			$ContentId = $this->uri->segment(2);		
				if(empty($ContentId))
				 {
					$ContentId = 0;
				 }
				if($ContentId > 0)
				{
					$obj = $this->Model_Content->search($ContentId);
				}
			$data['data']=$obj;
			//print_r($data);
			$this->load->view('header');
			$this->load->view('admin/content/content_view',$data);
			$this->load->view('footer');
		} 
		public function perform()
		 {
			$contentId=$this->input->post('txt_id');
			$contentName=$this->input->post('contentName');
			$description=$this->input->post('description');
			if($contentId>0)
			 {
				$data=[
				'contentId'			=>	$contentId,	
				'contentName'			=>	$contentName,
				'description'       =>$description,
				'modified_by'	=> $_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Content->update($data);
		     }
			else
			 {
				$data=[
				'contentName'			=>	$contentName,
				'description'       => $description,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Content->insert($data);
			 }
		 } 
		public function delete_perform()
		 {
			$contentId = $this->uri->segment(4);	
			if(!empty($contentId))
			 {
				$data=[
				'contentId'			=>	$contentId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Content->update($data);
				redirect('ContentIndex');
			 }
			else
			 {
					show_404();
			 }
		 } 
} 