<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');

class Customertransaction extends CI_Controller{

	public function __construct(){
		 
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('Login');
		}	
		
		$this->load->model(['Model_Customertransaction']);	
			
	} 

	public function index(){
		$data['data']=$this->Model_Customertransaction->select_all();
        //print_r($data);exit();

		$this->load->view('header');
		$this->load->view('admin/customertransaction/customertransactionDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		//$msg = "";
		//$msgcss = "";
		$customerTransactionId = $this->uri->segment(2);
		
		if(empty($customerTransactionId)){
			$customerTransactionId = 0;
		}
		
		if($customerTransactionId > 0){
			$obj = $this->Model_Customertransaction->search($customerTransactionId);
		}
		
		$data['data']=$obj;
		$data['customer']=$this->Model_Customertransaction->customerlist(); 
		$data['paymenttype']=$this->Model_Customertransaction->paydetaillist();  
		$data['mobapp']=$this->Model_Customertransaction->mobapplist();
		$data['bank']=$this->Model_Customertransaction->banklist();   
		$data['historypaymenttype']=$this->Model_Customertransaction->paymenttypelist();
		$data['billpaymenttype']=$this->Model_Customertransaction->paymentlist();
		$data['trans']=$this->Model_Customertransaction->select($customerTransactionId); 
        //print_r($data);exit();
		$this->load->view('header');
		$this->load->view('admin/customertransaction/customertransaction_view',$data);
		$this->load->view('footer');
	
	} 
	
	public function perform(){

		
			
		$customerTransactionId=$this->input->post('txt_id');
		$customerId=$this->input->post('customerId');
		$paymenttype=$this->input->post('paymenttype');
		$mobAppId=$this->input->post('mobApp');
		$transactionId=$this->input->post('transactionId');
		$bankId=$this->input->post('bank');
		$Chequeno=$this->input->post('Chequeno');
		$ChequeDate=$this->input->post('ChequeDate');
		$paymentDate=$this->input->post('paymentDate');
		$paidamount=$this->input->post('paid');

		if($customerTransactionId>0)
		{
			$data=[

				'customerTransactionId'			=>	$customerTransactionId,	
				'paidAmount'       =>$paidamount,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Customertransaction->update($data);
			
		}
		else
		{
			$data=[ 

				'fkcustomerId'			=>	$customerId,
				'fkpaymenttypeId'       =>$paymenttype,
				'fkmobAppId'       =>$mobAppId,
				'transactionId'       =>$transactionId,
				'fkbankId'       =>$bankId,
				'chequeNo'       =>$Chequeno,
				'chequeDate'       =>$ChequeDate,
				'paymentDate'       =>$paymentDate,
				'paidAmount'       =>$paidamount,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Customertransaction->insert($data);

		}

		

	} 
	public function findcustomername()
	{
		$customerId=$this->input->post('customerId');
		$data=$this->Model_Customertransaction->findcustomername($customerId);
		 print_r(json_encode($data));
	}

	public function getpaymenthistory()
	{
		$output='';
		
	 	$startDate=$this->input->post('startDate');
		$endDate=$this->input->post('endDate');
		$paymenttypeId=$this->input->post('paymenttypeId');
		$customerId=$this->input->post('customerId');
		
		 $data=$this->Model_Customertransaction->getpaymenthistory($startDate,$endDate,$paymenttypeId,$customerId);
		 // print_r(json_encode($customerId));
		if(!empty($data)){
			foreach ($data as $key => $value) {
				$paiddate=date("d-m-Y", strtotime($value->paymentDate));
				$output.='<tr>
				 <td>'.$value->customerTransactionId.'</td>
				<td>'.$value->paymentType.'</td>
				<td>'.$value->mobileappName.'</td>
				<td>'.$value->transactionId.'</td>
				<td>'.$value->bankName.'</td>
				<td>'.$value->chequeNo.'</td>
				<td>'.$value->chequeDate.'</td>
				<td>'.$paiddate.'</td>
				<td>'.$value->paidAmount.'</td>
				
				</tr>';
					}
		}
		echo $output;
	}
	public function getbillhistory()
	{
		$output='';
		
	 	$startDate=$this->input->post('startDate');
		$endDate=$this->input->post('endDate');
		$paymenttypeId=$this->input->post('paymenttypeId');
		$customerId=$this->input->post('customerId');
		$b64_uid=0;
		 $data=$this->Model_Customertransaction->getbillhistory($startDate,$endDate,$customerId,$paymenttypeId);
		 // print_r(json_encode($data));
		if(!empty($data)){
			foreach ($data as $key => $value) {
				// $b64_uid = base64_encode($value->invoicemainId);
				$invoiceDate=date("d-m-Y", strtotime($value->invoiceDate));
				$output.='<tr>
				<td><img  width="30" src="'.base_url().'assets3\images\edit.png'.'" onclick="basicPopup('.$value->invoicemainId.');" /></td>
                	<td>'.$value->invoicemainId.'</td>
                	<td>'.$invoiceDate.'</td>
				<td>'.$value->paymentType.'</td>
				<td>'.$value->totQuantity.'</td>
				<td>'.$value->totdiscountamt.'</td>
				<td>'.$value->totgstamt.'</td>
				<td>'.$value->amount.'</td>
				<td>'.$value->paidAmount.'</td>
				<td>'.$b64_uid.'</td>
				</tr>';
					}
			//echo "gggg";
		}
		echo $output;
	}
	public function getoutstandingamt()
	{	
		$fkcustomerId=$this->input->post('customerId');
		$balence=$this->Model_Customertransaction->getopeaningbalance($fkcustomerId);
		 $amt=$this->Model_Customertransaction->getinvoiceamount($fkcustomerId);
		 $paid=$this->Model_Customertransaction->getpaidamt($fkcustomerId);
		 	//print_r(json_encode($amt));
			//print_r(json_encode($paid));
			//print_r(json_encode($balence));
		 $data=[
		 		'outstandingamount'=>$balence[0]->opeaningbalance+$amt[0]->amount-$paid[0]->paidAmount
		 ];
		 if('outstandingamount'=="")
		 {
		 	'outstandingamount'==0;
		 	 print_r(json_encode($data));
		 }
		 else
		 {
		 	print_r(json_encode($data));
		 }


	}
	
	public function delete_perform(){

		$customerTransactionId = $this->uri->segment(2);

		if(!empty($customerTransactionId)){
			
			$data=[

				'customerTransactionId'			=>	$customerTransactionId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			$this->Model_Customertransaction->update($data);
			
			redirect('CustomertransactionIndex');
		}
		else{
			
			show_404();
		}

	} 
	

	
	
} 