<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
	class Generic extends CI_Controller
	 {
		public function __construct()
		 {
			parent::__construct();	
			if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}	
			$this->load->model(['Model_Generic']);	
		 } 
		public function index()
		 {
			$data['data']=$this->Model_Generic->select_all();
			$this->load->view('header');
			$this->load->view('admin/generic/genericdetails_view',$data);
			$this->load->view('footer');
		 }	
		public function create()
		 {
			$obj='';
			$genericcmpId = $this->uri->segment(2);		
				if(empty($genericcmpId))
				 {
					$genericcmpId = 0;
				 }
				if($genericcmpId > 0)
				{
					$obj = $this->Model_Generic->search($genericcmpId);
				}
			$data['data']=$obj;
			//print_r($data);
			$this->load->view('header');
			$this->load->view('admin/generic/generic_view',$data);
			$this->load->view('footer');
		} 
		public function perform()
		 {
			$genericcmpId=$this->input->post('txt_id');
			$genericcmpName=$this->input->post('genericcmpName');
			$description=$this->input->post('description');
			if($genericcmpId>0)
			 {
				$data=[
				'genericcmpId'			=>	$genericcmpId,	
				'genericcmpName'			=>	$genericcmpName,
				'description'       =>$description,
				'modified_by'	=> $_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Generic->update($data);
		     }
			else
			 {
				$data=[
				'genericcmpName'			=>	$genericcmpName,
				'description'       => $description,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Generic->insert($data);
			 }
		 } 
		public function delete_perform()
		 {
			$genericcmpId = $this->uri->segment(4);	
			if(!empty($genericcmpId))
			 {
				$data=[
				'genericcmpId'			=>	$genericcmpId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
				];
				$this->Model_Generic->update($data);
				redirect('GenericIndex');
			 }
			else
			 {
					show_404();
			 }
		 } 
} 