<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Invoice extends CI_Controller{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}			
		$this->load->model(['Model_Invoice','Model_Report']);			
	} 
	public function index()
	{
		$data['data']=$this->Model_Invoice->select_all();
		$this->load->view('header');
		 $this->load->view('admin/Invoice/InvoiceDetails_view',$data);
	 	 $this->load->view('footer');
	}	
	public function create()
	{
		$obj='';
		$InvoiceId=$this->input->post('InvoiceId');				
		if(empty($InvoiceId)){
			$InvoiceId = 0;
		}		
		if($InvoiceId > 0){
			$obj = $this->Model_Invoice->search($InvoiceId);
		}		
		$data['data']=$obj;
		$data['customer']=$this->Model_Invoice->getcustomerlist();   
		$data['product']=$this->Model_Invoice->getproductlist();  
		$data['gst']=$this->Model_Invoice->getgstlist();  
			// $data['discount_master']=$this->Model_Invoice->getdiscountlist();
			$data['payement']=$this->Model_Invoice->getpaymentlist();      
		// print_r($data['payement']);
			$this->load->view('header');
		$this->load->view('admin/Invoice/Invoice_view',$data);
		$this->load->view('footer');			
	} 


		public function edit()
	{
		$obj='';
		$invoicemainId=$this->uri->segment(2);			
		if(empty($InvoiceId)){
			$InvoiceId = 0;
		}		
		if($InvoiceId > 0){
			$obj = $this->Model_Invoice->search($InvoiceId);
		}		
		$data['data']=$obj;
		$data['customer']=$this->Model_Invoice->getcustomerlist();   
		$data['product']=$this->Model_Invoice->getproductlist();  
		$data['gst']=$this->Model_Invoice->getgstlist();  
		$data['invoice']=$this->Model_Invoice->select($invoicemainId);
		$data['payement']=$this->Model_Invoice->getpaymentlist();      
		// print_r($invoicemainId);
		$this->load->view('header');
		$this->load->view('admin/Invoice/Invoice_editview',$data);
		$this->load->view('footer');			
	} 


	public function perform()
	{		
		$invoicemainId=$this->input->post('txt_id');
		$fkcustomerId=$this->input->post('customerId');
		$invoiceDate=$this->input->post('invoiceDate');	
		$shipandpackCost=$this->input->post('shipandpackCost');
		// $refId=$this->input->post('refId');
		$refId=$this->input->post('refId');
		$refNo=$this->input->post('refNo');
		$PaymentId=$this->input->post('PaymentId');
		$amount=$this->input->post('amount');
		$addamount=$this->input->post('amount1');
		// $transactionNo=$this->input->post('transactionNo');

		$totQuantity1=$this->input->post('totQuantity1');
		$totdiscountamt1=$this->input->post('totdiscountamt1');
		$totgstamt1=$this->input->post('totgstamt1');

		$paidAmount=$this->input->post('paidAmount');
		$deliveryNote=$this->input->post('deliveryNote');
		$personalNote=$this->input->post('PersonalNote');
		
		$fkproductId=$this->input->post('productId');	
		$Quantity=$this->input->post('Quantity');
		$discountPercentage=$this->input->post('discountPercentage');
		$Rate=$this->input->post('Rate');
		$fkgstId=$this->input->post('gstId');
		$gstAmount=$this->input->post('gstAmount');
		$discountAmount=$this->input->post('discountAmount');
		$productamount=$this->input->post('productamount');
		$netAmount=$this->input->post('netAmount');
		
		$dataMaster=[

			'invoicemainId'			=>	$invoicemainId,	
			'fkcustomerId'=>$fkcustomerId,
			'invoiceDate'	=> $invoiceDate,
			
			'fkrefId'	=>$refId,
			'refNo'	=>$refNo,
			'shipandpackCost'=>$shipandpackCost,
			'fkpaymenttypeId'=>$PaymentId,
			'amount'	=>$amount,
			'addamount'	=>$addamount,
			'totQuantity'	=>$totQuantity1,
			'totdiscountamt'	=>$totdiscountamt1,
			'totgstamt'	=>$totgstamt1,
			// 'transactionNo'		=>$transactionNo,
			'paidAmount'		=>$paidAmount,
			'deliveryNote'=>$deliveryNote,
			'personalNote'=>$personalNote,
			
			'created_by'	=>	$_SESSION['u_id'],
			'created_date'	=>	date('Y-m-d H:i:s')
		];
		if($this->Model_Invoice->insert('invoicemain',$dataMaster))
		{
			$maxfkinvoicemainId=$this->Model_Invoice->getMaxId()[0]->invoicemainId;
		
			$transactionData=[

			'fkinvoicemainId'	=>$maxfkinvoicemainId,	
			'fkcustomerId'=>$fkcustomerId,
			'paidAmount'	=> $paidAmount,
			'fkpaymenttypeId'	=>	$PaymentId,
			// 'transactionId'	=>	$transactionNo,
			
			
			'created_by'	=>	$_SESSION['u_id'],
			'created_date'	=>	date('Y-m-d H:i:s')
		];
		$this->Model_Invoice->insert('customertransaction',$transactionData);

		if($fkproductId=="")
		{
			// $this->Model_Notification->show_notification(1);
		}
		else
		{	
			for($i=0;$i<count($fkproductId);$i++)
			{


				$getproductId=$fkproductId[$i];

				$getQuantity=$Quantity[$i];
				$getdiscountPercentage=$discountPercentage[$i];
				$getRate=$Rate[$i];
				$getfkgstId=$fkgstId[$i];
				$getgstAmount=$gstAmount[$i];
				$getdiscountAmount=$discountAmount[$i];
				$getproductamount=$productamount[$i];
				$getnetAmount=$netAmount[$i];
				
				
				$productdata=[

					'fkinvoicemainId'	=>$maxfkinvoicemainId,
					'fkproductId'	=>$getproductId,
					'Quantity'	=>$getQuantity,
					'discountPercentage'	=>$getdiscountPercentage,
					'Rate'		=>$getRate,
					'fkgstId'	=>$getfkgstId,
					'gstAmount'	=>$getgstAmount,
					'discountAmount'	=>$getdiscountAmount,
					'productamount'	=>$getproductamount,
					'netAmount'	=>$getnetAmount,


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Invoice->insert('invoiceproduct',$productdata);
				// $this->Model_Notification->show_notification(1);
			}
		}

	
			
	}
	} 	

	public function Report()
	{
		$invoiceRecord=$this->Model_Invoice->invoice_report();
		$invoicemainId=$invoiceRecord[0]->invoicemainId;
		$invoiceString=explode(',',$invoicemainId);
		$data=array();
			for($i=0;$i<count($invoiceString);$i++)
				{
					$getinvoicemainId=$invoiceString[$i];
					$invoiceDetails=$this->Model_Invoice->invoice_details($getinvoicemainId);
					$data[]=[$invoiceDetails];
				}
		$recordOrg=$this->Model_Report->selectorg();
		$org['org']=['orgData'=>$recordOrg];

		$data['productdetails']=$this->Model_Invoice->productdetails($invoicemainId);
		$data['netamount']=$this->Model_Invoice->productnetdetails($invoicemainId);
		$data['main']=$data;
		$i=0;

			foreach ($invoiceDetails as $a => $a) {

				$i++;
			}
			$data['row']=$i;
			
		$data['data']=array_merge($data['main'],$org['org']);
		// print_r($data['data']);
		$this->load->view('header');
		$this->load->view('admin/Invoice/report_view',$data);
		$this->load->view('footer');	
	}

	public function getproductdetails(){
		$productId=$this->input->post('productId');
		//$fields  = array('itemId' => $itemId);
		// if ($productId!='') {
		// 	# code...
				$data=$this->Model_Invoice->getproductdetails($productId);
	
		print_r(json_encode($data));
		// }
	
 
	}

public function findproduct()
	{
		$productId=$this->input->post('productId');
		$data=$this->Model_Invoice->findproduct($productId);
		 print_r(json_encode($data));
	}
	
public function findcustomername()
	{
		$customerId=$this->input->post('customerId');
		$data=$this->Model_Invoice->findcustomername($customerId);
		 print_r(json_encode($data));
	}
	public function getgstdetails(){
		$fkgstId=$this->input->post();
		//$fields  = array('itemId' => $itemId);
		// if ($fkgstId!='') {
		// 	# code...
			$data=$this->Model_Invoice->getgstdetails($fkgstId);
		print_r(json_encode($data));
		// }
		
 
	}
	public function OutstandingAmount(){
		$fkcustomerId=$this->input->post('fkcustomerId');
		//$fields  = array('itemId' => $itemId);
		$result=$this->Model_Invoice->OutstandingAmount($fkcustomerId);
		$result1=$this->Model_Invoice->OutstandingAmount1($fkcustomerId);
		$result2=$this->Model_Invoice->OutstandingAmount2($fkcustomerId);
		$data=[
				'OutstandingAmount'=>$result2[0]->opeaningbalance+$result[0]->amount-$result1[0]->paidAmount

		];
		if ($data['OutstandingAmount']=="")
		 {
			$data['OutstandingAmount']=0;
			print_r(json_encode($data));

		}
		else
		{
			// print_r(json_encode($result));
			print_r(json_encode($data));
		}
		
 
	}


		public function stockdetails(){
		$productId=$this->input->post('productId');
		//$fields  = array('itemId' => $itemId);
		$result=$this->Model_Invoice->stockopen($productId);
		$result1=$this->Model_Invoice->purchasesum($productId);
		$result2=$this->Model_Invoice->invoicesum($productId);
		$stockamt=$result[0]->openingStock+$result1[0]->Quantity;
		$data=[
				'productstock'=>$stockamt-$result2[0]->Quantity

		];
		if ($data['productstock']=="")
		 {
			$data['productstock']=0;
			print_r(json_encode($data));

		}
		else
		{
			// print_r(json_encode($stockamt));
			print_r(json_encode($data));
		}
		
 
	}



	public function update()
	{		
			
		$invoicemainId=$this->input->post('txt_id');
		$fkcustomerId=$this->input->post('customerId');
		$invoiceDate=$this->input->post('invoiceDate');	
		$shipandpackCost=$this->input->post('shipandpackCost');
		// $refId=$this->input->post('refId');
		$refId=$this->input->post('refId');
		$refNo=$this->input->post('refNo');
		$PaymentId=$this->input->post('PaymentId');
		$amount=$this->input->post('amount');
		$addamount=$this->input->post('amount1');
		// $transactionNo=$this->input->post('transactionNo');

		$totQuantity1=$this->input->post('totQuantity1');
		$totdiscountamt1=$this->input->post('totdiscountamt1');
		$totgstamt1=$this->input->post('totgstamt1');

		$paidAmount=$this->input->post('paidAmount');
		$deliveryNote=$this->input->post('deliveryNote');
		$personalNote=$this->input->post('PersonalNote');
		
		$fkproductId=$this->input->post('productId');	
		$Quantity=$this->input->post('Quantity');
		$discountPercentage=$this->input->post('discountPercentage');
		$Rate=$this->input->post('Rate');
		$fkgstId=$this->input->post('gstId');
		$gstAmount=$this->input->post('gstAmount');
		$discountAmount=$this->input->post('discountAmount');
		$productamount=$this->input->post('productamount');
		$netAmount=$this->input->post('netAmount');
		
		$dataMaster=[

			'invoicemainId'			=>	$invoicemainId,	
			'fkcustomerId'=>$fkcustomerId,
			'invoiceDate'	=> $invoiceDate,
			
			'fkrefId'	=>$refId,
			'refNo'	=>$refNo,
			'shipandpackCost'=>$shipandpackCost,
			'fkpaymenttypeId'=>$PaymentId,
			'amount'	=>$amount,
			'addamount'	=>$addamount,
			'totQuantity'	=>$totQuantity1,
			'totdiscountamt'	=>$totdiscountamt1,
			'totgstamt'	=>$totgstamt1,
			// 'transactionNo'		=>$transactionNo,
			'paidAmount'		=>$paidAmount,
			'deliveryNote'=>$deliveryNote,
			'personalNote'=>$personalNote,
			
			'modified_by'	=>	$_SESSION['u_id'],
			'modified_date'	=>	date('Y-m-d H:i:s')
		];
		// print_r($dataMaster);
		if($this->Model_Invoice->update('invoicemain',$dataMaster))
		{
			$maxfkinvoicemainId=$this->Model_Invoice->getMaxId()[0]->invoicemainId;
		
			$transactionData=[

			'fkinvoicemainId'	=>$maxfkinvoicemainId,	
			'fkcustomerId'=>$fkcustomerId,
			'paidAmount'	=> $paidAmount,
			'fkpaymenttypeId'	=>	$PaymentId,
			// 'transactionId'	=>	$transactionNo,
			
			
			'modified_by'	=>	$_SESSION['u_id'],
			'modified_date'	=>	date('Y-m-d H:i:s')
		];
		$this->Model_Invoice->updatetrans('customertransaction',$transactionData);

		if($fkproductId=="")
		{
			// $this->Model_Notification->show_notification(1);
		}
		else
		{	
			for($i=0;$i<count($fkproductId);$i++)
			{


				$getproductId=$fkproductId[$i];

				$getQuantity=$Quantity[$i];
				$getdiscountPercentage=$discountPercentage[$i];
				$getRate=$Rate[$i];
				$getfkgstId=$fkgstId[$i];
				$getgstAmount=$gstAmount[$i];
				$getdiscountAmount=$discountAmount[$i];
				$getproductamount=$productamount[$i];
				$getnetAmount=$netAmount[$i];
				
				
				$productdata=[

					'fkinvoicemainId'	=>$maxfkinvoicemainId,
					'fkproductId'	=>$getproductId,
					'Quantity'	=>$getQuantity,
					'discountPercentage'	=>$getdiscountPercentage,
					'Rate'		=>$getRate,
					'fkgstId'	=>$getfkgstId,
					'gstAmount'	=>$getgstAmount,
					'discountAmount'	=>$getdiscountAmount,
					'productamount'	=>$getproductamount,
					'netAmount'	=>$getnetAmount,


					'created_by'		=>	$_SESSION['u_id'],
					'created_date'		=>	date('Y-m-d H:i:s')
				];

				$this->Model_Invoice->insert('invoiceproduct',$productdata);
				// $this->Model_Notification->show_notification(1);
			}
		}

	// print_r($getQuantity);
			
	}
	}

	public function delete()
	{
		$invoiceproductId=$this->input->get('invoiceproductId');
		// print_r($invoiceproductId);
		$data=[
				'is_active'=>0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')];

		if($this->Model_Invoice->delete($invoiceproductId,$data))
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
	} 


	public function delete_perform()
	{		
      $invoicemainId=$this->uri->segment(2);
		if(!empty($InvoiceId)){			
			$data=[

				'invoicemainId'			=>	$invoicemainId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
             $this->Model_Invoice->update($data);			
		}
		else{
			
			show_404();
		}
	} 			
} 