<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class SalesForm extends CI_Controller{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}			
		$this->load->model(['SalesModel','Model_Product','Model_Supplier','Model_Report']);			
	} 



	public function index()
	{
		$data['datas']=$this->SalesModel->select_all();
		// echo "<pre>";
		// print_r($data);
		$this->load->view('header');
		 $this->load->view('admin/sales/salesFormDetailsView',$data);
	 	 	 	 $this->load->view('admin/sales/saleFooter');

	}


    public function create()
	{
		$allFieldsDoc = $this->session->userdata('allFieldsDoc');
		$data['patient']=$this->SalesModel->getPatientlists();
		$data['salesman']=$this->SalesModel->getSalesmanlists();
			$data['allFieldsDoc'] = $allFieldsDoc;

			// echo "<pre>";
			// print_r($data['patient']);

	
			$this->load->view('admin/sales/saleHeader');
		// $this->load->view('header');

		    $this->load->view('admin/sales/salesForm_view',$data);
	 	    	 	 $this->load->view('admin/sales/saleFooter');

	}

	function insertSalesForm(){
		$saleType = $this->input->post('saleType');
		$no = $this->input->post('no');
		$Saledate = $this->input->post('Saledate');
		$billType = $this->input->post('billType');
		$PatientId = $this->input->post('PatientId');
		$doctor = $this->input->post('doctor');
		$address1 = $this->input->post('address1');
		$address2 = $this->input->post('address2');
		$address3 = $this->input->post('address3');
		$address4 = $this->input->post('address4');
		$mobileNo = $this->input->post('mobileNo');
		$TelNo = $this->input->post('TelNo');
		$salesmanId = $this->input->post('salesmanId');
		$pressDate = $this->input->post('pressDate');
		$doseDays = $this->input->post('doseDays');
		$batchQty = $this->input->post('batchQty');
		$shelf = $this->input->post('shelf');
		$gross = $this->input->post('gross');
		$TotalQty = $this->input->post('TotalQty');
		$company = $this->input->post('company');
		$discountminus = $this->input->post('discountminus');
		$singleRate = $this->input->post('singleRate');
		$Items = $this->input->post('Items');
		$other = $this->input->post('other');
		$adjustment = $this->input->post('adjustment');
		$narration = $this->input->post('narration');
		$NetAmount = $this->input->post('NetAmount');
	
		$productId = $this->input->post('productId');

		$productName = $this->input->post('productName');
		$unit = $this->input->post('unit');
		$company = $this->input->post('company');
		$selfNo = $this->input->post('selfNo');
		$batch = $this->input->post('batch');
		$expDate = $this->input->post('expDate');
		$moreMrp = $this->input->post('moreMrp');
		$Quantity = $this->input->post('Quantity');
		$productamount = $this->input->post('productamount');

		$tabId = $this->input->post('tabId');
		$qtychk = $this->input->post('qtychk');
		$fkproductId = $this->input->post('fkproductId');



	
		// Format the expDate to yyyy-mm-dd
		if (!empty($expDate)) {
			foreach ($expDate as $key => $date) {
				try {
					$dateObj = new DateTime($date);
					$expDate[$key] = $dateObj->format('Y-m-d');
				} catch (Exception $e) {
					// Handle the exception if the date format is invalid
					$expDate[$key] = null; // Or handle it as needed
				}
			}
		}
	
		$fields = array(
			'saleType' => $saleType,
			'no' => $no,
			'Saledate' => $Saledate,
			'billType' => $billType,
			'PatientId' => $PatientId,
			'doctor' => $doctor,
			'address1' => $address1,
			'address2' => $address2,
			'address3' => $address3,
			'address4' => $address4,
			'mobileNo' => $mobileNo,
			'TelNo' => $TelNo,
			'salesmanId' => $salesmanId,
			'pressDate' => $pressDate,
			'doseDays' => $doseDays,
			'batchQty' => $batchQty,
			'shelf' => $shelf,
			'gross' => $gross,
			'TotalQty' => $TotalQty,
			'company' => $company,
			'discountminus' => $discountminus,
			'singleRate' => $singleRate,
			'Items' => $Items,
			'other' => $other,
			'adjustment' => $adjustment,
			'narration' => $narration,
			'NetAmount' => $NetAmount,
			'is_active' => 1,
			'created_by' => $this->session->userdata('u_id'),
			'created_date' => date('Y-m-d H:i:s')
		);
	
		echo "<pre>";
		print_r($fields);
		$getIds = $this->SalesModel->insertRecord("salesform_master", $fields);
		print_r($getIds);
	
		if ($getIds > 0) {
			if (!empty($productName)) {
				for ($i = 0; $i < count($productName); $i++) {
					$fieldsDoc = array(
						'fksalesFormId' => $getIds,
						'productName' => $productName[$i],
						'fkproductId' => $fkproductId[$i],

						'unit' => $unit[$i],
						'company' => $company[$i],
						'selfNo' => $selfNo[$i],
						'batch' => $batch[$i],
						'expDate' => $expDate[$i],
						'moreMrp' => $moreMrp[$i],
						'Quantity' => $Quantity[$i],
						'productamount' => $productamount[$i],
						'tabId' => $tabId[$i],

						'current_date' => date('Y-m-d'),
						'created_by' => $this->session->userdata('u_id'),
						'created_date' => date('Y-m-d H:i:s')
					);
					print_r($fieldsDoc);
					$this->SalesModel->insert("salesformitem_master", $fieldsDoc);
				}
			}
		}
	}
	


			 public function update()
			 {
				 $data['dataa']=$this->SalesModel->getsalesFormByid($this->uri->segment(4));
				 $data['items']=$this->SalesModel->getallSales_itemsid($this->uri->segment(4));
				 
				$data['patient']=$this->SalesModel->getPatientlists();
				$data['salesman']=$this->SalesModel->getSalesmanlists();
			
				 
				//    echo "<pre>";
				//  print_r($data);
		 
				 $this->load->view('admin/sales/saleHeader');
				 $this->load->view('admin/sales/salesForm_Editview',$data);
				 $this->load->view('admin/sales/saleFooter');

			 }





			 public function getSaleTypeCount(){
				$saleType=$this->input->post('saleTypes');
				
				$data=$this->SalesModel->getSaleTypeCount($saleType);
			
				print_r(json_encode($data));
			
			}


			 public function updateSalesForm()
			 {
				 $salesFormId= $this->input->post('salesFormId');
				 $no= $this->input->post('no');
	 
				 $Saledate= $this->input->post('Saledate');
				 $billType= $this->input->post('billType');
				 $PatientId= $this->input->post('PatientId');
				 $doctor= $this->input->post('doctor');
				 $address1= $this->input->post('address1');
				 $address2= $this->input->post('address2');
				 $address3= $this->input->post('address3');
				 $address4= $this->input->post('address4');
				 $mobileNo= $this->input->post('mobileNo');
				 $TelNo= $this->input->post('TelNo');
				 $salesmanId= $this->input->post('salesmanId');
				 $pressDate= $this->input->post('pressDate');
				 $doseDays= $this->input->post('doseDays');
				 $batchQty= $this->input->post('batchQty');
				 $shelf= $this->input->post('shelf');
				 $gross= $this->input->post('gross');
				 $TotalQty= $this->input->post('TotalQty');
				 $company= $this->input->post('company');
				 $discountminus= $this->input->post('discountminus');
				 $singleRate= $this->input->post('singleRate');
				 $Items= $this->input->post('Items');
				 $other= $this->input->post('other');
				 $adjustment= $this->input->post('adjustment');
				 $narration= $this->input->post('narration');
				 $NetAmount= $this->input->post('NetAmount');
	 
	 
				 $productName= $this->input->post('productName');
				 $unit= $this->input->post('unit');
				 $company= $this->input->post('company');
				 $selfNo= $this->input->post('selfNo');
				 $batch= $this->input->post('batch');
				 $expDate= $this->input->post('expDate');
				 $moreMrp= $this->input->post('moreMrp');
				 $Quantity= $this->input->post('Quantity');
				 $productamount= $this->input->post('productamount');
	 
			 
				 $saleTypeupdate= $this->input->post('saletypeval');
	 
	 
		 
	
					 $fields=array(
						'salesFormId'=>$salesFormId,
						'no'=>$no,
				'Saledate'=>$Saledate,
				'billType'=>$billType,
				'PatientId'=>$PatientId,
				'doctor'=>$doctor,
				'address1'=>$address1,
				'address2'=>$address2,
				'address3'=>$address3,
				'address4'=>$address4,
				'mobileNo'=>$mobileNo,
				'TelNo'=>$TelNo,
				'salesmanId'=>$salesmanId,
				'pressDate'=>$pressDate,
				'doseDays'=>$doseDays,
				'batchQty'=>$batchQty,
				'shelf'=>$shelf,
				'gross'=>$gross,
				'TotalQty'=>$TotalQty,
				'company'=>$company,
				'discountminus'=>$discountminus,
				'singleRate'=>$singleRate,
				'Items'=>$Items,
				'other'=>$other,
				'adjustment'=>$adjustment,
				'narration'=>$narration,
				'NetAmount'=>$NetAmount,
				'saleType'=>$saleTypeupdate,

						'modified_date'=>date('Y-m-d H:i:s'),
						'modified_by'=>$this->session->userdata('u_id'));
				$whereArray=array('salesFormId'=>$salesFormId);
		
				echo "<pre>";
				print_r($fields);
			 $this->SalesModel->updateRecord("salesform_master",$fields,$whereArray);
	
			//  if ($stickerTypeId >0) {
				
				// $whereArray=array('fkstickerTypeId'=>$stickerTypeId);
				// $this->SkinSticker_model->deleteRecord('skin_stickertypeitem_master',$whereArray);
	
	
				// if (!empty($fkTypeId)) {
				// 	for ($i=0; $i <count($fkTypeId); $i++) { 
						
				// 		$fieldsItem=array(
				// 			'fkstickerTypeId' =>$stickerTypeId,
				// 			'fkTypeId' =>$fkTypeId[$i],
				// 			'created_date'=>date('Y-m-d H:i:s'),
				// 			'created_by'=>$_SESSION['u_id']
				// 		);
						
				// 		// echo "<pre>";
				// 		print_r($fieldsItem);
	
				// 		$this->Commonmodel->insertRecord("skin_stickertypeitem_master",$fieldsItem);
	
				// 	}
				// }
			// }
	
	
			
			 }





			public function insertPatient()
			{   
				if($_POST)
				{
				  $patientName = $this->input->post('patientName');
				   
		
					$fields  = array('patientName'=>$patientName,
			 
					
						'created_date'=>date('Y-m-d H:i:s'),
						   'created_by'=>$_SESSION['u_id']);
				
						$this->SalesModel->insert('patient_master',$fields);
		
				}	  
			   
			}
	
			public function getPatientlists() {
				$data=$this->SalesModel->getPatientlists();
		
				echo json_encode($data);
			}
	
	
			public function insertSalesMan()
			{   
				if($_POST)
				{
				  $salesmanName = $this->input->post('salesmanName');
				  $salemanAddress = $this->input->post('salemanAddress');

				   
		
					$fields  = array(
						'salesName'=>$salesmanName,
						'salemanAddress'=>$salemanAddress,

			 
					
						'created_date'=>date('Y-m-d H:i:s'),
						   'created_by'=>$_SESSION['u_id']);
				
						$this->SalesModel->insert('salesman_master',$fields);
		
				}	  
			   
			}
	
			public function getSalesmanlists() {
				$data=$this->SalesModel->getSalesmanlists();
		
				echo json_encode($data);
			}
	


		
	}




	

?>