<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Taluka extends CI_Controller{
	public function __construct(){		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}			
		$this->load->model(['Model_Taluka']);				
	} 
	public function index(){
		$data['data']=$this->Model_Taluka->select_all();
		 $this->load->view('header');
		$this->load->view('admin/taluka/talukaDetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$talukaId = $this->uri->segment(2);	
		if(empty($talukaId)){
			$talukaId = 0;
		}		
		if($talukaId > 0){
			$obj = $this->Model_Taluka->search($talukaId);
		}		
		$data['data']=$obj;
		$data['country']=$this->Model_Taluka->getcountrylist();
		$data['state']=$this->Model_Taluka->getstatelist();
		$data['dist']=$this->Model_Taluka->getdistlist();
		$this->load->view('header');
		$this->load->view('admin/taluka/taluka_view',$data);
		$this->load->view('footer');	
	} 	
	public function perform(){		
		$talukaId =$this->input->post('txt_id');
		$talukaName=$this->input->post('talukaName');
		$talukashortName=$this->input->post('talukashortName');
		$talukaCode=$this->input->post('talukaCode');
		$fkcountryId=$this->input->post('countryId');
		$fkstateId=$this->input->post('stateId');
		$fkdistrictId=$this->input->post('districtId');
		if($talukaId>0)
		{
			$data=[

				'talukaId'    =>$talukaId,
				'talukaName'	=>	$talukaName,
				'talukashortName'	=>$talukashortName,
				'talukaCode'	=>$talukaCode,
				'fkcountryId'   =>$fkcountryId,
				'fkstateId'     =>$fkstateId,
				'fkdistrictId'     =>$fkdistrictId,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Taluka->update($data);			
		}
		else
		{
			$data=[
				'talukaName'	=>	$talukaName,
				'fkcountryId'   => $fkcountryId,
				'talukashortName'	=>$talukashortName,
				'talukaCode'	=>$talukaCode,
				'fkstateId'		=>$fkstateId,
				'fkdistrictId'     =>$fkdistrictId,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Taluka->insert($data);			
		}
	} 	
	public function getstate(){
		$countryId = $this->input->post();
		$data = $this->Model_Taluka->getstate($countryId);
		 print_r( json_encode($data));
		//print_r($data);
		//exit();
	}
	public function getdistrict(){
		$postData = $this->input->post();
		$data = $this->Model_Taluka->getdistrict($postData);
		echo json_encode($data);
	}
	public function delete_perform(){
		$talukaId = $this->uri->segment(4);	
		if(!empty($talukaId)){			
			$data=[

				'talukaId'		=>	$talukaId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Taluka->update($data);			
			 redirect('TalukaIndex');
		}
		else{
			
			show_404();
		}
	} 		
} 