<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Unit extends CI_Controller{
	public function __construct()
	{		
		parent::__construct();	

		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}

		$this->load->model(['Model_Unit']);			
	} 
	public function index()
	{
		$data['data']=$this->Model_Unit->select_all();
		// print_r($data);
		 $this->load->view('header');
		 $this->load->view('admin/unit/unitDetails_view',$data);
	 	 $this->load->view('footer');
	}	
	public function create()
	{
		$obj='';
		$UnitId=$this->uri->segment(2);			
		if(empty($UnitId)){
			$UnitId = 0;
		}		
		if($UnitId > 0){
			$obj = $this->Model_Unit->search($UnitId);
		}		
		$data['data']=$obj; 
		// print_r($data);
	    $this->load->view('header');       
		$this->load->view('admin/unit/unit_view',$data);
		$this->load->view('footer');			
	} 	
	public function perform()
	{		
		$UnitId=$this->input->post('txt_id');
		$UnitName=$this->input->post('UnitName');
		$ShortName=$this->input->post('ShortName');
		if($UnitId>0)
		{
			$data=[

				'UnitId'			=>	$UnitId,	
				'UnitName'			=>	$UnitName,
				'ShortName'       =>$ShortName,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
           $this->Model_Unit->update($data);			
		}
		else
		{
			$data=[
				'UnitName'			=>	$UnitName,
				'ShortName'       => $ShortName,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];
           $this->Model_Unit->insert($data);			
		}		
	} 	
	public function delete_perform()
	{		
      $UnitId=$this->uri->segment(4);
		if(!empty($UnitId)){			
			$data=[

				'UnitId'			=>	$UnitId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
             $this->Model_Unit->update($data);
             redirect('UnitIndex');
			
		}
		else{
			
			show_404();
		}
	} 			
} 