<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Useraccess extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
		redirect('Login');
		}
		
		$this->load->model(['Model_Useraccess']);	
	} 

	public function index(){
		$data['data']=$this->Model_Useraccess->select_all();
        //print_r($data);exit();

		$this->load->view('header');
		$this->load->view('admin/useraccess/useraccessDetails_view',$data);
		$this->load->view('footer');

	}	
	public function create(){

		$obj='';
		$msg = "";
		$msgcss = "";
		$useraccessId =$this->uri->segment(2);
		
		if(empty($useraccessId)){
			$useraccessId = 0;
		}
		
		if($useraccessId > 0){
			$obj = $this->Model_Useraccess->search($useraccessId);
		}
		
		$data['data']=$obj;
		$data['userreg']=$this->Model_Useraccess->getuserlist();
        //print_r($data);exit();
		$this->load->view('header');
		$this->load->view('admin/useraccess/useraccess_view',$data);
		$this->load->view('footer');
	     
	} 
	
	public function perform(){

		
		$useraccessId=$this->input->post('txt_id');
		$fkuserregistrationId=$this->input->post('userregistrationId');
		$useracessForm=$this->input->post('userAccess');
		$userAccessString='';
		for($i=0;$i<count($useracessForm);$i++)
		{
			$userAccessString.=$useracessForm[$i].',';
		}

		$userAccessString=rtrim($userAccessString,',');

		if($useraccessId>0)
		{
			$data=[

				'useraccessId'			=>	$useraccessId,	
				'useracessForm'			=>	$userAccessString,
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];

			if($this->Model_Useraccess->update($data))
			{
				$this->Model_Notification->show_notification(2);	
			}
			else
			{
				$this->Model_Notification->show_notification(5);	
			}
		}
		else
		{
			$data=[
				'fkuserregistrationId'			=>	$fkuserregistrationId,
				'useracessForm'			=>	$userAccessString,
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];

			if($this->Model_Useraccess->insert($data))
			{
				$this->Model_Notification->show_notification(1);	
			}
			else
			{
				$this->Model_Notification->show_notification(4);	
			}
		}

		redirect('UseraccessIndex');

	} 
	
	public function delete_perform(){

		$useraccessId = $this->uri->segment(2);

		if(!empty($useraccessId)){
			
			$data=[

				'useraccessId'			=>	$useraccessId,	
				'is_active'		=>	0,
				'deleted_by'	=>	1,
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];

			if($this->Model_Useraccess->update($data))
			{
				$this->Model_Notification->show_notification(3);		
			}
			else
			{
				$this->Model_Notification->show_notification(6);	
			}
			redirect('UseraccessIndex');
		}
		else{
			
			show_404();
		}

	} 
	
		public function chkExist()
	{
		$fkuserregistrationId=$this->input->get('fkuserregistrationId');
		$count=$this->Model_Useraccess->chkExistData($fkuserregistrationId);
		if($count>0)
		{
			echo 1;
		}
		else
		{
			echo 0;
		}
		
	}
	
} 