<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class Warehouse extends CI_Controller
{
	public function __construct()
	{		
		parent::__construct();	
		if($this->session->userdata('u_id')==0)
			{
			redirect('Login');
			}	
		$this->load->model(['Model_Warehouse']);				
	} 
	public function index(){
		$data['data']=$this->Model_Warehouse->select_all();
		 $this->load->view('header');
		$this->load->view('admin/warehouse/warehousedetails_view',$data);
		$this->load->view('footer');
	}	
	public function create(){
		$obj='';
		$msg = "";
		$msgcss = "";
		$warehouseId = $this->uri->segment(2);		
		if(empty($warehouseId)){
			$warehouseId = 0;
		}		
		if($warehouseId > 0){
			$obj = $this->Model_Warehouse->search($warehouseId);
		}		
		$data['data']=$obj;		
		 $this->load->view('header');
		$this->load->view('admin/warehouse/warehouse_view',$data);
		$this->load->view('footer');	
	} 	
	public function perform(){		
		$warehouseId=$this->input->post('txt_id');
		$warehouseName=$this->input->post('warehouseName');
		$description=$this->input->post('description');
		if($warehouseId>0)
		{
			$data=[
				'warehouseId'			=>	$warehouseId,	
				'warehouseName'			=>	$warehouseName,
				'description'       =>$description,				
				'modified_by'	=>	$_SESSION['u_id'],
				'modified_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Warehouse->update($data);			
		}
		else
		{
			$data=[
				'warehouseName'       => $warehouseName,
				'description'       => $description,		
				'created_by'	=>	$_SESSION['u_id'],
				'created_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Warehouse->insert($data);			
		}
	} 	
	public function delete_perform(){
		$warehouseId = $this->uri->segment(4);
		if(!empty($warehouseId)){
			
			$data=[
				'warehouseId'			=>	$warehouseId,	
				'is_active'		=>	0,
				'deleted_by'	=>	$_SESSION['u_id'],
				'deleted_date'	=>	date('Y-m-d H:i:s')
			];
			$this->Model_Warehouse->update($data);
			 redirect('WarehouseIndex');
		}
		else{			
			show_404();
		}
	} 	
} 