<?php
if(!defined('BASEPATH')) exit('No direct script access allowed');
class WhatsappIntegration extends CI_Controller{

	public function __construct(){
		
		parent::__construct();		
		
		if($this->session->userdata('u_id')==0)
		{
			redirect('login');
		}	
		
		$this->load->model(['Model_WhatsappIntegration']);	
			
	} 

	
	public function index(){

		$data['User']=$this->Model_WhatsappIntegration->userlist(); 
		// $data['paymenttype']=$this->Model_WhatsappIntegration->paydetaillist();  
		// $data['mobapp']=$this->Model_WhatsappIntegration->mobapplist();
		// $data['bank']=$this->Model_WhatsappIntegration->banklist();  
		$this->load->view('header');
		$this->load->view('admin/whatsappIntegration/whatsappIntegration_view',$data);
		$this->load->view('footer');
	
	} 

	public function customerlist()
	{
		// $customerId=$this->input->post('customerId');
		$data=$this->Model_WhatsappIntegration->customerlist();
		 print_r(json_encode($data));
	}

	public function supplierlist()
	{
		// $customerId=$this->input->post('customerId');
		$data=$this->Model_WhatsappIntegration->supplierlist();
		 print_r(json_encode($data));
	}
	public function employeelist()
	{
		// $customerId=$this->input->post('customerId');
		$data=$this->Model_WhatsappIntegration->employeelist();
		 print_r(json_encode($data));
	}
	public function suppliermobile()
	{
		$supplierId=$this->input->post('supplierId');
		$data=$this->Model_WhatsappIntegration->suppliermobile($supplierId);
		 print_r(json_encode($data));
	}

	public function customermobile()
	{
		$customerId=$this->input->post('customerId');
		$data=$this->Model_WhatsappIntegration->customermobile($customerId);
		 print_r(json_encode($data));
	}


	public function getoustanding()
	{
		

		 $fkcustomerId=$this->input->post('customerId');
	
		$result=$this->Model_WhatsappIntegration->OutstandingAmount($fkcustomerId);
		$result1=$this->Model_WhatsappIntegration->OutstandingAmount1($fkcustomerId);
		$result2=$this->Model_WhatsappIntegration->OutstandingAmount2($fkcustomerId);
		$lastAmount=$this->Model_WhatsappIntegration->Amount($fkcustomerId);
		$lastPaid=$this->Model_WhatsappIntegration->Paid($fkcustomerId);
		$queryResult=[
				'OutstandingAmount'=>$result2[0]->opeaningbalance+$result[0]->amount-$result1[0]->paidAmount,
				'lastAmount'=>$lastAmount[0]->amount,
				'lastPaid'=>$lastPaid[0]->paidAmount

		];
		if ($queryResult['OutstandingAmount']=="")
		 {
			$queryResult['OutstandingAmount']=0;
			print_r(json_encode($queryResult));

		}
		else
		{
			// print_r(json_encode($result));
			$queryResult1='hii,Your Bill Amout = '.$lastAmount[0]->amount.'And Paid Amount = '.$lastPaid[0]->paidAmount.' ,  Outstanding Amount = '.$queryResult['OutstandingAmount'].'  Thank You for coming in ..';
			print_r(json_encode($queryResult1));
		}
	}



	public function getsupplieroustanding()
	{
		

		 $fksupplierId=$this->input->post('supplierId');
	
		$result=$this->Model_WhatsappIntegration->supplierAmount($fksupplierId);
		$result1=$this->Model_WhatsappIntegration->supplierAmount1($fksupplierId);
		$result2=$this->Model_WhatsappIntegration->supplierAmount2($fksupplierId);
		$lastAmount=$this->Model_WhatsappIntegration->supplierlastAmount($fksupplierId);
		$lastPaid=$this->Model_WhatsappIntegration->supplierPaid($fksupplierId);
		$queryResult=[
				'OutstandingAmount'=>$result2[0]->openingAmount+$result[0]->totalamount-$result1[0]->paidAmount,
				'lastAmount'=>$lastAmount[0]->totalamount,
				'lastPaid'=>$lastPaid[0]->paidAmount

		];
		if ($queryResult['OutstandingAmount']=="")
		 {
			$queryResult['OutstandingAmount']=0;
			print_r(json_encode($queryResult));

		}
		else
		{
			// print_r(json_encode($result));
			$queryResult1='hii,Your Bill Amout = '.$lastAmount[0]->totalamount.'And Paid Amount = '.$lastPaid[0]->paidAmount.' ,  Outstanding Amount = '.$queryResult['OutstandingAmount'].'  Thank You for coming in ..';
			print_r(json_encode($queryResult1));
		}
	}


	public function bill()
	{
	
		$fkcustomerId=$this->input->post('customerId');
		$lastAmount=$this->Model_WhatsappIntegration->bill($fkcustomerId);
		
		$b64_uid=base64_encode($lastAmount[0]->invoicemainId);
	
	$data=[
		'Amount'=>$lastAmount[0]->amount,
		'paidAmount'=>$lastAmount[0]->paidAmount,
		'discount'=>$lastAmount[0]->totdiscountamt,
		'link'=>base_url().'Whatsappreport/'.$b64_uid
	];

		print_r(json_encode($data));
	}


	public function supplierbill()
	{
	
		$fksupplierId=$this->input->post('supplierId');
		$lastAmount=$this->Model_WhatsappIntegration->supplierbill($fksupplierId);
		
		$b64_uid=base64_encode($lastAmount[0]->purchasemainId);
	
	$data=[
		'Amount'=>$lastAmount[0]->totalamount,
		'paidAmount'=>$lastAmount[0]->paidAmount,
		'discount'=>$lastAmount[0]->totdiscountamt,
		'link'=>base_url().'Whatsappsupplierreport/'.$b64_uid
	];
// http://localhost/inventarynew/admin/WhatsappIntegration
		print_r(json_encode($data));
	}
	
	
} 