<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Customer extends CI_Model 
	{
		
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
		{					
		$sql=$this->db->select('customer_master.*,country_master.countryName,state_master.stateName,distric_master.districtName,taluka_master.talukaName,village_master.villageName,gender.gender,crdr_master.crdrName,customercategories_master.customercategoriesName,usertype_master.usertypeName')

		->join('country_master','country_master.countryId=customer_master.fkcountryId','left outer')
		->join('state_master','state_master.stateId=customer_master.fkstateId','left outer')
		->join('distric_master','distric_master.districtId=customer_master.fkdistrictId','left outer')
		->join('taluka_master','taluka_master.talukaId=customer_master.fktalukaId','left outer')
		->join('village_master','village_master.villageId=customer_master.fkvillageId','left outer')
		->join('gender','gender.genderId=customer_master.fkgenderId','left outer')
        ->join('crdr_master','crdr_master.crdrId=customer_master.fkcrdrId','left outer')
        ->join('customercategories_master','customercategories_master.customercategoriesId=customer_master.fkcustomercategoriesId','left outer')
        ->join('usertype_master','usertype_master.usertypeId=customer_master.fkusertypeId','left outer')
		->get_where('customer_master',['customer_master.is_active'=>1]);
		return $sql->result();
		
		} 
	
		public function insert($tableName,$model)
		{
			return $this->db->insert($tableName,$model);
		}

		// public function update($model)
		// {
		// 	 return $sql=$this->db->where('customerId',$model['customerId'])
		// 				  ->update('customer_master',$model);

		// } 
		public function update($tableName,$model)
		{
			return  $this->db->where('customerId',$model['customerId'])
					         ->update($tableName,$model);

		}

		public function updatecustlicence($tableName,$model,$customerlicenceId)
		{
			return  $this->db->where('fkcustomerId',$model['fkcustomerId'])
									->where('customerlicenceId',$customerlicenceId)
					         ->update($tableName,$model);

		}

		// public function delete($model)
		// {
		// 	return $sql=$this->db->where('customerId',$model->customerId)
		// 				  ->update('customer_master',$model);

		// } 

		public function delete($customerlicenceId,$model)
		{
			return $query=$this->db->where('customerlicenceId',$customerlicenceId)
		
			->update('customerlicence',$model);
			
		}
		public function search($customerId)
		{
			$sql=$this->db->get_where('customer_master',['customerId'=>$customerId]);
			//print_r($sql);
			return $sql->result();

		} 	
		public function getcountrylist() 
		{
        $this->db->select('*');
        $q = $this->db->get('country_master');
        return $q;
		}
		function getstate($postData){
       
      $this->db->select("stateId,stateName");
      $this->db->where('fkcountryId', $postData['fkcountryId']);
      $q = $this->db->get('state_master');
      return $q->result();
    }

    function getdistrict($postData){
        $this->db->select("districtId,districtName");
      $this->db->where('fkstateId', $postData['fkstateId']);
      $q = $this->db->get('distric_master');
      return $q->result();
    }

    function gettaluka($postData){
        $this->db->select("talukaId,talukaName");
      $this->db->where('fkdistrictId',$postData['fkdistrictId']);
      $q = $this->db->get('taluka_master');
      return $q->result();
    }
	public function getvillage($postData) 
	{
			$this->db->select("villageId,villageName");
			$query = $this->db->get('village_master');
			 return $query->result();
		}
		public function getgenderlist() 
		{
			$this->db->select("genderId,gender");
			$this->db->from('gender');
			$query = $this->db->get();
			return $query;
		}
		public function getcrdrlist() 
		{
			$this->db->select("crdrId,crdrName");
			$this->db->from('crdr_master');
			$query = $this->db->get();
			return $query;
		}
		public function getcustomertypelist() 
		{
			$this->db->select("customertypeId,customerType");
			$this->db->from('customertype_master');
			$query = $this->db->get();
			return $query;
		}
		public function getcustomercategorieslist() 
		{
			$this->db->select("customercategoriesId,customercategoriesName");
			$this->db->from('customercategories_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getusertypelist() 
		{
			$this->db->select("usertypeId,usertypeName");
			$this->db->from('usertype_master');
			$query = $this->db->get();
			return $query;
		}

		public function getroutelist() 
		{
			$this->db->select("routeId,routeName");
			$this->db->from('route_master');
			$query = $this->db->get();
			return $query->result();
		}

		public function getlicencelist() 
		{
			$this->db->select("licencetypeId,licencetypeName");
			$this->db->from('licencetype_master');
			$query = $this->db->get();
			return $query->result();
		}
		public function getMaxId()
		{
			return $this->db->select_max('customerId')
					        ->get('customer_master')->result();
		}	


		public function getlicencedetails($fkcustomerId)
		{			
			$sql=$this->db->select('customerlicence.*,licencetype_master.licencetypeName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					
			     ->join('licencetype_master','licencetype_master.licencetypeId=customerlicence.fklicencetypeId','left outer')
			   
				 
				->where(['customerlicence.fkcustomerId'=>$fkcustomerId,'customerlicence.is_active'=>1])
				->get('customerlicence');
			
			return $sql->result();
		}
		
	} 
	
?>