<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');

	//require_once(APPPATH.'/interfaces/IBase.php');
	
	class Model_Product extends CI_Model 
	{
		
		public function __construct()
		{
			parent::__construct();	
		} 
		
		public function select_all()
{
    $sql = $this->db->select('product_master.*, category_master.categoryName, subcategory_master.subcategoryName, 
            color_master.colorName, size_master.sizeName, shape_master.shapeName, hsnsac_master.hsncode4, 
            gst_master.gstName, unit_master.UnitName, warehouse_master.warehouseName, company_master.companyName, 
            productmaingroup_master.productmaingroupName, productsubgroup.productsubgroupName, productgroup_master.productgroupName, 
            brand_master.brandName')
        ->join('category_master', 'category_master.categoryId = product_master.fkcategoryId', 'left outer')
        ->join('subcategory_master', 'subcategory_master.subcategoryId = product_master.fksubcategoryId', 'left outer')
        ->join('color_master', 'color_master.colorId = product_master.fkcolorId', 'left outer')
        ->join('size_master', 'size_master.sizeId = product_master.fksizeId', 'left outer')
        ->join('shape_master', 'shape_master.shapeId = product_master.fkshapeId', 'left outer')
        ->join('hsnsac_master', 'hsnsac_master.hsnsacId = product_master.fkhsnsacId', 'left outer')
        ->join('gst_master', 'gst_master.gstId = product_master.fkgstId', 'left outer')
        ->join('unit_master', 'unit_master.UnitId = product_master.unitId', 'left outer')
        ->join('warehouse_master', 'warehouse_master.warehouseId = product_master.fkwarehouseId', 'left outer')
        ->join('company_master', 'company_master.companyid = product_master.fkcompanyId', 'left outer')
        ->join('productmaingroup_master', 'productmaingroup_master.productmaingroupId = product_master.fkproductmaingroupId', 'left outer')
        ->join('productsubgroup', 'productsubgroup.productsubgroupId = product_master.fkproductsubgroupId', 'left outer')
        ->join('productgroup_master', 'productgroup_master.productgroupId = product_master.fkproductgroupId', 'left outer')
        ->join('brand_master', 'brand_master.brandId = product_master.fkbrandId', 'left outer')
        ->where('product_master.is_active', 1)
        ->order_by('product_master.productId', 'DESC') // Replace primary_key_field with the actual primary key field of the product_master table
        ->get('product_master');
    
    return $sql->result();
}

	

		public function insert($tableName,$model)
		{
			return $this->db->insert($tableName,$model);
		}  
	
		public function update($tableName,$model)
		{
			 return $sql=$this->db->where('productId',$model['productId'])
						  ->update($tableName,$model);

		} 

		// public function update($tableName,$model)
		// {
		// 	return  $this->db->where('productId',$model['productId'])
		// 			         ->update($tableName,$model);

		// }

		public function updateproduct($model)
		{
			 return $sql=$this->db->where('fkproductId',$model['fkproductId'])
						  ->update('productsame',$model);

		}
		
		public function updatesupplier($model)
		{
			 return $sql=$this->db->where('fkproductId',$model['fkproductId'])
						  ->update('productsupplier',$model);

		}
 function deleteRecord($tableName,$whereArray)
 {
	 $this->db->where($whereArray);
	 $query = $this->db->delete($tableName);
	 return $this->db->affected_rows();
 }
 
		public function updatecontent($model)
		{
			 return $sql=$this->db->where('fkproductId',$model['fkproductId'])
						  ->update('productcontent',$model);

		}

		public function updateunit($model)
		{
			 return $sql=$this->db->where('fkproductId',$model['fkproductId'])
						  ->update('productsecondunit',$model);

		}
		public function getMaxId()
		{
			return $this->db->select_max('productId')
					        ->get('product_master')->result();
		}	 

		public function delete($productsecondunitId,$model)
		{
			return $query=$this->db->where('productsecondunitId',$productsecondunitId)
		
			->update('productsecondunit',$model);
			
		}
		public function search($productId)
		{
			$sql=$this->db->get_where('product_master',['productId'=>$productId]);
			//print_r($sql);
			return $sql->result();

		} 	
		 public function getautocomplete($search_data)
    {
        $this->db->select('productName');
       $this->db->like('productName',$search_data);
        $this->db->from('product_master');
         $this->db->limit(20); 
         $query =   $this->db->get();
        return $query->result();
    }


	public function getautocomplete1()
    {
        $this->db->select('productName');
       $this->db->like('productName');
        $this->db->from('product_master');
         $this->db->limit(20); 
         $query =   $this->db->get();
        return $query->result();
    }


		public function getcategorylist() 
		{
			$this->db->select("categoryId,categoryName");
			$this->db->from('category_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getsubcategorylist() 
		{
			$this->db->select("subcategoryId,subcategoryName");
			$this->db->from('subcategory_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getcolorlist() 
		{
			$this->db->select("colorId,colorName");
			$this->db->from('color_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getsizelist() 
		{
			$this->db->select("sizeId,sizeName");
			$this->db->from('size_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getshapelist() 
		{
			$this->db->select("shapeId,shapeName");
			$this->db->from('shape_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}


		public function getproductlist() 
		{
			$this->db->select("productId,productName");
			$this->db->from('product_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function gethsnsaclist() 
		{
			$this->db->select("hsnsacId,hsncode4");
			$this->db->from(' hsnsac_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function get_autocomplete($search_data)
    {
        $this->db->select('productName');
        // $this->db->like('slug', $search_data);
        $this->db->like('productName',$search_data,'both');
        $this->db->limit(10);
      	$this->db->from('product_master');
         $query =   $this->db->get();
        return $query->result();
    }

		public function getclasslist() 
		{
			$this->db->select("classificationId,classificationName");
			$this->db->from(' classificationgroup_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getstoragelist() 
		{
			$this->db->select("storageId,storageName");
			$this->db->from(' storage_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

		public function getgenericlist() 
		{
			$this->db->select("genericcmpId,genericcmpName");
			$this->db->from('genericcmp_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

				public function getcontentlist() 
		{
			$this->db->select("contentId,contentName");
			$this->db->from('content_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

		public function getsupplierlist() 
		{
			$this->db->select("supplierId,supplierName");
			$this->db->from(' supplier_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

		public function getmanufacturelist() 
		{
			$this->db->select("manufactureId,manufactureName");
			$this->db->from(' manufacture_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getgenericlists() 
		{
			$this->db->select("genericcmpId,genericcmpName");
			$this->db->from('genericcmp_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}


		public function getArealists() 
		{
			$this->db->select("areaId,areaName");
			$this->db->from('area_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getBalancelists() 
		{
			$this->db->select("balanceId,balanceName");
			$this->db->from('balance_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getUploadlists() 
		{
			$this->db->select("uploaddataId,uploaddataName");
			$this->db->from('uploaddata_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getDisclists() 
		{
			$this->db->select("discId,discName");
			$this->db->from('disc_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getCompanylists() 
		{
			$this->db->select("companyId,companyName");
			$this->db->from(' company_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getCategorylists() 
		{
			$this->db->select("categoryId,categoryName");
			$this->db->from(' category_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

		public function getContentlists() 
		{
			$this->db->select("contentId,contentName");
			$this->db->from('content_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}
		public function getgstlist() 
		{
			$this->db->select("gstId,gstName");
			$this->db->from('gst_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}
		public function getunitlist() 
		{
			$this->db->select("UnitId,UnitName");
			$this->db->from('unit_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

			public function getsecondaryunit($UnitId) 
		{
			$this->db->select("UnitId,UnitName");
			$this->db->from('unit_master');
			$this->db->where('unit_master.UnitId!=',$UnitId);
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}
		public function getwarehouselist() 
		{
			$this->db->select("warehouseId,warehouseName");
			$this->db->from('warehouse_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getcompanylist() 
		{
			$this->db->select("companyid,companyName");
			$this->db->from('company_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

		public function getbrandlist() 
		{
			$this->db->select("brandId,brandName");
			$this->db->from('brand_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

		function getcategory($postData){
        $this->db->select("subcategoryId,subcategoryName");
      
        $this->db->where('fkcategoryId',$postData['fkcategoryId']);
      $q = $this->db->get('subcategory_master');
      return $q->result();
      // return $fkproductmaingroupId;
    }

    	function getgst($postData){
        $this->db->select("hsnsacId,tax");
      
        $this->db->where('hsnsacId',$postData['hsnsacId']);
        $this->db->where('is_active',1);
      $q = $this->db->get('hsnsac_master');
      return $q->result();
      // return $fkproductmaingroupId;
    }

		public function getproductmaingrouplist() 
		{
			$this->db->select("productmaingroupId,productmaingroupName");
			$this->db->from('productmaingroup_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getproductsubgrouplist() 
		{
			$this->db->select("productsubgroupId,productsubgroupName");
			$this->db->from('productsubgroup');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}
		public function getproductgrouplist() 
		{
			$this->db->select("productgroupId,productgroupName");
			$this->db->from('productgroup_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}	
		function getproductgrp($postData){
        $this->db->select("productgroupId,productgroupName");
      
        $this->db->where('fkproductmaingroupId',$postData['fkproductmaingroupId']);
      $q = $this->db->get('productgroup_master');
      return $q->result();
      // return $fkproductmaingroupId;
    }
    function getsubproductgrp($postData){
        $this->db->select("productsubgroupId,productsubgroupName");
      
        $this->db->where('fkproductgroupId',$postData['fkproductgroupId']);
      $q = $this->db->get('productsubgroup');
      return $q->result();
      // return $fkproductmaingroupId;
    }

    public function getcontentdetails($productId)
		{
			// $sql=$this->db->get_where('medicine_master',['medicineId'=>$medicineId]);
			$this->db->select("productcontentId,fkcontentId");
      
        $this->db->where('fkproductId',$productId);
      $sql = $this->db->get('productcontent');
      return $sql->result();

		}

		public function getsupplierdetails($productId)
		{
			// $sql=$this->db->get_where('medicine_master',['medicineId'=>$medicineId]);
			$this->db->select("productsupplierId,fksupplierId");
      
        $this->db->where('fkproductId',$productId);
      $sql = $this->db->get('productsupplier');
      return $sql->result();

		}

		public function getdualprodetails($productId)
		{
			// $sql=$this->db->get_where('medicine_master',['medicineId'=>$medicineId]);
			$this->db->select("productsameId,fkproductId1");
      
        $this->db->where('fkproductId',$productId);
      $sql = $this->db->get('productsame');
      return $sql->result();

		}
    public function getunitdetails($fkproductId)
		{			
			$sql=$this->db->select('productsecondunit.*,unit_master.UnitName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					
			     ->join('unit_master','unit_master.UnitId=productsecondunit.fksecondunitId','left outer')
			   
				 
				->where(['productsecondunit.fkproductId'=>$fkproductId,'productsecondunit.is_active'=>1])
				->get('productsecondunit');
			
			return $sql->result();
		}



		public function getTaxlist() 
		{
			$this->db->select("TaxId,TaxName");
			$this->db->from('tax_master');
			$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query->result();
		}

	} 
	
?>