<?php
if( ! defined('BASEPATH')) exit('No direct script access allowed');
	class Model_Supplier extends CI_Model 
	{
		
		public function __construct()
		{
			parent::__construct();	
			
		} 
		
		public function select_all()
		{					
		$sql=$this->db->select('supplier_master.*,country_master.countryName,gender.gender,customercategories_master.customercategoriesName,usertype_master.usertypeName')
		->join('country_master','country_master.countryId=supplier_master.fkcountryId','left outer')
		->join('gender','gender.genderId=supplier_master.fkgenderId','left outer')
		// ->join('opening_amount','opening_amount.openingAmountId=supplier_master.fkopeningAmountId','inner')
		->join('usertype_master','usertype_master.usertypeId=supplier_master.fkusertypeId','left outer')
		->join('customercategories_master','customercategories_master.customercategoriesId=supplier_master.fkcustomercategoriesId','left outer')

		->get_where('supplier_master',['supplier_master.is_active'=>1]);
		return $sql->result();
		} 
	
		public function insert($tableName,$model)
		{
			return $this->db->insert($tableName,$model);
		} 
		public function update($tableName,$model)
		{
			return  $this->db->where('supplierId',$model['supplierId'])
					         ->update($tableName,$model);

		}

		public function updatesuplicence($tableName,$model,$supplierlicenceId)
		{
			return  $this->db->where('fksupplierId',$model['fksupplierId'])
									->where('supplierlicenceId',$supplierlicenceId)
					         ->update($tableName,$model);

		} 

		public function delete($supplierlicenceId,$model)
		{
			return $query=$this->db->where('supplierlicenceId',$supplierlicenceId)
		
			->update('supplierlicence',$model);
			
		} 
		public function search($supplierId)
		{
			$sql=$this->db->get_where('supplier_master',['supplierId'=>$supplierId]);
			//print_r($sql);
			return $sql->result();

		} 	
		public function getcountrylist() 
		{
        $this->db->select('*');
        $q = $this->db->get('country_master');
        //$this->db->where('is_active',1);
        return $q;
		}
		function getstate($postData){
       
      $this->db->select("stateId,stateName");
      $this->db->where('fkcountryId', $postData['fkcountryId']);
      $q = $this->db->get('state_master');
     // $this->db->where('is_active',1);
      return $q->result();
    }

    function getdistrict($postData){
        $this->db->select("districtId,districtName");
      $this->db->where('fkstateId', $postData['fkstateId']);
      $q = $this->db->get('distric_master');
      //$this->db->where('is_active',1);
      return $q->result();
    }

    function gettaluka($postData){
        $this->db->select("talukaId,talukaName");
      $this->db->where('fkdistrictId',$postData['fkdistrictId']);
      $q = $this->db->get('taluka_master');
      //$this->db->where('is_active',1);
      return $q->result();
    }
		public function getvillage($postData) 
		{
			$this->db->select("villageId,villageName");
			$q= $this->db->get('village_master');
			//$this->db->where('is_active',1);
			 return $q->result();
		}
		public function getgenderlist() 
		{
			$this->db->select("genderId,gender");
			$this->db->from('gender');
			$query = $this->db->get();
			return $query;
		}
		public function getcrdrlist() 
		{
			$this->db->select("crdrId,crdrName");
			$this->db->from('crdr_master');
			$query = $this->db->get();
			return $query;
		}
		public function getcustomercategorieslist() 
		{
			$this->db->select("customercategoriesId,customercategoriesName");
			$this->db->from('customercategories_master');
			//$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

		public function getroutelist() 
		{
			$this->db->select("routeId,routeName");
			$this->db->from('route_master');
			$query = $this->db->get();
			return $query->result();
		}

		public function getlicencelist() 
		{
			$this->db->select("licencetypeId,licencetypeName");
			$this->db->from('licencetype_master');
			$query = $this->db->get();
			return $query->result();
		}

		public function getMaxId()
		{
			return $this->db->select_max('supplierId')
					        ->get('supplier_master')->result();
		}
		public function getusertypelist() 
		{
			$this->db->select("usertypeId,usertypeName");
			$this->db->from('usertype_master');
			//$this->db->where('is_active',1);
			$query = $this->db->get();
			return $query;
		}

		public function getlicencedetails($fksupplierId)
		{			
			$sql=$this->db->select('supplierlicence.*,licencetype_master.licencetypeName')
				// ->join('invoiceproduct','invoicemain.invoicemainId=invoiceproduct.fkinvoicemainId','left outer')
					
			     ->join('licencetype_master','licencetype_master.licencetypeId=supplierlicence.fklicencetypeId','left outer')
			   
				 
				->where(['supplierlicence.fksupplierId'=>$fksupplierId,'supplierlicence.is_active'=>1])
				->get('supplierlicence');
			
			return $sql->result();
		}

	} 
	
?>